<?
/**
 * VoiceOne Account
 *
 * Frontend to provide access to the account system in voiceone.
 * @package voiceone
 * @subpackage  account
 */

  include ("../admin/config/cfg.php");
  global $cwlang; 
  $alert=getAlert();
  
  // if user is root die
  if ($cwUserInfo["entity_id"]==0) goToMainPage("","../");
  
  //================ POST & GET ================
  if(count($_POST)>0) {
    if($cwUserInfo["entity_id"]!=0) {
      $data=$_POST["client"];
      $error="";
      //set user password
      if((isset($data["changepwd"]))&&($data["changepwd"]=="on")){
        if($data["newpassword"]!=""){
          if($data["newpassword"]==$data["confirmpassword"]){
            $newpwd = $data["newpassword"];
            $oldpwd = $data["oldpassword"];
          }else $error=$cwlang["account"]["err1"];
        }else $error=$cwlang["account"]["err2"];
      }
      if($error==""){
        //set voicemail
        if(isset($data["vemail"])) {
          $vemail=$data["vemail"];
          //if($vemail!=""){
            if((isset($data["vchangepwd"]))&&($data["vchangepwd"]=="on")){
              if($data["vnewpassword"]!=""){
                if($data["vnewpassword"]==$data["vconfirmpassword"]){
                  $vnewpwd = $data["vnewpassword"];
                  $voldpwd = $data["voldpassword"];
                }else $error=$cwlang["account"]["err3"];
              }else $error=$cwlang["account"]["err4"];
            }
          //}else $error=$cwlang["account"]["err7"];
        } 
        if($error==""){
          // put client
          $ret=$asterisk->putClientAccount($data["id"],$data["tech"],$data["language"],$oldpwd,$newpwd,$vemail,$voldpwd,$vnewpwd);
          error_log("return = ".$ret);
          if($ret>0){
            //set asterisk database
            if(isset($_POST["DND"])){ //set DND
              if($_POST["DND"]["status"]==1) $ret=putInDB("DND",$cwUserInfo["exten"],"yes");
              else $ret=rmFromDB("DND",$cwUserInfo["exten"]);
            }
            if(isset($_POST["CFU"])){ //set CFU
              if($_POST["CFU"]["status"]==1) $ret=putInDB("CFU",$cwUserInfo["exten"],$_POST["CFU"]["target"]);
              else $ret=rmFromDB("CFU",$cwUserInfo["exten"]);
            }
            if(isset($_POST["CFB"])){ //set CFB
              if($_POST["CFB"]["status"]==1) $ret=putInDB("CFB",$cwUserInfo["exten"],$_POST["CFB"]["target"]);
              else $ret=rmFromDB("CFB",$cwUserInfo["exten"]);
            }
            if(isset($_POST["CFNR"])){ //set CFNR
              if($_POST["CFNR"]["status"]==1) $ret=putInDB("CFNR",$cwUserInfo["exten"],$_POST["CFNR"]["target"]);
              else $ret=rmFromDB("CFNR",$cwUserInfo["exten"]);
            }
            $alert="<div class=\"AlertGood\">".$cwlang["account"]["saveOk"]."</div>";
            $_GET["id"]=$ret;
          }
          else if($ret==-1) $alert="<div class=\"AlertBad\">".$cwlang["account"]["err5"]."</div>";
          else if($ret==-2) $alert="<div class=\"AlertBad\">".$cwlang["account"]["err6"]."</div>";
          else $alert="<div class=\"AlertBad\">".$cwlang["account"]["saveErr"]."</div>";
        }else $alert="<div class=\"AlertBad\">".$error."</div>";
      }else $alert="<div class=\"AlertBad\">".$error."</div>";
      goToMainPage($alert,"./");  
    } 
  }
  //================ PAGE LOGIC ================
  //retrive user info
  if ($cwUserInfo["entity_id"]!=0) {
    $ret=$asterisk->getClientAccount($cwUserInfo["entity_id"],0);
    if ($err=$asterisk->getError()) die("Error: $err");
    //extract some variables
    $v=$ret[0];
    $id=$v["id"];
    $name=$v["name"];
    $surname=$v["surname"];
    $alias=$v["alias"];
    $username=$v["extension"];
    $extension=$v["extension"];
    $language=$v["language"];
    $technology=$v["technology"];
    $voicemailArr=$v["voicemail"]; 
    //read the mailbox
    if (count($voicemailArr)>0) {
      $voicemailOn="1"; 
      $email=$voicemailArr["email"];
    } else $voicemailOn="0";
    //inizialize DND
    $ret=getFromDB("DND",$cwUserInfo["exten"]);
    if($ret["present"]==1) $DND=1; else $DND=0;
    //inizialize CFU
    $ret=getFromDB("CFU",$cwUserInfo["exten"]);
    if($ret["present"]==1) {$CFU=1; $CFU_target=$ret["value"]; $CFU_disabled="";} 
    else {$CFU=0; $CFU_disabled="disabled=\"disabled\"";} 
    //inizialize CFB
    $ret=getFromDB("CFB",$cwUserInfo["exten"]);
    if($ret["present"]==1) {$CFB=1; $CFB_target=$ret["value"]; $CFB_disabled="";} 
    else {$CFB=0; $CFB_disabled="disabled=\"disabled\"";}
    //inizialize CFNR
    $ret=getFromDB("CFNR",$cwUserInfo["exten"]);
    if($ret["present"]==1) {$CFNR=1; $CFNR_target=$ret["value"]; $CFNR_disabled="";} 
    else {$CFNR=0; $CFNR_disabled="disabled=\"disabled\"";}
    //title
    $title=$cwlang["account"]["title"].": $extension &lt;$name $surname&gt;";
  } 
  else die;
  //create the language list
  $availLang=getAvailLang();
  foreach($availLang as $l) {
    if ($l==$language or (!isset($language) and $l==$cwLanguage)) $s="selected=\"selected\""; else $s="";
    $langSelect.="<option value=\"$l\" $s>$l</option>\n";   
  }

  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
  <?=$alert?>
    <h1><?=$title?></h1>
  </div>

  <div id="basic_form">
    <form action="<?=$PHP_SELF?><?if ($_GET["id"]!="") echo "?id=".$_GET["id"]; ?>" method="post">
<? if ($cwUserInfo["entity_id"]!=0) { ?>
      <table>
        <tr>
          <td>
            <p class="blockintro"><?=$cwlang["account"]["personalinfo"]?></p>
            <div class="block">
              <input type="hidden" id="client[id]" name="client[id]" value="<?=$id?>" />
              <input type="hidden" id="client[tech]" name="client[tech]" value="<?=$technology?>" />
              <dl>
                <dt class="required"><label for="client[name]"><?=$cwlang["account"]["name"]?>:</label></dt>
                  <dd><input disabled="disabled" type="text" size="25" maxlength="30" id="name" name="name" value="<?=$name?>" /></dd>
                <dt class="required"><label for="client[surname]"><?=$cwlang["account"]["surname"]?>:</label></dt>
                  <dd><input disabled="disabled" type="text" size="25" maxlength="50" id="surname" name="surname" value="<?=$surname?>" /></dd>
                <dt class="required"><label for="client[extension]"><?=$cwlang["account"]["exten"]?>:</label></dt>
                  <dd><input disabled="disabled" type="text" size="25" maxlength="20" id="extension" name="extension" value="<?=$extension?>" /></dd>
                <dt class="required"><label for="client[alias]"><?=$cwlang["account"]["alias"]?>:</label></dt>
                  <dd><input disabled="disabled" type="text" size="25" maxlength="100" id="alias" name="alias" value="<?=$alias?>" /></dd>
                <dt class="required"><label for="client[language]"><?=$cwlang["account"]["lang"]?>:</label></dt>
                  <dd><select id="client[language]" name="client[language]"><?=$langSelect?></select></dd>  
              </dl>
            </div>
          </td> 
          <td>
            <p class="blockintro"><?=$cwlang["account"]["authdata"]?></p>
            <div class="block">
              <dl>
                <dt class="required"><label for="client[username]"><?=$cwlang["account"]["username"]?>:</label></dt>
                  <dd><input disabled="disabled" type="text" size="25" maxlength="100" id="client[username]" name="client[username]" value="<?=$username?>" />
                <dt class="required"><label for="client[oldpassword]"><?=$cwlang["account"]["password"]?>:</label></dt>
                  <dd><input type="password" size="25" maxlength="20" id="client[oldpassword]" name="client[oldpassword]" value="" disabled="disabled" /></dd>
                <dt class="required"><label for="client[changepwd]"></label></dt>
                  <dd><input type="checkbox" id="client[changepwd]" name="client[changepwd]" onclick="if(this.checked){document.getElementById('client[oldpassword]').disabled=''; document.getElementById('client[newpassword]').disabled=''; document.getElementById('client[confirmpassword]').disabled=''; } else {document.getElementById('client[oldpassword]').disabled='disabled'; document.getElementById('client[newpassword]').disabled='disabled'; document.getElementById('client[confirmpassword]').disabled='disabled'; document.getElementById('client[oldpassword]').value=''; document.getElementById('client[newpassword]').value=''; document.getElementById('client[confirmpassword]').value=''; }"/>
                      <?=$cwlang["account"]["changepwd"]?></dd>         
                <dt class="required"><label for="client[newpassword]"><?=$cwlang["account"]["newpassword"]?>:</label></dt>
                  <dd><input type="password" size="25" maxlength="20" id="client[newpassword]" name="client[newpassword]" value="" disabled="disabled" /></dd>
                <dt class="required"><label for="client[confirmpassword]"><?=$cwlang["account"]["confirmpassword"]?>:</label></dt>
                  <dd><input type="password" size="25" maxlength="20" id="client[confirmpassword]" name="client[confirmpassword]" value="" disabled="disabled" /></dd>
              </dl>
            </div> 
          </td>
        </tr>
      </table>
      <!-- VoiceMail --> 
      <? if($voicemailOn==1){ ?>
      	<h2><?=$cwlang["account"]["title2"]?></h2>
        <p class="blockintro"><?=$cwlang["account"]["title2text"]?></p>
        <div class="block">
          <dl>
            <dt class="required"><label for="client[vemail]"><?=$cwlang["account"]["email"]?>:</label></dt>
              <dd><input type="text" size="25" maxlength="100" id="client[vemail]" name="client[vemail]" value="<?=$email?>" /> <?=$cwlang["account"]["emailText"]?></dd>
            <dt class="required"><label for="client[voldpassword]"><?=$cwlang["account"]["password"]?>:</label></dt>
              <dd><input type="password" size="25" maxlength="20" id="client[voldpassword]" name="client[voldpassword]" value="" disabled="disabled"/> <?=$cwlang["account"]["passwordText"]?></dd>
            <dt class="required"><label for="client[vchangepwd]"></label></dt>
              <dd><input type="checkbox" id="client[vchangepwd]" name="client[vchangepwd]" onclick="if(this.checked){document.getElementById('client[voldpassword]').disabled=''; document.getElementById('client[vnewpassword]').disabled=''; document.getElementById('client[vconfirmpassword]').disabled=''; } else {document.getElementById('client[voldpassword]').disabled='disabled'; document.getElementById('client[vnewpassword]').disabled='disabled'; document.getElementById('client[vconfirmpassword]').disabled='disabled'; document.getElementById('client[voldpassword]').value=''; document.getElementById('client[vnewpassword]').value=''; document.getElementById('client[vconfirmpassword]').value=''; }"/>
                  <?=$cwlang["account"]["changepwd"]?></dd>         
            <dt class="required"><label for="client[vnewpassword]"><?=$cwlang["account"]["newpassword"]?>:</label></dt>
              <dd><input type="password" size="25" maxlength="20" id="client[vnewpassword]" name="client[vnewpassword]" value="" disabled="disabled" /> <?=$cwlang["account"]["newpasswordText"]?></dd>
            <dt class="required"><label for="client[vconfirmpassword]"><?=$cwlang["account"]["confirmpassword"]?>:</label></dt>
              <dd><input type="password" size="25" maxlength="20" id="client[vconfirmpassword]" name="client[vconfirmpassword]" value="" disabled="disabled" /> <?=$cwlang["account"]["confpasswordText"]?></dd>
          </dl>
        </div>
      <? } ?>
      <!-- DND --> 
      <h2><?=$cwlang["account"]["DND"]?></h2>
      <p class="blockintro"><?=$cwlang["account"]["DNDtext"]?></p>
      <div class="block">
        <dl>
          <dt class="required"><label for="DND[status]">DND:</label></dt>
          <dd>
            <input type="radio" id="DND[status]" name="DND[status]" value="1" <?if ($DND==1) echo "checked=\"checked\""; ?> /> ON
            <input type="radio" id="DND[status]" name="DND[status]" value="0" <?if ($DND!=1) echo "checked=\"checked\""; ?> /> OFF
          </dd>
        </dl>
      </div>
      <!-- CF -->
      <h2><?=$cwlang["account"]["CF"]?></h2>
      <p class="blockintro"><?=$cwlang["account"]["CFtext"]?></p>
      <div class="block">
        <dl>
          <table>
            <tr>
              <td>
                <dt class="required"><label for="CFU[status]">CFU:</label></dt>
                <dd>
                  <input type="radio" id="CFU[status]" name="CFU[status]" value="1" onclick="document.getElementById('CFU[target]').disabled='';" <?if ($CFU==1) echo "checked=\"checked\""; ?> /> ON
                  <input type="radio" id="CFU[status]" name="CFU[status]" value="0" onclick="document.getElementById('CFU[target]').disabled='disabled';" <?if ($CFU!=1) echo "checked=\"checked\""; ?> /> OFF   
                </dd>
              </td>
              <td><?=$cwlang["account"]["CFUtext"]?>:</td>
              <td><input type="text"  id="CFU[target]" name="CFU[target]" value="<?=$CFU_target?>" <?=$CFU_disabled?> /></td>
            </tr>
            <tr>
              <td>
                <dt class="required"><label for="CFB[status]"><?=$cwlang["exten"][""]?>CFB:</label></dt>
                <dd>
                  <input type="radio" id="CFB[status]" name="CFB[status]" value="1" onclick="document.getElementById('CFB[target]').disabled='';" <?if ($CFB==1) echo "checked=\"checked\""; ?> /> ON
                  <input type="radio" id="CFB[status]" name="CFB[status]" value="0" onclick="document.getElementById('CFB[target]').disabled='disabled';" <?if ($CFB!=1) echo "checked=\"checked\""; ?> /> OFF
                </dd>
              </td>
              <td><?=$cwlang["account"]["CFBtext"]?>:</td>
              <td><input type="text"  id="CFB[target]" name="CFB[target]" value="<?=$CFB_target?>" <?=$CFB_disabled?> /></td>
            </tr>
            <tr>
              <td>
                <dt class="required"><label for="CFNR[status]"><?=$cwlang["exten"][""]?>CFNR:</label></dt>
                <dd>
                  <input type="radio" id="CFNR[status]" name="CFNR[status]" value="1" onclick="document.getElementById('CFNR[target]').disabled='';"<?if ($CFNR==1) echo "checked=\"checked\""; ?> /> ON
                  <input type="radio" id="CFNR[status]" name="CFNR[status]" value="0" onclick="document.getElementById('CFNR[target]').disabled='disabled';"<?if ($CFNR!=1) echo "checked=\"checked\""; ?> /> OFF
                </dd>
              </td>
              <td><?=$cwlang["account"]["CFNRtext"]?>:</td>
              <td><input type="text" id="CFNR[target]" name="CFNR[target]" value="<?=$CFNR_target?>" <?=$CFNR_disabled?> /></td>
            </tr>
          </table>
        </dl>
      </div>
      <!-- Action -->
      <div class="action">
        <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-save.gif" alt="Save" onclick="return check();" />
      </div>       
<? } ?>     
    </form>
  </div>
  
  <script>
  function check(){
    var box=document.getElementById('client[vchangepwd]');
    if(box.checked==true){
      var pwd=document.getElementById('client[vnewpassword]').value;
      var ch=null;
      for(var i=0; i<pwd.length; i++) {
        ch = pwd.charCodeAt(i);
        if(!((ch>47)&&(ch<58))) {
          alert('<?=$cwlang["account"]["script1"]?>');
          return false;
        }
      }
    }
    return true; 
  }
  </script>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["account"]["sidebartitle"]?></h1>
          <p><?=$cwlang["account"]["sidebardesc"]?></p>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "account");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('main.tpl');
?>