<?
/**
 * VoiceOne Language File german
 *
 * @package voiceone
 * @subpackage  language
 */

  global $cwlang, $relBasePath;
  
  //****************************
  // GENERIC translation 
  //****************************
  $cwlang["generic"]["working"]  = "Einen Moment bitte...";
  $cwlang["generic"]["deleting"] = "Es wird gel&ouml;scht...";
  $cwlang["generic"]["loading"]  = "Es wird geladen...";
  

  //****************************
  //translation for the template
  //****************************
  $cwlang["template"]["loginTitle"]            = "Benutzeranmeldung";
  $cwlang["template"]["loginInfo"]             = "Information";
  $cwlang["template"]["loginDescription"]      = "Zum Anmelden geben Sie bitte Ihren Benutzernamen und das Passwort ein.";
  $cwlang["template"]["loginRememberMe"]       = "Angemeldet bleiben";
  $cwlang["template"]["loginTerms"]            = "Nutzungsbedingungen";
  $cwlang["template"]["persWelcome"]           = "Willkommen";
  $cwlang["template"]["persLogOff"]            = "Abmelden";
  $cwlang["template"]["confReturnToPersonal"]  = "Zur&uuml;ck zu VoiceOne Personal";
  
  //****************************
  //translation for the Menu
  //****************************  0
  $cwlang["menu"]["overview"]      = "&Uuml;bersicht";
  $cwlang["menu"]["extension"]     = "Nebenstelle";
  $cwlang["menu"]["queue"]         = "Warteschlange";
  $cwlang["menu"]["office"]        = "B&uuml;ro";
  $cwlang["menu"]["provider"]      = "Provider";
  $cwlang["menu"]["number"]        = "Nummer";
  $cwlang["menu"]["group"]         = "Gruppe";
  $cwlang["menu"]["right"]         = "Rechte";
  $cwlang["menu"]["ivr"]           = "IVR";
  $cwlang["menu"]["io"]            = "I/O";
  $cwlang["menu"]["user"]          = "Benutzer";
  $cwlang["menu"]["isdn"]          = "ISDN";
  $cwlang["menu"]["sip"]           = "SIP";
  $cwlang["menu"]["iax"]           = "IAX";
  $cwlang["menu"]["lan"]           = "Lan";
  $cwlang["menu"]["editor"]        = "Editor";
  $cwlang["menu"]["zapata"]        = "Zapata";
  $cwlang["menu"]["meetme"]        = "Konferenzen";
  $cwlang["menu"]["moh"]           = "MOH";
  $cwlang["menu"]["sounds"]        = "Sounds";
  
  $cwlang["menu"]["phonebook"]     = "Telefonbuch";
  $cwlang["menu"]["phone"]         = "Telefon";
  $cwlang["menu"]["history"]       = "Anrufe";
  $cwlang["menu"]["voicemail"]     = "VoiceMail";
  $cwlang["menu"]["transfer"]      = "Transfer";
  $cwlang["menu"]["configurator"]  = "Einstellungen";
  $cwlang["menu"]["customization"] = "Anpassen";
  $cwlang["menu"]["account"]       = "Benutzerkonto";

  //****************************************************************************
  //***********************       VOICEONE PERSONAL         ********************
  //****************************************************************************

  //****************************
  //translation for the PhoneBook Section
  //****************************
  $cwlang["phonebook"]["title"]       = "Telefonbuch";
  $cwlang["phonebook"]["name"]        = "Name";
  $cwlang["phonebook"]["status"]      = "Status";
  $cwlang["phonebook"]["personal"]    = "Pers&ouml;nliches Telefonbuch";
  $cwlang["phonebook"]["description"] = "Liste der angemeldeten Benutzer, sowie deren Status";
  $cwlang["phonebook"]["information"] = "Information";
  $cwlang["phonebook"]["sidebarText"] = "Auf der linken Seite sind alle Benutzer aufgef&uuml;hrt, die momentan auf diesem System eingerichtet sind."
                                         ."Dazu wird der Status des Benutzers angezeigt. Die m&ouml;glichen Stati sind: "
                                         ."<ul><li><img src=\"admin/public/img/online.gif\" /> <strong>Online</strong>: Der Benutzer ist momentan verbunden</li>"
                                         ."<li><img src=\"admin/public/img/offline.gif\" /> <strong>Offline</strong>: Der Benutzer ist Offline</li>"
                                         ."<li><img src=\"admin/public/img/unknown.gif\" /> <strong>Unbekannt</strong>: Der Status ist unbekannt</li></ul>";
  
  //****************************
  //translation for the history call  Section
  //****************************
  $cwlang["calls"]["title"] =            "Anrufliste";
  $cwlang["calls"]["title2"] =           "Dieser Bereich befindet sich noch in der Entwicklung";
  $cwlang["calls"]["workinprogress"] =   "Dieser Bereich ist noch nicht <strong>aktiv</strong>. Solltest Du Interesse haben uns bei der Entwicklung zu unterst&uuml;tzen, dann besuche uns doch unter <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> f&uuml;r weitere Information";
   
  //****************************
  //translation for the VoiceMail Section
  //****************************
  $cwlang["voicemail"]["title"]             = "VoiceMail";
  $cwlang["voicemail"]["settedOk"]          = "Die Ansage wurde korrekt gesetzt";
  $cwlang["voicemail"]["settedErr"]         = "Fehler beim setzen der Ansage";
  $cwlang["voicemail"]["deletedOk"]         = "Erfolgreich gel&ouml;scht";
  $cwlang["voicemail"]["deletedErr"]        = "Fehlerhaft gel&ouml;scht";
  $cwlang["voicemail"]["noSelected"]        = "Keine Nachricht ausgew&auml;hlt";
  $cwlang["voicemail"]["movedOk"]           = "Erfolgreich verschoben";
  $cwlang["voicemail"]["movedErr"]          = "Fehlerhaft verschoben";
  $cwlang["voicemail"]["noMessages"]        = "Keine Nachrichten";
  $cwlang["voicemail"]["sidebarTitle"]      = "Nachricht beantworten";
  $cwlang["voicemail"]["sidebarNote"]       = "W&auml;hlen Sie eine Audio-Datei aus, oder nehmen Ihre pers&ouml;nliche Begr&uuml;&szlig;ung auf.";
  $cwlang["voicemail"]["message"]           = "Nachricht";
  $cwlang["voicemail"]["unavailTitle"]      = "Nicht verf&uuml;gbar";
  $cwlang["voicemail"]["unavailNote"]       = "Die Nicht verf&uuml;gbar Nachricht wird abgespielt, wenn Sie nicht erreichbar, oder der Client nicht erreichbar ist.";
  $cwlang["voicemail"]["busyTitle"]         = "Besetzt";
  $cwlang["voicemail"]["busyNote"]          = "Besetzt-Nachricht wird abgespielt wenn Sie den Anruf nicht annehmen k&ouml;nnen.";
  $cwlang["voicemail"]["tempgreetingTitle"] = "Tempor&auml;re Begr&uuml;&szlig;ung";
  $cwlang["voicemail"]["tempgreetingNote"]  = "Wenn ausgew&auml;hlt, wird die tempor&auml;re Begr&uuml;&szlig;ung immer abgespielt (&uuml;berschreibt besetzt und nicht verf&uuml;gbar).";
  $cwlang["voicemail"]["yournameTitle"]     = "Ihr Name";
  $cwlang["voicemail"]["yournameNote"]      = "Dies ersetzt den Anrufnamen im Asterisk-Directory.";
  $cwlang["voicemail"]["noPlay"]            = "Nachricht kann nicht abgespielt werden: Der Server hat nicht gen&uuml;gend Speicher vorhanden";
  
  //****************************
  //translation for the Call Transfers Section
  //****************************
  $cwlang["transfer"]["title"]              = "Gespr&auml;chs-&Uuml;bergabe";
  $cwlang["transfer"]["title2"]             = "Dieser Bereich befindet sich noch in der Entwicklung";
  $cwlang["transfer"]["workinprogress"]     = "Dieser Bereich ist noch nicht <strong>aktiv</strong>. Solltest Du Interesse haben uns bei der Entwicklung zu unterst&uuml;tzen, dann besuche uns doch unter <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> f&uuml;r weitere Information";
   
  //****************************
  //translation for the Account Section
  //****************************
  $cwlang["account"]["title"]               = "Konto";
  $cwlang["account"]["title2"]              = "Dieser Bereich befindet sich noch in der Entwicklung";
  $cwlang["account"]["workinprogress"]      = "Dieser Bereich ist noch nicht <strong>aktiv</strong>. Solltest Du Interesse haben uns bei der Entwicklung zu unterst&uuml;tzen, dann besuche uns doch unter <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> f&uuml;r weitere Information";
   
  //****************************
  //translation for the Account Section
  //****************************
  
  $cwlang["account"]["title"]               = "Benutzerdaten";
  $cwlang["account"]["personalinfo"]        = "Pers&ouml;nliche Einstellungen";
  $cwlang["account"]["name"]                = "Vorname";
  $cwlang["account"]["surname"]             = "Nachame";
  $cwlang["account"]["lang"]                = "Sprache";
  $cwlang["account"]["authdata"]            = "Zugangsdaten";
  $cwlang["account"]["exten"]               = "Nebenstelle";
  $cwlang["account"]["alias"]               = "Alias"; 
  $cwlang["account"]["username"]            = "Benutzername";
  $cwlang["account"]["password"]            = "Passwort";
  $cwlang["account"]["newpassword"]         = "Neues Passwort";
  $cwlang["account"]["confirmpassword"]     = "Best&auml;tigen";
  $cwlang["account"]["changepwd"]           = "Passwort &auml;ndern";
  $cwlang["account"]["title2"]              = "VoiceMail";
  $cwlang["account"]["title2text"]          = "Geben Sie hier Ihre Einstellungen an";
  $cwlang["account"]["active"]              = "Aktiv";
  $cwlang["account"]["email"]               = "E-Mail";
  $cwlang["account"]["emailText"]           = "An diese E-Mail-Adresse wird die Sprachnachricht gesendet";
  $cwlang["account"]["passwordText"]        = "Passwort um Nachrichten abfragen zu k&ouml;nnen";
  $cwlang["account"]["newpasswordText"]     = "Neues Passwort vergeben (Darf nur Ziffern enthalten. Z.B. <strong>2525</strong>)";
  $cwlang["account"]["confpasswordText"]    = "Passwort best&auml;tigen";
  $cwlang["account"]["DND"]                 = "DND (Bitte nicht st&ouml;ren)";
  $cwlang["account"]["DNDtext"]             = "Keine eingehenden Anrufe signalisieren";
  $cwlang["account"]["CF"]                  = "Anruf-Weiterleitung";
  $cwlang["account"]["CFtext"]              = "Anrufe an eine andere Nebenstelle weiterleiten";
  $cwlang["account"]["CFUtext"]             = "Direkte Anrufweiterschaltung";
  $cwlang["account"]["CFBtext"]             = "Anrufweiterschaltung bei Besetzt";
  $cwlang["account"]["CFNRtext"]            = "Anrufweiterschaltung bei Nichterreichbarkeit";
  $cwlang["account"]["username"]            = "Benutzername";
  $cwlang["account"]["user"]                = "Benutzer";
  $cwlang["account"]["rootinfo"]            = "Root information";
  $cwlang["account"]["sidebartitle"]        = "Benutzerdaten";
  $cwlang["account"]["sidebardesc"]         = "Folgende Einstellungen k&ouml;nnen Sie &auml;ndern";
  $cwlang["account"]["saveOk"]              = "Daten wurden erfolgreich gespeichert/aktualisiert!";
  $cwlang["account"]["saveErr"]             = "Beim speichern sind Fehler aufgetreten";
  $cwlang["account"]["script1"]             = "Das Voicemail-Passwort darf nur aus Ziffern bestehen. Bitte &auml;ndern.";
  $cwlang["account"]["err1"]                = "Das Passwort stimmt nicht &uuml;berein";
  $cwlang["account"]["err2"]                = "Kein Passwort eingegeben";
  $cwlang["account"]["err3"]                = "Das Voicemail-Passwort stimmt nicht &uuml;berein";
  $cwlang["account"]["err4"]                = "Kein Voicemail-Passwort eingegeben";
  $cwlang["account"]["err5"]                = "Username and password do not match";
  $cwlang["account"]["err6"]                = "Mailbox and password do not match";
  $cwlang["account"]["err7"]                = "Keine E-Mail-Adresse eingegeben";

  //****************************
  //translation for the CustomizationSection
  //****************************
  $cwlang["customization"]["title"]          =   "Anpassen";
  $cwlang["customization"]["title2"]         =   "Dieser Bereich befindet sich noch in der Entwicklung";
  $cwlang["customization"]["workinprogress"] =   "Dieser Bereich ist noch nicht <strong>aktiv</strong>. Solltest Du Interesse haben uns bei der Entwicklung zu unterst&uuml;tzen, dann besuche uns doch unter <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> f&uuml;r weitere Information";

  //****************************************************************************
  //***********************       VOICEONE CONFIGURATOR     ********************
  //****************************************************************************

  //*************************************
  //translation for the Overview Section
  //*************************************
  $cwlang["overview"]["title"] =   "VoiceOne-Konfiguration : &Uuml;bersicht";
  $cwlang["overview"]["publickey"] =   "&Ouml;ffentlicher Schl&uuml;ssel";
  $cwlang["overview"]["firststep"] =   "Erste Schritte";
  $cwlang["overview"]["firststepDesc"] =    
            "    Bitte befolge diese Schritte, um eine funktionsf&auml;hige Anlagen-Konfiguration zu erhalten:\n"
           ."    \n" 
           ."    <ul>\n" 
           ."      <li>1. Netzwerk-Konfiguration (Achtung: Nach dem Speichern wird der Rechner neu gestartet!)</li>\n"
           ."      <li>2. ISDN Karten-Konfiguration</li>\n"
           ."      <li>3. Verwalten von Nebenstellen, Warteschlangen, B&uuml;ro</li>\n"
           ."      <li>4. Rechte pr&uuml;fen</li>\n"
           ."    </ul>\n" ;
  $cwlang["overview"]["configuration"] =   "System-Konfiguration";
  $cwlang["overview"]["configurationDesc"] =   "In diesem Bereich k&ouml;nnen alle Parameter der Anlage konfiguriert werden.<br> Bitte bei den Einstellungen vorsichtig sein, andernfalls kann die Anlage funktionsunf&auml;hig werden!";
   
  //*************************************
  //translation for the Extension Section
  //*************************************
  $cwlang["exten"]["title"]              = "Nebenstellen";
  $cwlang["exten"]["newExten"]           = "Neue Nebenstelle anlegen";
  $cwlang["exten"]["information"]        = "Informationen";
   
  $cwlang["exten"]["confirmDel"]         = "Are you sure you want to remove the extension";
  //edit 
  $cwlang["exten"]["return"]             = "Zur&uuml;ck ohne zu speichern";
  $cwlang["exten"]["personalinfo"]       = "Pers&ouml;nliche Informationen";
  $cwlang["exten"]["name"]               = "Vorname";
  $cwlang["exten"]["surname"]            = "Nachname";
  $cwlang["exten"]["email"]              = "E-Mail";
  $cwlang["exten"]["authdata"]           = "Zugangs-Information";
  $cwlang["exten"]["exten"]              = "Nebenstelle";
  $cwlang["exten"]["language"]           = "Sprache";
  $cwlang["exten"]["username"]           = "Benutzername";
  $cwlang["exten"]["password"]           = "Passwort";
  $cwlang["exten"]["confirm"]            = "Best&auml;tigen";
  $cwlang["exten"]["alias"]              = "Alias";
  $cwlang["exten"]["advancedOption"]     = "Erweiterte Optionen";
  $cwlang["exten"]["advancedOptionDesc"] = "Wenn Sie das Feld aktivieren, werden zus&auml;tzliche Optionen angezeigt";
  $cwlang["exten"]["advancedOptionYes"]  = "Zeige zus&auml;tzliche Optionen";
  $cwlang["exten"]["protocol"]           = "Protokoll";
  $cwlang["exten"]["host"]               = "Host";
  $cwlang["exten"]["dynip"]              = "Dynamische IP [Standard]";
  $cwlang["exten"]["hostname"]           = "Hostname";
  $cwlang["exten"]["ipmask"]             = "IP-Maske";
  $cwlang["exten"]["defaultip"]          = "Standard IP";
  $cwlang["exten"]["defaultipDesc"]      = "Diese IP wird genutzt wenn die andere IP nicht funktioniert";
  $cwlang["exten"]["report"]             = "Gespr&auml;chserfassung";
  $cwlang["exten"]["default"]            = "Standard";
  $cwlang["exten"]["ommit"]              = "Unterlassen";
  $cwlang["exten"]["billing"]            = "Abrechnung";
  $cwlang["exten"]["documentation"]      = "Dokumentation";
  $cwlang["exten"]["canReinvite"]        = "Reinvite";
  $cwlang["exten"]["no"]                 = "Nein";
  $cwlang["exten"]["yes"]                = "Ja";
  $cwlang["exten"]["canReinviteDesc"]    = "Hier wird eine Verbindung zwischen den Endger&auml;ten untereinander ausgehandelt";
  $cwlang["exten"]["dtmfMode"]           = "DTMF Modus";
  $cwlang["exten"]["dtmfModeDesc"]       = "Auswahl des DTMF Medienstromes";
  $cwlang["exten"]["lang"]               = "Sprache";
  $cwlang["exten"]["langDesc"]           = "Einstellen der Sprache. (Keine Eingabe = Standard)";
  $cwlang["exten"]["nat"]                = "NAT";
  $cwlang["exten"]["yesNAT"]             = "Ja, der Benutzer liegt hinter einem NAT";
  $cwlang["exten"]["deniedIP"]           = "Verbotene IP";
  $cwlang["exten"]["deniedIPDesc"]       = "<strong>Syntax</strong>: IP/Mask[,IP/Mask[...]]";
  $cwlang["exten"]["allowedIP"]          = "Erlaubte IP";
  $cwlang["exten"]["allowedIPDesc"]      = "<strong>Syntax</strong>: IP/Mask[,IP/Mask[...]]";
  $cwlang["exten"]["qualify"]            = "Qualify";
  $cwlang["exten"]["qualifyDesc"]        = "Einstellen der Latenzzeit (sinnvolle Werte liegen zw. 200-300)";
  $cwlang["exten"]["codecs"]             = "Codecs";
  $cwlang["exten"]["codecsAdd"]          = "Codec hinzu -->";
  
  $cwlang["exten"]["otherExten"]         = "Andere Nebenstelle";
  $cwlang["exten"]["otherExtenDesc"]     = "Klicken Sie auf eine Nebenstelle, um deren Einstellungen anzuzeigen:";

  $cwlang["exten"]["loading"] = "lade...";
  $cwlang["exten"]["pwdnull"] = "Das Anmelde-Passwort darf nicht leer sein!";
  $cwlang["exten"]["pwderr"]  = "Anmelde-Passwort stimmt nicht mit der Best&auml;tigung &uuml;berein";
  
  $cwlang["exten"]["delSuccessfully"] = "Die Nebenstelle wurde erfolgreich gel&ouml;scht";
  $cwlang["exten"]["delFailed"] = "L&ouml;schen fehlgeschlagen";
  $cwlang["exten"]["editSuccessfully"] = "Nebenstelle erfolgreich gespeichert";
  $cwlang["exten"]["editFailed"] = "Bearbeiten ist fehlgeschlagen";
    
    $cwlang["exten"]["extNoNull"] = "Keine Nebenstellen-Nummer vergeben";
    $cwlang["exten"]["extNumOnly"] = "Die Nebenstellen-Nummer darf nur aus Ziffern bestehen. Bitte &auml;ndern";
    $cwlang["exten"]["extAlreadyExists"] = "Diese Nebenstelle existiert bereits. Bitte &auml;ndern";
    $cwlang["exten"]["extAlphaNumOnly"] = "Das Zugangs-Passwort darf nur Alphanumerische Zeichen enthaltens. Bitte &auml;ndern";
    $cwlang["exten"]["aliasNoNull"] = "Kein Alias gesetzt";
    $cwlang["exten"]["aliasAlphaNumOnly"] = "Der Benutzer-Alias darf nur Alphanumerische Zeichen enthaltens. Bitte &auml;ndern";
    $cwlang["exten"]["aliasAlreadyExists"] = "Dieser Benutzer-Alias existiert bereits. Bitte &auml;ndern";
    $cwlang["exten"]["aliasEqualToExt"] = "Der Benutzer-Alias darf nicht gleich der Nebenstellen-Nummer sein. Bitte &auml;ndern";
    
    $cwlang["exten"]["vmPwdNoNull"] = "Kein Voicemail-Passwort vergeben";
    $cwlang["exten"]["vmPwdErr"] = "Voicemail-Passwort stimmt nicht mit der Best&auml;tigung &uuml;berein";
    $cwlang["exten"]["vmPwdNumOnly"] = "Das Voicemail-Passwort darf nur aus Ziffern bestehen. Bitte &auml;ndern";

    $cwlang["exten"]["vmTitle"] = "VoiceMail";
    $cwlang["exten"]["vmDesc"] = "Insert here the voicemail information"; 
    $cwlang["exten"]["vmFlag"] = "Aktiv";
    $cwlang["exten"]["vmEmailDesc"] = "The email address the voicemail will be sent to (leave blank for no notification)";
    $cwlang["exten"]["vmPwdDesc"] = "Set the password to read the voicemail";
    $cwlang["exten"]["vmConfirmDesc"] = "Confirm the password to read the voicemail";
    $cwlang["exten"]["vmAttachFlag"] = "Anlage";
    $cwlang["exten"]["vmCIDFlag"] = "Say CID";
    $cwlang["exten"]["vmHideFlag"] = "Verbergen";
    $cwlang["exten"]["vmAttachDesc"] = "Wenn aktiviert, wird die Sprachnachricht als Anlage der E-Mail versendet";
    $cwlang["exten"]["vmCIDDesc"] = "Wenn aktiviert, wird die Rufnummer des Anrufers angezeigt";
    $cwlang["exten"]["vmHideDesc"] = "Wenn aktiviert, werden Sie im Verzeichnis nicht aufgef&uuml;hrt";

  //*************************************
  //translation for the QUEUE Section
  //*************************************
  $cwlang["queue"]["title"]            = "Queue (Ablauf)";
  $cwlang["queue"]["newQueue"]         = "Neuer Queue";
  $cwlang["queue"]["modifyQueue"]      = "Warteschlange bearbeiten: ";  //it will append the queue name
  $cwlang["queue"]["titleSidebar"]     = "Warteschlangen";
  $cwlang["queue"]["textSidebar"]      = "Hiermit ist es m&ouml;glich, das bei einem eingehenden Anruf mehrere Nebenstellen auf einmal angerufen werden.";
  $cwlang["queue"]["alertDelGood"]     = "Die Warteschlange wurde gel&ouml;scht";
  $cwlang["queue"]["alertDelBad"]      = "Die Warteschlange wurde nicht gel&ouml;scht";
  $cwlang["queue"]["alertModGood"]     = "Die Warteschlange wurde ge&auml;ndert";
  $cwlang["queue"]["alertModBad"]      = "Die Warteschlange wurde nicht ge&auml;ndert";
  $cwlang["queue"]["titleForm"]        = "Warteschlange";
  $cwlang["queue"]["textForm"]         = "Passen Sie hier die Einstellungen der Warteschlange an. W&auml;hlen Sie die Nebenstellen, die dieser angeh&ouml;ren.";
  $cwlang["queue"]["name"]             = "Name";
  $cwlang["queue"]["nameExample"]      = "z.B. Administration, Support,...";
  $cwlang["queue"]["strategy"]         = "Strategie";
  $cwlang["queue"]["strategyExample"]  = "Verf&uuml;gbare Werte: ringall, none, usw..";
  $cwlang["queue"]["melody"]           = "Melodie";
  $cwlang["queue"]["melodyExample"]    = "default, usw...";
  $cwlang["queue"]["frequency"]        = "Frequenz";
  $cwlang["queue"]["frequencyExample"] = "90, 100";
  $cwlang["queue"]["holdtime"]         = "Holdtime";
  $cwlang["queue"]["holdtimeExample"]  = "yes, no";
  $cwlang["queue"]["joinEmpty"]        = "Join Empty";
  $cwlang["queue"]["joinEmptyExample"] = "yes, no";
  $cwlang["queue"]["extensionInfo"]    = "W&auml;hlen einer oder mehrerer Nebenstellen, die dieser Warteschalnge angeh&ouml;ren.";
  $cwlang["queue"]["sidebarEditTitle"] = "Einen Queue hinzuf&uuml;gen";
  $cwlang["queue"]["sidebarEditText"]  = "<p>Es ist m&ouml;glich eine Nebenstelle als Warteschlange zu erstellen. So k&ouml;nnen mehrere Nebenstellen auf einen Anruf reagieren.</p>";

  $cwlang["queue"]["confirmDel"] = "Sind Sie sicher, dass diese Warteschlange gel&ouml;scht werden soll : ";  //it will append the queue name
  //*************************************
  //translation for the OFFICE Section
  //*************************************
  $cwlang["dept"]["title"]               = "Abteilungen";
  $cwlang["dept"]["newDept"]             = "Neues B&uuml;ro";
  $cwlang["dept"]["sidebarTitle"]        = "Information";
  $cwlang["dept"]["sidebarText"]         = "Alle verf&uuml;gbaren B&uuml;ros mit dem VoiceOne verbunden ist";
  $cwlang["dept"]["alertDelGood"]        = "Abteilung wurde erfolgreich gel&ouml;scht";
  $cwlang["dept"]["alertDelBad"]         = "Abteilung wurde nicht gel&ouml;scht";
  $cwlang["dept"]["alertModGood"]        = "Abteilung wurde erfolgreich ge&auml;ndert";
  $cwlang["dept"]["alertModBad"]         = "Abteilung wurde nicht ge&auml;ndert";
  $cwlang["dept"]["modDeptTitle"]        = "Abteilung bearbeiten";
  $cwlang["dept"]["newDeptTitle"]        = "Neue Abteilung";
  $cwlang["dept"]["return"]              = "Zur&uuml;ck ohne zu speichern";
  $cwlang["dept"]["personalInfos"]       = "Pers&ouml;nliche Informationen";
  $cwlang["dept"]["personalInfosDesc"]   = "F&uuml;llen Sie die erforderlichen Informationen aus";
  $cwlang["dept"]["name"]                = "Name";
  $cwlang["dept"]["hostname"]            = "Hostname";
  $cwlang["dept"]["hostnameHelp"]        = "Hostname oder IP-Addresse, zB. 122.12.13.14";
  $cwlang["dept"]["mask"]                = "Mask";
  $cwlang["dept"]["maskHelp"]            = "Netzwerk-Mask, zB. 255.255.255.0";
  $cwlang["dept"]["username"]            = "Benutzername";
  $cwlang["dept"]["usernameHelp"]        = "Benutzername zum anmelden an der entfernten Voiceone";
  $cwlang["dept"]["rsaKeyDesc"]          = "F&uuml;gen Sie hier den &ouml;ffentlichen RSA-Schl&uuml;ssel ein";
  $cwlang["dept"]["rsaKey"]              = "RSA Schl&uuml;ssel";
  $cwlang["dept"]["phoneNumberTitle"]    = "Telefon-Nummer";
  $cwlang["dept"]["phoneNumberDesc"]     = "B&uuml;ro-Nummer";
  $cwlang["dept"]["phoneNumber"]         = "Rufnummer";
  $cwlang["dept"]["phoneNumberAdded"]    = "Rufnummer hinzugef&uuml;gt";
  $cwlang["dept"]["shortcut"]            = "Kurzwahl-Taste";
  $cwlang["dept"]["shortcutHelp"]        = "Kurzwahltaste hinzuf&uuml;gen, zB 3";
  $cwlang["dept"]["advancedOptionTitle"] = "Erweiterte Optionen";
  $cwlang["dept"]["advancedOptionDesc"]  = "Wenn Sie das Feld aktivieren, werden zus&auml;tzliche Optionen angezeigt";
  $cwlang["dept"]["advancedOptionShow"]  = "Zeige weitere Optionen";
  $cwlang["dept"]["defaultIp"]           = "Default IP";
  $cwlang["dept"]["defaultIpHelp"]       = " Geben Sie eine IP-Adresse ein ";
  $cwlang["dept"]["report"]              = "Report";
  $cwlang["dept"]["default"]             = "Standard";
  $cwlang["dept"]["omit"]                = "Ometti";
  $cwlang["dept"]["billing"]             = "Billing";
  $cwlang["dept"]["documentation"]       = "Document";
  $cwlang["dept"]["canReinvite"]         = "Reinvite";
  $cwlang["dept"]["noDefault"]           = "Nein [Standard]";
  $cwlang["dept"]["yes"]                 = "Ja";
  $cwlang["dept"]["canReinviteHelp"]     = "Direkte Kommunikation zwischen den Endger&auml;ten";
  $cwlang["dept"]["dtmfMode"]            = "DTMF Modus";
  $cwlang["dept"]["dtmfModeHelp"]        = "Wie sollen MFV-T&ouml;ne behandelt werden";
  $cwlang["dept"]["language"]            = "Sprache";
  $cwlang["dept"]["languageHelp"]        = "Einstellen der Sprache. (Keine Eingabe = Standard)";
  $cwlang["dept"]["mailbox"]             = "MailBox";
  $cwlang["dept"]["mailboxDesc"]         = "TO DO...";
  $cwlang["dept"]["nat"]                 = "NAT";
  $cwlang["dept"]["denyIp"]              = "Verbotene IP-Adresse(n)";
  $cwlang["dept"]["denyIpHelp"]          = "<strong>Sintax</strong>: IP/Mask[,IP/Mask[...]]";
  $cwlang["dept"]["allowIp"]             = "Erlaubte IP-Adresse(n)";
  $cwlang["dept"]["allowIpHelp"]         = "<strong>Syntax</strong>: IP/Mask[,IP/Mask[...]]";
  $cwlang["dept"]["qualify"]             = "Qualify";
  $cwlang["dept"]["qualifyHelp"]         = "Status des Benutzers &uuml;berwachen";
  $cwlang["dept"]["codecs"]              = "Codec";
  $cwlang["dept"]["codecsAdd"]           = "Codec hinzu -->";
  $cwlang["dept"]["sidebarEditTitle"]    = "Info";
  $cwlang["dept"]["sidebarEditText"]     = "<p>Eine Abteilung besteht aus:</p><ol><li>Informationen</li><li>Konto-Informationen</li><li>Rufnummer(n)</li></ol><h2>Hinzuf&uuml;gen einer Rufnummer</h2><p>Tragen Sie die Rufnummer in das Feld ein und dr&uuml;cken dann <b>+</b>.<br />W&auml;hlen SIe eine Rufnummer aus und dr&uuml;cken <b>X</b> um sie zu l&ouml;schen. <br /> Zum bearbeiten der Rufnummer: Doppelklick darauf, oder diese markieren und auf <b>editieren</b> klicken.<br /></p>";
    $cwlang["dept"]["alertDelDept"] = "Are you sure to remove the department"; 
    $cwlang["dept"]["editTitle"] = "Office Info";
    $cwlang["dept"]["Register"] = "Register";
    $cwlang["dept"]["RegisterHelp"] = "Wenn Ihr Server eine dynamische IP hat, m&uuml;ssen Sie eine Registrierung senden!";
  
  //*************************************
  //translation for the PROVIDER Section
  //*************************************
  $cwlang["provider"]["title"]        = "Provider";
  $cwlang["provider"]["newProvider"]  = "Neuer Provider";
  $cwlang["provider"]["alertDelGood"] = "Diese Ressource wurde erfolgreich gel&ouml;scht";
  $cwlang["provider"]["alertDelBad"]  = "Diese Ressource wurde nicht gel&ouml;scht";
  $cwlang["provider"]["sidebarTitle"] = "Informationen";
  $cwlang["provider"]["sidebarText"]  = "<p>Provider werden zum Gepr&auml;chsaufbau ben&ouml;tigt.</p>".
                                        "          <p>Folgende Arten werden unterst&uuml;tzt::".
                                        "            <ol>".
                                        "              <li>SIP Provider</li>".
                                        "              <li>IAX Provider</li>".
                                        "              <li>ISDN Provider</li>".
                                        "            </ol>".
                                        "          </p>";
  $cwlang["provider"]["alertDelGood"] =   "Diese Ressource wurde erfolgreich bearbeitet";
  $cwlang["provider"]["alertDelBad"]  =   "Diese Ressource wurde nicht bearbeitet";
  $cwlang["provider"]["modTitle"]     =   "Provider bearbeiten ";
  $cwlang["provider"]["newTitle"]     =   "Neuer Provider";
  $cwlang["provider"]["return"]       =   "Zur&uuml;ck ohne zu speichern";
  $cwlang["provider"]["type"]         =   "Provider-Typ";
  $cwlang["provider"]["typeDesc"]     =   "Bitte w&auml;hlen Sie einen Typ";
  $cwlang["provider"]["isdn"]         =   "ISDN Provider";
  $cwlang["provider"]["sip"]          =   "SIP Provider";
  $cwlang["provider"]["sipTitle"]     =   "SIP Provider"; 
  $cwlang["provider"]["sipDesc"]      =   "Informationen";
  $cwlang["provider"]["sipName"]      =   "Name"; 
  $cwlang["provider"]["sipNameHelp"]  =   "Geben Sie einen Namen an, z.B. FreeWorldDialup. <b>ACHTUNG</b>: Keine Leerzeichen eingeben.";
  $cwlang["provider"]["sipCode"]      =   "Operator<br/>Code";
  $cwlang["provider"]["sipCodeHelp"]  =   "Direkte Auswahl, zB. 99*";
  $cwlang["provider"]["authTitle"]    =   "Konto Informationen";
  $cwlang["provider"]["username"]     =   "Benutzername";
  $cwlang["provider"]["password"]     =   "Passwort";
  $cwlang["provider"]["ipAddress"]    =   "IP Adresse";
  $cwlang["provider"]["port"]         =   "Port"; 
  $cwlang["provider"]["mask"]         =   "Mask"; 
  $cwlang["provider"]["nat"]          =   "NAT"; 
  $cwlang["provider"]["Yes"]          =   "Ja";
  $cwlang["provider"]["No"]           =   "Nein";
  $cwlang["provider"]["isdnTitle"]    =   "ISDN Anbieter";
  $cwlang["provider"]["isdnDesc"]     =   "Informationen";
  $cwlang["provider"]["isdnName"]     =   "Name"; 
  $cwlang["provider"]["isdnNameHelp"] =   "Geben Sie den Anbieternamen ein, zB. Telekom";
  $cwlang["provider"]["isdnCode"]     =   "Operator<br/>Code";
  $cwlang["provider"]["isdnCodeHelp"] =   "Direkte Auswahl, zB. 1033";
  $cwlang["provider"]["editSidebarTitle"] =   "Anbieter hinzuf&uuml;gebn";
  $cwlang["provider"]["editSidebarDesc"]  =   "<p>Zum hinzuf&uuml;gen eines <strong>Anbieters</strong> m&uuml;ssen Sie w&auml;hlen".
                          "          was dies f&uuml;r ein Anbieter ist</p>".
                          "          <p>Ein <strong>ISDN Anbieter</strong> ist z.B. Telekom, Arcor,...".
                          "          <p>Ein <strong>SIP Anbieter</strong> ist ein VoIP Anbieter</p>";
  
    $cwlang["provider"]["NewVoIP"]          = "VoIP Provider anlegen";
    $cwlang["provider"]["NewTelco"]         = "Telco Provider anlegen";
    $cwlang["provider"]["alertDelProvider"] = "Sind Sie sicher das Sie diesen Provider entfernen m&ouml;chten: ";
    $cwlang["provider"]["editTitle"]        = "Provider-Info";
    $cwlang["provider"]["SpeedDial"]        = "Kurzwahl";
    $cwlang["provider"]["helpIP"]           = "IP-Adresse oder Hostname";
    $cwlang["provider"]["helpPwd"]          = "Eingabe des Passwortes oder RSA-Schl&uuml;ssels";
    $cwlang["provider"]["phoneNumberTitle"] = "Rufnummer";
    $cwlang["provider"]["phoneNumberHelp"]  = "Rufnummer(n) oder Bereiche des Anbieters";
  $cwlang["provider"]["phoneNumber"]        = "Rufnummer";
    $cwlang["provider"]["phoneNumberDesc"]  = "Nummer auf die reagiert werden soll (z.B. <strong>123456</strong>)<br/>oder einen Nummernbereich (z.B.<strong>123456-123459</strong>)";
  $cwlang["provider"]["phoneNumberAdded"]   = "Rufnummer hinzugef&uuml;gt";
    $cwlang["provider"]["DID"]              = "DID";
    $cwlang["provider"]["DIDHelp"]          = "Direkte Anwahl";
    $cwlang["provider"]["addButtonHelp"]    = "Eintrag hinzuf&uuml;gen";
    $cwlang["provider"]["editButton"]       = "Bearbeiten";
    $cwlang["provider"]["editButtonHelp"]   = "Bearbeiten des gew&auml;hlten Eintrages";
    $cwlang["provider"]["delButton"]        = "L&ouml;schen";
    $cwlang["provider"]["delButtonHelp"]    = "L&ouml;schen des gew&auml;hlten Eintrages";
    $cwlang["provider"]["Prefix"]           = "Vorwahl (Prefix)";
    $cwlang["provider"]["PrefixHelp"]       = "Eingabe der Anbieter-Vorwahl (z.B. 1033 oder 1099)";
  
  //*************************************
  //translation for the PHONE NUMBER Section
  //*************************************
  $cwlang["numb"]["title"]            = "Rufnummer";
  $cwlang["numb"]["alertDelGood"]     = "Die Rufnummer wurde gel&ouml;scht";
  $cwlang["numb"]["alertDelBad"]      = "Die Rufnummer wurde nicht gel&ouml;scht";
  $cwlang["numb"]["newPhoneNumber"]   = "Neue Rufnummer";
  $cwlang["numb"]["sidebarTitle"]     = "Information";
  $cwlang["numb"]["sidebarDesc"]      = "<p>Auf der linken Seite sehen Sie die B&uuml;ros, mit denen Asterisk direkt mit IAX kommunizieren kann.</p>";
  $cwlang["numb"]["alertModGood"]     = "Die Rufnummer wurde ge&auml;ndert";
  $cwlang["numb"]["alertModBad"]      = "Die Rufnummer wurde nicht ge&auml;ndert";
  $cwlang["numb"]["return"]           = "Zur&uuml;ck ohne zu speichern";
  $cwlang["numb"]["numbersTitle"]     = "Rufnummern";
  $cwlang["numb"]["numbersHelp"]      = "List below the phone number of the class";
  $cwlang["numb"]["name"]             = "Nummern-Klassen-Name";
  $cwlang["numb"]["nameHelp"]         = "zB. FreeCall, Mobiltelefon, usw...";
  $cwlang["numb"]["addNumber"]        = "Rufnummer";
  $cwlang["numb"]["listNumber"]       = "Rufnummer hinzugef&uuml;gt";
  $cwlang["numb"]["emergency"]        = "Notrufnummer";
  $cwlang["numb"]["emergencyHelp"]    = "W&auml;hle JA um dieser Rufnummer die h&ouml;chste Priorit&auml;t einzur&auml;umen";
  $cwlang["numb"]["yes"]              = "Ja";
  $cwlang["numb"]["no"]               = "Nein";
  $cwlang["numb"]["editSidebarTitle"] = "Information";
  $cwlang["numb"]["editSidebarDesc"]  = "<p>Eine Rufnummer kann aus Zahlen bestehen oder aus Ausdr&uuml;cken.</p>".
                                        "          <p>Dieses sind einige Ausdr&uuml;cke:</p>".
                                        "          <ol>".
                                        "            <li>_ :Start einer regular expression</li>".
                                        "            <li>N :Kurzschreibweise f&uuml;r die Nummern [2..9]</li>".
                                        "            <li>X :Kurzschreibweise f&uuml;r die Nummern [1..9]</li>".
                                        "            <li>[xxx] :eigen definierte Zahlen, zB[24..7]</li>".
                                        "          </ol>"; 
    $cwlang["numb"]["AlertDelPhoneNoClass"] = "Sind Sie sicher, dass diese Rufnummern-Bereich entfernt werden soll.";
  

  //*************************************
  //translation for the GROUP Section
  //*************************************
  $cwlang["group"]["title"]               =   "Gruppen";
  $cwlang["group"]["alertDelGood"]        =   "Die Gruppe wurde gel&ouml;scht";
  $cwlang["group"]["alertDelBad"]         =   "Die Gruppe wurde nicht gel&ouml;scht";
  $cwlang["group"]["newGroup"]            =   "Neue Gruppe";
  $cwlang["group"]["sidebarTitle"]        =   "Information"; 
  $cwlang["group"]["sidebarDesc"]         =   "<p>Es ist notwendig die Gruppe zu spezifiziern (extensions, office, provider, queue)".
                                      "<br />So k&ouml;nnen Sie die Rechte leichter verwalten".
                                      "</p>"; 
  $cwlang["group"]["extension"]           = "Nebenstellen";
  $cwlang["group"]["department"]          = "Office";
  $cwlang["group"]["provider"]            = "Anbieter";
  $cwlang["group"]["phonenumber"]         = "Nummer";

  $cwlang["group"]["alertDelGood"]        = "Die Gruppe wurde modifiziert";
  $cwlang["group"]["alertDelBad"]         = "Die Gruppe wurde nicht modifiziert";
  $cwlang["group"]["modGroup"]            = "Gruppe modifizieren";
  $cwlang["group"]["newGroup"]            = "Neue Gruppe anlegen";
  $cwlang["group"]["return"]              = "Zur&uuml;ck ohne zu speichern";
  $cwlang["group"]["type"]                = "Gruppen-Typ";
  $cwlang["group"]["typeDesc"]            = "Es ist notwendig die Gruppe zu spezifiziern";
  $cwlang["group"]["extensionGroup"]      = "Nebenstellen-Gruppe";
  $cwlang["group"]["checkExtension"]      = "W&auml;hle Sie die Nebenstellen aus, die der Gruppe zugeh&ouml;rig sein sollen";
  $cwlang["group"]["name"]                = "Name";
  $cwlang["group"]["extensionNameHelp"]   = "z.B. Helpdesk, Administration, usw...";
  $cwlang["group"]["checkExtension2"]     = "Zum ausw&auml;hlen der Nebenstelle die Checkbox markieren.";
  $cwlang["group"]["deptGroup"]           = "Office Gruppen";
  $cwlang["group"]["checkDept"]           = "W&auml;hlen Sie das B&uuml;ro das zu dieser Gruppe geh&ouml;rt";
  $cwlang["group"]["deptNameHelp"]        = "zB. Asien, Europa, National, usw...";
  $cwlang["group"]["checkDept2"]          = "To choose the office, click on the desired checkbox";
  $cwlang["group"]["providerGroup"]       = "Provider groups";
  $cwlang["group"]["checkProvider"]       = "W&auml;hlen Sie den Provider aus der zu dieser Gruppe geh&ouml;rt";
  $cwlang["group"]["providerNameHelp"]    = "zB. Free, Payment, usw...";
  $cwlang["group"]["checkProvider2"]      = "Zum ausw&auml;hlen des Providers klicken Sie die Check-Box";
  $cwlang["group"]["phoneNumberGroup"]    = "Rufnummern-Gruppe";
  $cwlang["group"]["checkPhoneNumber"]    = "W&auml;hlen Sie die Rufnummer die zu dieser Gruppe geh&ouml;rt";
  $cwlang["group"]["phoneNumberNameHelp"] = "zB. Geb&uuml;hrenfrei, International, usw...";
  $cwlang["group"]["checkPhoneNumber2"]   = "Zum ausw&auml;hlen der Rufnummer klicken Sie auf die Check-Box";
  $cwlang["group"]["editSidebar"]         = "Informationen";
  $cwlang["group"]["editSidebarDesc"]     = "N/A";
  $cwlang["group"]["chooseGroup"]         = "W&auml;hle mindestens eine zugeh&ouml;rige Gruppe";
  
  $cwlang["group"]["application"]         = "Application";
  $cwlang["group"]["applicationGroup"]    = "Application groups";
  $cwlang["group"]["checkApplication"]    = "Choose the applications that belongs to this group";
  $cwlang["group"]["applicationNameHelp"] = "I.e. Commercial, Internal, etc...";
  $cwlang["group"]["checkApplication2"]   = "To choose the applications, click on the desired checkbox";
  
  //*************************************
  //translation for the RIGHTS Section
  //*************************************
  $cwlang["right"]["title"] =   "Berechtigungen";
  $cwlang["right"]["newRight"] =   "Neues Berechtigung anlegen";
  $cwlang["right"]["sidebar"] =   "Information";
  $cwlang["right"]["sidebarDesc"] =   "<p>Die Berechtigung kann geben die Anruf-Erlaubnis to all the ".
                                      "entities die durch VoiceOne verwaltet werden.".
                                      "</p>"; 
  $cwlang["right"]["alertDelGood"] =   "Die Berechtigung wurde gel&ouml;scht";
  $cwlang["right"]["alertDelBad"] =   "Die Berechtigung wurde nicht gel&ouml;scht";
  $cwlang["right"]["alertModGood"] =   "Die Berechtigung wurde modifiziert";
  $cwlang["right"]["alertModBad"] =   "Die Berechtigung wurde nicht modifiziert";
  $cwlang["right"]["modRight"] =   "Berechtigung modifizieren ";
  $cwlang["right"]["return"] =   "Zur&uuml;ck ohne zu speichern";
  $cwlang["right"]["groupList"] =   "Liste der Gruppen und Anwendungen";
  $cwlang["right"]["groupListDesc"] =   "W&auml;hle die Gruppe und die Anwendung die diese Berechtigung erhalten";
  $cwlang["right"]["name"] =   "Name"; 
  $cwlang["right"]["nameHelp"] =   "zB. Eingehende Anrufe, Kollegen, usw...";
  $cwlang["right"]["checkGroup"] =   "W&auml;hlen Sie die Gruppe Choose the groups that can be called with this right";
  $cwlang["right"]["checkApps"] =   "W&auml;hlen Sie die Applikation die Choose the applications that can be enabled with this right";
  $cwlang["right"]["action"] =   "Ablauf";
  $cwlang["right"]["actionDesc"] =   "W&auml;hlen Sie die auszuf&uuml;hrende Aktion wenn durch einen Anruf dieser Kontext aufgerufen wird";
  $cwlang["right"]["editSidebar"] =   "Berechtigung hinzuf&uuml;gen";
  $cwlang["right"]["editSidebarDesc"] =   "<p>Eine Nebenstelle mit der gesetzten <strong>Berechtigung</strong> ".
                                    "kann alle Nebenstellen, Telefonnummern, Provider anrufen, die Sie hier gesetzt haben</p> ";
  $cwlang["right"]["chooseRight"] =   "Durch Berechtigungen legen Sie fest welche Resource Sie anrufen k&ouml;nnen. Setzen Sie mindestens eine Berechtigung.";
  
  //*************************************
  //translation for the IVR Section
  //*************************************
  $cwlang["ivr"]["title"]             = "Sprachdialoge (IVR)";
  $cwlang["ivr"]["apply"]             = "Apply";
  $cwlang["ivr"]["nodeDeleted"]       = "Verzweigung entfernt";
  $cwlang["ivr"]["nodeNotDeleted"]    = "Verzweigung nicht entfernt";
  $cwlang["ivr"]["created"]           = "Sprachdialog erzeugt";
  $cwlang["ivr"]["creating"]          = "Sprachdialog wird angelegt...";
  $cwlang["ivr"]["chooseAction"]      = "W&auml;hlen Sie eine auszuf&uuml;hrende Aktion";
  $cwlang["ivr"]["newNode"]           = "Eine neue Verzweigung hinzuf&uuml;gen";
  $cwlang["ivr"]["modNode"]           = "Diese Verzweigung modifizieren";
  $cwlang["ivr"]["delNode"]           = "Diesen Verzweigung l&ouml;schen";
  $cwlang["ivr"]["alertDelGood"]      = "Der Sprachdialog wurde gel&ouml;scht";
  $cwlang["ivr"]["alertDelBad"]       = "Der Sprachdialog wurde nicht gel&ouml;scht";
  $cwlang["ivr"]["alertNewGood"]      = "Der Sprachdialog wurde erzeugt";
  $cwlang["ivr"]["alertNewBad"]       = "Der Sprachdialog wurde erzeugt";
  $cwlang["ivr"]["alertModGood"]      = "Die Verzweigung wurde modifiziert";
  $cwlang["ivr"]["alertModBad"]       = "Die Verzweigung wurde nicht modifiziert";
  $cwlang["ivr"]["chooseIvr"]         = "W&auml;hlen Sie einen DialogChoose the IVR";
  $cwlang["ivr"]["titleDesc"]         = "W&auml;hlen Sie eine Sprachdialog, den Sie bearbeiten m&ouml;chten auf der rechten Seite aus.";
  $cwlang["ivr"]["newIvr"]            = "Neuen Sprachdialog erzeugen";
  $cwlang["ivr"]["name"]              = "Name";
  $cwlang["ivr"]["newIvrButton"]      = "Sprachdialog erzeugen";
  $cwlang["ivr"]["replace"]           = "Ersetzen";
  $cwlang["ivr"]["currentPosition"]   = "In der aktuellen Position";
  $cwlang["ivr"]["nodeDesc"]          = "Eigenschaften des gew&auml;hlten Knotens";
  $cwlang["ivr"]["name"]              = "Name";
  $cwlang["ivr"]["key"]               = "Schl&uuml;ssel";
  $cwlang["ivr"]["keyHelp"]           = "F&uuml;ge eine oder mehrere Zahlen (Schl&uuml;ssel) ein (zB. 1, 99";
  $cwlang["ivr"]["audio"]             = "Audio";
  $cwlang["ivr"]["listen"]            = "Listen the added file";
  $cwlang["ivr"]["position"]          = "Position";
  $cwlang["ivr"]["action"]            = "Ablauf";
  $cwlang["ivr"]["actionDesc"]        = "W&auml;hle einen Ablauf die der Sprachdialog an diesem Punkt ausf&uuml;hren soll";
  $cwlang["ivr"]["call"]              = "Anrufen von";
  $cwlang["ivr"]["enqueue"]           = "Einreihen";
  $cwlang["ivr"]["macro"]             = "Makro";
  $cwlang["ivr"]["goto"]              = "Gehe zu";
  $cwlang["ivr"]["timeout"]           = "Timeout";
  $cwlang["ivr"]["timeoutDesc"]       = "W&auml;hle eine Aktion die bei einem Timeout ausgel&ouml;st wird.";
  $cwlang["ivr"]["repeat"]            = "Wiederholen";
  $cwlang["ivr"]["repeatHelp"]        = "Wenn markiert, wird das Men&uuml; wiederholt ";
  $cwlang["ivr"]["invalid"]           = "Ung&uuml;ltige Auswahl";
  $cwlang["ivr"]["invalidHelp"]       = "W&auml;hle eine Aktion die ausgef&uuml;hrt wird, wenn eine ung&uuml;ltige Auswahl aufgerufen wird";

  
  //*************************************
  //translation for the MOH Section
  //*************************************
  
  $cwlang["moh"]["title"] = "Wartemusik";
  $cwlang["moh"]["newClass"] = "Neue Gruppe anlegen";
  $cwlang["moh"]["alertDelClassGood"] = "Die Gruppe wurde gel&ouml;scht";
  $cwlang["moh"]["alertDelClassBad"] = "Die Gruppe wurde gel&ouml;scht";
  $cwlang["moh"]["sidebarTitle"] = "Song-Upload";
  $cwlang["moh"]["sidebarDesc"] = "<p>Hochladen und verwalten der Wartemusik</p>";
  $cwlang["moh"]["alertUploadGood"] = "Die Datei wurde hochgeladen";
  $cwlang["moh"]["alertUploadBad"] = "Die Datei wurde nicht hochgeladen";
  $cwlang["moh"]["alertUpErr1Bad"] = "Die Datei &uuml;berschreitet die maximale Gr&ouml;&szlig;e (php filesize)";
  $cwlang["moh"]["alertUpErr2Bad"] = "Die Datei &uuml;berschreitet die maximale Gr&ouml;&szlig;e (html filesize)";
  $cwlang["moh"]["alertDelSongGood"] = "Die Datei wurde gel&ouml;scht";
  $cwlang["moh"]["alertDelSongBad"] = "Die Datei wurde nicht gel&ouml;scht";
    $cwlang["moh"]["confirmDel"] = "M&ouml;chten Sie die Gruppe wirklich entfernen: "; //it will append the MOH name
    $cwlang["moh"]["FileUpload"] = "Datei-Upload";
    $cwlang["moh"]["FileLib"] = "Datei-Archiv";
    $cwlang["moh"]["AlertDelFile"] = "M&ouml;chten Sie diese Audio-Datei l&ouml;schen";
  //edit
  $cwlang["moh"]["newClass"] = "Neue Gruppe";
  $cwlang["moh"]["modClass"] = "Gruppe bearbeiten";
  $cwlang["moh"]["return"] = "Zur&uuml;ck ohne zu speichern";
  $cwlang["moh"]["point1title"] = "Gruppe";
  $cwlang["moh"]["point1text"] = "Generelle Einstellungen";
  $cwlang["moh"]["point2title"] = "Titel-Liste";
  $cwlang["moh"]["point2text"] = "W&auml;hlen hier aus, welche Titel dieser Gruppe angeh&ouml;ren";
  $cwlang["moh"]["availableSongs"] = "Verf&uuml;gbare Titel";
  $cwlang["moh"]["selectedSongs"] = "Gew&auml;hlte Titel";
  $cwlang["moh"]["calssName"] = "Gruppen-Name";
  $cwlang["moh"]["classMode"] = "Gruppen-Modus";
  $cwlang["moh"]["classApplication"] = "Anwendung";
  $cwlang["moh"]["alertCreateGood"] = "Die Gruppe wurde erstellt";
  $cwlang["moh"]["alertCreateBad"] = "Die Gruppe wurde nicht erstellt";
  $cwlang["moh"]["alertModifyGood"] = "Die Gruppe wurde ge&auml;ndert";
  $cwlang["moh"]["alertModifyBad"] = "Die Gruppe wurde nicht ge&auml;ndert";
  $cwlang["moh"]["editSidebarTitle"] = "Informationen:";
  $cwlang["moh"]["editSidebarDesc"] = "<p></p>";
  $cwlang["moh"]["addButton"] =       "  Add        ";
  $cwlang["moh"]["addAllButton"] =    "  Add all    ";
  $cwlang["moh"]["removeButton"] =    "     Remove  ";
  $cwlang["moh"]["removeAllButton"] = "  Remove all ";
  //*************************************
  //translation for the SOUNDS Section
  //*************************************
  
  $cwlang["sounds"]["newFile"] = "new file";
  $cwlang["sounds"]["category"] = "Category";
  $cwlang["sounds"]["never"] = "never";
  $cwlang["sounds"]["point1title"] = "File";
  $cwlang["sounds"]["point1text"] = "General file informations";
  $cwlang["sounds"]["point2title"] = "Audio";
  $cwlang["sounds"]["point2text"] = "Record or upload a new message and overwrite the existing one";
  $cwlang["sounds"]["sidebarTitle"] = "Asterisk sound files";
  $cwlang["sounds"]["fileName"] = "Name";
  $cwlang["sounds"]["fileCategory"] = "Category";
  $cwlang["sounds"]["fileLanguage"] = "Language";
  $cwlang["sounds"]["fileLastmod"] = "Modified";
  $cwlang["sounds"]["filePath"] = "Path";
  $cwlang["sounds"]["fileText"] = "Text";
  $cwlang["sounds"]["fileRecord"] = "1a) Record a new audio file: ";
  $cwlang["sounds"]["fileOr"] = "<strong> -- OR -- </strong>";
  $cwlang["sounds"]["fileUpload"] = "1b) Upload a new audio file (.wav): ";
  $cwlang["sounds"]["fileSelect"] = "2) Select new audio content: ";
  $cwlang["sounds"]["fileSelected"] = "selected: ";
  $cwlang["sounds"]["loading"] = " loading... ";   
  $cwlang["sounds"]["treeSounds"] = "Sounds";
  $cwlang["sounds"]["title"] = "Sounds";
  $cwlang["sounds"]["introText"] = " Choose a node to modify from the tree on the right";
  $cwlang["sounds"]["newBad"] = "Creation error";
  $cwlang["sounds"]["deleteBad"] = "Delete error";
  $cwlang["sounds"]["uploadBad"] = "Upload error";
  $cwlang["sounds"]["script1"] = "already exist: edit it?";
  $cwlang["sounds"]["script2"] = "Enter message name:"; 
  $cwlang["sounds"]["script3"] = "already exist: override it?";
  $cwlang["sounds"]["script4"] = "Are you sure to delete";
  $cwlang["sounds"]["script5"] = "Please, select a file from the list to overwrite";
  $cwlang["sounds"]["script6"] = "Are you sure to change text in\\n";
  $cwlang["sounds"]["script7"] = "Are you sure to change content to ";
  $cwlang["sounds"]["script8"] = "and text to";
  $cwlang["sounds"]["script9"] = "Unknown message";
  
  //*************************************
  //translation for the TOOL Section
  //*************************************
  $cwlang["tool"]["alertGood"] =   "The file has been saved"; 
  $cwlang["tool"]["alertBad"] =   "The file hasn't been saved"; 
  $cwlang["tool"]["title"] =   "Konfigurationsdateien bearbeiten";
  $cwlang["tool"]["sidebarTitle"] =   "Hohes RISIKO!";
  $cwlang["tool"]["sidebarDesc"] =   "<p>".
          "Legen Sie hier nur Hand an, wenn Sie wissen was Sie tun! ".
          "Unsachgem&auml;&szlig;er Gebrauch kann die Anlage funktionsunf&auml;hig machen. ".
          "</p>"; 

    //*************************************
  //translation for the RULES Section
  //*************************************
    $cwlang["rules"]["incoming"] = "Incoming Rules";
    $cwlang["rules"]["outgoing"] = "Outgoing Rules";
    $cwlang["rules"]["timesegments"] = "Time Segments";          
    
    //*************************************
  //translation for the INCOMING RULE Section
  //************************************* 
  $cwlang["rulein"]["title"] =   "Incoming calls Rules"; 
  $cwlang["rulein"]["new"] =   "New incoming rule set"; 
  $cwlang["rulein"]["sidebarTitle"] =   "Incoming Rule"; 
  $cwlang["rulein"]["sidebarDesc"] =   "This rules will be applied on incoming calls";
  $cwlang["rulein"]["rulesetTitle"] =  "Rule set";
  $cwlang["rulein"]["addrule"] =  "Add a new Rule";
  $cwlang["rulein"]["columTS"] =   "Time Segment";
  $cwlang["rulein"]["columCId"] =   "Caller Id";
  $cwlang["rulein"]["columTrunk"] =   "Trunk";
  $cwlang["rulein"]["columNum"] =   "Number";
  $cwlang["rulein"]["columMacro"] =   "Macro";
  $cwlang["rulein"]["columPar"] =   "Params";
  $cwlang["rulein"]["script1"] =  "Are you sure to delete"; 
  $cwlang["rulein"]["delSetYes"] =  "Ruleset deleted";
  $cwlang["rulein"]["delSetNo"] =  "Error: Ruleset not deleted";
  $cwlang["rulein"]["delRuleYes"] =  "Incoming Rule deleted";
  $cwlang["rulein"]["delRuleNo"] =  "Error: Incoming rule not deleted";
  $cwlang["rulein"]["movedYes"] =  "Incoming Rule Moved";
  $cwlang["rulein"]["movedNo"] =  "Error: Incoming rule not moved";
  $cwlang["rulein"]["return"] =  "Return without save";
  // ./edit
  $cwlang["rulein"]["createRulesetYes"] =  "Rule set created";
  $cwlang["rulein"]["createRulesetNo"] =  "Error: Rule set not created";
  $cwlang["rulein"]["editTitle"] =  "Incoming rule set";
  $cwlang["rulein"]["Name"] =  "Name";
  $cwlang["rulein"]["Description"] =  "Description";
  $cwlang["rulein"]["editSB"] =  "Edit the Rule Set";
  $cwlang["rulein"]["editSBdesc"] =  "";
  // ./edit-rule
  $cwlang["rulein"]["callerType1"] =  "all caller with no restriction on caller id ";
  $cwlang["rulein"]["callerType2"] =  "all caller that don't show caller id ";
  $cwlang["rulein"]["phonenumber"] =  "Phone number";
  $cwlang["rulein"]["callerType3"] =  " set the caller id ";
  $cwlang["rulein"]["callerType4yes"] =  "select a class of phonenumbers"; 
  $cwlang["rulein"]["callerType4no"] =  "no class of phonenumbers are defined";
  $cwlang["rulein"]["callerType5yes"] =  "select a group of class of phonenumbers";
  $cwlang["rulein"]["callerType5no"] =  "no group of class of phonenumbers defined";
  $cwlang["rulein"]["createRuleYes"] =  "Rule created";
  $cwlang["rulein"]["createRuleNo"] =  "Error: Rule not created";
  $cwlang["rulein"]["editruleTitle"] =  "Incoming rule";
  $cwlang["rulein"]["timesegment"] =  "Time segment";
  $cwlang["rulein"]["timesegmentDesc"] =  "set the time segment";
  $cwlang["rulein"]["callerid"] =  "Caller Id";
  $cwlang["rulein"]["calleridDesc"] =  "set the caller id";
  $cwlang["rulein"]["stop"] =  "Stop";
  $cwlang["rulein"]["stopDesc"] =  "Stop executing the next rule after this";
  $cwlang["rulein"]["action"] =  "Action to do";
  $cwlang["rulein"]["stopor"] = "Stop or";
  $cwlang["rulein"]["continue"] = "Continue";
  $cwlang["rulein"]["editruleSB"] =  "Edit the Rule";
  $cwlang["rulein"]["editruleSBdesc"] =  "";
    
    $cwlang["rulein"]["any"] = "Any";
    $cwlang["rulein"]["anonymous"] = "Anonymous";
    $cwlang["rulein"]["none"] = "None";
    $cwlang["rulein"]["phonenumberclass"] = "Phone Number Class";
    $cwlang["rulein"]["phonenumbergroup"] = "Phone Number Group";
    $cwlang["rulein"]["anytime"] = "Any time";
  
  //*************************************
  //translation for the OUTGOING RULE Section
  //************************************* 
  
  $cwlang["ruleout"]["title"] =   "Outgoing calls Rules"; 
  $cwlang["ruleout"]["new"] =   "New outgoing rule set"; 
  $cwlang["ruleout"]["sidebarTitle"] =   "Outgoing Rule"; 
  $cwlang["ruleout"]["sidebarDesc"] =   "This rules will be applied on outgoing calls";
  $cwlang["ruleout"]["columTS"] =   "Time Segment";
  $cwlang["ruleout"]["columDest"] =  "Destination";
  $cwlang["ruleout"]["columTrunk"] =   "Trunk";
  $cwlang["ruleout"]["columAction"] =   "Action";
  $cwlang["ruleout"]["columProv"] =   "Provider";
  $cwlang["ruleout"]["rulesetTitle"] =  "Rule set";
  $cwlang["ruleout"]["script1"] =  "Are you sure to delete";
  $cwlang["ruleout"]["addrule"] =  "Add a new Rule";
  $cwlang["ruleout"]["delSetYes"] =  "Ruleset deleted";
  $cwlang["ruleout"]["delSetNo"] =  "Error: Ruleset not deleted";
  $cwlang["ruleout"]["delRuleYes"] =  "Outgoing Rule deleted";
  $cwlang["ruleout"]["delRuleNo"] =  "Error: Outgoing rule not deleted";
  $cwlang["ruleout"]["movedYes"] =  "Outgoing Rule Moved";
  $cwlang["ruleout"]["movedNo"] =  "Error: Outgoing rule not moved";
  $cwlang["ruleout"]["return"] =  "Return without save";
  // ./edit
  $cwlang["ruleout"]["createRulesetYes"] =  "Rule set created";
  $cwlang["ruleout"]["createRulesetNo"] =  "Error: Rule set not created";
  $cwlang["ruleout"]["editTitle"] =  "Outgoing rule set";
  $cwlang["ruleout"]["Name"] =  "Name";
  $cwlang["ruleout"]["Description"] =  "Description";
  $cwlang["ruleout"]["editSB"] =  "Edit the Rule Set";
  $cwlang["ruleout"]["editSBdesc"] =  "";
  // ./edit-rule
  $cwlang["ruleout"]["createRuleYes"] =  "Rule created";
  $cwlang["ruleout"]["createRuleNo"] =  "Error: Rule not created";
  $cwlang["ruleout"]["editruleTitle"] =  "Outgoing rule";
  $cwlang["ruleout"]["timesegment"] =  "Time segment";
  $cwlang["ruleout"]["timesegmentDesc"] =  "set the time segment";
  $cwlang["ruleout"]["action"] =  "Action";
  $cwlang["ruleout"]["actionDesc"] =  "What do you want to do?";
  $cwlang["ruleout"]["trunk"] =  "Trunk";
  $cwlang["ruleout"]["trunkDesc"] =  "Choose which of the available trunk to be used in this rule";
  $cwlang["ruleout"]["resources"] =  "Available Resources";
  $cwlang["ruleout"]["editruleSB"] =  "Edit the Rule";
  $cwlang["ruleout"]["editruleSBdesc"] =  "";
  $cwlang["ruleout"]["allow"] =  "ALLOW";
  $cwlang["ruleout"]["deny"] =  "DENY";
  $cwlang["ruleout"]["add"] =       "  Add          >";
  $cwlang["ruleout"]["remove"] =    "<       Remove  ";
  $cwlang["ruleout"]["addAll"] =    "  Add All     >>";
  $cwlang["ruleout"]["removeAll"] = "<<   Remove All ";
  $cwlang["ruleout"]["script1"] =  "Rule must have a destination. Please select one";
    
    $cwlang["ruleout"]["allow"] = "ALLOW";
    $cwlang["ruleout"]["deny"] = "DENY";

  //*************************************
  //translation for the TIME SEGMENTS Section
  //*************************************
    $cwlang["timesegment"]["sidebarTitle"] = "Time Segments";
    $cwlang["timesegment"]["sidebarDesc"] = "Route calls differently based on time";
    $cwlang["timesegment"]["deleted"] = "Time Segment deleted";
    $cwlang["timesegment"]["notdeleted"] = "Time Segment not deleted";
    $cwlang["timesegment"]["confirmDel"] = "Are you sure you want to remove the Time Segment";
    $cwlang["timesegment"]["title"] = "Time Segments";
    $cwlang["timesegment"]["newtimesegment"] = "New Time Segment";
    
    //edit
  $cwlang["timesegment"]["alertGood"] = "The time segment has been saved";
  $cwlang["timesegment"]["alertBad"] = "The time segment hasn't been saved";
    $cwlang["timesegment"]["editTitle"] = "New/Edit Time Segment";
    $cwlang["timesegment"]["editSubTitle"] = "Time segment Definition";
    $cwlang["timesegment"]["editSubTitleDesc"] = "You can choose a time segment that adapt to your needs";
    $cwlang["timesegment"]["timesegInfo"] = "Time segment information";
    $cwlang["timesegment"]["timesegName"] = "Name";
    $cwlang["timesegment"]["timesegDate"] = "Date segment";
    $cwlang["timesegment"]["timesegFrom"] ="From";
    $cwlang["timesegment"]["timesegTo"] = "To";
    $cwlang["timesegment"]["timesegDateHelp"] = "Write the date between which this time segment is available. Leave blank for always.<br />Write i.e. 24-12-2006 14:00";
    $cwlang["timesegment"]["timesegHours"] = "Hours";
    $cwlang["timesegment"]["timesegHoursHelp"] = "Write the time, i.e. 9:00, or 23:52:30";
    $cwlang["timesegment"]["timesegWeekDays"] = "Week Days";
    $cwlang["timesegment"]["timesegDays"] = "Days";
    $cwlang["timesegment"]["timesegSu"] = "Su";
  $cwlang["timesegment"]["timesegMo"] = "Mo";
  $cwlang["timesegment"]["timesegTu"] = "Tu";
  $cwlang["timesegment"]["timesegWe"] = "We";
  $cwlang["timesegment"]["timesegTh"] = "Th";
  $cwlang["timesegment"]["timesegFr"] = "Fr";
  $cwlang["timesegment"]["timesegSa"] = "Sa";
    $cwlang["timesegment"]["timesegUnchecked"] = "Leave unchecked to select all days";
    $cwlang["timesegment"]["timesegMonthDays"] = "Month Days";
    $cwlang["timesegment"]["timesegMonths"] = "Months";
    $cwlang["timesegment"]["timesegUnchkMonths"] = "Leave unchecked to select all months";
    $cwlang["timesegment"]["timesegJan"] = "January"; 
    $cwlang["timesegment"]["timesegFeb"] = "February";
  $cwlang["timesegment"]["timesegMar"] = "March";
  $cwlang["timesegment"]["timesegApr"] = "April";
  $cwlang["timesegment"]["timesegMay"] = "May";
  $cwlang["timesegment"]["timesegJun"] = "June";
    $cwlang["timesegment"]["timesegJul"] = "July";
    $cwlang["timesegment"]["timesegAug"] = "August";
    $cwlang["timesegment"]["timesegSep"] = "September";
    $cwlang["timesegment"]["timesegOct"] = "October";
    $cwlang["timesegment"]["timesegNov"] = "November";
    $cwlang["timesegment"]["timesegDec"] = "December";
  //*************************************
  //translation for the LAN Section
  //*************************************
  $cwlang["lan"]["alertGood"] =   "Die Einstellungen wurden gespeichert";
  $cwlang["lan"]["alertBad"] =   "Die Einstellungen wurden nicht gespeichert";
  $cwlang["lan"]["title"] =   "Netzwerk Konfiguration";
  $cwlang["lan"]["titleDesc"] =   "Trage die richtigen Werte in das Formular ein.";
  $cwlang["lan"]["warning"] =   "Warnung: Es m&uuml;ssen ALLE Felder ausgef&uuml;llt werden! &Uuml;berpr&uuml;fe das set_lan.sh Skript vor dem speichern.";
  $cwlang["lan"]["sidebarTitle"] =   "Netzwerk-Konfiguration";
  $cwlang["lan"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>"; 

  //*************************************
  //translation for the IAX Section
  //*************************************
  $cwlang["iax"]["alertGood"] =   "Die Einstellungen wurden gespeichert";
  $cwlang["iax"]["alertBad"] =   "Die Einstellungen wurden nicht gespeichert";
  $cwlang["iax"]["title"] =   "IAX Optionen";
  $cwlang["iax"]["titleDesc"] =   "Tragen Sie die korrekten Werte in das Formular ein. Die gew&auml;hlten Optionen entsprechen den kommentierten Optionen.";
  $cwlang["iax"]["sidebarTitle"] =   "Was ist IAX";
  $cwlang["iax"]["sidebarDesc"] =   "<p>InterAsterisk eXchange (Abk. IAX) ist ein Protokoll, welches von der OpenSource-Telefonanlage Asterisk benutzt wird. Es dient dabei sowohl zur Verbindung zwischen einzelnen Asterisk-Servern als auch zur Kommunikation zu Endger&auml;ten, mit denen somit Voice over IP-Gespr&auml;che m&ouml;glich sind.</p>".
          "<p>IAX/IAX2 bietet im Gegensatz zu anderen verbreiteten VoIP-Protokollen wie H.323 oder SIP einige Vorteile bei der IP-Telefonie, da es &uuml;ber einen weniger aufw&auml;ndigen Aufbau des Protokolles verf&uuml;gt. Im Detail, es wird f&uuml;r den Signalisierungprozess und f&uuml;r die &Uuml;bertragung des Audiostream nur ein Port ben&ouml;tigt, welcher von seiten des Clients offen gehalten wird. Somit ergeben sich durch die Nutzung des IAX-Protokolls in der Regel keine NAT bzw. Firewall Probleme, wie es bei der Verwendung des SIP oder H.323 vorkommt.</p>".
          "<p>Durch den kleineren Overhead des IAX/IAX2-Protokolls im Vergleich zu SIP oder H.323, sind in Kombination mit einem Schmallbandcodec wie z.B. GSM, iLBC, G.729 selbst VoIP-Verbindungen &uuml;ber die ca. 38kBit Upload eines Analog-Modem m&ouml;glich.</p>";

  //*************************************
  //translation for the SIP Section
  //*************************************
  $cwlang["sip"]["alertGood"] =   "Die Einstellungen wurden gespeichert";
  $cwlang["sip"]["alertBad"] =   "Die Einstellungen wurden nicht gespeichert";
  $cwlang["sip"]["title"] =   "SIP Optionen";
  $cwlang["sip"]["titleDesc"] =   "Tragen Sie die korrekten Werte in das Formular ein. Die gew&auml;hlten Optionen entsprechen den kommentierten Optionen.";
  $cwlang["sip"]["sidebarTitle"] =   "Whas ist SIP";
  $cwlang["sip"]["sidebarDesc"] =   "<p>Zu den Vorteilen von SIP geh&ouml;rt, dass es sich hierbei um einen offenen Standard handelt, der mittlerweile sehr weite Verbreitung gefunden hat.</p>".
                                    "<p>SIP wurde speziell f&uuml;r das Internet entwickelt und ist stark am HTTP (Hypertext Transfer Protocol) angelehnt. Deshalb ist SIP sehr einfach umzusetzen und in Anwendungen und Ger&auml;te zu integrieren. Vorallem, weil die Informationen in Klartext &uuml;bertragen werden. Die Einfachheit von SIP stellt aber ein gro&szlig;es Sicherheitsproblem dar. So einfach und flexibel es aufgebaut ist, so leicht l&auml;&szlig;t es sich manipulieren.</p>";

  //*************************************
  //translation for the ISDN Section
  //*************************************
  $cwlang["isdn"]["alertDelGood"] =   "Die Karte wurde entfernt";
  $cwlang["isdn"]["alertDelBad"] =   "Die Karte wurde nicht entfernt";
  $cwlang["isdn"]["alertAddGood"] =   "Die Karte wurde installiert";
  $cwlang["isdn"]["alertAddBad"] =   "Die Karte wurde nicht installiert";
  $cwlang["isdn"]["alertSaveGood"] =   "Die Port-Konfiguration wurde erfolgreich durchgef&uuml;hrt";
  $cwlang["isdn"]["alertSaveBad"] =   "Es sind Fehler aufgetreten. Speichern wurde nicht ausgef&uuml;hrt";
  $cwlang["isdn"]["card"] =   "Karte";
  $cwlang["isdn"]["port"] =   "Port"; 
  $cwlang["isdn"]["title"] =   "ISDN Karte";
  $cwlang["isdn"]["save"] =   "Zuweisen";
  $cwlang["isdn"]["newCard"] =   "Eine Karte hinzuf&uuml;gen";
  $cwlang["isdn"]["newCardDesc"] =   "W&auml;hle eine Karte aus, die aktiviert werden soll";
  $cwlang["isdn"]["install"] =   "Installieren";
  $cwlang["isdn"]["installalert"] = "WARNING: this operation will turn off pbx service! Continue?";
  $cwlang["isdn"]["delalert"] = "WARNING: this operation will turn off pbx service! Are you sure to remove the card?";
  $cwlang["isdn"]["sidebarTitle"] =   "Karten installieren";
  $cwlang["isdn"]["sidebarDesc"] =   "<p>".
          "ISDN ist die Abk&uuml;rzung f&uuml;r \"Integrated Services Digital Network\", ein leistungsf&auml;higes digitales Telefonnetz, auch f&uuml;r den Datentransfer, der hier ohne  Modem auskommt, daf&uuml;r aber spezielle ISDN-Hardware (z.B. ISDN-Karte) erfordert. Bei einem ISDN-Basisanschluss gibt es 2 B-Kan&auml;le (2 nutzbaren Kan&auml;le/Leitungen). Je B-Kanal k&ouml;nnen unabh&auml;ngig voneinander &Uuml;bertragungsraten von 64 Kbps erreicht werden. Durch Kanalb&uuml;ndelung ist die Daten&uuml;bertragung mit 128 Kbps m&ouml;glich. Der Informationsaustausch (Steuersignale usw.) zwischen der Vermittlungsstelle und dem ISDN-Anschluss (Endger&auml;t, ...) wird beim ISDN-Basisanschluss &uuml;ber den D-Kanal gesteuert.".
          "</p>";
  //menu
  $cwlang["isdn"]["isdnCard"] =   "ISDN Karte";
  $cwlang["isdn"]["portGroup"] =   "Port-Gruppen";
  $cwlang["isdn"]["number"] =   "Nummern";
  $cwlang["isdn"]["isdnOption"] =   "ISDN-Einstellungen";
  $cwlang["isdn"]["groupOption"] =   "Gruppen-Einstellungen";
  //isdn group
  $cwlang["isdngrp"]["alertDelGood"] =   "Die Gruppe wurde gel&ouml;scht";
  $cwlang["isdngrp"]["alertDelBad"] =   "Die Gruppe wurde nicht gel&ouml;scht";
  $cwlang["isdngrp"]["title"] =   "Port-Gruppen";
  $cwlang["isdngrp"]["newGroup"] =   "Neue Gruppe";
  $cwlang["isdngrp"]["sidebarTitle"] =   "Gruppe der ISDN-Ports";
  $cwlang["isdngrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["isdngrp"]["alertModGood"] =   "Die Gruppe wurde modifiziert";
  $cwlang["isdngrp"]["alertModBad"] =   "Die Gruppe wurde nicht modifiziert";
  $cwlang["isdngrp"]["return"] =   "Zur&uuml;ck ohne zu speichern";
  $cwlang["isdngrp"]["titleDesc"] =   "Group of port general information"; 
  $cwlang["isdngrp"]["groupName"] =   "Gruppen-Name";
  $cwlang["isdngrp"]["enableOutcomingCall"] =   "Abgehende Anrufe erlauben";
  $cwlang["isdngrp"]["enableOutcomingCallHelp"] =   "Festlegen ob mit dieser Gruppe abgehende Gespr&auml;che get&auml;tigt werden k&ouml;nnen. M&ouml;gliche Kennziffern: ".
                              "<ul> ".
                              "  <li><strong>0</strong> zum abschalten von abgehenden Gespr&auml;chen</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> erlauben von abgehenden Gespr&auml;chen und festlegen der Priorit&auml;t (1 h&ouml;chste, 100 niedrigste)</li> ".
                              "</ul>"; 
  $cwlang["isdngrp"]["listeningNumber"] =   "Auf folgende Rufnummern reagieren (MSN)";
  $cwlang["isdngrp"]["listeningNumberHelp"] =   "Geben Sie hier die Rufnummern an, die von dieser Gruppe benutzt werden";
  $cwlang["isdngrp"]["phoneNumber"] =   "Rufnumer (MSN)";
  $cwlang["isdngrp"]["phoneNumberAdded"] =   "Rufnummer wurde hinzugef&uuml;gt";
  $cwlang["isdngrp"]["ports"] =   "Ports"; 
  $cwlang["isdngrp"]["portsDesc"] =   "W&auml;hle den Port der zu dieser Gruppe geh&ouml;rt";
  $cwlang["isdngrp"]["availablePorts"] =   "Verf&uuml;gbare Ports";
  $cwlang["isdngrp"]["groupPorts"] =   "Port hinzugef&uuml;gt";
  $cwlang["isdngrp"]["option"] =   "Optionen";
  $cwlang["isdngrp"]["show"] =   "Zeigen";
  $cwlang["isdngrp"]["hide"] =   "Ausblenden";
  $cwlang["isdngrp"]["optionDesc"] =   "Hier sehen Sie die Standard-Werte. Sie k&ouml;nnen diese Einstellungen ver&auml;ndern und somit das Verhalten der Gruppe anpassen.";
  //isdn option
  $cwlang["isdnOpt"]["alertModGood"] =   "Die Optionen wurden gespeichert";
  $cwlang["isdnOpt"]["alertModBad"] =   "Die Optionen wurden nicht gespeichert";
  $cwlang["isdnOpt"]["title"] =   "ISDN Optionen";
  $cwlang["isdnOpt"]["titleDesc"] =   "Tragen Sie die richtigen Werte in das Formular ein.";
  $cwlang["isdnOpt"]["sidebarTitle"] =   "Optionen";
  $cwlang["isdnOpt"]["sidebarDesc"] =   ""; 
  $cwlang["isdnOpt"]["isdnTitle"] =   "ISDN Optionen";
  $cwlang["isdnOpt"]["isdnTitleDesc"] =   "Tragen Sie die richtigen Werte in das Formular ein";
  $cwlang["isdnOpt"]["sidebarIsdnTitle"] =   "mISDN Optionen";
  $cwlang["isdnOpt"]["sidebarIsdnDesc"] =   ""; 
  //isdn number
  $cwlang["isdnNumb"]["alertDelGood"] =   "Die Rufnummer wurde gel&ouml;scht";
  $cwlang["isdnNumb"]["alertDelBad"] =   "Die Rufnummer wurde nicht gel&ouml;scht";
  $cwlang["isdnNumb"]["alertModGood"] =   "Die Konfiguration wurde erfolgreich gespeichert";
  $cwlang["isdnNumb"]["alertModBad"] =   "Die Konfiguration wurde NICHT gespeichert";
  $cwlang["isdnNumb"]["group"] =   "Gruppe";
  $cwlang["isdnNumb"]["title"] =   "Rufnummer";
  $cwlang["isdnNumb"]["save"] =   "Zuweisen";
  $cwlang["isdnNumb"]["sidebarTitle"] =   "Rufnummer";
  $cwlang["isdnNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the USER Section
  //*************************************
  $cwlang["user"]["alertDelGood"] =   "Der Benutzer wurde gel&ouml;scht";
  $cwlang["user"]["alertDelBad"] =   "Der Benutzer wurde nicht gel&ouml;scht";
  $cwlang["user"]["title"] =   "Benutzer";
  $cwlang["user"]["newUser"] =   "Neuer Benutzer";
  $cwlang["user"]["sidebarTitle"] =   "Die Benutzer";
  $cwlang["user"]["sidebarDesc"] =   "<p>".
       "     In diesem Abschnitt wird der Zugriff auf VoiceOne geregelt. Benutzer ".
       "     k&ouml;nnen hier neu angelegt, ver&auml;ndert oder gel&ouml;scht werden.  ".
       "   </p> ".
       "   <p> ".
       "     Es gibt drei verschiedene Arten von Benutzern: ".
       "     <ul> ".
       "       <li><img src=\"$relBasePath/public/img/user_standard.gif\" alt=\"Standard User\" align=\"left\"/> Der <strong>Standard-Benutzer</strong> hat nur Zugriff auf die Standard-Bedienung ".
       "       (Personal VoiceOne)</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_configurator.gif\" alt=\"Configurator User\" align=\"left\"/>Der <strong>Konfigurations-Benutzer</strong> hat Zugriff auf einige Bereiche ".
       "       der VoiceOne-Konfiguration</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_superuser.gif\" alt=\"Super User\" align=\"left\"/>Der <strong>Super User</strong>, hat uneingeschr&auml;nkte Administrationsrechte ".
       "       &uuml;ber VoiceOne/li> ".
       "     </ul> ".
       "   </p> ".
       "   <p> ".
       "     Jede Nebenstelle hat ein Standard-Benutzer Konto in VoiceOne. ".
       "     Es ist m&ouml;glich Benutzer anzulegen, die keiner Nebenstelle zugewiesen sind. ".
       "     In beiden F&auml;llen kann der Super-User den Benutzer-Typ &auml;ndern ".
       "     (Standard, Konfiguration, Super-User).  ".
       "   </p>"; 

  $cwlang["user"]["alertModGood"] =   "Der Benutzer wurde ge&auml;ndert";
  $cwlang["user"]["alertModBad"] =   "Der Benutzer wurde nicht ge&auml;ndert";
  $cwlang["user"]["modUser"] =   "Benutzer &auml;ndern";
  $cwlang["user"]["return"] =   "Zur&uuml;ck ohne zu speichern";
  $cwlang["user"]["desc"] =   "F&uuml;llen Sie die Anmelde-Daten aus. Sollte der Benutzer mit einer Nebenstelle verbunden sein, ist es nicht m&ouml;glich seine Zugangs-Daten zu &auml;ndern.";
  $cwlang["user"]["username"] =   "Benutzername ";
  $cwlang["user"]["password"] =   "Passwort";
  $cwlang["user"]["typeTitle"] =   "Typ";
  $cwlang["user"]["typeDesc"] =   "W&auml;hlen Sie den Benutzer-Typ aus, den Sie erstellen/&auml;ndern wollen";
  $cwlang["user"]["type"] =   "Typ";
  $cwlang["user"]["standard"] =   "Standard-Benutzer";
  $cwlang["user"]["configurator"] =   "Konfigurations-Benutzer";
  $cwlang["user"]["superuser"] =   "Super-User";
  $cwlang["user"]["language"] = "Language";
  $cwlang["user"]["changepwd"] = "Change password";
  $cwlang["user"]["newpassword"] = "New Password";
  $cwlang["user"]["confirmpassword"] = "Confirm";
  $cwlang["user"]["err1"] = "The new password and the confirmation password do not match";
  $cwlang["user"]["err2"] = "The new password cannot be null";
          
  //*************************************
  //translation for the I/O Section
  //*************************************
  $cwlang["io"]["title"] =   "Server-Verwaltung";
  $cwlang["io"]["pbx"] = "PBX";
  $cwlang["io"]["pbxdesc"] = "Starten/Stoppen der Anlage";
  $cwlang['io']['pbxstart'] = "M&ouml;chten Sie die PBX wirklich STARTEN?";
  $cwlang['io']['pbxstop'] = "M&ouml;chten Sie die PBX wirklich STOPPEN?";
  $cwlang["io"]["start"] = "Start";
  $cwlang["io"]["stop"] = "Stop";
  $cwlang["io"]["system"] = "System";
  $cwlang["io"]["systemdesc"] = "Rebooten oder Herunterfahren des Systemes";
  $cwlang['io']['systemreboot'] = "M&ouml;chten Sie den Server wirklich REBOOTEN?";
  $cwlang['io']['systemturnoff'] = "M&ouml;chten Sie den Server wirklich HERUNTERFAHREN?";
  $cwlang["io"]["reboot"] =   "Reboot"; 
  $cwlang["io"]["shutDown"] =   "Herunterfahren";
  $cwlang["io"]["sidebarTitle"] =   "Informationen:";
  $cwlang["io"]["sidebarDesc"] =   "<p>Dieses Interface erm&ouml;glicht Ihnen die Verwaltung des Servers, sowie der PBX. Der momentane Status der Systeme kann an der Ampel abgelesen werden:</p>";
  $cwlang["io"]["shutingDown"] =   "Fahre das System herunter...";
  $cwlang["io"]["rebooting"] =   "Starte nun das System neu...";
  $cwlang["io"]["starting"] = "Starte PBX...";
  $cwlang["io"]["stopping"] = "Stoppe PBX...";
  $cwlang["io"]["command"]= "Kommando";
  $cwlang["io"]["cli"] = "CLI (Command Line Interface)";
  $cwlang["io"]["clidesc"] = "Ausf&uuml;hren eines Kommandos";
  $cwlang["io"]["cliSidebarDesc"] = "<p>The Asterisk Command Line Interface (CLI) has many commands which you can run to diagnose and maintain your system. These commands can be used to show information about the current state of the system. The Asterisk CLI works very similar to many managed switches and routers CLI interfaces.</p>";

  //*************************************
  //translation for the SETUP Section
  //*************************************
  $cwlang["setup"]["installPermission"] =   "Bevor Sie weitermachen k&ouml;nnen, m&uuml;ssen Sie dieser Datei Ausf&uuml;hrungsrechte vergeben:";
  $cwlang["setup"]["title"] =   "VoiceOne Installation"; 
  $cwlang["setup"]["subTitle"] =   "Die Installation ";
  $cwlang["setup"]["firstStep"] =   "System-Setup (1/2)";
  $cwlang["setup"]["keyGeneration"] =   "Generieren der RSA-Schl&uuml;ssel?";
  $cwlang["setup"]["finished"]   = "Erledigt! Bitte entfernen Sie die Datei setup.php";
  $cwlang["setup"]["secondStep"] = "Account creation (2/2)";
  $cwlang["setup"]["username"]   = "Benutzername";
  $cwlang["setup"]["password"]   = "Passwort";
  $cwlang["setup"]["confirm"]    = "Best&auml;tigen ";
  $cwlang["setup"]["usrerror"]   = "Bitte \"Benutzername\" eingeben";
  $cwlang["setup"]["pwderror"]   = "Das Passwort stimmt nicht mit der Best&auml;tigung &uuml;berein";
  $cwlang["setup"]["pwdempty"]   = "Das Passwort darf nicht leer sein!";
  //****************************
  //translation for the plugin Section
  //****************************
  //Section - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["titleMain"] =   "Plugin Information";
  // use heredoc syntax to make life easier
  $cwlang["plugins"]["blockintroMain"] = <<<EOD
  <h1>Die folgenden Optionen sind &uuml;ber das Plugin-System verf&uuml;gbar</h1>
  <h2>Verwalten vorhandener Plugins:</h2>
  <ul>
    <li>Aktivieren / Deaktivieren eines Plugins</li>
    <li>L&ouml;schen eines Plugins</li>
    <li>Exportieren eines Plugins</li>
    <li>Importieren eines Plugins</li>
    <li>Informationen &uuml;ber ein Plugin</li>
  </ul>
  <h2>Ein neues Plugins erzeugen:</h2>
  <ul>
    <li>Neues Plugin erzeugen</li>
    <li>Neues Plugin anhand eines bestehenden erzeugen</li>
  </ul>
EOD;
  
  $cwlang["plugins"]["titleManage"] =  "Plugins verwalten";
  $cwlang["plugins"]["blockintroManage"] =  "Folgende Plugins sind verf&uuml;gbar. Sie k&ouml;nnen diese aktivieren, exportieren, l&ouml;schen oder deaktivieren.";
  $cwlang["plugins"]["titleCreate"] =  "Plugin erzeugen";
  // Sidebar - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["sidebarTitleMain"] =  "Information";
  $cwlang["plugins"]["sidebarTextMain"] =  <<<EOD
  <p>Plugins erm&ouml;glichen Ihnen den Funktionsumfang von VoiceOne zu erweitern.<p>
  <p>Ein Plugin ist eine Gruppe von VoiceOne-Objekten wie z.B. Anwendungen, Makros, Warteschlangen, usw..</p>
  <p>Einige Objekte sind abh&auml;ngig von anderen Objekten damit sie korrekt funktionieren. Z.B. ben&ouml;tigt die Audiorecorder-Anwendung das Makro Audiorecorder.</p>
  <p>Das Plugin-System erm&ouml;glicht Ihnen diese zu importieren, exportieren, sowie zu erstellen.<p>
  <h5>REPOSITORY</h5>
  <p><img src="$relBasePath/public/img/package_add.gif" /> <a href="http://www.voiceone.it/download/plugin/" target="_blank" >Besuchen Sie unsere Plugin-Liste</a>.</p>
EOD;
  $cwlang["plugins"]["sidebarTitleManage"] =  "Information";
  $cwlang["plugins"]["sidebarTextManage"] =  <<<EOD
  <h2>Folgende Optionen sind verf&uuml;gbar:<h2>
  <ul>
    <li>Aktivieren / Deaktivieren eines Plugins</li>
    <li>L&ouml;schen eines Plugins</li>
    <li>Exportieren eines Plugins</li>
    <li>Importieren eins Plugin via Upload</li>
    <li>Informationen &uuml;ber ein Plugin</li>
    <li>Informationen &uuml;ber den Inhalt eins Plugin anzeigen</li>
  </ul>
  <h1>Bemerkung:</h1>
  <p>Vergessen Sie nicht die Kurzwahlen anzupassen, wenn sie Anwendungen,.. importieren</p>
EOD;
  $cwlang["plugins"]["sidebarTitleCreate"] =  "Information";
  $cwlang["plugins"]["sidebarTextCreate"] =  "Put in common information about the plugin on the first page. Select all objects that should be part of the new plugin on the second page.";
  
  // Tableheadings for section Manage
  $cwlang["plugins"]["headingAction"]        = "Aktion";
  $cwlang["plugins"]["headingName"]          = "Name";
  $cwlang["plugins"]["headingVersion"]       = "Version";
  $cwlang["plugins"]["headingAuthor"]        = "Autor";
  $cwlang["plugins"]["headingDescription"]   = "Beschreibung";
  $cwlang["plugins"]["headingState"]         = "Status";
  // Messages
  $cwlang["plugins"]["pluginUploaded"]       = "Plugin erfolgreich &uuml;bertragen";
  $cwlang["plugins"]["pluginNotUploaded"]    = "Plugin wurde nicht &uuml;bertragen";
  $cwlang["plugins"]["pluginDeleted"]        = "Plugin erfolgreich gel&ouml;scht";
  $cwlang["plugins"]["pluginNotDeleted"]     = "Plugin wurde nicht gel&ouml;scht";
  
  // these section is not used 
  $cwlang["plugins"]["pluginInstalled"]      = "Plugin erfolgreich installiert";
  $cwlang["plugins"]["pluginNotInstalled"]   = "Plugin wurde nicht installiert";
  $cwlang["plugins"]["pluginUpgraded"]       = "Plugin wurde aktualisiert";
  $cwlang["plugins"]["pluginNotUpgraded"]    = "Plugin wurde nicht aktualisiert";
  
  $cwlang["plugins"]["pluginActivated"]      = "Plugin wurde erfolgreich aktiviert";
  $cwlang["plugins"]["pluginNotActivated"]   = "Plugin wurde nicht aktiviert";
  $cwlang["plugins"]["pluginDeactivated"]    = "Plugin wurde erfolgreich deaktiviert";
  $cwlang["plugins"]["pluginNotDeactivated"] = "Plugin wurde nicht deaktiviert";
  
  $cwlang["plugins"]["selectOptionfromLists"] =   "Bitte w&auml;hlen Sie eine Option aus folgender Liste";
  // Menu sidebar
  $cwlang["plugins"]["importPlugin"] =   "Importieren eines Plugin";
  $cwlang["plugins"]["exportPlugin"] =   "Exportieren eines Plugin";
  // Options
  $cwlang["plugins"]["pluginBaseEmpty"] =   "-Mit einer leeren Vorlage beginnen-";


  //*************************************
  //translation for the Application - Audiorecorder Section
  //*************************************
  $cwlang["audiorecorder"]["selectAudiofile"] = "W&auml;hlen Sie ein Audio Aufnahme";
  $cwlang["audiorecorder"]["recordAudiofile"] = "oder erstellen Sie jetzt eine neue Aufnahme";
  $cwlang["audiorecorder"]["promptFilename"] = "Bitte Dateinamen eingeben:";
  $cwlang["audiorecorder"]["cannotDeleteAudiofile"] = "Audioaufnahme kann  nicht entfernt werden";
  $cwlang["audiorecorder"]["audiofileUsedInIVR"] = "Audioaufnahme wird in einer IVR verwendet";
  $cwlang["audiorecorder"]["genericError"] = "Bei der Benutzung des Audiorecorders ist ein Fehler aufgetreten";

  //*************************************
  //translation for the Zatapa Section
  //*************************************
  $cwlang["zapata"]["alertDelGood"] =   "The card has been removed"; 
  $cwlang["zapata"]["alertDelBad"] =   "The card hasn't been removed"; 
  $cwlang["zapata"]["alertAddGood"] =   "The card has been installed"; 
  $cwlang["zapata"]["alertAddBad"] =   "The card hasn't been installed"; 
  $cwlang["zapata"]["alertSaveGood"] =   "The port configuration has been correctly performed"; 
  $cwlang["zapata"]["alertSaveBad"] =   "The saving hasn't been performed, due to errors"; 
  $cwlang["zapata"]["card"] =   "Card"; 
  $cwlang["zapata"]["port"] =   "Port"; 
  $cwlang["zapata"]["title"] =   "Zapata Interface Card"; 
  $cwlang["zapata"]["save"] =   "Renew"; 
  $cwlang["zapata"]["newCard"] =   "Add a Card"; 
  $cwlang["zapata"]["newCardDesc"] =   "Choose a card to activate"; 
  $cwlang["zapata"]["install"] =   "Install Card"; 
  $cwlang["zapata"]["installalert"] = "WARNING: this operation will turn off PBX service! Continue?";
  $cwlang["zapata"]["delalert"] = "WARNING: this operation will turn off PBX service! Are you sure to remove the card?";
  $cwlang["zapata"]["sidebarTitle"] =   "Installed Zapata card"; 
  $cwlang["zapata"]["sidebarDesc"] =   "<p>".
          "<b>Span Card Configuration:</b><br>\n".
          "<br>\n" . 
          "<b>Warning:</b> Before doing any<br>\n" . 
          "span configuration, check the <br>\n" . 
          "E1/T1 jumpers on the cards !<br>\n" . 
          "<br>\n" . 
          "<b>Type:</b><br>\n" .
          "Set E1/T1 according to jumpers<br>\n" . 
          "<b>Protocol:</b><br>\n" .
          "Set PRI for pri lines<br>\n" . 
          "Set E&M for e&m lines<br>\n" . 
          "Set FX? for channel banks<br>\n" . 
          "Empty = unconfigured<br>\n" . 
          "<b>Timing:</b><br>\n" .
          "'0' master, internal clocking<br>\n" .
          "'1' slave, primary sync source<br>\n" . 
          "'2' slave, secondary sync source<br>\n" .
          "'3' slave, tertiary sync source<br>\n" .
          "<b>LBO:</b>&nbsp;Line Build Out<br>\n" .
          "0:0db (CSU), 0-133 feet (DSX-1)<br>\n" .
          "1:133-226 feet (DSX-1)<br>\n" .
          "2:266-399 feet (DSX-1)<br>\n" .
          "3:399-533 feet (DSX-1)<br>\n" .
          "4:533-655 feet (DSX-1)<br>\n" .
          "5:-7.5db (CSU)<br>\n" .
          "6:-15db (CSU)<br>\n" .
          "7:-22.5db (CSU)<br>\n" .
          "<b>Framing, Coding, CRC4, Yellow:</b><br>\n" .
          "Match partner system setup<br>\n" .
          "<br>\n" . 
          "<b>FXO,FXS Card Configuration:</b><br>\n".
          "<b>Type:</b><br>\n" .
          "Set FXO,FXS according to Modules<br>\n" . 
          "Empty = no module installed<br>\n" . 
          "<b>Protocol:</b><br>\n" .
          "fxsks: Kewlstart<br>\n" .
          "fxsls: Loopstart<br>\n" .
          "fxsgs: Groundstart<br>\n" .
          "fxoks: Kewlstart<br>\n" .
          "fxols: Loopstart<br>\n" .
          "fxogs: Groundstart<br>\n" .
          "Empty: Not configured<br>\n" . 
          "</p>";
  //menu
  $cwlang["zapata"]["zapataCard"] =   "Zapata Card"; 
  $cwlang["zapata"]["portGroup"] =   "Group of ports"; 
  $cwlang["zapata"]["number"] =   "Numbers"; 
  $cwlang["zapata"]["zapataOption"] =   "Group Options"; 

  //zapata group
  $cwlang["zapatagrp"]["alertDelGood"] =   "The group has been deleted"; 
  $cwlang["zapatagrp"]["alertDelBad"] =   "The group hasn't been deleted"; 
  $cwlang["zapatagrp"]["title"] =   "Group of ports"; 
  $cwlang["zapatagrp"]["newGroup"] =   "New group"; 
  $cwlang["zapatagrp"]["sidebarTitle"] =   "The group of Zapata ports"; 
  $cwlang["zapatagrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["zapatagrp"]["alertModGood"] =   "The group has been modified"; 
  $cwlang["zapatagrp"]["alertModBad"] =   "The group hasn't been modified"; 
  $cwlang["zapatagrp"]["return"] =   "Return without save"; 
  $cwlang["zapatagrp"]["titleDesc"] =   "Group of port general information"; 
  $cwlang["zapatagrp"]["groupName"] =   "Group name"; 
  $cwlang["zapatagrp"]["enableOutcomingCall"] =   "Enable outgoing calls"; 
  $cwlang["zapatagrp"]["enableOutcomingCallHelp"] =   "Specify if the group can perform outgoing calls. You can digit: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> to disable the outgoing calls</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> to enable the outgoing calls and specify the priority (1 the highest, 100 the lowest)</li> ".
                              "</ul>"; 
  $cwlang["zapatagrp"]["listeningNumber"] =   "Listening phone numbers"; 
  $cwlang["zapatagrp"]["listeningNumberHelp"] =   "Write the phone numbers that this group can manage"; 
  $cwlang["zapatagrp"]["phoneNumber"] =   "Phone number"; 
  $cwlang["zapatagrp"]["phoneNumberAdded"] =   "Added phone number"; 
  $cwlang["zapatagrp"]["ports"] =   "Ports"; 
  $cwlang["zapatagrp"]["portsDesc"] =   "Choose the ports that belongs to this group"; 
  $cwlang["zapatagrp"]["availablePorts"] =   "Available ports"; 
  $cwlang["zapatagrp"]["groupPorts"] =   "Ports added"; 
  $cwlang["zapatagrp"]["option"] =   "Options"; 
  $cwlang["zapatagrp"]["show"] =   "Show"; 
  $cwlang["zapatagrp"]["hide"] =   "Hide"; 
  $cwlang["zapatagrp"]["optionDesc"] =   "You can view the default values. You can modify the option values and customize the group behavior."; 
  //zapata option
  $cwlang["zapataOpt"]["alertModGood"] =   "The options has been saved"; 
  $cwlang["zapataOpt"]["alertModBad"] =   "The options hasn't been saved"; 
  $cwlang["zapataOpt"]["title"] =   "Zapata Option"; 
  $cwlang["zapataOpt"]["titleDesc"] =   "Set the right values in the below form."; 
  $cwlang["zapataOpt"]["sidebarTitle"] =   "Options"; 
  $cwlang["zapataOpt"]["sidebarDesc"] =   ""; 
  $cwlang["zapataOpt"]["zapataTitle"] =   "Zapata Options"; 
  $cwlang["zapataOpt"]["zapataTitleDesc"] =   "Set the right values in the below form"; 
  $cwlang["zapataOpt"]["sidebarIsdnTitle"] =   "Zapata Options"; 
  $cwlang["zapataOpt"]["sidebarIsdnDesc"] =   ""; 
  //zapata number
  $cwlang["zapataNumb"]["alertDelGood"] =   "The number has been deleted"; 
  $cwlang["zapataNumb"]["alertDelBad"] =   "The number hasn't been deleted"; 
  $cwlang["zapataNumb"]["alertModGood"] =   "The configuration has been successfully saved"; 
  $cwlang["zapataNumb"]["alertModBad"] =   "The configuration hasn't been saved"; 
  $cwlang["zapataNumb"]["group"] =   "Group"; 
  $cwlang["zapataNumb"]["title"] =   "Phone Number"; 
  $cwlang["zapataNumb"]["save"] =   "Apply"; 
  $cwlang["zapataNumb"]["sidebarTitle"] =   "Phone Number"; 
  $cwlang["zapataNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the MEETME Section
  //*************************************
  $cwlang["meetme"]["title"]            = "Konferenz-R&auml;ume (Meetme)";
  $cwlang["meetme"]["return"]           = "Zur&uuml;ck ohne zu speichern";
  $cwlang["meetme"]["newMeetme"]        = "Neuen Konferenz-Raum anlegen";
  $cwlang["meetme"]["modifyMeetme"]     = "Bearbeiten des Konferenz-Raumes : ";  //it will append the confno
  $cwlang["meetme"]["titleSidebar"]     = "Meetme Konferenz-R&auml;ume";
  $cwlang["meetme"]["textSidebar"]      = "<p>Es ist m&ouml;glich Konferenz-R&auml;ume mit einer PIN-Nummer zu versehen.</p>";
  $cwlang["meetme"]["alertDelGood"]     = "Der Konferenz-Raum wurde gel&ouml;scht";
  $cwlang["meetme"]["alertDelBad"]      = "Der Konferenz-Raum wurde nicht gel&ouml;scht";
  $cwlang["meetme"]["alertModGood"]     = "Der Konferenz-Raum wurde modifiziert";
  $cwlang["meetme"]["alertModBad"]      = "Der Konferenz-Raum wurde nicht modifiziert";
  $cwlang["meetme"]["titleForm"]        = "Meetme Konferenz-Raum";
  $cwlang["meetme"]["textForm"]         = "Einstellungen der Konferenz-Optionen:";
  $cwlang["meetme"]["confno"]           = "Raum-Nr.";
  $cwlang["meetme"]["confnoExample"]    = "Pflichtfeld. Kann nur Ziffern enthalten (z.B. 8000)";
  $cwlang["meetme"]["pin"]              = "User-PIN";
  $cwlang["meetme"]["pinExample"]       = "Optionales Feld. Kann nur Ziffern enthalten (z.B. 1234)";
  $cwlang["meetme"]["adminpin"]         = "Admin-PIN";
  $cwlang["meetme"]["adminpinExample"]  = "Optionales Feld. Kann nur Ziffern enthalten (z.B. 8818)";
  $cwlang["meetme"]["sidebarEditTitle"] = "Hinzuf&uuml;gen oder bearbeiten eines Konferenz-Raumes";
  $cwlang["meetme"]["sidebarEditText"]  = "<p>Es ist m&ouml;glich Konferenz-R&auml;ume mit einer PIN-Nummer zu versehen.</p>";
  $cwlang["meetme"]["confirmDel"]       = "Sind Sie wirklich sicher, dass Sie diesen Konferenz-Raum l&ouml;schen m&ouml;chten?";

?>