<?
/**
 * VoiceOne Language File english
 *
 * @package voiceone
 * @subpackage  language
 */
 
  global $cwlang, $relBasePath;
  
  //****************************
  // GENERIC translation   
  //****************************
  $cwlang["generic"]["working"]="Adding in progress...";
  $cwlang["generic"]["deleting"]="Deleting in progress...";
  $cwlang["generic"]["loading"]="Loading in progress...";
  
  //****************************
  //translation for the template
  //****************************
  $cwlang["template"]["loginTitle"]="Authentication";
  $cwlang["template"]["loginInfo"]="Informations";
  $cwlang["template"]["loginDescription"]="To login in the VoiceOne Control Panel, you must enter your username and password";
  $cwlang["template"]["loginRememberMe"]="Remember me";
  $cwlang["template"]["loginTerms"]="Terms of Use";
  $cwlang["template"]["persWelcome"]="Welcome";
  $cwlang["template"]["persLogOff"]="Logoff";
  $cwlang["template"]["confReturnToPersonal"]="Back to VoiceOne Personal";
  
  //****************************
  //translation for the Menu
  //****************************
  //settings
  $cwlang["menu"]["overview"] =     "OverView";
  $cwlang["menu"]["extension"] =    "Extensions";
  $cwlang["menu"]["rules"] =        "Rules";
  $cwlang["menu"]["queue"] =        "Queues";
  $cwlang["menu"]["office"] =       "Offices";
  $cwlang["menu"]["provider"] =     "Providers";
  $cwlang["menu"]["group"] =        "Groups";
  $cwlang["menu"]["ivr"] =          "IVR";
  $cwlang["menu"]["system"] =       "System";
  $cwlang["menu"]["user"] =         "Users";
  $cwlang["menu"]["isdn"] =         "ISDN";
  $cwlang["menu"]["sip"] =          "SIP";
  $cwlang["menu"]["iax"] =          "IAX";
  $cwlang["menu"]["editor"] =       "Editor";
  $cwlang["menu"]["zapata"] =       "Zapata";
  $cwlang["menu"]["meetme"] =       "Conference";
  $cwlang["menu"]["moh"] =          "MOH";
  $cwlang["menu"]["sounds"] =       "Sounds";
  $cwlang["menu"]["applications"] = "Applications";
  $cwlang["menu"]["tech"] =         "Technologies";
  $cwlang["menu"]["plugin"] =       "Plugin";
  $cwlang["menu"]["trunk"] =        "Lines";
  //personal
  $cwlang["menu"]["phonebook"] =    "PhoneBook";
  $cwlang["menu"]["phone"] =        "Phone";
  $cwlang["menu"]["history"] =      "Call Detail Report";
  $cwlang["menu"]["voicemail"] =    "VoiceMail";
  $cwlang["menu"]["configurator"] = "Configuration";
  $cwlang["menu"]["account"] =      "Account";

  //****************************************************************************
  //***********************       VOICEONE PERSONAL         ********************
  //****************************************************************************

  //****************************
  //translation for the PhoneBook Section
  //****************************
  $cwlang["phonebook"]["title"] =   "Contacts";
  $cwlang["phonebook"]["name"] =   "Name";
  $cwlang["phonebook"]["status"] =   "Status";
  $cwlang["phonebook"]["personal"] =   "Personal Phonebook";
  $cwlang["phonebook"]["description"] =   "List of the registered users and their current status";
  $cwlang["phonebook"]["information"] =   "Informations";
  $cwlang["phonebook"]["sidebarText"] =   "On the left you find all the users that can use the pbx."
                                         ."For each item, you can see the status of the extension. The possible status are: "
                                         ."<ul><li><img src=\"admin/public/img/online.gif\" /> <strong>Online</strong>: The user is currently connected</li>"
                                         ."<li><img src=\"admin/public/img/offline.gif\" /> <strong>Offline</strong>: The user is offline</li>"
                                         ."<li><img src=\"admin/public/img/unknown.gif\" /> <strong>Unknown</strong>: The status is unknonwn</li></ul>";
  
  //****************************
  //translation for the history call  Section
  //****************************
  $cwlang["calls"]["title"] =   "Calls Detail Report";
  $cwlang["calls"]["title2"] =   "This section is under development";
  $cwlang["calls"]["workinprogress"] =   "This section isn't <strong>active</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";
   
  //****************************
  //translation for the VoiceMail Section
  //****************************
  $cwlang["voicemail"]["title"] =   "VoiceMail";
  $cwlang["voicemail"]["settedOk"] = "Answer messages correctly setted";
  $cwlang["voicemail"]["settedErr"] = "Error setting answer messages";
  $cwlang["voicemail"]["deletedOk"] = "Correctly deleted";
  $cwlang["voicemail"]["deletedErr"] = "Wrongly deleted";
  $cwlang["voicemail"]["noSelected"] = "No message selected";
  $cwlang["voicemail"]["movedOk"] = "Correctly moved";
  $cwlang["voicemail"]["movedErr"] = "Wrongly moved";
  $cwlang["voicemail"]["noMessages"] = "No Messages";
  $cwlang["voicemail"]["sidebarTitle"] = "Answer Messages";
  $cwlang["voicemail"]["sidebarNote"] = "Select an audio file or record your personal answer message";
  $cwlang["voicemail"]["message"] = "Message";
  $cwlang["voicemail"]["unavailTitle"] = "Unavailable";
  $cwlang["voicemail"]["unavailNote"] = "Unavailable message will be played when your client application is off or unreachable.";
  $cwlang["voicemail"]["busyTitle"] = "Busy";
  $cwlang["voicemail"]["busyNote"] = "Busy message will be played when your client application is reachable but you can't accept the call.";
  $cwlang["voicemail"]["tempgreetingTitle"] = "Temporary Greeting";
  $cwlang["voicemail"]["tempgreetingNote"] = "If setted, Temporary Greeting message will be played in any case (override both busy and unvailable).";
  $cwlang["voicemail"]["yournameTitle"] = "Your Name";
  $cwlang["voicemail"]["yournameNote"] = "It replace the spelling message in Asterisk Directory Command.";
  $cwlang["voicemail"]["noPlay"] = "Unable to play message: server memory exhausted";
  
  //****************************
  //translation for the Call Transfers Section
  //****************************
  $cwlang["transfer"]["title"] =   "Call transfers";
  $cwlang["transfer"]["title2"] =   "This section is under development";
  $cwlang["transfer"]["workinprogress"] =   "This section isn't <strong>active</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";
   
  //****************************
  //translation for the Account Section
  //****************************
  $cwlang["account"]["title"] =   "Account";
  $cwlang["account"]["title2"] =   "This section is under development";
  $cwlang["account"]["workinprogress"] =   "This section isn't <strong>active</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";
   
  //****************************
  //translation for the Account Section
  //****************************
  
  $cwlang["account"]["title"] = "Account Infos";
  $cwlang["account"]["personalinfo"] = "Personal information"; 
  $cwlang["account"]["name"] = "Name"; 
  $cwlang["account"]["surname"] = "Surname"; 
  $cwlang["account"]["lang"] = "Language"; 
  $cwlang["account"]["authdata"] = "Account Information"; 
  $cwlang["account"]["exten"] = "Extension"; 
  $cwlang["account"]["alias"] = "Alias"; 
  $cwlang["account"]["username"] = "Username";
  $cwlang["account"]["password"] = "Password";
  $cwlang["account"]["newpassword"] = "New Password";
  $cwlang["account"]["confirmpassword"] = "Confirm";
  $cwlang["account"]["changepwd"] = "Change password";
  $cwlang["account"]["title2"] = "VoiceMail";
  $cwlang["account"]["title2text"] = "Insert here the voicemail informations";
  $cwlang["account"]["active"] = "Active";
  $cwlang["account"]["email"] = "Email"; 
  $cwlang["account"]["emailText"] = "the email where it will be sent the voicemail";
  $cwlang["account"]["passwordText"] = "the password to read the voicemail";
  $cwlang["account"]["newpasswordText"] = "set the new password (it must be numeric, i.e. <strong>2525</strong>)";
  $cwlang["account"]["confpasswordText"] = "retype the new password";
  $cwlang["account"]["DND"] = "DND (Do Not Disturb)";
  $cwlang["account"]["DNDtext"] = "Ignore any incoming calls";
  $cwlang["account"]["CF"] = "Call Forwarding";
  $cwlang["account"]["CFtext"] = "Route calls to some other destination";
  $cwlang["account"]["CFUtext"] = "(Call Forward Unconditional) calls are forwarded to number";
  $cwlang["account"]["CFBtext"] = "(Call forward on Busy) calls are forwarded to number";
  $cwlang["account"]["CFNRtext"] = "(Call forward on No Reply) calls are forwarded to number";
  $cwlang["account"]["username"] = "Username"; 
  $cwlang["account"]["user"] = "User"; 
  $cwlang["account"]["rootinfo"] = "Root information";
  $cwlang["account"]["sidebartitle"] = "Account Information"; 
  $cwlang["account"]["sidebardesc"] = "Here is the account informations you can change";
  $cwlang["account"]["saveOk"] = "Extension successfully saved!";
  $cwlang["account"]["saveErr"] = "Some errors occured during saving";
  $cwlang["account"]["script1"] = "Voicemail password must be numeric! Please change it.";
  $cwlang["account"]["err1"] = "The new password and the confirmation password do not match";
  $cwlang["account"]["err2"] = "The new password cannot be null";
  $cwlang["account"]["err3"] = "The new voiceomail password does not match with the confirmation password"; 
  $cwlang["account"]["err4"] = "The new voiceomail password cannot be null";
  $cwlang["account"]["err5"] = "Username and password do not match";
  $cwlang["account"]["err6"] = "Mailbox and password do not match";
  $cwlang["account"]["err7"] = "Email address cannot be null";
   
  //****************************
  //translation for the CustomizationSection
  //****************************
  $cwlang["customization"]["title"] =   "Customization";
  $cwlang["customization"]["title2"] =   "This section is under development";
  $cwlang["customization"]["workinprogress"] =   "This section isn't <strong>active</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";






  //****************************************************************************
  //***********************       VOICEONE CONFIGURATOR     ********************
  //****************************************************************************

  //*************************************
  //translation for the Overview Section
  //*************************************
  $cwlang["overview"]["title"] =   "VoiceOne Configurator - Overview"; 
  $cwlang["overview"]["publickey"] =   "Public key"; 
  $cwlang["overview"]["firststep"] =   "First steps"; 
  $cwlang["overview"]["firststepDesc"] =    
            "    The first steps to follow to a right pbx configuration are listed below:\n"
           ."    \n" 
           ."    <ul>\n" 
           ."      <li>1. Lan Configuration (attention: the save button causes the rebooting of the entire pc)</li>\n" 
           ."      <li>2. ISDN card configuration</li>\n" 
           ."      <li>3. Manage the extensions, queue, office</li>\n" 
           ."      <li>4. Right check</li>\n" 
           ."    </ul>\n" ;
  $cwlang["overview"]["configuration"] =   "System configuration";
  $cwlang["overview"]["configurationDesc"] =   "From this section, it is possible to configurate all the pbx parameters. Be carefull, otherwise you can misconfigurate the pbx settings";
   
  //*************************************
  //translation for the Extension Section
  //*************************************
  $cwlang["exten"]["title"] =   "Extensions"; 
  $cwlang["exten"]["newExten"] =   "New extension"; 
  $cwlang["exten"]["information"] =   "Informations";
  $cwlang["exten"]["confirmDel"] = "Are you sure you want to remove the extension";
  //edit
  $cwlang["exten"]["titleMod"] = "Modify extension";
  $cwlang["exten"]["titleNew"] = "New Extension";
  $cwlang["exten"]["return"] =   "Return without save"; 
  $cwlang["exten"]["personalinfo"] =   "Personal information"; 
  $cwlang["exten"]["name"] =   "Name"; 
  $cwlang["exten"]["surname"] =   "Surname"; 
  $cwlang["exten"]["email"] =   "Email"; 
  $cwlang["exten"]["authdata"] =   "Account Information"; 
  $cwlang["exten"]["exten"] =   "Extension"; 
  $cwlang["exten"]["language"] =   "Language";
  $cwlang["exten"]["username"] =   "Username";
  $cwlang["exten"]["password"] =   "Password"; 
  $cwlang["exten"]["confirm"] =   "Confirm";
  $cwlang["exten"]["alias"] =   "Alias"; 
  $cwlang["exten"]["advancedOption"] =   "Advanced Option"; 
  $cwlang["exten"]["advancedOptionDesc"] =   "If you check the below field, you'll see the advanced option"; 
  $cwlang["exten"]["advancedOptionYes"] =   "Yes, show me the advanced option panel"; 
  $cwlang["exten"]["protocol"] =   "Protocol"; 
  $cwlang["exten"]["host"] =   "Host"; 
  $cwlang["exten"]["dynip"] =   "Dynamic ip [default]"; 
  $cwlang["exten"]["hostname"] =   "Hostname"; 
  $cwlang["exten"]["ipmask"] =   "IP masc"; 
  $cwlang["exten"]["defaultip"] =   "Default IP"; 
  $cwlang["exten"]["defaultipDesc"] =   "Insert the IP address to be used when the other fails"; 
  $cwlang["exten"]["report"] =   "Report"; 
  $cwlang["exten"]["default"] =   "Default"; 
  $cwlang["exten"]["ommit"] =   "Ommit"; 
  $cwlang["exten"]["billing"] =   "Billing"; 
  $cwlang["exten"]["documentation"] =   "Documentation"; 
  $cwlang["exten"]["canReinvite"] =   "Can Reinvite?"; 
  $cwlang["exten"]["no"] =   "No"; 
  $cwlang["exten"]["yes"] =   "Yes"; 
  $cwlang["exten"]["canReinviteDesc"] =   "This checkbox permit you to bypass Asterisk and make a direct communication between clients"; 
  $cwlang["exten"]["dtmfMode"] =   "DTMF Mode"; 
  $cwlang["exten"]["dtmfModeDesc"] =   "Choose the DTML tones modality"; 
  $cwlang["exten"]["lang"] =   "Language"; 
  $cwlang["exten"]["langDesc"] =   "Define the client language. Blank for default"; 
  $cwlang["exten"]["nat"] =   "NAT"; 
  $cwlang["exten"]["yesNAT"] =   "Yes, the client is under NAT"; 
  $cwlang["exten"]["deniedIP"] =   "Denied IP"; 
  $cwlang["exten"]["deniedIPDesc"] =   "<strong>Syntax</strong>: Ip/Mask[,Ip/Mask[...]]"; 
  $cwlang["exten"]["allowedIP"] =   "Allowed IP"; 
  $cwlang["exten"]["allowedIPDesc"] =   "<strong>Syntax</strong>: Ip/Mask[,Ip/Mask[...]]"; 
  $cwlang["exten"]["qualify"] =   "Qualify"; 
  $cwlang["exten"]["qualifyDesc"] =   "This checkbox allow Asterisk to check the client registration"; 
  $cwlang["exten"]["codecs"] =   "Codecs"; 
  $cwlang["exten"]["codecsAdd"] =   "Add codec -->"; 
  
  $cwlang["exten"]["otherExten"] =   "Other Extensions"; 
  $cwlang["exten"]["otherExtenDesc"] =   "You can watch the other extension by click on them:"; 
  
  $cwlang["exten"]["loading"] = "loading";
  $cwlang["exten"]["pwdnull"] = "Account password cannot be null"; 
  $cwlang["exten"]["pwderr"] = "Account password and confirmation password do not match";
  
  $cwlang["exten"]["delSuccessfully"] = "Extension successfully deleted";
  $cwlang["exten"]["delFailed"] = "Delete failed";
  $cwlang["exten"]["editSuccessfully"] = "Extension successfully saved";
  $cwlang["exten"]["editFailed"] = "Edit failed";
  $cwlang["exten"]["cidPutCidBad"] = "Error posting cid options (Extension successfully saved)";
    
    $cwlang["exten"]["extNoNull"] = "User extension cannot be null";
    $cwlang["exten"]["extNumOnly"] = "User extension allow only numeric characters. Please change it";
    $cwlang["exten"]["extAlreadyExists"] = "User extension already exists. Please change it";
    $cwlang["exten"]["extAlphaNumOnly"] = "Account password allows only alphanumeric characters. Please change it";
    $cwlang["exten"]["aliasNoNull"] = "User Alias cannot be null";
    $cwlang["exten"]["aliasAlphaNumOnly"] = "User Alias allows only alphanumeric characters. Please change it";
    $cwlang["exten"]["aliasAlreadyExists"] = "User Alias already exist. Please change it";
    $cwlang["exten"]["aliasEqualToExt"] = "Alias cannot match user extension. Please change it";
    
    $cwlang["exten"]["vmPwdNoNull"] = "Voicemail password cannot be null";
    $cwlang["exten"]["vmPwdErr"] = "Voicemail password and confirmation password do not match";
    $cwlang["exten"]["vmPwdNumOnly"] = "Voicemail password allows only numeric characters. Please change it";

    $cwlang["exten"]["vmTitle"] = "VoiceMail";
    $cwlang["exten"]["vmDesc"] = "Insert here the voicemail information"; 
    $cwlang["exten"]["vmFlag"] = "Active";
    $cwlang["exten"]["vmEmailDesc"] = "Email address (leave blank for no notification)";
    $cwlang["exten"]["vmPwdDesc"] = "Set the password to hear voicemail";
    $cwlang["exten"]["vmConfirmDesc"] = "Confirm the password to hear voicemail";
    $cwlang["exten"]["vmAttachFlag"] = "Attach";
    $cwlang["exten"]["vmCIDFlag"] = "Say CID";
    $cwlang["exten"]["vmHideFlag"] = "Hide";
    $cwlang["exten"]["vmAttachDesc"] = "If enabled, the audio message will be sent as attachment to your email";
    $cwlang["exten"]["vmCIDDesc"] = "If enabled, the Caller ID will be included";
    $cwlang["exten"]["vmHideDesc"] = "If enabled, you will be hidden from the directory";
   
  $cwlang["exten"]["cidTitle"] = "Caller ID";
  $cwlang["exten"]["cidDesc"] = "Set CID on outgoing lines";
  $cwlang["exten"]["cidtrunk"] = "Line";
  $cwlang["exten"]["cidTrunkDesc"] = " add personal Caller ID for selected line";
  $cwlang["exten"]["cidclir"] = "CLIR";
  $cwlang["exten"]["cidnumber"] = "CID Number";
  $cwlang["exten"]["cidname"] = "CID Name";
  $cwlang["exten"]["cidforce"] = "Line Overwrite";
  $cwlang["exten"]["cidEmptyTable"] = "Caller ID is setted to default for all lines";
  
                         
  //*************************************
  //translation for the QUEUE Section
  //*************************************
  $cwlang["queue"]["title"] =   "Queue"; 
  $cwlang["queue"]["newQueue"] =   "New queue"; 
  $cwlang["queue"]["modifyQueue"] =   "Modify queue ";  //it will append the queue name 
  $cwlang["queue"]["titleSidebar"] =   "The Queues"; 
  $cwlang["queue"]["textSidebar"] =   "It is possible create extensions' queue, so the phone rings together on an incoming call"; 
  $cwlang["queue"]["alertDelGood"] =   "The queue has been deleted"; 
  $cwlang["queue"]["alertDelBad"] =   "The queue hasn't been deleted"; 
  $cwlang["queue"]["alertModGood"] =   "The queue has been modified"; 
  $cwlang["queue"]["alertModBad"] =   "The queue hasn't been modified"; 
  $cwlang["queue"]["titleForm"] =   "Queue"; 
  $cwlang["queue"]["textForm"] =   "Define the queue options and choose the extensions that belongs to this queue"; 
  $cwlang["queue"]["name"] =   "Name"; 
  $cwlang["queue"]["nameExample"] =   "I.e. administration, tech support,..."; 
  $cwlang["queue"]["members"] =   "Members"; 
  $cwlang["exten"]["emptyMemberList"] = "There are no members defined in the system.<br/>Please define almost one extension before creating a queue.";
  $cwlang["queue"]["nameNoNull"] = "Name cannot be null";
  $cwlang["queue"]["nameAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["queue"]["memberNoNull"] = "Queue's members cannot be null. Please select almost one member";
  $cwlang["queue"]["sidebarTitle"] = "";
  $cwlang["queue"]["sidebarDesc"] = "";
  $cwlang["queue"]["sidebarEditTitle"] =   "Add a queue"; 
  $cwlang["queue"]["sidebarEditText"] =   "<p>It is possible create extensions' queue, so the phone rings together on an incoming call</p>";
  $cwlang["queue"]["confirmDel"] = "Are you sure you want to remove the queue";
  //agents
  $cwlang["queue"]["agentTitle"] = "Agent";
  $cwlang["queue"]["agentSidebarTitle"] = "";
  $cwlang["queue"]["agentSidebarDesc"] = "";
  $cwlang["queue"]["logoffTitle"] = "Log Off";
  $cwlang["queue"]["agentConfirmLogoff"] = "Are you sure you want to log off agent";
  $cwlang["queue"]["agentLogoffGood"] = "The Agent has been logged off";
  $cwlang["queue"]["agentLogoffBad"] = "The Agent hasn't been logged off";
  //options
  $cwlang["queue"]["optionTitle"] = "Queue Options";
  $cwlang["queue"]["optionSubtitle"] = "Options";
  $cwlang["queue"]["choosecat"] = "Choose category";
  $cwlang["queue"]["queuegeneral"] = "Queue General";
  $cwlang["queue"]["agentsgeneral"] = "Agents General";
  $cwlang["queue"]["agentsadv"] = "Agents Advanced";
  $cwlang["queue"]["optionSidebarTitle"] = "";
  $cwlang["queue"]["optionSidebarDesc"] = "";
    
  
  //**************************************************************************
  //translation for the PROVIDER Section (valid also for Office section)
  //**************************************************************************
  $cwlang["provider"]["title"] =   "Provider"; 
  $cwlang["provider"]["newProvider"] =   "New provider"; 
  $cwlang["provider"]["alertEditGood"] =   "Provider has been successfully edited"; 
  $cwlang["provider"]["alertEditBad"] =   "Provider has NOT been edited"; 
  $cwlang["provider"]["alertDelGood"] =   "Provider has been successfully deleted"; 
  $cwlang["provider"]["alertDelBad"] =   "Provider has NOT been deleted"; 
  $cwlang["provider"]["alertDelProvider"] = "Are you sure to remove the provider";
  $cwlang["provider"]["alertDelAccount"] = "Are you sure to remove the account";
  $cwlang["provider"]["alertDelAllAccount"] = "include some account. Are you sure to remove all related account";
  $cwlang["provider"]["sidebarTitle"] =   "Information"; 
  $cwlang["provider"]["sidebarText"] =   "<p>Resources are provider used to make calls.</p>".
                                          "          <p>There are two types of providers:".
                                          "            <ol>".
                                          "              <li>VoIP providers</li>".
                                          "              <li>TelCo providers</li>".
                                          "            </ol>".
                                          "          </p>";  
  $cwlang["provider"]["modTitle"] =   "Edit provider ";  
  $cwlang["provider"]["newTitle"] =   "New Voip provider"; 
  $cwlang["provider"]["modAccTitle"] = "Edit account "; 
  $cwlang["provider"]["newAccTitle"] = "New account "; 
  $cwlang["provider"]["return"] =   "Back without saving"; 
  $cwlang["provider"]["accsetTitle"] = "Settings";
  $cwlang["provider"]["accsetTitleDesc"] = "Account general settings";
  $cwlang["provider"]["officesetTitle"] = "Settings";
  $cwlang["provider"]["officesetTitleDesc"] = "Office general settings";
  $cwlang["provider"]["name"] =   "Name"; 
  $cwlang["provider"]["nameHelp"] =  "Enter a name for this provider, p.e. FreeWorldDialup."; 
  $cwlang["provider"]["offNameHelp"] = "Enter a name for this office, p.e. FarawayOffice.";
  $cwlang["provider"]["accName"] = "Name"; 
  $cwlang["provider"]["accNameHelp"] = "";
  $cwlang["provider"]["accProvider"] = "Provider";
  $cwlang["provider"]["accProviderHelp"] = "";
  $cwlang["provider"]["username"] =   "Username"; 
  $cwlang["provider"]["usernameHelp"] = "";
  $cwlang["provider"]["password"] =   "Password";
  $cwlang["provider"]["passwordHelp"] = "";
  $cwlang["provider"]["confirm"] = "Confirm";
  $cwlang["provider"]["confirmHelp"] = ""; 
  $cwlang["provider"]["authTitle"] = "Authentication";
  $cwlang["provider"]["authTitleDesc"] = "Account authentication information to connect to provider";
  $cwlang["provider"]["ipAddress"] =   "IP address"; 
  $cwlang["provider"]["port"] =   "Port"; 
  $cwlang["provider"]["tech"] = "Technology";
  $cwlang["provider"]["editSidebarTitle"] =   "Add a resource"; 
  $cwlang["provider"]["editSidebarDesc"] =   "<p>To add a <strong>resource</strong> you must select".
                          "          what type of provider it is.</p>".
                          "          <p>An <strong>ISDN provider</strong> is a traditional telco ".
                          "          operator, e.g. Telecom Italia or British Telecom.</p>".
                          "          <p>A <strong>SIP provider</strong> is a VoIP telco operator.</p>"; 
  $cwlang["provider"]["accountSidebarTitle"] = "Add an account";
  $cwlang["provider"]["accountSidebarDesc"] = "";
  $cwlang["provider"]["editTitle"] = "Provider Info";
  $cwlang["provider"]["editDesc"] = "Provider general information"; 
  $cwlang["provider"]["officeInfoTitle"] = "Office Info";
  $cwlang["provider"]["officeInfoTitleDesc"] = "Office general information"; 
  $cwlang["provider"]["register"] = "Register";
  $cwlang["provider"]["allowIncoming"] = " allow incoming call";
  $cwlang["provider"]["SpeedDial"] =  "Speed Dial";
  $cwlang["provider"]["contactExt"] = "Contact Exten";
  $cwlang["provider"]["contactExtHelp"] = "used by remote server (leave blank for default: \"<strong>s</strong>\")";
  $cwlang["provider"]["speedHelp"] =   "Direct selection (e.g. <strong>99</strong> or <strong>3</strong>), leave empty for autoassign";
  $cwlang["provider"]["helpIP"] = "Insert the IP address or the hostname";
  $cwlang["provider"]["helpPort"] = "Server port, leave empty for default";
  $cwlang["provider"]["helpTech"] = "Choose Voip Technology";
  $cwlang["provider"]["phoneNumber"] = "Phone number";
  $cwlang["provider"]["phoneNumberDesc"] = "Digit the numbers to listen (i.e. <strong>123456</strong>)<br/>or a range of numbers as (<strong>123456-123459</strong>)";
  $cwlang["provider"]["phoneNumberAdded"] = "Phone numbers added"; 
  $cwlang["provider"]["DID"] = "DID";
  $cwlang["provider"]["addButtonHelp"] = "Add";
  $cwlang["provider"]["editButton"] = "Edit";
  $cwlang["provider"]["editButtonHelp"] = "Edit";
  $cwlang["provider"]["delButton"] = "X";
  $cwlang["provider"]["delButtonHelp"] = "Delete";
  $cwlang["provider"]["Prefix"] = "Prefix";
  $cwlang["provider"]["PrefixHelp"] = "Insert the carrier prefix, e.g. 1033 or 1099";   
  $cwlang["provider"]["nameNoNull"] = "Name cannot be null";
  $cwlang["provider"]["nameAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["provider"]["nameNoSpaces"] = "Name doesn't allow spaces. Please change it";
  $cwlang["provider"]["nameNoCharInit"] = "Name doesn't allow character ";
  $cwlang["provider"]["nameNoCharEnd"] = "Please change it";
  $cwlang["provider"]["hostNoNull"] = "Host cannot be null";
  $cwlang["provider"]["hostAlreadyExists"] = "Host already exists. Please change it";
  $cwlang["provider"]["portNumOnly"] = "Port allows only numeric characters. Please change it";
  $cwlang["provider"]["speedNumOnly"] = "Speed Dial allows only numeric characters. Please change it";
  $cwlang["provider"]["contactNoSpaces"] = "Contact extension doesn't allow spaces. Please change it";
  $cwlang["provider"]["pwdnull"] = "Password cannot be null";
  $cwlang["provider"]["pwderr"] = "Password and confirmation password do not match";
  $cwlang["provider"]["pwdNoSpaces"] = "Password doesn't allow spaces. Please change it";
  $cwlang["provider"]["usernull"] = "Username cannot be null";
  $cwlang["provider"]["usernameNoSpaces"] = "Username doesn't allow spaces. Please change it";
  $cwlang["provider"]["numberAlreadyDef"] = "Some phone numbers have been already defined in another account";
  $cwlang["provider"]["speedAlreadyDef"] = "Speed Dial already in use. Please change it";
  $cwlang["provider"]["numberNotEqCE"] = "Phone numbers list doesn't include Contact Extension";
  $cwlang["provider"]["invalidRange"] = "Port is not a valid range";
  //office_edit
  $cwlang["provider"]["modDeptTitle"] =   "Edit Office"; 
  $cwlang["provider"]["newDeptTitle"] =   "New Office"; 
  $cwlang["provider"]["authMethod"] = "Authentication";
  $cwlang["provider"]["authRemoteTitle"] =   "Remote Account"; 
  $cwlang["provider"]["authRemoteTitleOffice"] = "Account information to authenticate the local Office to the remote one";
  $cwlang["provider"]["authLocalTitle"] = "Local Account"; 
  $cwlang["provider"]["authLocalTitleOffice"] = "Account information to authenticate the remote Office to the local one";
  $cwlang["provider"]["authMethodPassword"] = "Plain Text";
  $cwlang["provider"]["authMethodRsa"] = "RSA Key";
  $cwlang["provider"]["Register"] = "Register";
  $cwlang["provider"]["RegisterHelp"] = "If your server has a dynamic IP, you need to send your registration";
  $cwlang["provider"]["rsaKey"] =   "RSA key"; 
  $cwlang['provider']['getKeyButton'] = "Get Key";
  $cwlang["provider"]["officeSidebarEditTitle"] =  "Info"; 
  $cwlang["provider"]["officeSidebarEditText"] =   "<p>An office is made by:</p><ol><li>general information</li><li>account info</li><li>phone numbers</li></ol><h2>How to add a new phone number</h2><p>Write the office phone number in the textbox and then press <b>+</b>.<br />            Select a number and then press <b>X</b> to delete it. <br /> To edit a number, double click it or select it and then press <b>edit</b>.<br /></p>";
  $cwlang["provider"]["labelNoNull"] = "Name cannot be null";
  $cwlang["provider"]["labelAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["provider"]["lusernameNoNull"] = "Local username cannot be null";
  $cwlang["provider"]["lusernameAlreadyExists"] = "Local username already exists. Please change it";
  $cwlang["provider"]["lusernameNoSpaces"] = "Local username doesn't allow spaces. Please change it";
  $cwlang["provider"]["lusernameNoCharInit"] = "Local username doesn't allow character ";
  $cwlang["provider"]["lusernameNoCharEnd"] = "Please change it";
  $cwlang["provider"]["rusernameNoNull"] = "Remote username cannot be null";
  $cwlang["provider"]["rusernameNoSpaces"] = "Remote username doesn't allow spaces. Please change it";
  $cwlang["provider"]["rusernameNoCharInit"] = "Remote username doesn't allow character ";
  $cwlang["provider"]["rusernameNoCharEnd"] = "Please change it";
  $cwlang["provider"]["rsakeynull"] = "RSA Key cannot be null";
  $cwlang["provider"]["rsaKeyConnectionErr"] = "Unable to connect to host";
  $cwlang["provider"]["alias"] =   "Alias"; 
  $cwlang["provider"]["aliasAdded"] =   "Alias added"; 
  $cwlang["provider"]["aliasDesc"] = "Digit the alias number (i.e. <strong>123456</strong>)<br/>or a range of alias numbers as (<strong>123456-123459</strong>)";
  $cwlang["provider"]["aliasAlreadyDef"] = "Some aliases are already in use by another entity";
  //office
  $cwlang["provider"]["alertOffDelGood"] =   "Office has been deleted successfully"; 
  $cwlang["provider"]["alertOffDelBad"] =   "Office has NOT been deleted"; 
  $cwlang["provider"]["alertDelDept"] = "Are you sure to remove the office"; 
  $cwlang["provider"]["officeTitle"] = "Offices";
  $cwlang["provider"]["newOffice"] =   "New Office"; 
  $cwlang["provider"]["sidebarOfficeTitle"] =   "Information"; 
  $cwlang["provider"]["sidebarOfficeText"] =   "All available offices to which your VoiceOne is connected"; 
  //menu
  $cwlang["provider"]["sidebarmenu1"] = "All Lines";
  $cwlang["provider"]["sidebarmenu2"] = "Providers";
  $cwlang["provider"]["sidebarmenu3"] = "Offices";
  $cwlang["provider"]["sidebarmenu4"] = "";
    
  //*************************************
  //translation for the PHONE NUMBER Section
  //*************************************
  $cwlang["numb"]["title"] =   "Dial Patterns"; 
  $cwlang["numb"]["alertDelGood"] =   "The Dial Pattern has been deleted"; 
  $cwlang["numb"]["alertDelBad"] =   "The Dial Pattern hasn't been deleted"; 
  $cwlang["numb"]["newPhoneNumber"] =   "New Dial Pattern"; 
  $cwlang["numb"]["sidebarTitle"] =   "Information"; 
  $cwlang["numb"]["sidebarDesc"] =   "<p>On the left you can find the office to which asterisk can communicate directly, via IAX</p>"; 
  $cwlang["numb"]["alertModGood"] =   "The Dial Pattern has been modified"; 
  $cwlang["numb"]["alertModBad"] =   "The Dial Pattern hasn't been modified"; 
  $cwlang["numb"]["return"] =   "Return without save"; 
  $cwlang["numb"]["numbersTitle"] =   "Dial Patterns"; 
  $cwlang["numb"]["numbersHelp"] =   "List below the dial patterns"; 
  $cwlang["numb"]["name"] =   "Dial pattern name"; 
  $cwlang["numb"]["nameHelp"] =   "I.e. toll-free, mobile phone, etc..."; 
  $cwlang["numb"]["addNumber"] =   "Dial Pattern"; 
  $cwlang["numb"]["listNumber"] =   "Added Dial Pattern"; 
  //$cwlang["numb"]["emergency"] =   "Emergency number"; 
  //$cwlang["numb"]["emergencyHelp"] =   "Choose YES to give the highest priority to this type of numbers"; 
  //$cwlang["numb"]["yes"] =   "Yes"; 
  //$cwlang["numb"]["no"] =   "No"; 
  $cwlang["numb"]["editSidebarTitle"] =   "Informations"; 
  $cwlang["numb"]["editSidebarDesc"] =   "<p>A phone number can be specified by a simple list of digit or by an regular expression.</p>".
                                  "          <p>These are some regular expression symbols:</p>".
                                  "          <ol>".
                                  "            <li>_ :start of a regular expression</li>".
                                  "            <li>N :indicate a number between 2 and 9</li>".
                                  "            <li>X :any digit</li>".
                                  "            <li>[xxx] :optional digit</li>".
                                  "          </ol>"; 

  $cwlang["numb"]["AlertDelPhoneNoClass"] = "Are you sure to remove the dial pattern";
  $cwlang["numb"]["titlemodify"] = "Modify Dial Pattern";
  $cwlang["numb"]["titlenew"] = "Edit new Dial Pattern";
  $cwlang["numb"]["nameNoNull"] = "Name cannot be null";
  $cwlang["numb"]["nameAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["numb"]["numbersNoEmpty"] = "Dial pattern must have almost one pattern";
  $cwlang["numb"]["numbersNoNull"] = "Dial pattern cannot contain empty pattern";

  //*************************************
  //translation for the GROUP Section
  //*************************************
  $cwlang["group"]["title"] =   "Groups"; 
  $cwlang["group"]["alertDelGood"] =   "The group has been deleted"; 
  $cwlang["group"]["alertDelBad"] =   "The group hasn't been deleted"; 
  $cwlang["group"]["newGroup"] =   "New group"; 
  $cwlang["group"]["sidebarTitle"] =   "Information"; 
  $cwlang["group"]["sidebarDesc"] =   "<p>It is necessary to group the entities created (extensions, office, provider, queue)". 
                                      "<br />In this manner you can easily manage the extensions permissions ".
                                      "</p>"; 
  $cwlang["group"]["extension"] =   "Extensions"; 
  $cwlang["group"]["department"] =   "Office"; 
  $cwlang["group"]["provider"] =   "Provider"; 
  $cwlang["group"]["phonenumber"] =   "Number"; 
  $cwlang["group"]["alertModGood"] =   "The group has been modified"; 
  $cwlang["group"]["alertModBad"] =   "The group hasn't been modified"; 
  $cwlang["group"]["alertCreateGood"] =   "The group has been created"; 
  $cwlang["group"]["alertCreateBad"] =   "The group hasn't been created"; 
  $cwlang["group"]["modGroup"] =   "Modify group"; 
  $cwlang["group"]["newGroup"] =   "New group"; 
  $cwlang["group"]["return"] =   "Return without save"; 
  $cwlang["group"]["type"] =   "Group type"; 
  $cwlang["group"]["typeDesc"] =   "It is mandatory to specify the group type before proceeding"; 
  $cwlang["group"]["extensionGroup"] =   "Extensions group"; 
  $cwlang["group"]["checkExtension"] =   "Choose the extensions that belongs to this group"; 
  $cwlang["group"]["name"] =   "Name"; 
  $cwlang["group"]["extensionNameHelp"] =   "I.e. Helpdesk, Administration, etc..."; 
  $cwlang["group"]["checkExtension2"] =   "To choose the extensions, click on the desired checkbox"; 
  $cwlang["group"]["deptGroup"] =   "Office group"; 
  $cwlang["group"]["checkDept"] =   "Choose the offices that belongs to this group"; 
  $cwlang["group"]["deptNameHelp"] =   "I.e. Asia, Europe, National, etc..."; 
  $cwlang["group"]["checkDept2"] =   "To choose the offices, click on the desired checkbox"; 
  $cwlang["group"]["providerGroup"] =   "Provider group"; 
  $cwlang["group"]["checkProvider"] =   "Choose the providers that belongs to this group"; 
  $cwlang["group"]["providerNameHelp"] =   "I.e. Free, Payment, etc..."; 
  $cwlang["group"]["checkProvider2"] =   "To choose the providers, click on the desired checkbox"; 
  $cwlang["group"]["phoneNumberGroup"] =   "Phone number group"; 
  $cwlang["group"]["checkPhoneNumber"] =   "Choose the phone numbers that belongs to this group"; 
  $cwlang["group"]["phoneNumberNameHelp"] =   "I.e. Toll-free, international, etc..."; 
  $cwlang["group"]["checkPhoneNumber2"] =   "To choose the phone numbers, click on the desired checkbox"; 
  $cwlang["group"]["editSidebar"] =   "Informations"; 
  $cwlang["group"]["editSidebarDesc"] =   ""; 
  $cwlang["group"]["chooseGroup"] =   "Choose one belonging group at least"; 
  $cwlang["group"]["application"] = "Application";
  $cwlang["group"]["applicationGroup"] =   "Application groups"; 
  $cwlang["group"]["checkApplication"] =   "Choose the applications that belongs to this group"; 
  $cwlang["group"]["applicationNameHelp"] =   "I.e. Commercial, Internal, etc..."; 
  $cwlang["group"]["checkApplication2"] =   "To choose the applications, click on the desired checkbox";
  $cwlang["group"]["nameNoNull"] = "Name cannot be null";
  $cwlang["group"]["nameAlreadyExists"] = "Name already exists. Please change it";
   
  
  //*************************************
  //translation for the RIGHTS Section
  //*************************************
  $cwlang["right"]["title"] =   "Rights"; 
  $cwlang["right"]["newRight"] =   "New right"; 
  $cwlang["right"]["sidebar"] =   "Informations"; 
  $cwlang["right"]["sidebarDesc"] =   "<p>The rights can give the call permissions to all the ".
                                      "entities that resides on the VoiceOne ".
                                      "</p>"; 
  $cwlang["right"]["alertDelGood"] =   "The right has been deleted"; 
  $cwlang["right"]["alertDelBad"] =   "The right hasn't been deleted"; 
  $cwlang["right"]["alertModGood"] =   "The right has been modified"; 
  $cwlang["right"]["alertModBad"] =   "The right hasn't been modified"; 
  $cwlang["right"]["modRight"] =   "Modify right "; 
  $cwlang["right"]["return"] =   "Return without save"; 
  $cwlang["right"]["groupList"] =   "Groups and applications list"; 
  $cwlang["right"]["groupListDesc"] =   "Choose the groups and the application that are enabled in this right"; 
  $cwlang["right"]["name"] =   "Name"; 
  $cwlang["right"]["nameHelp"] =   "I.e. Incoming calls, collegues, etc..."; 
  $cwlang["right"]["checkGroup"] =   "Choose the groups that can be called with this right"; 
  $cwlang["right"]["checkApps"] =   "Choose the applications that can be enabled with this right"; 
  $cwlang["right"]["action"] =   "Actions"; 
  $cwlang["right"]["actionDesc"] =   "Choose the action to perform when some call come in this context"; 
  $cwlang["right"]["editSidebar"] =   "Add right"; 
  $cwlang["right"]["editSidebarDesc"] =   "<p>An extensions with a specific <strong>right</strong> ".
                                    "can call all the extensions, phone number, provider you checked here</p> ";
  $cwlang["right"]["chooseRight"] =   "The right specify what resource you can call. Choose one right at least."; 
  
  //*************************************
  //translation for the IVR Section
  //*************************************
  $cwlang["ivr"]["title"] =   "IVR"; 
  $cwlang["ivr"]["newIvr"] =   "New IVR"; 
  $cwlang["ivr"]["return"] =   "Return without save"; 
  $cwlang["ivr"]["newIvrButton"] =   "Create IVR"; 
  $cwlang["ivr"]["modIvr"] =   "Change IVR name"; 
  $cwlang["ivr"]["modIvrButton"] =   "Save"; 
  $cwlang["ivr"]["sidebarTitle"] = "&nbsp;";
  $cwlang["ivr"]["sidebarDesc"] = "&nbsp;";
  $cwlang["ivr"]["confirmDelIVR"] = "Are you sure to delete IVR";
  $cwlang["ivr"]["alertDelGood"] =   "The IVR has been deleted"; 
  $cwlang["ivr"]["alertDelBad"] =   "The IVR hasn't deleted"; 
  $cwlang["ivr"]["alertNewGood"] =   "The IVR has been created"; 
  $cwlang["ivr"]["alertNewBad"] =   "The IVR hasn't been created"; 
  $cwlang["ivr"]["alertModGood"] =   "The IVR has been modified"; 
  $cwlang["ivr"]["alertModBad"] =   "The IVR hasn't been modified"; 
  $cwlang["ivr"]["alertModNodeGood"] =   "The node has been modified"; 
  $cwlang["ivr"]["alertModNodeBad"] =   "The node hasn't been modified"; 
  $cwlang["ivr"]["alertNewNodeGood"] =   "The node has been created"; 
  $cwlang["ivr"]["alertNewNodeBad"] =   "The node hasn't been created"; 
  $cwlang["ivr"]["alertDelNodeGood"] =   "The node has been deleted"; 
  $cwlang["ivr"]["alertDelNodeBad"] =   "The node hasn't deleted"; 
  $cwlang["ivr"]["audioRecorderTitle"] = "Audio Recorder";
  $cwlang["ivr"]["audioRecorderDesc"] = "Rename, delete or listen to an audio file or record a new one";
  $cwlang["ivr"]["ivrTreeTitle"] = "IVR Tree";
  $cwlang["ivr"]["nodeTitle"] = "General information";
  $cwlang["ivr"]["nodeDesc"] =   "Node selection properties"; 
  $cwlang["ivr"]["name"] =   "Name"; 
  $cwlang["ivr"]["nameHelp"] = "";
  $cwlang["ivr"]["key"] =   "Key"; 
  $cwlang["ivr"]["keyHelp"] =   "Insert one or more digits (i.e. 1, 99)"; 
  $cwlang["ivr"]["position"] =   "Position"; 
  $cwlang["ivr"]["type"] = "Type";
  $cwlang["ivr"]["type_node"] = "Menu";
  $cwlang["ivr"]["type_leaf"] = "Action";
  $cwlang["ivr"]["type_link"] = "Link";
  $cwlang["ivr"]["linkTitle"] = "Link";
  $cwlang["ivr"]["linkDesc"] = "Choose the node to jump to";
  $cwlang["ivr"]["link"] = "Link to";
  $cwlang["ivr"]["linkHelp"] = "Jump to the selected node";
  $cwlang["ivr"]["timesegment"] = "Time Segment";
  $cwlang["ivr"]["audioMessage"] = "Audio Message";
  $cwlang["ivr"]["audioMessageDesc"] = "Choose messages to play";
  $cwlang["ivr"]["waudio"] = "Welcome"; 
  $cwlang["ivr"]["waudioHelp"] = "Audio to play when entering this item";
  $cwlang["ivr"]["beepHelp"] = "If checked, play a beep before user's choice";
  $cwlang["ivr"]["maudio"] = "Menu";
  $cwlang["ivr"]["maudioHelp"] = "Audio to play in the menu which includes this item";
  $cwlang["ivr"]["taudio"] = "Timeout"; 
  $cwlang["ivr"]["taudioHelp"] = "Audio to play on timeout";
  $cwlang["ivr"]["tRepeatHelp"] = "If checked, the menu will be repeated on timeout";
  $cwlang["ivr"]["ttimesHelp"] = "Times to repeate menu on timeout (blank or 0 to loop endlessly)";
  $cwlang["ivr"]["iaudio"] = "Invalid Choice"; 
  $cwlang["ivr"]["iaudioHelp"] = "Audio to play on invalid choice";
  $cwlang["ivr"]["iRepeatHelp"] = "If checked, the menu will be repeated on invalid choice";
  $cwlang["ivr"]["itimesHelp"] = "Times to repeate menu on invalid choice (blank or 0 to loop endlessly)";
  $cwlang["ivr"]["replace"] =   "Replace";  
  $cwlang["ivr"]["currentPosition"] =   "current position"; 
  $cwlang["ivr"]["lastPosition"] = "last position"; 
  $cwlang["ivr"]["nodeTitleEdit"] = "Edit node";
  $cwlang["ivr"]["nodeTitleNew"] = "Create new node";
  $cwlang["ivr"]["confirmDelNode"] = "Are you sure to delete node"; 
  $cwlang["ivr"]["nameNoNull"] = "Name cannot be null";
  $cwlang["ivr"]["nameAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["ivr"]["keynull"] = "Key cannot be null";
  $cwlang["ivr"]["keyAlreadyExists"] = "Key already exists in menu. Please change it";
  $cwlang["ivr"]["keyNoSpaces"] = "Key doesn't allow spaces. Please change it";
  $cwlang["ivr"]["keyNoCharInit"] = "Key doesn't allow character ";
  $cwlang["ivr"]["keyNoCharEnd"] = "Please change it";
  $cwlang["ivr"]["macronull"] = "Macro cannot be null";
  $cwlang["ivr"]["linknull"] = "Link cannot be null";

  //*************************************
  //translation for the MOH Section
  //*************************************
  
  $cwlang["moh"]["title"] = "Music On Hold";  
  $cwlang["moh"]["newClass"] = "New class";
  $cwlang["moh"]["alertDelClassGood"] = "The class has been deleted"; 
  $cwlang["moh"]["alertDelClassBad"] = "The class hasn't been deleted";
  $cwlang["moh"]["sidebarTitle"] = "Songs Uploader";
  $cwlang["moh"]["sidebarDesc"] = "<p>Upload and manage your music on hold songs</p>";
  $cwlang["moh"]["alertUploadGood"] = "The file has been uploaded";
  $cwlang["moh"]["alertUploadBad"] = "The file hasn't been uploaded";
  $cwlang["moh"]["alertUpErr1Bad"] = "The uploaded file exceeds the max php filesize";
  $cwlang["moh"]["alertUpErr2Bad"] = "The uploaded file exceeds the max html filesize";
  $cwlang["moh"]["alertDelSongGood"] = "The file has been deleted";
  $cwlang["moh"]["alertDelSongBad"] = "The file hasn't been deleted";
    
    $cwlang["moh"]["confirmDel"] = "Are you sure you want to remove the MOH class"; 
    $cwlang["moh"]["FileUpload"] = "Upload a File";
    $cwlang["moh"]["uploadLimit"] = "upload limit: ";
    $cwlang["moh"]["FileLib"] = "File Library";
    $cwlang["moh"]["AlertDelFile"] = "Are you sure to delete audio file";
    
  //edit
  $cwlang["moh"]["newClass"] = "New class";
  $cwlang["moh"]["modClass"] = "Modify class";
  $cwlang["moh"]["return"] = "Return without save";
  $cwlang["moh"]["point1title"] = "Class";
  $cwlang["moh"]["point1text"] = "General class parameters";
  $cwlang["moh"]["point2title"] = "Songs List";
  $cwlang["moh"]["point2text"] = "Choose which of the available songs to be added to this class";
  $cwlang["moh"]["availableSongs"] = "Available Songs";
  $cwlang["moh"]["selectedSongs"] = "Selected Songs";
  $cwlang["moh"]["calssName"] = "Class Name";
  $cwlang["moh"]["classMode"] = "Class Mode";
  $cwlang["moh"]["classApplication"] = "Application";
  $cwlang["moh"]["alertCreateGood"] = "The class has been created"; 
  $cwlang["moh"]["alertCreateBad"] = "The class hasn't been created";
  $cwlang["moh"]["alertModifyGood"] = "The class has been modified"; 
  $cwlang["moh"]["alertModifyBad"] = "The class hasn't been modified";
  $cwlang["moh"]["editSidebarTitle"] = "Informations";
  $cwlang["moh"]["editSidebarDesc"] = "<p></p>";
  $cwlang["moh"]["addButton"] =       "  Add        ";
  $cwlang["moh"]["addAllButton"] =    "  Add all    ";
  $cwlang["moh"]["removeButton"] =    "     Remove  ";
  $cwlang["moh"]["removeAllButton"] = "  Remove all ";
  $cwlang["moh"]["nameNoNull"] = "Name cannot be null";
  $cwlang["moh"]["nameAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["moh"]["nameNoSpaces"] = "Name doesn't allow spaces. Please change it";
  $cwlang["moh"]["strangePreNoSpaces"] = "Character \"";
  $cwlang["moh"]["strangePostNoSpaces"] = "\" is not permitted. Please change class name";
  $cwlang["moh"]["noSongs"] = "There are no songs assigned to this class. Please assign songs to the class";
  $cwlang["moh"]["noApplication"] = "Application cannot be null";

  //*************************************
  //translation for the SOUNDS Section
  //*************************************
  
  $cwlang["sounds"]["newFile"] = "new file";
  $cwlang["sounds"]["category"] = "Category";
  $cwlang["sounds"]["never"] = "never";
  $cwlang["sounds"]["point1title"] = "File";
  $cwlang["sounds"]["point1text"] = "General file informations";
  $cwlang["sounds"]["point2title"] = "Audio";
  $cwlang["sounds"]["point2text"] = "Record or upload a new message and overwrite the existing one";
  $cwlang["sounds"]["sidebarTitle"] = "Asterisk sound files";
  $cwlang["sounds"]["fileName"] = "Name";
  $cwlang["sounds"]["fileCategory"] = "Category";
  $cwlang["sounds"]["fileLanguage"] = "Language";
  $cwlang["sounds"]["fileLastmod"] = "Modified";
  $cwlang["sounds"]["filePath"] = "Path";
  $cwlang["sounds"]["fileText"] = "Text";
  $cwlang["sounds"]["fileRecord"] = "1a) Record a new audio file: ";
  $cwlang["sounds"]["fileOr"] = "<strong> -- OR -- </strong>";
  $cwlang["sounds"]["fileUpload"] = "1b) Upload a new audio file (.wav): ";
  $cwlang["sounds"]["uploadLimit"] = "upload limit: ";
  $cwlang['sounds']['emptyPath'] = "File Path is empty. Please insert the path of the file to upload";
  $cwlang["sounds"]["fileSelect"] = "2) Select new audio content: ";
  $cwlang["sounds"]["fileSelected"] = "selected: ";
  $cwlang["sounds"]["loading"] = " loading... ";   
  $cwlang["sounds"]["treeSounds"] = "Sounds";
  $cwlang["sounds"]["title"] = "Sounds";
  $cwlang["sounds"]["introText"] = " Choose a node to modify from the tree on the right";
  $cwlang["sounds"]["newBad"] = "Creation error";
  $cwlang["sounds"]["deleteBad"] = "Delete error";
  $cwlang["sounds"]["uploadBad"] = "Upload error";
  $cwlang["sounds"]["script1"] = "already exist: edit it?";
  $cwlang["sounds"]["script2"] = "Enter message name:"; 
  $cwlang["sounds"]["script3"] = "already exist: override it?";
  $cwlang["sounds"]["script4"] = "Are you sure to delete";
  $cwlang["sounds"]["script5"] = "Please, select a file from the list to overwrite";
  $cwlang["sounds"]["script6"] = "Are you sure to change text in\\n";
  $cwlang["sounds"]["script7"] = "Are you sure to change content to ";
  $cwlang["sounds"]["script8"] = "and text to";
  $cwlang["sounds"]["script9"] = "Unknown message";
  $cwlang["sounds"]["noDefExten"] = "There are no defined extensions";
  
  //*************************************
  //translation for the TOOL Section
  //*************************************
  $cwlang["tool"]["alertGood"] =   "The file has been saved"; 
  $cwlang["tool"]["alertBad"] =   "The file hasn't been saved"; 
  $cwlang["tool"]["title"] =   "Configuration file editor"; 
  $cwlang["tool"]["sidebarTitle"] =   "High RISK!"; 
  $cwlang["tool"]["sidebarDesc"] =   "<p>".
          "It is very dangerous the changes on this files. ".
          "A bad use of this tool can damage the pbx. ".
          "</p>"; 
  
    //*************************************
  //translation for the RULES Section
  //*************************************
    $cwlang["rules"]["incoming"] = "Incoming Rules";
    $cwlang["rules"]["outgoing"] = "Outgoing Rules";
    $cwlang["rules"]["timesegments"] = "Time Segments";      
    $cwlang["rules"]["dialpattern"] = "Dial Patterns";
    
    //*************************************
  //translation for the INCOMING RULE Section
  //************************************* 
  $cwlang["rulein"]["title"] =   "Incoming calls Rules"; 
  $cwlang["rulein"]["new"] =   "New incoming rule set"; 
  $cwlang["rulein"]["sidebarTitle"] =   "Incoming Rule"; 
  $cwlang["rulein"]["sidebarDesc"] =   "This rules will be applied on incoming calls";
  $cwlang["rulein"]["rulesetTitle"] =  "Rule set";
  $cwlang["rulein"]["addrule"] =  "Add a new Rule";
  $cwlang["rulein"]["columTS"] =   "Time Segment";
  $cwlang["rulein"]["columCId"] =   "Caller Id";
  $cwlang["rulein"]["columTrunk"] =   "Line";
  $cwlang["rulein"]["columNum"] =   "Number";
  $cwlang["rulein"]["columMacro"] =   "Macro";
  $cwlang["rulein"]["columPar"] =   "Params";
  $cwlang["rulein"]["deletedTS"] = "deleted timesegment";
  $cwlang["rulein"]["deletedCID"] = "deleted Caller Id";
  $cwlang["rulein"]["deletedTR"] = "deleted line";
  $cwlang["rulein"]["deletedMA"] = "deleted macro";
  $cwlang["rulein"]["script1"] =  "Are you sure to delete"; 
  $cwlang["rulein"]["delSetYes"] =  "Ruleset deleted";
  $cwlang["rulein"]["delSetNo"] =  "Error: Ruleset not deleted";
  $cwlang["rulein"]["delRuleYes"] =  "Incoming Rule deleted";
  $cwlang["rulein"]["delRuleNo"] =  "Error: Incoming rule not deleted";
  $cwlang["rulein"]["movedYes"] =  "Incoming Rule Moved";
  $cwlang["rulein"]["movedNo"] =  "Error: Incoming rule not moved";
  $cwlang["rulein"]["return"] =  "Return without save";
  $cwlang["rulein"]["none"] = "[none]";
  $cwlang["rulein"]["any"] = "Any";
  $cwlang["rulein"]["anonymous"] = "Anonymous"; 
  $cwlang["rulein"]["phonenumberclass"] = "Phone Number Class";
  $cwlang["rulein"]["phonenumbergroup"] = "Phone Number Group";
  $cwlang["rulein"]["anytime"] = "Any time";
  // ./edit
  $cwlang["rulein"]["createRulesetYes"] =  "Rule set created";
  $cwlang["rulein"]["createRulesetNo"] =  "Error: Rule set not created";
  $cwlang["rulein"]["editTitle"] =  "Incoming rule set";
  $cwlang["rulein"]["Name"] =  "Name";
  $cwlang["rulein"]["Description"] =  "Description";
  $cwlang["rulein"]["editSB"] =  "Edit the Rule Set";
  $cwlang["rulein"]["editSBdesc"] =  "";
  // ./edit-rule
  $cwlang["rulein"]["callerType1"] =  "all caller with no restriction on caller id ";
  $cwlang["rulein"]["callerType2"] =  "all caller that don't show caller id ";
  $cwlang["rulein"]["phonenumber"] =  "Phone number";
  $cwlang["rulein"]["callerType3"] =  " set the caller id ";
  $cwlang["rulein"]["callerType4yes"] =  "select Dial Pattern"; 
  $cwlang["rulein"]["callerType4no"] =  "no Dial Patterns are defined";
  $cwlang["rulein"]["createRuleYes"] =  "Rule created";
  $cwlang["rulein"]["createRuleNo"] =  "Error: Rule not created";
  $cwlang["rulein"]["editruleTitle"] =  "Incoming rule";
  $cwlang["rulein"]["timesegment"] =  "Time segment";
  $cwlang["rulein"]["timesegmentDesc"] =  "set the time segment";
  $cwlang["rulein"]["callerid"] =  "Caller Id";
  $cwlang["rulein"]["calleridDesc"] =  "set the caller id";
  $cwlang["rulein"]["stop"] =  "Stop";
  $cwlang["rulein"]["stopDesc"] =  "Stop executing the next rule after this";
  $cwlang["rulein"]["action"] =  "Action to do";
  $cwlang["rulein"]["stopor"] = "Stop or";
  $cwlang["rulein"]["continue"] = "Continue";
  $cwlang["rulein"]["editruleSB"] =  "Edit the Rule";
  $cwlang["rulein"]["editruleSBdesc"] =  "";
  $cwlang["rulein"]["callerNoNull"] = "Dial Pattern cannot be null";
  $cwlang["rulein"]["macroNoNull"] = "Macro cannot be null";

  //*************************************
  //translation for the OUTGOING RULE Section
  //************************************* 
  
  $cwlang["ruleout"]["title"] =   "Outgoing calls Rules"; 
  $cwlang["ruleout"]["new"] =   "New outgoing rule set"; 
  $cwlang["ruleout"]["sidebarTitle"] =   "Outgoing Rule"; 
  $cwlang["ruleout"]["sidebarDesc"] =   "This rules will be applied on outgoing calls";
  $cwlang["ruleout"]["columTS"] =   "Time Segment";
  $cwlang["ruleout"]["columDest"] =  "Destination";
  $cwlang["ruleout"]["columTrunk"] =   "Line";
  $cwlang["ruleout"]["columAction"] =   "Action";
  $cwlang["ruleout"]["columPrefix"] =   "Prefix";
  $cwlang["ruleout"]["deletedTS"] = "deleted timesegment";
  $cwlang["ruleout"]["deletedDS"] = "deleted destination";
  $cwlang["ruleout"]["deletedTR"] = "deleted line";
  $cwlang["ruleout"]["rulesetTitle"] =  "Rule set";
  $cwlang["ruleout"]["script1"] =  "Are you sure to delete";
  $cwlang["ruleout"]["addrule"] =  "Add a new Rule";
  $cwlang["ruleout"]["delSetYes"] =  "Ruleset deleted";
  $cwlang["ruleout"]["delSetNo"] =  "Error: Ruleset not deleted";
  $cwlang["ruleout"]["delRuleYes"] =  "Outgoing Rule deleted";
  $cwlang["ruleout"]["delRuleNo"] =  "Error: Outgoing rule not deleted";
  $cwlang["ruleout"]["movedYes"] =  "Outgoing Rule Moved";
  $cwlang["ruleout"]["movedNo"] =  "Error: Outgoing rule not moved";
  $cwlang["ruleout"]["return"] =  "Return without save";
  // ./edit
  $cwlang["ruleout"]["createRulesetYes"] =  "Rule set created";
  $cwlang["ruleout"]["createRulesetNo"] =  "Error: Rule set not created";
  $cwlang["ruleout"]["editTitle"] =  "Outgoing rule set";
  $cwlang["ruleout"]["Name"] =  "Name";
  $cwlang["ruleout"]["Description"] =  "Description";
  $cwlang["ruleout"]["editSB"] =  "Edit the Rule Set";
  $cwlang["ruleout"]["editSBdesc"] =  "";
  $cwlang["ruleout"]["nameNoNull"] = "Name cannot be null";
  $cwlang["ruleout"]["nameAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["ruleout"]["nameAlphaNumOnlyInit"] = "Rule set name doesn't allow character ";
  $cwlang["ruleout"]["nameAlphaNumOnlyEnd"] = "Please change it";
  
  // ./edit-rule
  $cwlang["ruleout"]["createRuleYes"] =  "Rule created";
  $cwlang["ruleout"]["createRuleNo"] =  "Error: Rule not created";
  $cwlang["ruleout"]["editruleTitle"] =  "Outgoing rule";
  $cwlang["ruleout"]["timesegment"] =  "Time segment";
  $cwlang["ruleout"]["timesegmentDesc"] =  "set the time segment";
  $cwlang["ruleout"]["action"] =  "Action";
  $cwlang["ruleout"]["actionDesc"] =  "What do you want to do?";
  $cwlang["ruleout"]["trunk"] =  "Line";
  $cwlang["ruleout"]["trunkDesc"] =  "Choose which of the available lines to be used in this rule";
  $cwlang["ruleout"]["resources"] =  "Available Resources";
  $cwlang["ruleout"]["editruleSB"] =  "Edit the Rule";
  $cwlang["ruleout"]["editruleSBdesc"] =  "";
  $cwlang["ruleout"]["allow"] =  "ALLOW";
  $cwlang["ruleout"]["deny"] =  "DENY";
  $cwlang["ruleout"]["add"] =       "  Add          >";
  $cwlang["ruleout"]["remove"] =    "<       Remove  ";
  $cwlang["ruleout"]["addAll"] =    "  Add All     >>";
  $cwlang["ruleout"]["removeAll"] = "<<   Remove All ";
  $cwlang["ruleout"]["script1"] =  "Rule must have a destination. Please select one";   
  $cwlang["ruleout"]["allow"] = "ALLOW";
  $cwlang["ruleout"]["deny"] = "DENY";
  $cwlang["ruleout"]["destNoNull"] = "Destination cannot be null";
  $cwlang["ruleout"]["trunkNoNull"] = "Lines list cannot be null";

  //*************************************
  //translation for the TIME SEGMENTS Section
  //*************************************
  $cwlang["timesegment"]["sidebarTitle"] = "Time Segments";
  $cwlang["timesegment"]["sidebarDesc"] = "Route calls differently based on time";
  $cwlang["timesegment"]["deleted"] = "Time Segment deleted";
  $cwlang["timesegment"]["notdeleted"] = "Time Segment not deleted";
  $cwlang["timesegment"]["confirmDel"] = "Are you sure you want to remove the Time Segment";
  $cwlang["timesegment"]["title"] = "Time Segments";
  $cwlang["timesegment"]["newtimesegment"] = "New Time Segment";
  //edit
  $cwlang["timesegment"]["alertGood"] = "The time segment has been saved";
  $cwlang["timesegment"]["alertBad"] = "The time segment hasn't been saved";
  $cwlang["timesegment"]["editTitle"] = "New/Edit Time Segment";
  $cwlang["timesegment"]["editSubTitle"] = "Time segment Definition";
  $cwlang["timesegment"]["editSubTitleDesc"] = "You can choose a time segment that adapt to your needs";
  $cwlang["timesegment"]["timesegInfo"] = "Time segment label";
  $cwlang["timesegment"]["timesegName"] = "Name";
  $cwlang["timesegment"]["timesegDate"] = "Date Segments";
  $cwlang["timesegment"]["timesegFrom"] ="From";
  $cwlang["timesegment"]["timesegTo"] = "To";
  $cwlang["timesegment"]["timesegDateHelp"] = "Write the date between which this time segment is available. Leave blank for always.";
  $cwlang["timesegment"]["addDateSegment"] = "add Date Segment";
  $cwlang["timesegment"]["timesegHours"] = "Hours";
  $cwlang["timesegment"]["timesegHoursHelp"] = "Write the time, i.e. 9:00, or 23:52:30";
  $cwlang["timesegment"]["timesegWeekDays"] = "Week Days";
  $cwlang["timesegment"]["timesegDays"] = "Days";
  $cwlang["timesegment"]["timesegSu"] = "Su";
  $cwlang["timesegment"]["timesegMo"] = "Mo";
  $cwlang["timesegment"]["timesegTu"] = "Tu";
  $cwlang["timesegment"]["timesegWe"] = "We";
  $cwlang["timesegment"]["timesegTh"] = "Th";
  $cwlang["timesegment"]["timesegFr"] = "Fr";
  $cwlang["timesegment"]["timesegSa"] = "Sa";
  $cwlang["timesegment"]["editDaysFilter"] = "Days Filter";
  $cwlang["timesegment"]["editDaysFilterDesc"] = "Select days or months that the Timesegment will match (leave unchecked to select all days)";
  $cwlang["timesegment"]["timesegMonthDays"] = "Month Days";
  $cwlang["timesegment"]["timesegMonths"] = "Months";
  $cwlang["timesegment"]["timesegJan"] = "January"; 
  $cwlang["timesegment"]["timesegFeb"] = "February";
  $cwlang["timesegment"]["timesegMar"] = "March";
  $cwlang["timesegment"]["timesegApr"] = "April";
  $cwlang["timesegment"]["timesegMay"] = "May";
  $cwlang["timesegment"]["timesegJun"] = "June";
  $cwlang["timesegment"]["timesegJul"] = "July";
  $cwlang["timesegment"]["timesegAug"] = "August";
  $cwlang["timesegment"]["timesegSep"] = "September";
  $cwlang["timesegment"]["timesegOct"] = "October";
  $cwlang["timesegment"]["timesegNov"] = "November";
  $cwlang["timesegment"]["timesegDec"] = "December";
  $cwlang["timesegment"]["nameNoNull"] = "Name cannot be null";
  $cwlang["timesegment"]["nameAlreadyExists"] = "Name already exists. Please change it";
  
  //*************************************
  //translation for the APPLICATION Section
  //*************************************
  
  $cwlang["application"]["mainTitle"] = "Available Application";
  $cwlang["application"]["mainTitleDesc"] = "Add a new Application";
  $cwlang["application"]["confirmDel"] = "Are you sure to delete the application";
  $cwlang["application"]["titleNew"] = "New Application";
  $cwlang["application"]["titleEdit"] = "Edit application";
  $cwlang["application"]["titleDesc"] = "Edit your the settings of this application";
  $cwlang["application"]["name"] = "Name";
  $cwlang["application"]["nameHelp"] = "Detailed name, i.e. <strong>Call Forwarding</strong>";
  $cwlang["application"]["key"] = "Key";
  $cwlang["application"]["keyHelp"] = "Internal name";
  $cwlang["application"]["description"] = "Description";
  $cwlang["application"]["extension"] = "Extension";
  $cwlang["application"]["extensionHelp"] = "Write the extension catch, i.e. <strong>*72</strong>";
  $cwlang["application"]["alertCreateGood"] =   "The Application has been created"; 
  $cwlang["application"]["alertCreateBad"] =   "The Application hasn't been created"; 
  $cwlang["application"]["alertModGood"] = "The Application has been modified"; 
  $cwlang["application"]["alertModBad"] = "The Application hasn't been modified"; 
  $cwlang["application"]["alertDelGood"] = "The Application has been deleted"; 
  $cwlang["application"]["alertDelBad"] = "The Application hasn't been deleted"; 
  $cwlang["application"]["sidebar"] = "Application List";
  $cwlang["application"]["sidebarDesc"] = "Choose the application you want to edit";
  $cwlang["application"]["sidebarEdit"] = "Informations";
  $cwlang["application"]["sidebarEditDesc"] = "";
  $cwlang["application"]["labelNoNull"] = "Name cannot be null";
  $cwlang["application"]["labelAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["application"]["extenNoNull"] = "Extension cannot be null";
  $cwlang["application"]["extenAlreadyExists"] = "Extension already exists. Please change it";
  $cwlang["application"]["macroNotNull"] = "Macro cannot be null. Please select a macro to execute";
  
  //*************************************
  //translation for the LAN Section
  //*************************************
  $cwlang["lan"]["alertGood"] =   "The options has been saved"; 
  $cwlang["lan"]["alertBad"] =   "The options hasn't been saved"; 
  $cwlang["lan"]["title"] =   "Lan configuration"; 
  $cwlang["lan"]["titleDesc"] =   "Set the correct values in the form below."; 
  $cwlang["lan"]["warning"] =   "Warning: You have to fill all the textfield of the form! Check the set_lan.sh script before press the save button."; 
  $cwlang["lan"]["sidebarTitle"] =   "Lan Configuration"; 
  $cwlang["lan"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>"; 

  //*************************************
  //translation for the IAX Section
  //*************************************
  $cwlang["iax"]["alertGood"] =   "The options has been saved"; 
  $cwlang["iax"]["alertBad"] =   "The options hasn't been saved"; 
  $cwlang["iax"]["title"] =   "IAX Options"; 
  $cwlang["iax"]["titleDesc"] =   "Set the correct values in the form below. The checked option correspond to the commented option."; 
  $cwlang["iax"]["sidebarTitle"] =   "What is IAX"; 
  $cwlang["iax"]["sidebarDesc"] =   "<p>IAX is the Inter-Asterisk eXchange protocol used by Asterisk, an open source PBX server from Digium. It is used to enable VoIP connections between Asterisk servers, and between servers and clients that also use the IAX protocol.</p>".
          "<p>IAX is the Inter-Asterisk eXchange protocol used by Asterisk, an open source PBX server from Digium. It is used to enable VoIP connections between Asterisk servers, and between servers and clients that also use the IAX protocol.</p>".
          "<p>IAX2 is very robust and full-featured yet simple as far as protocols go. It is agnostic to codecs and number of streams, meaning that it can be used as a transport for virtually any type of data. (This capability will be useful as videophones become common.)</p>";

  //*************************************
  //translation for the SIP Section
  //*************************************
  $cwlang["sip"]["alertGood"] =   "The options has been saved"; 
  $cwlang["sip"]["alertBad"] =   "The options hasn't been saved"; 
  $cwlang["sip"]["title"] =   "SIP Options"; 
  $cwlang["sip"]["titleDesc"] =   "Set the correct values in the form below. The checked option correspond to the commented option."; 
  $cwlang["sip"]["sidebarTitle"] =   "What is SIP"; 
  $cwlang["sip"]["sidebarDesc"] =   "<p>A goal for SIP was to provide a superset of the call processing functions and features present in the public switched telephone network (PSTN). As such, features that permit familiar telephone-like operations are present: dialing a number, causing a phone to ring, hearing ringback tones or a busy signal. Implementation and terminology are different.</p>";

  //*************************************
  //translation for the TECHNOLOGY Section
  //*************************************
  
  $cwlang["tech"]["title"] = "Available Lines";
  $cwlang["tech"]["titleDesc"] = "Ready to use line. The entries below list the available lines you can use inside VoiceOne.";
  $cwlang["tech"]["id"] = "Id";
  $cwlang["tech"]["speedDial"] = "Speed Dial";
  $cwlang["tech"]["technology"] = "Technology";
  $cwlang["tech"]["trunkname"] = "Line name";
  $cwlang["tech"]["context"] = "Context";
  $cwlang["tech"]["sidebarTitle"] = "Custom Line";
  $cwlang["tech"]["sidebarDesc"] = "Sign here your custom line, so you can use outside resources.";
  
  //*************************************
  //translation for the ISDN Section
  //*************************************
  $cwlang["isdn"]["alertDelGood"] =   "The card has been removed"; 
  $cwlang["isdn"]["alertDelBad"] =   "The card hasn't been removed"; 
  $cwlang["isdn"]["alertAddGood"] =   "The card has been installed"; 
  $cwlang["isdn"]["alertAddBad"] =   "The card hasn't been installed"; 
  $cwlang["isdn"]["alertSaveGood"] =   "The port configuration has been correctly performed"; 
  $cwlang["isdn"]["alertSaveBad"] =   "The saving hasn't been performed, due to errors"; 
  $cwlang["isdn"]["card"] =   "Card"; 
  $cwlang["isdn"]["port"] =   "Port"; 
  $cwlang["isdn"]["title"] =   "ISDN Card"; 
  $cwlang["isdn"]["save"] =   "Apply"; 
  $cwlang["isdn"]["newCard"] =   "Add a card"; 
  $cwlang["isdn"]["newCardDesc"] =   "Choose a card to activate"; 
  $cwlang["isdn"]["install"] =   "Install"; 
  $cwlang["isdn"]["installalert"] = "WARNING: this operation will turn off pbx service! Continue?";
  $cwlang["isdn"]["delalert"] = "WARNING: this operation will turn off pbx service! Are you sure to remove the card?";
  $cwlang["isdn"]["sidebarTitle"] =   "Installed card"; 
  $cwlang["isdn"]["sidebarDesc"] =   "<p>".
          "Integrated Services Digital Network (ISDN) is a type of circuit switched telephone network system, designed to allow digital transmission of voice and data over ordinary telephone copper wires, resulting in better quality and higher speeds than available with analog systems. More broadly, ISDN is a set of protocols for establishing and breaking circuit switched connections, and for advanced call features for the user. The English term is a \"backronym\", thought better for English-language advertisements than the original, \"Integriertes Sprach- und Datennetz\" (German for \"integrated voice and data net\").".
          "</p>";
  //menu
  $cwlang["isdn"]["isdnCard"] =   "ISDN Card"; 
  $cwlang["isdn"]["portGroup"] =   "mISDN Lines"; 
  $cwlang["isdn"]["number"] =   "Numbers"; 
  $cwlang["isdn"]["isdnOption"] =   "ISDN Options"; 
  $cwlang["isdn"]["groupOption"] =   "Group options"; 
  //isdn group
  $cwlang["isdngrp"]["alertDelGood"] =   "The group has been deleted"; 
  $cwlang["isdngrp"]["alertDelBad"] =   "The group hasn't been deleted"; 
  $cwlang["isdngrp"]["title"] =   "Group of ports"; 
  $cwlang["isdngrp"]["newGroup"] =   "New group"; 
  $cwlang["isdngrp"]["sidebarTitle"] =   "The group of ISDN ports"; 
  $cwlang["isdngrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["isdngrp"]["alertModGood"] =   "The group has been modified"; 
  $cwlang["isdngrp"]["alertModBad"] =   "The group hasn't been modified"; 
  $cwlang["isdngrp"]["return"] =   "Return without save"; 
  $cwlang["isdngrp"]["titleDesc"] =   "Group of port general information"; 
  $cwlang["isdngrp"]["groupName"] =   "Group name"; 
  $cwlang["isdngrp"]["groupNameDesc"] =  "";
  $cwlang["isdngrp"]["enableOutcomingCall"] =   "Enable outgoing calls"; 
  $cwlang["isdngrp"]["enableOutcomingCallHelp"] =   "Specify if the group can perform outgoing calls. You can digit: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> to disable the outgoing calls</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> to enable the outgoing calls and specify the priority (1 the highest, 100 the lowest)</li> ".
                              "</ul>"; 
  $cwlang["isdngrp"]["listeningNumber"] =   "Listening phone numbers"; 
  $cwlang["isdngrp"]["listeningNumberHelp"] =   "Write the phone numbers that this group can manage"; 
  $cwlang["isdngrp"]["phoneNumber"] =   "Phone number"; 
  $cwlang["isdngrp"]["phoneNumberAdded"] =   "Added phone number"; 
  $cwlang["isdngrp"]["ports"] =   "Ports"; 
  $cwlang["isdngrp"]["portsDesc"] =   "Choose the ports that belongs to this group"; 
  $cwlang["isdngrp"]["availablePorts"] =   "Available ports"; 
  $cwlang["isdngrp"]["groupPorts"] =   "Ports added"; 
  $cwlang["isdngrp"]["option"] =   "Options"; 
  $cwlang["isdngrp"]["show"] =   "Show"; 
  $cwlang["isdngrp"]["hide"] =   "Hide"; 
  $cwlang["isdngrp"]["optionDesc"] =   "You can view the default values. You can modify the option values and customize the group behavior."; 
  $cwlang["isdngrp"]["speeddial"] = "Speed Dial";
  $cwlang["isdngrp"]["speeddialDesc"] = "Direct selection (e.g. <strong>99</strong> or <strong>3</strong>), leave empty for autoassign";
  $cwlang["isdngrp"]["phoneNumberDesc"] = "Digit the numbers to listen (i.e. <strong>123456</strong>)<br/>or a range of numbers as (<strong>123456-123459</strong>)";
  $cwlang["isdngrp"]["phoneNumberDid"] = "<strong>DID</strong> (Direct Inward Dialing)";
  $cwlang["isdngrp"]["cidTitleDesc"] = "Set the caller id for this group (it will be shown like: CID Name &lt;CID NUMBER&gt;)";
  $cwlang["isdngrp"]["cidTitle"] = "Caller Id";
  $cwlang["isdngrp"]["cidPassThrough"] = "Pass Through";
  $cwlang["isdngrp"]["cidClir"] = "CLIR";
  $cwlang["isdngrp"]["cidClirDesc"] = "hide caller id dialing with this line";
  $cwlang["isdngrp"]["cidPassThroughDesc"] = "use user's caller id on this line";
  $cwlang["isdngrp"]["cidName"] = "CID Name";
  $cwlang["isdngrp"]["cidNameDesc"] = "default caller id name";
  $cwlang["isdngrp"]["cidNumber"] = "CID Number";
  $cwlang["isdngrp"]["cidNumberDesc"] = "default caller id number";
  $cwlang["isdngrp"]["cidAppExten"] = "Append Exten";
  $cwlang["isdngrp"]["cidAppExtenDesc"] = "append user's extension to CID Number value";
  $cwlang["isdngrp"]["cidForceCid"] = "Force Default";
  $cwlang["isdngrp"]["cidForceDesc"] = "overwrite user's caller id setting with default line values";
  $cwlang["isdngrp"]["add"] =       "&nbsp;Add&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;>";
  $cwlang['isdngrp']["remove"] =    "<&nbsp;&nbsp;&nbsp;&nbsp;Remove&nbsp;&nbsp;&nbsp;&nbsp;";
  $cwlang["isdngrp"]["addAll"] =    "&nbsp;&nbsp;Add All&nbsp;&nbsp;&nbsp;&nbsp;>>";
  $cwlang['isdngrp']["removeAll"] = "<<&nbsp;&nbsp;Remove All&nbsp;";
  $cwlang["isdngrp"]["nameNoNull"] = "Name cannot be null";
  $cwlang["isdngrp"]["nameAlreadyExists"] = "Name already exists. Please change it";
  $cwlang["isdngrp"]["nameNoSpaces"] = "Name doesn't allow spaces. Please change it";
  $cwlang["isdngrp"]["speedNumOnly"] = "Speed Dial allows only numeric characters. Please change it";
  $cwlang["isdngrp"]["numberAlreadyDef"] = "Some phone numbers have been already defined in another mISDN Group";
  $cwlang["isdngrp"]["portListNotNull"] = "Ports assigned to mISDN Group must be almost one";
  
  //isdn option
  $cwlang["isdnOpt"]["alertModGood"] =   "The options has been saved"; 
  $cwlang["isdnOpt"]["alertModBad"] =   "The options hasn't been saved"; 
  $cwlang["isdnOpt"]["title"] =   "ISDN Option"; 
  $cwlang["isdnOpt"]["titleDesc"] =   "Set the right values in the below form."; 
  $cwlang["isdnOpt"]["sidebarTitle"] =   "Options"; 
  $cwlang["isdnOpt"]["sidebarDesc"] =   ""; 
  $cwlang["isdnOpt"]["isdnTitle"] =   "ISDN Options"; 
  $cwlang["isdnOpt"]["isdnTitleDesc"] =   "Set the right values in the below form"; 
  $cwlang["isdnOpt"]["sidebarIsdnTitle"] =   "mISDN Options"; 
  $cwlang["isdnOpt"]["sidebarIsdnDesc"] =   ""; 
  //isdn number
  $cwlang["isdnNumb"]["alertDelGood"] =   "The number has been deleted"; 
  $cwlang["isdnNumb"]["alertDelBad"] =   "The number hasn't been deleted"; 
  $cwlang["isdnNumb"]["alertModGood"] =   "The configuration has been successfully saved"; 
  $cwlang["isdnNumb"]["alertModBad"] =   "The configuration hasn't been saved"; 
  $cwlang["isdnNumb"]["group"] =   "Group"; 
  $cwlang["isdnNumb"]["title"] =   "Phone Number"; 
  $cwlang["isdnNumb"]["save"] =   "Apply"; 
  $cwlang["isdnNumb"]["sidebarTitle"] =   "Phone Number"; 
  $cwlang["isdnNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the USER Section
  //*************************************
  $cwlang["user"]["alertDelGood"] =   "The user has been deleted"; 
  $cwlang["user"]["alertDelBad"] =   "The user hasn't been deleted"; 
  $cwlang["user"]["title"] =   "Users"; 
  $cwlang["user"]["newUser"] =   "New user"; 
  $cwlang["user"]["sidebarTitle"] =   "The users"; 
  $cwlang["user"]["sidebarDesc"] =   "<p>".
       "     From this page, we can manage the VoiceOne access. We can  ".
       "     create, modify and delete users.  ".
       "   </p> ".
       "   <p> ".
       "     There are three kind of users: ".
       "     <ul> ".
       "       <li><img src=\"$relBasePath/public/img/user_standard.gif\" alt=\"Standard User\" align=\"left\"/> The <strong>Standard User</strong>, that can access to the user panel only ". 
       "       (Personal VoiceOne)</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_configurator.gif\" alt=\"Configurator User\" align=\"left\"/>The <strong>Configurator</strong>, that can access to some ". 
       "       section of the VoiceOne Configurator</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_superuser.gif\" alt=\"Super User\" align=\"left\"/>The <strong>Super User</strong>, that can do everything ".
       "       inside the VoiceOne Configurator</li> ".
       "     </ul> ".
       "   </p> ".
       "   <p> ".
       "     Every extensions have an standard user account inside VoiceOne. ". 
       "     It is possible however create VoiceOne users not related to extensions. ". 
       "     In both the cases, the superuser can change the user type ". 
       "     (standard, configurator, superuser).  ".
       "   </p>"; 

  $cwlang["user"]["alertModGood"] =   "The user has been modified"; 
  $cwlang["user"]["alertModBad"] =   "The user hasn't been modified"; 
  $cwlang["user"]["modUser"] =   "Modify user"; 
  $cwlang["user"]["return"] =   "Return without save"; 
  $cwlang["user"]["desc"] =   "Fill in the access data. If the user is connected to an extension, it isn't possible to change the access information."; 
  $cwlang["user"]["username"] =   "Username"; 
  $cwlang["user"]["password"] =   "Password"; 
  $cwlang["user"]["typeTitle"] =   "Type"; 
  $cwlang["user"]["typeDesc"] =   "Choose the kind of user you want to create/modify"; 
  $cwlang["user"]["type"] =   "Type"; 
  $cwlang["user"]["standard"] =   "Standard User"; 
  $cwlang["user"]["configurator"] =   "Configurator"; 
  $cwlang["user"]["superuser"] =   "SuperUser"; 
  $cwlang["user"]["language"] = "Language";
  $cwlang["user"]["changepwd"] = "Change password";
  $cwlang["user"]["newpassword"] = "New Password";
  $cwlang["user"]["confirmpassword"] = "Confirm";
  $cwlang["user"]["err1"] = "The new password and the confirmation password do not match";
  $cwlang["user"]["err2"] = "The new password cannot be null";
  
          
  //*************************************
  //translation for the I/O Section
  //*************************************
  $cwlang["io"]["title"] =   "Server Management"; 
  $cwlang["io"]["pbx"] = "PBX";
  $cwlang["io"]["pbxdesc"] = "You can Start or Stop pbx service";
  $cwlang['io']['pbxstart'] = "Are you sure to START PBX?";
  $cwlang['io']['pbxstop'] = "Are you sure to STOP PBX?";
  $cwlang["io"]["start"] = "Start";
  $cwlang["io"]["stop"] = "Stop";
  $cwlang["io"]["system"] = "System";
  $cwlang["io"]["systemdesc"] = "You can Reboot or Shutdown server machines";
  $cwlang['io']['systemreboot'] = "Are you sure to REBOOT system?";
  $cwlang['io']['systemturnoff'] = "Are you sure to TURN OFF system?";
  $cwlang["io"]["reboot"] =   "Reboot"; 
  $cwlang["io"]["shutDown"] =   "Shutdown"; 
  $cwlang["io"]["sidebarTitle"] =   "Informations"; 
  $cwlang["io"]["sidebarDesc"] =   "<p>This interface allow you to manage the server and the PBX service. The states are represented with traffic lights:</p>"; 
  $cwlang["io"]["shutingDown"] =   "Shutting down System..."; 
  $cwlang["io"]["rebooting"] =   "Rebooting System..."; 
  $cwlang["io"]["starting"] = "Starting PBX...";
  $cwlang["io"]["stopping"] = "Stopping PBX...";
  $cwlang["io"]["command"]= "Command";
  $cwlang["io"]["cli"] = "CLI (Command Line Interface)";
  $cwlang["io"]["clidesc"] = "Enter PBX command";
  $cwlang["io"]["cliSidebarDesc"] = "<p>The Asterisk Command Line Interface (CLI) has many commands which you can run to diagnose and maintain your system. These commands can be used to show information about the current state of the system. The Asterisk CLI works very similar to many managed switches and routers CLI interfaces.</p>";
          
  //*************************************
  //translation for the SETUP Section
  //*************************************
  $cwlang["setup"]["installPermission"] =   "Before proceedig, grant execution permissions to"; 
  $cwlang["setup"]["title"] =   "VoiceOne Installation"; 
  $cwlang["setup"]["subTitle"] =   "The installation "; 
  $cwlang["setup"]["firstStep"] =   "System setup (1/2)"; 
  $cwlang["setup"]["keyGeneration"] =   "Generate RSA keys?"; 
  $cwlang["setup"]["finished"] =   "Done! Please remove setup.php"; 
  $cwlang["setup"]["secondStep"] =   "Account creation (2/2)"; 
  $cwlang["setup"]["username"] =   "Username"; 
  $cwlang["setup"]["password"] =   "Password"; 
  $cwlang["setup"]["confirm"]  =   "Confirm ";
  $cwlang["setup"]["language"] =   "Language";
  $cwlang["setup"]["usrerror"] =   "Please insert \"Username\"";
  $cwlang["setup"]["pwderror"] =   "The password and the confirmation password do not match";
  $cwlang["setup"]["pwdempty"] =   "The new password cannot be null";
  
  //****************************
  //translation for the plugin Section
  //****************************
  //Section - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["titleMain"] =   "Plugin Information";
  // use heredoc syntax to make life easier
  $cwlang["plugins"]["blockintroMain"] = <<<EOD
  <h1>The following options are available via the plugin system</h1>
  <h2>Manage existing plugins:</h2>
  <ul>
    <li>Activate/ Deactivate a plugin</li>
    <li>Delete a Plugin</li>
    <li>Export a Plugin</li>
    <li>Import a Plugin</li>
    <li>Get information about a plugin</li>
  </ul>
  <h2>Create new plugins:</h2>
  <ul>
    <li>Create plugin from scratch</li>
    <li>Create plugin from existing plugin</li>
  </ul>
EOD;
  
  $cwlang["plugins"]["titleManage"] =  "Manage Plugins";
  $cwlang["plugins"]["blockintroManage"] =  "These are the plugins available. You can activate, export, delete or activivate/deactivate each plugin.";
  $cwlang["plugins"]["titleCreate"] =  "Create Plugins";
  // Sidebar - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["sidebarTitleMain"] =  "Information";
  $cwlang["plugins"]["sidebarTextMain"] =  <<<EOD
  <p>Plugins allow to extend the functionallity of Voiceone.<p>
  <p>A Plugin is a group of Voiceone objects like applications, macros, queues and the like.</p>
  <p>Some objects require other objects to function. For example the audiorecorder application requires the macro audiorecorder.</p>
  <p>The plugin system allows to import, export and create plugins.<p>
  <h5>REPOSITORY</h5>
  <p><img src="$relBasePath/public/img/package_add.gif" /> <a href="http://www.voiceone.it/download/plugin/" target="_blank" >Search in our public repository</a> the already made plugins.</p>
EOD;
  $cwlang["plugins"]["sidebarTitleManage"] =  "Information";
  $cwlang["plugins"]["sidebarTextManage"] =  <<<EOD
  <h2>The following Options are available:<h2>
  <ul>
    <li>Activate/ Deactivate a plugin</li>
    <li>Delete a Plugin</li>
    <li>Export a Plugin via Download</li>
    <li>Import a Plugin via Upload</li>
    <li>Get information about a plugin</li>
    <li>Get information about the content of a plugin</li>
  </ul>
  <h1>Note:</h1>
  <p>Do not forget to adjust Speeddials when importing applications and the like</p>
EOD;
  $cwlang["plugins"]["sidebarTitleCreate"] =  "Information";
  $cwlang["plugins"]["sidebarTextCreate"] =  "Put in common information about the plugin on the first page. Select all objects that should be part of the new plugin on the second page.";
  
  // Tableheadings for section Manage
  $cwlang["plugins"]["headingAction"] =   "Action";
  $cwlang["plugins"]["headingName"] =   "Name";
  $cwlang["plugins"]["headingVersion"] =   "Version";
  $cwlang["plugins"]["headingAuthor"] =   "Author";
  $cwlang["plugins"]["headingDescription"] =   "Description";
  $cwlang["plugins"]["headingState"] =   "State";
  // Messages
  $cwlang["plugins"]["pluginUploaded"] =   "Plugin uploaded successful"; 
  $cwlang["plugins"]["pluginNotUploaded"] =   "Plugin not uploaded"; 
  $cwlang["plugins"]["pluginDeleted"] =   "Plugin deleted successful"; 
  $cwlang["plugins"]["pluginNotDeleted"] =   "Plugin not deleted"; 
  
  // these section is not used 
  $cwlang["plugins"]["pluginInstalled"] =   "Plugin installed successful";
  $cwlang["plugins"]["pluginNotInstalled"] =   "Plugin not installed";
  $cwlang["plugins"]["pluginUpgraded"] =   "Plugin upgraded";
  $cwlang["plugins"]["pluginNotUpgraded"] =   "Plugin not upgraded";
  
  $cwlang["plugins"]["pluginActivated"] =   "Plugin activated successful";
  $cwlang["plugins"]["pluginNotActivated"] =   "Plugin not activated";
  $cwlang["plugins"]["pluginDeactivated"] =   "Plugin deactivated successful";
  $cwlang["plugins"]["pluginNotDeactivated"] =   "Plugin not deactivated";
  
  $cwlang["plugins"]["selectOptionfromLists"] =   "Please select an option from one of the lists";
  // Menu sidebar
  $cwlang["plugins"]["importPlugin"] =   "Import a plugin";
  $cwlang["plugins"]["exportPlugin"] =   "Export a plugin";
  // Options
  $cwlang["plugins"]["pluginBaseEmpty"] =   "-Start with empty Workspace-";
  
  
  //*************************************
  //translation for the Application - Audiorecorder Section
  //*************************************
  $cwlang["audiorecorder"]["promptFilename"] = "Enter file name:";
  $cwlang["audiorecorder"]["cannotDeleteAudiofile"] = "Cannot delete Audiofile";
  $cwlang["audiorecorder"]["audiofileUsedInIVR"] = "Audiofile is is used in an IVR menu";
  $cwlang["audiorecorder"]["genericError"] = "An Error occurs while using the audiorecorder application"; 
  $cwlang["audiorecorder"]["confirmDelete"] = "Are you sure to delete audio file";
  $cwlang["audiorecorder"]["emptyDelete"] = "Select an audio file before delete it";
  $cwlang["audiorecorder"]["emptyRename"] = "Select an audio file before rename it";
  $cwlang["audiorecorder"]["emptyPlay"] = "Select the audio file to reproduce";
  $cwlang["audiorecorder"]["noDefExten"] = "There are no defined extensions";
  $cwlang["audiorecorder"]["finishRecording"] = "Press ok when you finish recording audio message";
  $cwlang["audiorecorder"]["clientOffline"] = "Unbale to record. Client is unreachable";

  //*************************************
  //translation for the Zatapa Section
  //*************************************
  $cwlang["zapata"]["alertDelGood"] =   "The card has been removed"; 
  $cwlang["zapata"]["alertDelBad"] =   "The card hasn't been removed"; 
  $cwlang["zapata"]["alertAddGood"] =   "The card has been installed"; 
  $cwlang["zapata"]["alertAddBad"] =   "The card hasn't been installed"; 
  $cwlang["zapata"]["alertSaveGood"] =   "The port configuration has been correctly performed"; 
  $cwlang["zapata"]["alertSaveBad"] =   "The saving hasn't been performed, due to errors"; 
  $cwlang["zapata"]["card"] =   "Card"; 
  $cwlang["zapata"]["port"] =   "Port"; 
  $cwlang["zapata"]["title"] =   "Zapata Interface Card"; 
  $cwlang["zapata"]["save"] =   "Renew"; 
  $cwlang["zapata"]["newCard"] =   "Add a Card"; 
  $cwlang["zapata"]["newCardDesc"] =   "Choose a card to activate"; 
  $cwlang["zapata"]["install"] =   "Install Card"; 
  $cwlang["zapata"]["installalert"] = "WARNING: this operation will turn off PBX service! Continue?";
  $cwlang["zapata"]["delalert"] = "WARNING: this operation will turn off PBX service! Are you sure to remove the card?";
  $cwlang["zapata"]["sidebarTitle"] =   "Installed Zapata card"; 
  $cwlang["zapata"]["sidebarDesc"] =   "<p>".
          "<b>Span Card Configuration:</b><br>\n".
          "<br>\n" . 
          "<b>Warning:</b> Before doing any<br>\n" . 
          "span configuration, check the <br>\n" . 
          "E1/T1 jumpers on the cards !<br>\n" . 
          "<br>\n" . 
          "<b>Type:</b><br>\n" .
          "Set E1/T1 according to jumpers<br>\n" . 
          "<b>Protocol:</b><br>\n" .
          "Set PRI for pri lines<br>\n" . 
          "Set E&M for e&m lines<br>\n" . 
          "Set FX? for channel banks<br>\n" . 
          "Empty = unconfigured<br>\n" . 
          "<b>Timing:</b><br>\n" .
          "'0' master, internal clocking<br>\n" .
          "'1' slave, primary sync source<br>\n" . 
          "'2' slave, secondary sync source<br>\n" .
          "'3' slave, tertiary sync source<br>\n" .
          "<b>LBO:</b>&nbsp;Line Build Out<br>\n" .
          "0:0db (CSU), 0-133 feet (DSX-1)<br>\n" .
          "1:133-226 feet (DSX-1)<br>\n" .
          "2:266-399 feet (DSX-1)<br>\n" .
          "3:399-533 feet (DSX-1)<br>\n" .
          "4:533-655 feet (DSX-1)<br>\n" .
          "5:-7.5db (CSU)<br>\n" .
          "6:-15db (CSU)<br>\n" .
          "7:-22.5db (CSU)<br>\n" .
          "<b>Framing, Coding, CRC4, Yellow:</b><br>\n" .
          "Match partner system setup<br>\n" .
          "<br>\n" . 
          "<b>FXO,FXS Card Configuration:</b><br>\n".
          "<b>Type:</b><br>\n" .
          "Set FXO,FXS according to Modules<br>\n" . 
          "Empty = no module installed<br>\n" . 
          "<b>Protocol:</b><br>\n" .
          "fxsks: Kewlstart<br>\n" .
          "fxsls: Loopstart<br>\n" .
          "fxsgs: Groundstart<br>\n" .
          "fxoks: Kewlstart<br>\n" .
          "fxols: Loopstart<br>\n" .
          "fxogs: Groundstart<br>\n" .
          "Empty: Not configured<br>\n" . 
          "</p>";
  //menu
  $cwlang["zapata"]["zapataCard"] =   "Zapata Card"; 
  $cwlang["zapata"]["portGroup"] =   "Group of ports"; 
  $cwlang["zapata"]["number"] =   "Numbers"; 
  $cwlang["zapata"]["zapataOption"] =   "Group Options"; 

  //zapata group
  $cwlang["zapatagrp"]["alertDelGood"] =   "The group has been deleted"; 
  $cwlang["zapatagrp"]["alertDelBad"] =   "The group hasn't been deleted"; 
  $cwlang["zapatagrp"]["title"] =   "Group of ports"; 
  $cwlang["zapatagrp"]["newGroup"] =   "New group"; 
  $cwlang["zapatagrp"]["sidebarTitle"] =   "The group of Zapata ports"; 
  $cwlang["zapatagrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["zapatagrp"]["alertModGood"] =   "The group has been modified"; 
  $cwlang["zapatagrp"]["alertModBad"] =   "The group hasn't been modified"; 
  $cwlang["zapatagrp"]["return"] =   "Return without save"; 
  $cwlang["zapatagrp"]["titleDesc"] =   "Group of port general information"; 
  $cwlang["zapatagrp"]["groupName"] =   "Group name"; 
  $cwlang["zapatagrp"]["enableOutcomingCall"] =   "Enable outgoing calls"; 
  $cwlang["zapatagrp"]["enableOutcomingCallHelp"] =   "Specify if the group can perform outgoing calls. You can digit: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> to disable the outgoing calls</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> to enable the outgoing calls and specify the priority (1 the highest, 100 the lowest)</li> ".
                              "</ul>"; 
  $cwlang["zapatagrp"]["listeningNumber"] =   "Listening phone numbers"; 
  $cwlang["zapatagrp"]["listeningNumberHelp"] =   "Write the phone numbers that this group can manage"; 
  $cwlang["zapatagrp"]["phoneNumber"] =   "Phone number"; 
  $cwlang["zapatagrp"]["phoneNumberAdded"] =   "Added phone number"; 
  $cwlang["zapatagrp"]["ports"] =   "Ports"; 
  $cwlang["zapatagrp"]["portsDesc"] =   "Choose the ports that belongs to this group"; 
  $cwlang["zapatagrp"]["availablePorts"] =   "Available ports"; 
  $cwlang["zapatagrp"]["groupPorts"] =   "Ports added"; 
  $cwlang["zapatagrp"]["option"] =   "Options"; 
  $cwlang["zapatagrp"]["show"] =   "Show"; 
  $cwlang["zapatagrp"]["hide"] =   "Hide"; 
  $cwlang["zapatagrp"]["optionDesc"] =   "You can view the default values. You can modify the option values and customize the group behavior."; 
  //zapata option
  $cwlang["zapataOpt"]["alertModGood"] =   "The options has been saved"; 
  $cwlang["zapataOpt"]["alertModBad"] =   "The options hasn't been saved"; 
  $cwlang["zapataOpt"]["title"] =   "Zapata Option"; 
  $cwlang["zapataOpt"]["titleDesc"] =   "Set the right values in the below form."; 
  $cwlang["zapataOpt"]["sidebarTitle"] =   "Options"; 
  $cwlang["zapataOpt"]["sidebarDesc"] =   ""; 
  $cwlang["zapataOpt"]["zapataTitle"] =   "Zapata Options"; 
  $cwlang["zapataOpt"]["zapataTitleDesc"] =   "Set the right values in the below form"; 
  $cwlang["zapataOpt"]["sidebarIsdnTitle"] =   "Zapata Options"; 
  $cwlang["zapataOpt"]["sidebarIsdnDesc"] =   ""; 
  //zapata number
  $cwlang["zapataNumb"]["alertDelGood"] =   "The number has been deleted"; 
  $cwlang["zapataNumb"]["alertDelBad"] =   "The number hasn't been deleted"; 
  $cwlang["zapataNumb"]["alertModGood"] =   "The configuration has been successfully saved"; 
  $cwlang["zapataNumb"]["alertModBad"] =   "The configuration hasn't been saved"; 
  $cwlang["zapataNumb"]["group"] =   "Group"; 
  $cwlang["zapataNumb"]["title"] =   "Phone Number"; 
  $cwlang["zapataNumb"]["save"] =   "Apply"; 
  $cwlang["zapataNumb"]["sidebarTitle"] =   "Phone Number"; 
  $cwlang["zapataNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the MEETME Section
  //*************************************
  $cwlang["meetme"]["title"] =   "Conference Rooms"; 
  $cwlang["meetme"]["return"] = "Back without saving"; 
  $cwlang["meetme"]["newMeetme"] =   "New Conference Room"; 
  $cwlang["meetme"]["modifyMeetme"] =   "Modify Conference Room ";  //it will append the confno
  $cwlang["meetme"]["titleSidebar"] =   "The Conference Rooms"; 
  $cwlang["meetme"]["textSidebar"] =   "It is possible to create conference rooms with or with pin numbers"; 
  $cwlang["meetme"]["alertDelGood"] =   "The conference room has been deleted"; 
  $cwlang["meetme"]["alertDelBad"] =   "The conference room hasn't been deleted"; 
  $cwlang["meetme"]["alertModGood"] =   "The conference room has been modified"; 
  $cwlang["meetme"]["alertModBad"] =   "The conference room hasn't been modified"; 
  $cwlang["meetme"]["titleForm"] =   "Conference Room"; 
  $cwlang["meetme"]["textForm"] =   "Define the conference room options"; 
  $cwlang["meetme"]["confno"] =   "Room No"; 
  $cwlang["meetme"]["confnoExample"] =   "Mandatory field, must be numeric like 8000"; 
  $cwlang["meetme"]["pin"] =   "User Pin"; 
  $cwlang["meetme"]["pinExample"] =   "Optional field, must be numeric like 1234"; 
  $cwlang["meetme"]["adminpin"] =   "Admin Pin"; 
  $cwlang["meetme"]["adminpinExample"] =   "Optional field, must be numeric like 8818"; 
  $cwlang["meetme"]["sidebarEditTitle"] =   "Add or update a Conference Room"; 
  $cwlang["meetme"]["sidebarEditText"] =   "<p>It is possible to create conference rooms with or without pin numbers</p>";   
  $cwlang["meetme"]["confirmDel"] = "Are you sure you want to remove the conference room"; 
  $cwlang["meetme"]["options"] = "Options";
  $cwlang["meetme"]["optionsExample"] = "Advanced options";
  
  $cwlang["meetme"]["roomNoNull"] = "Room number cannot be null";
  $cwlang["meetme"]["roomNumOnly"] = "Room number allow only numeric characters. Please change it";
  $cwlang["meetme"]["roomAlreadyExists"] = "Room number already in use. Please change it";
  $cwlang["meetme"]["pinNumOnly"] = "Pin number allow only numeric characters. Please change it";
  $cwlang["meetme"]["adminpinNumOnly"] = "Admin pin number allow only numeric characters. Please change it";
  
  
?>
