<?
/**
 * VoiceOne Language File italian
 *
 * @package voiceone
 * @subpackage  language
 */
  
  global $cwlang, $relBasePath;
  
  //****************************
  // GENERIC translation 
  //****************************
  $cwlang["generic"]["working"]="Aggiunta in corso...";
  $cwlang["generic"]["deleting"]="Eliminazione in corso...";
  $cwlang["generic"]["loading"]="Caricamento della scheda in corso...";
  

  //****************************
  //translation for the template
  //****************************
  $cwlang["template"]["loginTitle"]="Autenticazione";
  $cwlang["template"]["loginInfo"]="Informazioni";
  $cwlang["template"]["loginDescription"]="Per poter entrare in VoiceOne devi digitare i tuoi dati di accesso.";
  $cwlang["template"]["loginRememberMe"]="Ricordami su questo computer";
  $cwlang["template"]["loginTerms"]="Termini d'uso";
  $cwlang["template"]["persWelcome"]="Benvenuto";
  $cwlang["template"]["persLogOff"]="Esci";
  $cwlang["template"]["confReturnToPersonal"]="Torna al Personal VoiceOne";
  
  //****************************
  //translation for the Menu
  //****************************
  $cwlang["menu"]["overview"] =     "OverView";
  $cwlang["menu"]["extension"] =    "Interni";
  $cwlang["menu"]["queue"] =        "Code";
  $cwlang["menu"]["office"] =       "Sedi";
  $cwlang["menu"]["provider"] =     "Provider";
  $cwlang["menu"]["number"] =       "Numeri";
  $cwlang["menu"]["group"] =        "Gruppi";
  $cwlang["menu"]["right"] =        "Diritti";
  $cwlang["menu"]["ivr"] =          "IVR";
  $cwlang["menu"]["io"] =           "I/O";
  $cwlang["menu"]["user"] =         "Utenti";
  $cwlang["menu"]["isdn"] =         "ISDN";
  $cwlang["menu"]["sip"] =          "SIP";
  $cwlang["menu"]["iax"] =          "IAX";
  $cwlang["menu"]["lan"] =          "Lan";
  $cwlang["menu"]["editor"] =       "Editor";
  $cwlang["menu"]["zapata"] =       "Zapata";
  $cwlang["menu"]["meetme"] =       "Meetme";
  $cwlang["menu"]["moh"] =          "MOH";
  $cwlang["menu"]["sounds"] =       "Sounds";
  
  $cwlang["menu"]["phonebook"] =    "Rubrica";
  $cwlang["menu"]["phone"] =        "Telefono";
  $cwlang["menu"]["history"] =      "Chiamate";
  $cwlang["menu"]["voicemail"] =    "VoiceMail";
  $cwlang["menu"]["transfer"] =     "Trasferimenti";
  $cwlang["menu"]["configurator"] = "Configurazione";
  $cwlang["menu"]["customization"] ="Personalizzazioni";
  $cwlang["menu"]["account"] =      "Account";

  //****************************************************************************
  //***********************       VOICEONE PERSONAL         ********************
  //****************************************************************************

  //****************************
  //translation for the PhoneBook Section
  //****************************
  $cwlang["phonebook"]["title"] =   "Contatti";
  $cwlang["phonebook"]["name"] =   "Nome";
  $cwlang["phonebook"]["status"] =   "Stato";
  $cwlang["phonebook"]["personal"] =   "Rubrica personale";
  $cwlang["phonebook"]["description"] =   "Elenco degli utenti registrati sul centralino telefonico e il loro stato attuale";
  $cwlang["phonebook"]["information"] =   "Informazioni";
  $cwlang["phonebook"]["sidebarText"] =   "A lato trovera' l'elenco di tutti gli utenti che hanno un accesso a questo centralino. "
                                         ."Per ogni voce, sara' associato lo stato dell'utente in quel momento. Gli stati possibili sono: "
                                         ."<ul><li><img src=\"admin/public/img/online.gif\" /> <strong>Online</strong>: L'utente e' attualmente connesso</li>"
                                         ."<li><img src=\"admin/public/img/offline.gif\" /> <strong>Offline</strong>: L'utente non e' connesso</li>"
                                         ."<li><img src=\"admin/public/img/unknown.gif\" /> <strong>Unknown</strong>: Lo stato di questo utente e' sconosciuto</li></ul>";
  
  //****************************
  //translation for the Account Section
  //****************************
  
  $cwlang["account"]["title"] = "Informazioni Account";
  $cwlang["account"]["personalinfo"] = "Dati personali"; 
  $cwlang["account"]["name"] = "Nome"; 
  $cwlang["account"]["surname"] = "Congome"; 
  $cwlang["account"]["lang"] = "Lingua"; 
  $cwlang["account"]["authdata"] = "Dati di registrazione"; 
  $cwlang["account"]["exten"] = "Extension"; 
  $cwlang["account"]["username"] = "Username";
  $cwlang["account"]["password"] = "Password";
  $cwlang["account"]["newpassword"] = "Nuova Password"; 
  $cwlang["account"]["confirmpassword"] = "Conferma";
  $cwlang["account"]["changepwd"] = "Cambia la password";
  $cwlang["account"]["alias"] = "Alias"; 
  $cwlang["account"]["title2"] = "VoiceMail";
  $cwlang["account"]["title2text"] = "Inserisci qui i dati relativi alla voicemail";
  $cwlang["account"]["active"] = "Attivo";
  $cwlang["account"]["email"] = "Email"; 
  $cwlang["account"]["emailText"] = "indirizzo email al quale saranno inviate le voicemail";
  $cwlang["account"]["passwordText"] = "password per la lettura della voicemail";
  $cwlang["account"]["newpasswordText"] = "imposta la nuova password (deve contenere solo numeri, i.e. <strong>2525</strong>)";
  $cwlang["account"]["confpasswordText"] = "ridigita la nuova password";
  $cwlang["account"]["DND"] = "DND (Do Not Disturb)";
  $cwlang["account"]["DNDtext"] = "Ingora le chiamate in ingresso";
  $cwlang["account"]["CF"] = "Call Forwarding";
  $cwlang["account"]["CFtext"] = "Inoltra le chiamate verso un'altra destinazione";
  $cwlang["account"]["CFUtext"] = "(Trasferisci sempre) invia le chiamate al numero";
  $cwlang["account"]["CFBtext"] = "(Trasferisci se occupato) invia le chiamate al numero";
  $cwlang["account"]["CFNRtext"] = "(Trasferisci se non risposto) invia le chiamate al numero";
  $cwlang["account"]["username"] = "Username"; 
  $cwlang["account"]["user"] = "User"; 
  $cwlang["account"]["rootinfo"] = "Informazioni di Root";
  $cwlang["account"]["sidebartitle"] = "Dati di registrazione"; 
  $cwlang["account"]["sidebardesc"] = "Qui ci sono le informazioni relative all'account";
  $cwlang["account"]["saveOk"] = "L'extension e' stata salvata con successo!";
  $cwlang["account"]["saveErr"] = "Errore nel salvataggio dell'extension";
  $cwlang["account"]["script1"] = "La password della voicemail deve contenere solo numeri! Prego, modificarla.";
  $cwlang["account"]["err1"] = "La nuova password e la conferma non coincidono";
  $cwlang["account"]["err2"] = "La nuova password non puo' essere vuota";
  $cwlang["account"]["err3"] = "La nuova password della voicemail e la conferma non coincidono"; 
  $cwlang["account"]["err4"] = "La nuova password della voicemail non puo' essere vuota";
  $cwlang["account"]["err5"] = "Username e password non corrispondono";
  $cwlang["account"]["err6"] = "Mailbox e password non corrispondono";
  $cwlang["account"]["err7"] = "L'indirizzo email non puo' essere vuoto";
   
  //****************************
  //translation for the VoiceMail Section
  //****************************
  $cwlang["voicemail"]["title"] =   "VoiceMail";
  $cwlang["voicemail"]["settedOk"] = "Answer messages correctly setted";
  $cwlang["voicemail"]["settedErr"] = "Error setting answer messages";
  $cwlang["voicemail"]["deletedOk"] = "Correctly deleted";
  $cwlang["voicemail"]["deletedErr"] = "Wrongly deleted";
  $cwlang["voicemail"]["noSelected"] = "No message selected";
  $cwlang["voicemail"]["movedOk"] = "Correctly moved";
  $cwlang["voicemail"]["movedErr"] = "Wrongly moved";
  $cwlang["voicemail"]["noMessages"] = "No Messages";
  $cwlang["voicemail"]["sidebarTitle"] = "Answer Messages";
  $cwlang["voicemail"]["sidebarNote"] = "Select an audio file or record your personal answer message";
  $cwlang["voicemail"]["message"] = "Message";
  $cwlang["voicemail"]["unavailTitle"] = "Unavailable";
  $cwlang["voicemail"]["unavailNote"] = "Unavailable message will be played when your client application is off or unreachable.";
  $cwlang["voicemail"]["busyTitle"] = "Busy";
  $cwlang["voicemail"]["busyNote"] = "Busy message will be played when your client application is reachable but you can't accept the call.";
  $cwlang["voicemail"]["tempgreetingTitle"] = "Temporary Greeting";
  $cwlang["voicemail"]["tempgreetingNote"] = "If setted, Temporary Greeting message will be played in any case (override both busy and unvailable).";
  $cwlang["voicemail"]["yournameTitle"] = "Your Name";
  $cwlang["voicemail"]["yournameNote"] = "It replace the spelling message in Asterisk Directory Command.";
  
  //****************************
  //translation for the Call Transfers Section
  //****************************
  $cwlang["transfer"]["title"] =   "Trasferimenti di chiamata";
  $cwlang["transfer"]["title2"] =   "Sezione in sviluppo";
  $cwlang["transfer"]["workinprogress"] =   "Attualmente questa sezione <strong>non e' attiva</strong>. Collabora con noi per svilupparla. Visita il sito di <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a>";
   
  //****************************
  //translation for the CustomizationSection
  //****************************
  $cwlang["customization"]["title"] =   "Personalizzazioni";
  $cwlang["customization"]["title2"] =   "Sezione in sviluppo";
  $cwlang["customization"]["workinprogress"] =   "Attualmente questa sezione <strong>non e' attiva</strong>. Collabora con noi per svilupparla. Visita il sito di <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a>";






  //****************************************************************************
  //***********************       VOICEONE CONFIGURATOR     ********************
  //****************************************************************************

  //*************************************
  //translation for the Overview Section
  //*************************************
  $cwlang["overview"]["title"] =   "VoiceOne Configurator - Overview"; 
  $cwlang["overview"]["publickey"] =   "Chiave Pubblica"; 
  $cwlang["overview"]["firststep"] =   "Primi passi"; 
  $cwlang["overview"]["firststepDesc"] =    
            "    Per poter configurare per la prima volta il VoiceOne, e' necessario seguire\n"
           ."    nell'ordine i seguenti passi:\n" 
           ."    <ul>\n" 
           ."      <li>1. Configurazione di rete (attenzione: il salvataggio provochera' un riavvio della macchina)</li>\n" 
           ."      <li>2. Installazione e configurazione delle schede ISDN</li>\n" 
           ."      <li>3. Aggiunta degli interni/sedi/code</li>\n" 
           ."      <li>4. Controllo dei diritti</li>\n" 
           ."    </ul>\n" ;
  $cwlang["overview"]["configuration"] =   "Configurazione del sistema";
  $cwlang["overview"]["configurationDesc"] =   "Da questa sezione e' possibile configurare tutti i parametri del centralino. E' necessaria la massima prudenza per non compromettere il buon funzionamento del sistema";
   
  //*************************************
  //translation for the Extension Section
  //*************************************
  $cwlang["exten"]["title"] =   "Interni"; 
  $cwlang["exten"]["newExten"] =   "Nuovo interno"; 
  $cwlang["exten"]["information"] =   "Informazioni"; 
   
  //edit 
  $cwlang["exten"]["return"] =   "Ritorna senza salvare"; 
  $cwlang["exten"]["personalinfo"] =   "Anagrafica della persona"; 
  $cwlang["exten"]["name"] =   "Nome"; 
  $cwlang["exten"]["surname"] =   "Cognome"; 
  $cwlang["exten"]["email"] =   "Email"; 
  $cwlang["exten"]["authdata"] =   "Dati di Autenticazione"; 
  $cwlang["exten"]["exten"] =   "Interno"; 
  $cwlang["exten"]["language"] =   "Lingua";
  $cwlang["exten"]["password"] =   "Password";
  $cwlang["exten"]["alias"] =   "Alias"; 
  $cwlang["exten"]["advancedOption"] =   "Opzioni avanzate"; 
  $cwlang["exten"]["advancedOptionDesc"] =   "Se spunti la casella sottostante, accederai al pannello delle opzioni avanzate"; 
  $cwlang["exten"]["advancedOptionYes"] =   "Si', accedi alle opzioni avanzate"; 
  $cwlang["exten"]["protocol"] =   "Protocollo"; 
  $cwlang["exten"]["host"] =   "Host"; 
  $cwlang["exten"]["dynip"] =   "Ip Dinamico [default]"; 
  $cwlang["exten"]["hostname"] =   "Hostname"; 
  $cwlang["exten"]["ipmask"] =   "Maschera IP"; 
  $cwlang["exten"]["defaultip"] =   "Default IP"; 
  $cwlang["exten"]["defaultipDesc"] =   "Inserire un IP nel caso fallissero i precedenti indirizzi"; 
  $cwlang["exten"]["report"] =   "Rapporti"; 
  $cwlang["exten"]["default"] =   "Default"; 
  $cwlang["exten"]["ommit"] =   "Ometti"; 
  $cwlang["exten"]["billing"] =   "Fattura"; 
  $cwlang["exten"]["documentation"] =   "Documenta"; 
  $cwlang["exten"]["canReinvite"] =   "Can Reinvite?"; 
  $cwlang["exten"]["no"] =   "No"; 
  $cwlang["exten"]["yes"] =   "Si'"; 
  $cwlang["exten"]["canReinviteDesc"] =   "Questa scelta permette di bypassare Asterisk e effettuare direttamente chiamate tra client"; 
  $cwlang["exten"]["dtmfMode"] =   "DTMF Mode"; 
  $cwlang["exten"]["dtmfModeDesc"] =   "Scegliere la modalita' di invio dei toni"; 
  $cwlang["exten"]["lang"] =   "Lingua"; 
  $cwlang["exten"]["langDesc"] =   "Scrivere la lingua del client. Lasciare bianco per il default"; 
  $cwlang["exten"]["nat"] =   "NAT"; 
  $cwlang["exten"]["yesNAT"] =   "Si', per indicare che il client e' nattato"; 
  $cwlang["exten"]["deniedIP"] =   "IP Vietati"; 
  $cwlang["exten"]["deniedIPDesc"] =   "<strong>Sintassi</strong>: Ip/Maschera[,Ip/Maschera[...]]"; 
  $cwlang["exten"]["allowedIP"] =   "IP Permessi"; 
  $cwlang["exten"]["allowedIPDesc"] =   "<strong>Sintassi</strong>: Ip/Maschera[,Ip/Maschera[...]]"; 
  $cwlang["exten"]["qualify"] =   "Qualify"; 
  $cwlang["exten"]["qualifyDesc"] =   "Questa scelta permette ad Asterisk di controllare l'effettiva registrazione del client"; 
  $cwlang["exten"]["codecs"] =   "Codecs"; 
  $cwlang["exten"]["codecsAdd"] =   "Aggiungi Codecs -->"; 
  
  $cwlang["exten"]["otherExten"] =   "Altri interni"; 
  $cwlang["exten"]["otherExtenDesc"] =   "Puoi visualizzare gli altri interni cliccando una voce nella lista:"; 

  //*************************************
  //translation for the QUEUE Section
  //*************************************
  $cwlang["queue"]["title"] =   "Code"; 
  $cwlang["queue"]["newQueue"] =   "Nuova Coda"; 
  $cwlang["queue"]["modifyQueue"] =   "Modifica la coda ";  //it will append the queue name 
  $cwlang["queue"]["titleSidebar"] =   "Le Code"; 
  $cwlang["queue"]["textSidebar"] =   "E' possibile creare code di interni, in modo da poter far squillare contemporaneamente insiemi di telefoni che appartengono alla stessa coda"; 
  $cwlang["queue"]["alertDelGood"] =   "La coda e' stata correttamente eliminata"; 
  $cwlang["queue"]["alertDelBad"] =   "La coda NON e' stata eliminata"; 
  $cwlang["queue"]["alertModGood"] =   "La coda e' stata correttamente modificata"; 
  $cwlang["queue"]["alertModBad"] =   "La coda NON e' stata modificata"; 
  $cwlang["queue"]["titleForm"] =   "Code"; 
  $cwlang["queue"]["textForm"] =   "Inserire le proprieta' e spuntare gli interni che appartengono a questo nuova coda"; 
  $cwlang["queue"]["name"] =   "Nome"; 
  $cwlang["queue"]["nameExample"] =   "P.e. amministrazione, supporto tecnico"; 
  $cwlang["queue"]["strategy"] =   "Strategia"; 
  $cwlang["queue"]["strategyExample"] =   "possibili valori: ringall, none, ecc.."; 
  $cwlang["queue"]["melody"] =   "Melodia"; 
  $cwlang["queue"]["melodyExample"] =   "default, ecc..."; 
  $cwlang["queue"]["frequency"] =   "Frequenza"; 
  $cwlang["queue"]["frequencyExample"] =   "90, 100"; 
  $cwlang["queue"]["holdtime"] =   "Holdtime"; 
  $cwlang["queue"]["holdtimeExample"] =   "yes, no"; 
  $cwlang["queue"]["joinEmpty"] =   "Join Empty"; 
  $cwlang["queue"]["joinEmptyExample"] =   "yes, no"; 
  $cwlang["queue"]["extensionInfo"] =   "Scegli gli interni che appartengono a questa coda"; 
  $cwlang["queue"]["sidebarEditTitle"] =   "Aggiungere una coda"; 
  $cwlang["queue"]["sidebarEditText"] =   "<p>La coda viene gestita da Asterisk, quindi la chiamata, quando entra in una coda, viene risposta dal centralino che la manda agli interni selezionati</p>"; 


  //*************************************
  //translation for the DEPARTMENT Section
  //*************************************
  $cwlang["dept"]["title"] =   "Sedi"; 
  $cwlang["dept"]["newDept"] =   "Nuova Sede"; 
  $cwlang["dept"]["sidebarTitle"] =   "Informazioni"; 
  $cwlang["dept"]["sidebarText"] =   "A lato sono elencate le sedi con cui il Callware e' direttamente connesso"; 
  $cwlang["dept"]["alertDelGood"] =   "La sede e' stata correttamente eliminata"; 
  $cwlang["dept"]["alertDelBad"] =   "La sede NON e' stata eliminata"; 
  $cwlang["dept"]["alertModGood"] =   "La sede e' stata correttamente modificata"; 
  $cwlang["dept"]["alertModBad"] =   "La sede NON e' stata modificata"; 
  $cwlang["dept"]["modDeptTitle"] =   "Modifica Sede"; 
  $cwlang["dept"]["newDeptTitle"] =   "Nuova Sede"; 
  $cwlang["dept"]["return"] =   "Torna senza salvare"; 
  $cwlang["dept"]["personalInfos"] =   "Anagrafica"; 
  $cwlang["dept"]["personalInfosDesc"] =   "Compila i dati della sede"; 
  $cwlang["dept"]["name"] =   "Nome"; 
  $cwlang["dept"]["hostname"] =   "Hostname"; 
  $cwlang["dept"]["hostnameHelp"] =   " Il nome o l'ip dell'host, p.e. 122.12.13.14"; 
  $cwlang["dept"]["mask"] =   "Maschera"; 
  $cwlang["dept"]["maskHelp"] =   "La maschera IP, p.e. 255.255.255.0"; 
  $cwlang["dept"]["username"] =   "Username"; 
  $cwlang["dept"]["usernameHelp"] =   "Lo username di accesso sull'altro Voiceone"; 
  $cwlang["dept"]["rsaKeyDesc"] =   "Incolla la chiave pubblica rsa"; 
  $cwlang["dept"]["rsaKey"] =   "Chiave rsa"; 
  $cwlang["dept"]["phoneNumberTitle"] =   "Numeri di Telefono"; 
  $cwlang["dept"]["phoneNumberDesc"] =   "Elenca qui sotto i numeri di telefono della sede"; 
  $cwlang["dept"]["phoneNumber"] =   "Numero di Telefono"; 
  $cwlang["dept"]["phoneNumberAdded"] =   "Numeri di telefono aggiunti"; 
  $cwlang["dept"]["shortcut"] =   "Tasto Veloce"; 
  $cwlang["dept"]["shortcutHelp"] =   "inserisci un tasto di chiamata veloce, p.e. 3"; 
  $cwlang["dept"]["advancedOptionTitle"] =   "Opzioni avanzate"; 
  $cwlang["dept"]["advancedOptionDesc"] =   "Se spunti la casella sottostante, accederai al pannello delle opzioni avanzate"; 
  $cwlang["dept"]["advancedOptionShow"] =   "Si', accedi alle opzioni avanzate"; 
  $cwlang["dept"]["defaultIp"] =   "Default IP"; 
  $cwlang["dept"]["defaultIpHelp"] =   " Inserire un IP nel caso fallissero i precedenti indirizzi"; 
  $cwlang["dept"]["report"] =   "Rapporti"; 
  $cwlang["dept"]["default"] =   "Default"; 
  $cwlang["dept"]["omit"] =   "Ometti"; 
  $cwlang["dept"]["billing"] =   "Fattura"; 
  $cwlang["dept"]["documentation"] =   "Documenta"; 
  $cwlang["dept"]["canReinvite"] =   "Can Reinvite"; 
  $cwlang["dept"]["noDefault"] =   "No [default]"; 
  $cwlang["dept"]["yes"] =   "Si'"; 
  $cwlang["dept"]["canReinviteHelp"] =   "Questa scelta permette di bypassare Asterisk e effettuare direttamente chiamate tra client"; 
  $cwlang["dept"]["dtmfMode"] =   "DTMF Mode"; 
  $cwlang["dept"]["dtmfModeHelp"] =   "Scegliere la modalita' di invio dei toni"; 
  $cwlang["dept"]["language"] =   "Lingua"; 
  $cwlang["dept"]["languageHelp"] =   "Scrivere la lingua del client. Lasciare bianco per il default"; 
  $cwlang["dept"]["mailbox"] =   "MailBox"; 
  $cwlang["dept"]["mailboxDesc"] =   "TO DO..."; 
  $cwlang["dept"]["nat"] =   "NAT"; 
  $cwlang["dept"]["denyIp"] =   "Ip vietati"; 
  $cwlang["dept"]["denyIpHelp"] =   "<strong>Sintassi</strong>: Ip/Maschera[,Ip/Mascera[...]]"; 
  $cwlang["dept"]["allowIp"] =   "Ip permessi"; 
  $cwlang["dept"]["allowIpHelp"] =   "<strong>Sintassi</strong>: Ip/Maschera[,Ip/Mascera[...]]"; 
  $cwlang["dept"]["qualify"] =   "Qualify"; 
  $cwlang["dept"]["qualifyHelp"] =   "Questa scelta permette ad Asterisk di controllare l'effettiva registrazione del client"; 
  $cwlang["dept"]["codecs"] =   "Codecs"; 
  $cwlang["dept"]["codecsAdd"] =   "Aggiungi codec -->"; 
  $cwlang["dept"]["sidebarEditTitle"] =   "Informazioni"; 
  $cwlang["dept"]["sidebarEditText"] =   "<p>Una sede e' caratterizzata da:</p><ol><li>un'anagrafica</li><li>i dati di accesso</li><li>numeri di telefono</li></ol><h2>Aggiunta di un nuovo numero telefonico</h2><p>Scrivi il numero di telefono della sede e poi aggiungila all'elenco premendo il bottone <b>+</b>.<br />            Puoi cancellare i numeri selezionando quello voluto e premendo il bottone <b>X</b>.<br /> Per modificare un numero, selezionarlo con un doppio click oppure cliccare il tasto <b>edit</b>.<br /></p>"; 
  
  //*************************************
  //translation for the PROVIDER Section
  //*************************************
  $cwlang["provider"]["title"] =   "Provider"; 
  $cwlang["provider"]["newProvider"] =   "Nuovo provider"; 
  $cwlang["provider"]["alertDelGood"] =   "La risorsa e' stata correttamente eliminata"; 
  $cwlang["provider"]["alertDelBad"] =   "La risorsa NON e' stata eliminata"; 
  $cwlang["provider"]["sidebarTitle"] =   "Informazioni"; 
  $cwlang["provider"]["sidebarText"] =   "<p>Le risorse sono i provider esterni a cui ci connette per effettuare".
                                          "          le telefonate.</p>".
                                          "          <p>Sono possibili due tipi di risorse:".
                                          "            <ol>".
                                          "              <li>Provider SIP</li>".
                                          "              <li>Provider tradizionali (ISDN)</li>".
                                          "            </ol>".
                                          "          </p>".
                                          "          <p>".           
                                          "            Con i primi si possono effettuare chiamate VoIP, mentre con i secondi".
                                          "            e' possibile chiamare attraverso gli operatori nazionali.".
                                          "          </p>"; 
  $cwlang["provider"]["alertDelGood"] =   "La risorsa e' stata correttamente modificata"; 
  $cwlang["provider"]["alertDelBad"] =   "La risorsa NON e' stata modificata"; 
  $cwlang["provider"]["modTitle"] =   "Modifica il provider "; 
  $cwlang["provider"]["newTitle"] =   "Nuovo provider"; 
  $cwlang["provider"]["return"] =   "Ritorna senza salvare"; 
  $cwlang["provider"]["type"] =   "Tipo di Provider"; 
  $cwlang["provider"]["typeDesc"] =   "E' necessario indicare il tipo di provider che si vuole inserire per poter procedere"; 
  $cwlang["provider"]["isdn"] =   "Operatore tradizionale (ISDN)"; 
  $cwlang["provider"]["sip"] =   "Provider SIP "; 
  $cwlang["provider"]["sipTitle"] =   "Provider SIP"; 
  $cwlang["provider"]["sipDesc"] =   "Informazioni generali"; 
  $cwlang["provider"]["sipName"] =   "Nome"; 
  $cwlang["provider"]["sipNameHelp"] =   "Nome dell'operatore telefonico, p.e. messagenet. ATTENZIONE: inserire esattamente il nome del provider."; 
  $cwlang["provider"]["sipCode"] =   "Codice<br/>operatore"; 
  $cwlang["provider"]["sipCodeHelp"] =   "Codice per la selezione diretta, p.e. *99"; 
  $cwlang["provider"]["authTitle"] =   "Dati di autenticazione"; 
  $cwlang["provider"]["username"] =   "Username"; 
  $cwlang["provider"]["password"] =   "Password"; 
  $cwlang["provider"]["ipAddress"] =   "Indirizzo IP"; 
  $cwlang["provider"]["port"] =   "Porta"; 
  $cwlang["provider"]["mask"] =   "Maschera"; 
  $cwlang["provider"]["nat"] =   "Nat"; 
  $cwlang["provider"]["Yes"] =   "Si'"; 
  $cwlang["provider"]["No"] =   "No"; 
  $cwlang["provider"]["isdnTitle"] =   "Provider ISDN"; 
  $cwlang["provider"]["isdnDesc"] =   "Informazioni generali"; 
  $cwlang["provider"]["isdnName"] =   "Nome"; 
  $cwlang["provider"]["isdnNameHelp"] =   "Nome dell'operatore telefonico, p.e. Telecomitalia"; 
  $cwlang["provider"]["isdnCode"] =   "Codice<br/>operatore"; 
  $cwlang["provider"]["isdnCodeHelp"] =   "Codice per la selezione diretta, p.e. 1033"; 
  $cwlang["provider"]["editSidebarTitle"] =   "Aggiungere una Risorsa"; 
  $cwlang["provider"]["editSidebarDesc"] =   "<p>Per aggiungere una <strong>risorsa</strong> e' necessario per".
                          "          prima cosa selezionare il tipo di provider voluto.</p>".
                          "          <p>Un <strong>provider ISDN</strong> e' un operatore di telefonia".
                          "          tradizionale, come per esempio Telecomitalia, Tele2 o Infostrada.</p>".
                          "          <p>Un <strong>provider SIP</strong> invece, e' un operatore di telefonia".
                          "          VoIp, cioe' su connessione internet.</p>"; 
  
  
  
  //*************************************
  //translation for the PHONE NUMBER Section
  //*************************************
  $cwlang["numb"]["title"] =   "Numeri Telefonici"; 
  $cwlang["numb"]["alertDelGood"] =   "La numerazione e' stata correttamente eliminata"; 
  $cwlang["numb"]["alertDelBad"] =   "La numerazione NON e' stata eliminata"; 
  $cwlang["numb"]["newPhoneNumber"] =   "Nuova classe di numerazione"; 
  $cwlang["numb"]["sidebarTitle"] =   "Informazioni"; 
  $cwlang["numb"]["sidebarDesc"] =   "<p>A lato sono elencate le sedi con cui il Callware e' direttamente connesso</p>"; 
  $cwlang["numb"]["alertModGood"] =   "La numerazione e' stata correttamente modificata"; 
  $cwlang["numb"]["alertModBad"] =   "La numerazione NON e' stata modificata"; 
  $cwlang["numb"]["return"] =   "Ritorna senza salvare"; 
  $cwlang["numb"]["numbersTitle"] =   "Numeri di Telefono"; 
  $cwlang["numb"]["numbersHelp"] =   "Elenca qui sotto i numeri di telefono della sede"; 
  $cwlang["numb"]["name"] =   "Nome della Numerazione"; 
  $cwlang["numb"]["nameHelp"] =   "p.e. Numeri Verdi, oppure Operatori Cellulari, ecc..."; 
  $cwlang["numb"]["addNumber"] =   "Numero di Telefono"; 
  $cwlang["numb"]["listNumber"] =   "Numeri di telefono aggiunti"; 
  $cwlang["numb"]["emergency"] =   "Numero di Emergenza"; 
  $cwlang["numb"]["emergencyHelp"] =   "Scegliere si' per riservare la massima priorita' a questa numerazione"; 
  $cwlang["numb"]["yes"] =   "Si'"; 
  $cwlang["numb"]["no"] =   "No"; 
  $cwlang["numb"]["editSidebarTitle"] =   "Informazioni"; 
  $cwlang["numb"]["editSidebarDesc"] =   "<p>Un numero di telefono si puo' indicare scrivendolo per esteso oppure".
                                  "          usando le espressioni regolari.</p>".
                                  "          <p>Regole di scrittura usando le espressioni regolari:</p>".
                                  "          <ol>".
                                  "            <li>_ :indica che i caratteri successivi sono espressioni regolari</li>".
                                  "            <li>N :un numero compreso tra 2 e 9</li>".
                                  "            <li>X :una qualsiasi cifra</li>".
                                  "            <li>[xxx] :il prossimo carattere e' accettato tra quelli nelle parentesi</li>".
                                  "          </ol>"; 
  

  //*************************************
  //translation for the GROUP Section
  //*************************************
  $cwlang["group"]["title"] =   "Gruppi"; 
  $cwlang["group"]["alertDelGood"] =   "Il gruppo e' stato correttamente eliminato"; 
  $cwlang["group"]["alertDelBad"] =   "Il gruppo NON e' stato eliminato"; 
  $cwlang["group"]["newGroup"] =   "Nuovo Gruppo"; 
  $cwlang["group"]["sidebarTitle"] =   "Informazioni"; 
  $cwlang["group"]["sidebarDesc"] =   "<p>E' necessario raggruppare le entita' (interni, sedi e provider) create ". 
                                      "finora. <br />In questo modo si potranno gestire piu' facilmente ".
                                      "i permessi di ciascun utente.  ".
                                      "</p>"; 
  $cwlang["group"]["extension"] =   "Interni"; 
  $cwlang["group"]["department"] =   "Sedi"; 
  $cwlang["group"]["provider"] =   "Provider"; 
  $cwlang["group"]["phonenumber"] =   "Numeri"; 

  $cwlang["group"]["alertDelGood"] =   "Il Gruppo e' stato modificato correttamente"; 
  $cwlang["group"]["alertDelBad"] =   "Il Gruppo NON e' stato modificato"; 
  $cwlang["group"]["modGroup"] =   "Modifica il gruppo"; 
  $cwlang["group"]["newGroup"] =   "Nuovo Gruppo"; 
  $cwlang["group"]["return"] =   "Ritorna senza salvare"; 
  $cwlang["group"]["type"] =   "Tipo di gruppo"; 
  $cwlang["group"]["typeDesc"] =   "E' necessario indicare il tipo di gruppo che si vuole inserire per poter procedere"; 
  $cwlang["group"]["extensionGroup"] =   "Gruppo di Interni"; 
  $cwlang["group"]["checkExtension"] =   "Spuntare gli interni che appartengono a questo nuovo gruppo"; 
  $cwlang["group"]["name"] =   "Nome"; 
  $cwlang["group"]["extensionNameHelp"] =   "P.e. HelpDesk oppure Amministrazione"; 
  $cwlang["group"]["checkExtension2"] =   "Scegli gli interni che appartengono al gruppo"; 
  $cwlang["group"]["deptGroup"] =   "Gruppo di Sedi"; 
  $cwlang["group"]["checkDept"] =   "Spuntare le sedi che appartengono a questo nuovo gruppo"; 
  $cwlang["group"]["deptNameHelp"] =   "P.e. Asia, Europa oppure Nazionale"; 
  $cwlang["group"]["checkDept2"] =   "Scegli le sedi che appartengono al gruppo"; 
  $cwlang["group"]["providerGroup"] =   "Gruppo di Provider"; 
  $cwlang["group"]["checkProvider"] =   "Spuntare le risorse che appartengono a questo nuovo gruppo"; 
  $cwlang["group"]["providerNameHelp"] =   "P.e. AccessoLibero oppure AccessoLimitato"; 
  $cwlang["group"]["checkProvider2"] =   "Scegli le risorse che appartengono al gruppo"; 
  $cwlang["group"]["phoneNumberGroup"] =   "Gruppo di Numeri Telefonici"; 
  $cwlang["group"]["checkPhoneNumber"] =   "Spuntare i numeri telefonici che appartengono a questo nuovo gruppo"; 
  $cwlang["group"]["phoneNumberNameHelp"] =   "P.e. Liberi oppure A Pagamento"; 
  $cwlang["group"]["checkPhoneNumber2"] =   "Scegli le risorse che appartengono al gruppo"; 
  $cwlang["group"]["editSidebar"] =   "Informazioni"; 
  $cwlang["group"]["editSidebarDesc"] =   ""; 
  $cwlang["group"]["chooseGroup"] =   "Scegli almeno un gruppo di appartenenza"; 
  
  $cwlang["group"]["application"] = "Applicazioni";
  $cwlang["group"]["applicationGroup"] =   "Gruppo di applicazioni"; 
  $cwlang["group"]["checkApplication"] =   "Scegli le applicazioni che appartengono a questo gruppo"; 
  $cwlang["group"]["applicationNameHelp"] =   "I.e. Applicazioni Commerciali, Interne, etc..."; 
  $cwlang["group"]["checkApplication2"] =   "Spuntare le applicazioni che appartengono a questo nuovo gruppo"; 
  
  //*************************************
  //translation for the RIGHTS Section
  //*************************************
  $cwlang["right"]["title"] =   "Diritti"; 
  $cwlang["right"]["newRight"] =   "Nuovo diritto"; 
  $cwlang["right"]["sidebar"] =   "Informazioni"; 
  $cwlang["right"]["sidebarDesc"] =   "<p>I diritti permettono di assegnare permessi di chiamata alle diverse ".
                                      "entita' che sono attive su callware ".
                                      "</p>"; 
  $cwlang["right"]["alertDelGood"] =   "Il diritto e' stato correttamente eliminato"; 
  $cwlang["right"]["alertDelBad"] =   "Il diritto NON e' stato eliminato"; 
  $cwlang["right"]["alertModGood"] =   "Il Diritto e' stato correttamento modificato"; 
  $cwlang["right"]["alertModBad"] =   "Il Diritto NON e' stato modificato"; 
  $cwlang["right"]["modRight"] =   "Modifica il diritto "; 
  $cwlang["right"]["return"] =   "Ritorna senza salvare"; 
  $cwlang["right"]["groupList"] =   "Lista dei Gruppi e delle Applicazioni"; 
  $cwlang["right"]["groupListDesc"] =   "Spuntare i gruppi e le applicazioni abilitate in questo nuovo diritto"; 
  $cwlang["right"]["name"] =   "Nome"; 
  $cwlang["right"]["nameHelp"] =   "P.e. Chiamate in entrata, dipendenti"; 
  $cwlang["right"]["checkGroup"] =   "Scegli i gruppi che possono essere chiamati con questo diritto"; 
  $cwlang["right"]["checkApps"] =   "Scegli le applicazioni attivate su questo diritto"; 
  $cwlang["right"]["action"] =   "Azioni"; 
  $cwlang["right"]["actionDesc"] =   "Selezionare l'azione da intraprendere se si entra in questo diritto"; 
  $cwlang["right"]["editSidebar"] =   "Aggiungere un diritto"; 
  $cwlang["right"]["editSidebarDesc"] =   "<p>Un utente che possiede uno specifico <strong>diritto</strong> ".
                                    "ha la possibilita' di chiamare tutti i gruppi che appartengono al diritto ".
                                    "stesso</p>"; 
  $cwlang["right"]["chooseRight"] =   "I diritti indicano quali risorse si possono chiamare. Scegli almeno una classe di diritti."; 
  
  //*************************************
  //translation for the IVR Section
  //*************************************
  $cwlang["ivr"]["title"] =   "Risponditore Automatico"; 
  $cwlang["ivr"]["apply"] =   "Applica"; 
  $cwlang["ivr"]["nodeDeleted"] =   "Nodo eliminato"; 
  $cwlang["ivr"]["nodeNotDeleted"] =   "Nodo non eliminato"; 
  $cwlang["ivr"]["created"] =   "IVR creato"; 
  $cwlang["ivr"]["creating"] =   "Generazione albero in corso..."; 
  $cwlang["ivr"]["chooseAction"] =   "Scegli un'azione da intraprendere"; 
  $cwlang["ivr"]["newNode"] =   "Aggiungi un nuovo nodo"; 
  $cwlang["ivr"]["modNode"] =   "Modifica questo nodo"; 
  $cwlang["ivr"]["delNode"] =   "Elimina questo nodo"; 
  $cwlang["ivr"]["alertDelGood"] =   "L'Ivr e' stato correttamente eliminato"; 
  $cwlang["ivr"]["alertDelBad"] =   "L'Ivr NON e' stato eliminato"; 
  $cwlang["ivr"]["alertNewGood"] =   "L'Ivr e' stato correttamente creato"; 
  $cwlang["ivr"]["alertNewBad"] =   "L'Ivr NON e' stato creato"; 
  $cwlang["ivr"]["alertModGood"] =   "Il nodo e' stato modificato correttamente"; 
  $cwlang["ivr"]["alertModBad"] =   "Il nodo NON e' stato modificato"; 
  $cwlang["ivr"]["chooseIvr"] =   "Scegli l'IVR"; 
  $cwlang["ivr"]["titleDesc"] =   "Seleziona un nodo da modificare dall'albero dei nodi nel pannello di destra."; 
  $cwlang["ivr"]["newIvr"] =   "Crea un nuovo IVR"; 
  $cwlang["ivr"]["name"] =   "Nome"; 
  $cwlang["ivr"]["newIvrButton"] =   "Crea nuovo Ivr"; 
  $cwlang["ivr"]["replace"] =   "Al posto di"; 
  $cwlang["ivr"]["currentPosition"] =   "Nella posizione attuale"; 
  $cwlang["ivr"]["nodeDesc"] =   "Caratteristiche del nodo selezionato"; 
  $cwlang["ivr"]["name"] =   "Nome"; 
  $cwlang["ivr"]["key"] =   "Tasto"; 
  $cwlang["ivr"]["keyHelp"] =   "inserisci una o piu' cifre, p.e. 1, 99"; 
  $cwlang["ivr"]["audio"] =   "Audio"; 
  $cwlang["ivr"]["listen"] =   "Ascolta il file inserito"; 
  $cwlang["ivr"]["position"] =   "Posizione"; 
  $cwlang["ivr"]["action"] =   "Azioni"; 
  $cwlang["ivr"]["actionDesc"] =   "Scegli l'azione che deve esser fatta a questo punto del risponditore automatico"; 
  $cwlang["ivr"]["call"] =   "Chiama"; 
  $cwlang["ivr"]["enqueue"] =   "Accoda"; 
  $cwlang["ivr"]["macro"] =   "Macro"; 
  $cwlang["ivr"]["goto"] =   "Vai a"; 
  $cwlang["ivr"]["timeout"] =   "Timeout"; 
  $cwlang["ivr"]["timeoutDesc"] =   "Scegli l'azione che deve esser fatta quando scatta il timeout"; 
  $cwlang["ivr"]["repeat"] =   "Ripeti"; 
  $cwlang["ivr"]["repeatHelp"] =   "Se spuntato, viene ripetuto il menu "; 
  $cwlang["ivr"]["invalid"] =   "Scelta invalida"; 
  $cwlang["ivr"]["invalidHelp"] =   "Scegli l'azione che deve esser fatta quando l'utente sceglie un'opzione non valida"; 


  //*************************************
  //translation for the MOH Section
  //*************************************
  
  $cwlang["moh"]["title"] = "Music On Hold";  
  $cwlang["moh"]["newClass"] = "Nuova classe";
  $cwlang["moh"]["alertDelClassGood"] = "La classe e' stata correttamente cancellata"; 
  $cwlang["moh"]["alertDelClassBad"] = "La classe non e' stata cancellata";
  $cwlang["moh"]["sidebarTitle"] = "Songs Uploader";
  $cwlang["moh"]["sidebarDesc"] = "<p>carica ed amministra le tue canzoni per la musica in attesa</p>";
  $cwlang["moh"]["alertUploadGood"] = "Il file e' stato correttamente caricato";
  $cwlang["moh"]["alertUploadBad"] = "Il file non e' stato caricato";
  $cwlang["moh"]["alertUpErr1Bad"] = "Il file caricato eccede la dimensione massima permessa";
  $cwlang["moh"]["alertUpErr2Bad"] = "Il file caricato eccede la dimensione massima permessa";
  $cwlang["moh"]["alertDelSongGood"] = "Il file e' stato correttamente cancellato";
  $cwlang["moh"]["alertDelSongBad"] = "Il file non e' stato cancellato";
  //edit
  $cwlang["moh"]["modClass"] = "Modifica classe";
  $cwlang["moh"]["return"] = "Ritorna senza salvare";
  $cwlang["moh"]["point1title"] = "Classe";
  $cwlang["moh"]["point1text"] = "Parametri generali della classe";
  $cwlang["moh"]["point2title"] = "Lista delle canzoni";
  $cwlang["moh"]["point2text"] = "Scegli quali canzoni inserire in questa classe";
  $cwlang["moh"]["availableSongs"] = "Canzoni Disponibili";
  $cwlang["moh"]["selectedSongs"] = "Canzoni Selezionate";
  $cwlang["moh"]["calssName"] = "Nome";
  $cwlang["moh"]["classMode"] = "Modalita'";
  $cwlang["moh"]["classApplication"] = "Applicazione";
  $cwlang["moh"]["alertCreateGood"] = "La classe e' stata correttamente creata"; 
  $cwlang["moh"]["alertCreateBad"] = "La classe non e' stata creata";
  $cwlang["moh"]["alertModifyGood"] = "La classe e' stata correttamente modificata"; 
  $cwlang["moh"]["alertModifyBad"] = "La classe non e' stata modificata";
  $cwlang["moh"]["editSidebarTitle"] = "Informazioni";
  $cwlang["moh"]["editSidebarDesc"] = "<p></p>";
  $cwlang["moh"]["addButton"] = "  Aggiungi      ";
  $cwlang["moh"]["addAllButton"] = " Aggiungi tutte ";
  $cwlang["moh"]["removeButton"] = "       Rimuovi  ";
  $cwlang["moh"]["removeAllButton"] = "  Rimuovi tutto ";
  
  
  //*************************************
  //translation for the SOUNDS Section
  //*************************************
  
  $cwlang["sounds"]["newFile"] = "nuvo file";
  $cwlang["sounds"]["category"] = "Categoria";
  $cwlang["sounds"]["never"] = "mai";
  $cwlang["sounds"]["point1title"] = "File";
  $cwlang["sounds"]["point1text"] = "Informazioni generali";
  $cwlang["sounds"]["point2title"] = "Audio";
  $cwlang["sounds"]["point2text"] = "Registra o carica un nuovo messaggio e sovrascrivi quello esistente";
  $cwlang["sounds"]["sidebarTitle"] = "File sonori di Asterisk";
  $cwlang["sounds"]["fileName"] = "Nome";
  $cwlang["sounds"]["fileCategory"] = "Categoria";
  $cwlang["sounds"]["fileLanguage"] = "Lingua";
  $cwlang["sounds"]["fileLastmod"] = "Modifica";
  $cwlang["sounds"]["filePath"] = "Path";
  $cwlang["sounds"]["fileText"] = "Testo";
  $cwlang["sounds"]["fileRecord"] = "1a) Resgistra un nuovo file: ";
  $cwlang["sounds"]["fileOr"] = "<strong> -- Oppure -- </strong>";
  $cwlang["sounds"]["fileUpload"] = "1b) Carica un nuovo file (.wav): ";
  $cwlang["sounds"]["fileSelect"] = "2) Seleziona il nuovo messaggio: ";
  $cwlang["sounds"]["fileSelected"] = "selezionato: ";
  $cwlang["sounds"]["loading"] = " caricamento... ";   
  $cwlang["sounds"]["treeSounds"] = "Suoni";
  $cwlang["sounds"]["title"] = "Suoni";
  $cwlang["sounds"]["introText"] = " Seleziona un nodo da modificare dall'albero dei nodi nel pannello di destra";
  $cwlang["sounds"]["newBad"] = "Errore nella creazione del file";
  $cwlang["sounds"]["deleteBad"] = "Errore nella cancellazione del file";
  $cwlang["sounds"]["uploadBad"] = "Errore nel caricamento del file";
  $cwlang["sounds"]["script1"] = "esiste gia': modificarlo?";
  $cwlang["sounds"]["script2"] = "Inserisci il nome del messaggio:"; 
  $cwlang["sounds"]["script3"] = "esiste gia': sovrascriverlo?";
  $cwlang["sounds"]["script4"] = "Sei sicuro di voler cancellare";
  $cwlang["sounds"]["script5"] = "Prego, selezionare un file dalla lista per sovrascrivere";
  $cwlang["sounds"]["script6"] = "Sei sicuro di voler cambiare il testo in\\n";
  $cwlang["sounds"]["script7"] = "Sei sicuro di voler cambiare il contenuto del file in";
  $cwlang["sounds"]["script8"] = "e il testo in";
  $cwlang["sounds"]["script9"] = "Messaggio sconosciuto";
  
  
  //*************************************
  //translation for the IVR Section
  //*************************************
  $cwlang["tool"]["alertGood"] =   "Salvataggio effettuato"; 
  $cwlang["tool"]["alertBad"] =   "Il salvataggio NON e' stato effettuato"; 
  $cwlang["tool"]["title"] =   "Editor dei file di configurazione"; 
  $cwlang["tool"]["sidebarTitle"] =   "Massima attenzione!"; 
  $cwlang["tool"]["sidebarDesc"] =   "<p>".
          "E' necessario prestare la massima attenzione alle modifiche che si effettuano ".
          "su questi file. ".
          "Un cattivo uso di questo strumento potrebbe compromettere il funzionamento ".
          "del centralino ".
          "</p>"; 

  //*************************************
  //translation for the LAN Section
  //*************************************
  $cwlang["lan"]["alertGood"] =   "Opzioni salvate correttamente"; 
  $cwlang["lan"]["alertBad"] =   "Il salvataggio ha generato degli errori"; 
  $cwlang["lan"]["title"] =   "Configurazione di Rete"; 
  $cwlang["lan"]["titleDesc"] =   "Imposta i parametri per il corretto funzionamento della tua scheda di rete"; 
  $cwlang["lan"]["warning"] =   "ATTENZIONE: devi compilare tutti i campi di questo modulo!"; 
  $cwlang["lan"]["sidebarTitle"] =   "Configurazione di rete"; 
  $cwlang["lan"]["sidebarDesc"] =   "<p>".
          "E' possibile creare code di interni, in modo da poter far squillare contemporaneamente ".
          "insiemi di telefoni che appartengono alla stessa coda ".
          "</p>"; 

  //*************************************
  //translation for the IAX Section
  //*************************************
  $cwlang["iax"]["alertGood"] =   "Opzioni salvate correttamente"; 
  $cwlang["iax"]["alertBad"] =   "Il salvataggio ha generato degli errori"; 
  $cwlang["iax"]["title"] =   "Opzioni IAX"; 
  $cwlang["iax"]["titleDesc"] =   "Imposta i parametri per il corretto funzionamento del protocollo IAX"; 
  $cwlang["iax"]["sidebarTitle"] =   "Cos'e' IAX"; 
  $cwlang["iax"]["sidebarDesc"] =   "<p>Il protocollo IAX (Inter Asterisk Exchange), progettato per permettere le comunicazioni VoIP, garantisce la possibilita' di far comunicare tra di loro piu' server Asterisk, o il server con i rispettivi client.</p>".
          "<p>Il protocollo IAX riduce notevolmente la quantita' di banda necessaria per la trasmissione di voce e dati, oltre a risolvere la maggior parte dei problemi che si possono presentare nell'integrazione di piattaforme VoIP con firewalls e routers NAT.</p>".
          "<p>Il protocollo IAX nasce dall'esperienza con i protocolli Voice-over-IP (VoIP) esistenti, quali: Session Initiation Protocol (SIP), il Media Gateway Control Protocol (MGCP), per il controllo ed il Real-Time Transfer Protocol (RTP) per la trasmissione in streaming dei dati.</p>";

  //*************************************
  //translation for the SIP Section
  //*************************************
  $cwlang["sip"]["alertGood"] =   "Opzioni salvate correttamente"; 
  $cwlang["sip"]["alertBad"] =   "Il salvataggio ha generato degli errori"; 
  $cwlang["sip"]["title"] =   "Opzioni SIP"; 
  $cwlang["sip"]["titleDesc"] =   "Imposta i parametri per il corretto funzionamento del protocollo SIP"; 
  $cwlang["sip"]["sidebarTitle"] =   "Cos'e' SIP"; 
  $cwlang["sip"]["sidebarDesc"] =   "";

  //*************************************
  //translation for the ISDN Section
  //*************************************
  $cwlang["isdn"]["alertDelGood"] =   "La scheda e' stata correttamente eliminata"; 
  $cwlang["isdn"]["alertDelBad"] =   "La scheda NON e' stata eliminata"; 
  $cwlang["isdn"]["alertAddGood"] =   "La scheda e' stata correttamente installata"; 
  $cwlang["isdn"]["alertAddBad"] =   "La scheda non e' stata installata"; 
  $cwlang["isdn"]["alertSaveGood"] =   "La configurazione delle porte e' andata a buon fine"; 
  $cwlang["isdn"]["alertSaveBad"] =   "Il salvataggio ha riscontrato degli errori"; 
  $cwlang["isdn"]["card"] =   "Scheda"; 
  $cwlang["isdn"]["port"] =   "Porta"; 
  $cwlang["isdn"]["title"] =   "Schede ISDN"; 
  $cwlang["isdn"]["save"] =   "Memorizza"; 
  $cwlang["isdn"]["newCard"] =   "Aggiungi una scheda"; 
  $cwlang["isdn"]["newCardDesc"] =   "Scegli la scheda da attivare"; 
  $cwlang["isdn"]["install"] =   "Installa"; 
  $cwlang["isdn"]["installalert"] = "ATTENZIONE: questa operazione spegner il servizio PBX! Continuare?";
  $cwlang["isdn"]["delalert"] = "ATTENZIONE: questa operazione spegner il servizio PBX! Sicuro di volere rimuovere la scheda?";
  $cwlang["isdn"]["sidebarTitle"] =   "Schede installate"; 
  $cwlang["isdn"]["sidebarDesc"] =   "<p>".
          "E' possibile creare code di interni, in modo da poter far squillare contemporaneamente ".
          "insiemi di telefoni che appartengono alla stessa coda ".
          "</p>";
  //menu
  $cwlang["isdn"]["isdnCard"] =   "Schede ISDN"; 
  $cwlang["isdn"]["portGroup"] =   "Gruppi di porte"; 
  $cwlang["isdn"]["number"] =   "Numeri"; 
  $cwlang["isdn"]["isdnOption"] =   "Opzioni ISDN"; 
  $cwlang["isdn"]["groupOption"] =   "Opzioni dei Gruppi"; 
  //isdn group
  $cwlang["isdngrp"]["alertDelGood"] =   "Il gruppo e' stato correttamente eliminato"; 
  $cwlang["isdngrp"]["alertDelBad"] =   "Il gruppo NON e' stato eliminato"; 
  $cwlang["isdngrp"]["title"] =   "Gruppi di porte"; 
  $cwlang["isdngrp"]["newGroup"] =   "Nuovo gruppo"; 
  $cwlang["isdngrp"]["sidebarTitle"] =   "I gruppi di porte isdn"; 
  $cwlang["isdngrp"]["sidebarDesc"] =   "<p>".
          "E' possibile creare gruppi di porte, in modo da poter far squillare contemporaneamente ".
          "insiemi di telefoni che appartengono alla stessa coda ".
          "</p>";
  $cwlang["isdngrp"]["alertModGood"] =   "Il gruppo e' stato correttamente modificato"; 
  $cwlang["isdngrp"]["alertModBad"] =   "Il gruppo non e' stato modificato"; 
  $cwlang["isdngrp"]["return"] =   "Torna senza salvare"; 
  $cwlang["isdngrp"]["titleDesc"] =   "Informazioni generali sul gruppo di porte"; 
  $cwlang["isdngrp"]["groupName"] =   "Nome del Gruppo"; 
  $cwlang["isdngrp"]["enableOutcomingCall"] =   "Abilita chiamate in uscita"; 
  $cwlang["isdngrp"]["enableOutcomingCallHelp"] =   "Indicare se il gruppo di porte e' abilitato ad effettuare chiamate in uscita. Inserire: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> per disabilitare le chiamate in uscita</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> per abilitare le chiamate in uscita e indicare una priorita' (1 priorita' massima, 100 priorita' minima)</li> ".
                              "</ul>"; 
  $cwlang["isdngrp"]["listeningNumber"] =   "Numeri telefonici in ascolto"; 
  $cwlang["isdngrp"]["listeningNumberHelp"] =   "Scegli i numeri telefonici per cui questo gruppo rimane in ascolto"; 
  $cwlang["isdngrp"]["phoneNumber"] =   "Numero di Telefono"; 
  $cwlang["isdngrp"]["phoneNumberAdded"] =   "Numeri di telefono aggiunti"; 
  $cwlang["isdngrp"]["ports"] =   "Porte"; 
  $cwlang["isdngrp"]["portsDesc"] =   "Scegli le porte che fanno parte del gruppo"; 
  $cwlang["isdngrp"]["availablePorts"] =   "Porte disponibili"; 
  $cwlang["isdngrp"]["groupPorts"] =   "Porte del gruppo"; 
  $cwlang["isdngrp"]["option"] =   "Opzioni"; 
  $cwlang["isdngrp"]["show"] =   "Mostra"; 
  $cwlang["isdngrp"]["hide"] =   "Nascondi"; 
  $cwlang["isdngrp"]["optionDesc"] =   "Ti sono mostrate le opzioni preimpostate. Modifica i parametri personalizzando le opzioni di questo gruppo."; 
  //isdn option
  $cwlang["isdnOpt"]["alertModGood"] =   "Opzioni salvate correttamente"; 
  $cwlang["isdnOpt"]["alertModBad"] =   "Il salvataggio ha generato degli errori"; 
  $cwlang["isdnOpt"]["title"] =   "Opzioni ISDN"; 
  $cwlang["isdnOpt"]["titleDesc"] =   "Imposta i parametri per il corretto funzionamento delle tue schede ISDN"; 
  $cwlang["isdnOpt"]["sidebarTitle"] =   "Opzioni"; 
  $cwlang["isdnOpt"]["sidebarDesc"] =   ""; 
  $cwlang["isdnOpt"]["isdnTitle"] =   "Opzioni ISDN"; 
  $cwlang["isdnOpt"]["isdnTitleDesc"] =   "Imposta i parametri per il corretto funzionamento delle tue schede ISDN"; 
  $cwlang["isdnOpt"]["sidebarIsdnTitle"] =   "Opzioni mISDN"; 
  $cwlang["isdnOpt"]["sidebarIsdnDesc"] =   ""; 
  //isdn number
  $cwlang["isdnNumb"]["alertDelGood"] =   "Il numero e' stato correttamente eliminato"; 
  $cwlang["isdnNumb"]["alertDelBad"] =   "Il numero NON e' stato eliminato"; 
  $cwlang["isdnNumb"]["alertModGood"] =   "La configurazione dei numeri telefonici e' andata a buon fine"; 
  $cwlang["isdnNumb"]["alertModBad"] =   "Il salvataggio ha riscontrato degli errori"; 
  $cwlang["isdnNumb"]["group"] =   "Gruppo"; 
  $cwlang["isdnNumb"]["title"] =   "Numeri Telefonici"; 
  $cwlang["isdnNumb"]["save"] =   "Memorizza"; 
  $cwlang["isdnNumb"]["sidebarTitle"] =   "Numeri Telefonici"; 
  $cwlang["isdnNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the USER Section
  //*************************************
  $cwlang["user"]["alertDelGood"] =   "L'utente e' stato correttamente eliminato"; 
  $cwlang["user"]["alertDelBad"] =   "L'utente NON e' stato eliminato"; 
  $cwlang["user"]["title"] =   "Utenti"; 
  $cwlang["user"]["newUser"] =   "Nuovo Utente"; 
  $cwlang["user"]["sidebarTitle"] =   "Gli utenti"; 
  $cwlang["user"]["sidebarDesc"] =   "<p>".
       "     Con questa pagina abbiamo la possibilita' di controllare gli accessi ".
       "     a VoiceOne creando, modificando o cancellando gli utenti abilitati.  ".
       "   </p> ".
       "   <p> ".
       "     Ci sono 3 tipi di utenti: ".
       "     <ul> ".
       "       <li><img src=\"$relBasePath/public/img/user_standard.gif\" alt=\"Standard User\" align=\"left\"/> Gli <strong>utenti standard</strong>, che dispongono solo del ". 
       "       pannello utente (Personal VoiceOne)</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_configurator.gif\" alt=\"Configurator User\" align=\"left\"/>I <strong>configuratori</strong>, che hanno la possibilita' di ". 
       "       accedere ad alcune voci del VoiceOne Configurator</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_superuser.gif\" alt=\"Super User\" align=\"left\"/>Gli <strong>installatori</strong>, che hanno pieno accesso a tutte ".
       "       le funzionalita' del VoiceOne Configurator</li> ".
       "     </ul> ".
       "   </p> ".
       "   <p> ".
       "     Tutti gli interni di default hanno associato un utente di ". 
       "     tipo standard. E' comunque possibile creare nuovi utenti non ". 
       "     associati a client. Per entrambi i casi si puo' scegliere il tipo di ". 
       "     utenza (standard, configuratore, installatore).  ".
       "   </p>"; 

  $cwlang["user"]["alertModGood"] =   "L'utente e' stato correttamente modificato "; 
  $cwlang["user"]["alertModBad"] =   "L'utente NON e' stato modificato"; 
  $cwlang["user"]["modUser"] =   "Modifica l'utente"; 
  $cwlang["user"]["return"] =   "Ritorna senza salvare"; 
  $cwlang["user"]["desc"] =   "Inserire i dati di accesso. Se l'utente e' legato ad un interno NON e' possibile modificarne di dati di accesso."; 
  $cwlang["user"]["username"] =   "Nome utente"; 
  $cwlang["user"]["password"] =   "Password"; 
  $cwlang["user"]["typeTitle"] =   "Tipologia"; 
  $cwlang["user"]["typeDesc"] =   "Scegliere la tipologia di utente"; 
  $cwlang["user"]["type"] =   "Tipo"; 
  $cwlang["user"]["standard"] =   "Utente Standard"; 
  $cwlang["user"]["configurator"] =   "Configuratore"; 
  $cwlang["user"]["superuser"] =   "SuperUser"; 
  $cwlang["user"]["language"] = "Lingua";
  $cwlang["user"]["changepwd"] = "Cambia la password";
  $cwlang["user"]["newpassword"] = "Nuova Password"; 
  $cwlang["user"]["confirmpassword"] = "Conferma";
  $cwlang["user"]["err1"] = "La nuova password e la conferma non coincidono";
  $cwlang["user"]["err2"] = "La nuova password non puo' essere vuota";
          
  //*************************************
  //translation for the I/O Section
  //*************************************
  $cwlang["io"]["shutingDown"] =   "Spegnimento in corso..."; 
  $cwlang["io"]["rebooting"] =   "Riavvio in corso..."; 
  $cwlang["io"]["title"] =   "Riavvio/Spegnimento"; 
  $cwlang["io"]["reboot"] =   "Riavvia"; 
  $cwlang["io"]["shutDown"] =   "Spegni"; 
  $cwlang["io"]["sidebarTitle"] =   "Attenzione"; 
  $cwlang["io"]["sidebarDesc"] =   "<p>Cliccando questi link provocherete un riavvio o uno spegnimento del centralino telefonico</p>"; 

  //****************************
  //translation for the plugin Section
  //****************************
  //Section - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["titleMain"] =   "Plugin Information";
  // use heredoc syntax to make life easier
  $cwlang["plugins"]["blockintroMain"] = <<<EOD
  <h1>The following options are available via the plugin system</h1>
  <h2>Manage existing plugins:</h2>
  <ul>
    <li>Activate/ Deactivate a plugin</li>
    <li>Delete a Plugin</li>
    <li>Export a Plugin</li>
    <li>Import a Plugin</li>
    <li>Get information about a plugin</li>
  </ul>
  <h2>Create new plugins:</h2>
  <ul>
    <li>Create plugin from scratch</li>
    <li>Create plugin from existing plugin</li>
  </ul>
EOD;
  
  $cwlang["plugins"]["titleManage"] =  "Manage Plugins";
  $cwlang["plugins"]["blockintroManage"] =  "These are the plugins available. You can activate, export, delete or activivate/deactivate each plugin.";
  $cwlang["plugins"]["titleCreate"] =  "Create Plugins";
  // Sidebar - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["sidebarTitleMain"] =  "Information";
  $cwlang["plugins"]["sidebarTextMain"] =  <<<EOD
  <p>Plugins allow to extend the functionallity of Voiceone.<p>
  <p>A Plugin is a group of Voiceone objects like applications, macros, queues and the like.</p>
  <p>Some objects require other objects to function. For example the audiorecorder application requires the macro audiorecorder.</p>
  <p>The plugin system allows to import, export and create plugins.<p>
  <h5>REPOSITORY</h5>
  <p><img src="$relBasePath/public/img/package_add.gif" /> <a href="http://www.voiceone.it/download/plugin/" target="_blank" >Search in our public repository</a> the already made plugins.</p>
EOD;
  $cwlang["plugins"]["sidebarTitleManage"] =  "Information";
  $cwlang["plugins"]["sidebarTextManage"] =  <<<EOD
  <h2>The following Options are available:<h2>
  <ul>
    <li>Activate/ Deactivate a plugin</li>
    <li>Delete a Plugin</li>
    <li>Export a Plugin via Download</li>
    <li>Import a Plugin via Upload</li>
    <li>Get information about a plugin</li>
    <li>Get information about the content of a plugin</li>
  </ul>
  <h1>Note:</h1>
  <p>Do not forget to adjust Speeddials when importing applications and the like</p>
EOD;
  $cwlang["plugins"]["sidebarTitleCreate"] =  "Information";
  $cwlang["plugins"]["sidebarTextCreate"] =  "Put in common information about the plugin on the first page. Select all objects that should be part of the new plugin on the second page.";
  
  // Tableheadings for section Manage
  $cwlang["plugins"]["headingAction"] =   "Action";
  $cwlang["plugins"]["headingName"] =   "Name";
  $cwlang["plugins"]["headingVersion"] =   "Version";
  $cwlang["plugins"]["headingAuthor"] =   "Author";
  $cwlang["plugins"]["headingDescription"] =   "Description";
  $cwlang["plugins"]["headingState"] =   "State";
  // Messages
  $cwlang["plugins"]["pluginUploaded"] =   "Plugin uploaded successful"; 
  $cwlang["plugins"]["pluginNotUploaded"] =   "Plugin not uploaded"; 
  $cwlang["plugins"]["pluginDeleted"] =   "Plugin deleted successful"; 
  $cwlang["plugins"]["pluginNotDeleted"] =   "Plugin not deleted"; 
  
  // these section is not used 
  $cwlang["plugins"]["pluginInstalled"] =   "Plugin installed successful";
  $cwlang["plugins"]["pluginNotInstalled"] =   "Plugin not installed";
  $cwlang["plugins"]["pluginUpgraded"] =   "Plugin upgraded";
  $cwlang["plugins"]["pluginNotUpgraded"] =   "Plugin not upgraded";
  
  $cwlang["plugins"]["pluginActivated"] =   "Plugin activated successful";
  $cwlang["plugins"]["pluginNotActivated"] =   "Plugin not activated";
  $cwlang["plugins"]["pluginDeactivated"] =   "Plugin deactivated successful";
  $cwlang["plugins"]["pluginNotDeactivated"] =   "Plugin not deactivated";
  
  $cwlang["plugins"]["selectOptionfromLists"] =   "Please select an option from one of the lists";
  // Menu sidebar
  $cwlang["plugins"]["importPlugin"] =   "Import a plugin";
  $cwlang["plugins"]["exportPlugin"] =   "Export a plugin";
  // Options
  $cwlang["plugins"]["pluginBaseEmpty"] =   "-Start with empty Workspace-";
          
  //*************************************
  //translation for the SETUP Section
  //*************************************
  $cwlang["setup"]["installPermission"] =   "Prima di procedere, abilitare i permessi di esecuzione a"; 
  $cwlang["setup"]["title"] =   "Installazione VoiceOne"; 
  $cwlang["setup"]["subTitle"] =   "L'installazione "; 
  $cwlang["setup"]["firstStep"] =   "Inizializzazione del sistema (1/2)"; 
  $cwlang["setup"]["keyGeneration"] =   "Genera anche le chiavi?"; 
  $cwlang["setup"]["finished"] =   "Installazione completata! Si prega di rimuovere il file setup.php"; 
  $cwlang["setup"]["secondStep"] =   "Creazione di un account (2/2)"; 
  $cwlang["setup"]["username"] =   "Username"; 
  $cwlang["setup"]["password"] =   "Password"; 

  //*************************************
  //translation for the Application - Audiorecorder Section
  //*************************************
  $cwlang["audiorecorder"]["selectAudiofile"] = "Select an audio file";
  $cwlang["audiorecorder"]["recordAudiofile"] = "or record NOW a new audio file";  
  $cwlang["audiorecorder"]["promptFilename"] = "Enter file name:";
  $cwlang["audiorecorder"]["cannotDeleteAudiofile"] = "Cannot delete Audiofile";
  $cwlang["audiorecorder"]["audiofileUsedInIVR"] = "Audiofile is is used in an IVR menu";
  $cwlang["audiorecorder"]["genericError"] = "An Error occurs while using the audiorecorder application"; 

  //*************************************
  //translation for the Zatapa Section
  //*************************************
  $cwlang["zapata"]["alertDelGood"] =   "The card has been removed"; 
  $cwlang["zapata"]["alertDelBad"] =   "The card hasn't been removed"; 
  $cwlang["zapata"]["alertAddGood"] =   "The card has been installed"; 
  $cwlang["zapata"]["alertAddBad"] =   "The card hasn't been installed"; 
  $cwlang["zapata"]["alertSaveGood"] =   "The port configuration has been correctly performed"; 
  $cwlang["zapata"]["alertSaveBad"] =   "The saving hasn't been performed, due to errors"; 
  $cwlang["zapata"]["card"] =   "Card"; 
  $cwlang["zapata"]["port"] =   "Port"; 
  $cwlang["zapata"]["title"] =   "Zapata Interface Card"; 
  $cwlang["zapata"]["save"] =   "Renew"; 
  $cwlang["zapata"]["newCard"] =   "Add a Card"; 
  $cwlang["zapata"]["newCardDesc"] =   "Choose a card to activate"; 
  $cwlang["zapata"]["install"] =   "Install Card"; 
  $cwlang["zapata"]["installalert"] = "ATTENZIONE: questa operazione spegner il servizio PBX! Continuare?";
  $cwlang["zapata"]["delalert"] = "ATTENZIONE: questa operazione spegner il servizio PBX! Sicuro di volere rimuovere la scheda?";
  $cwlang["zapata"]["sidebarTitle"] =   "Installed Zapata card"; 
  $cwlang["zapata"]["sidebarDesc"] =   "<p>".
          "<b>Span Card Configuration:</b><br>\n".
          "<br>\n" . 
          "<b>Warning:</b> Before doing any<br>\n" . 
          "span configuration, check the <br>\n" . 
          "E1/T1 jumpers on the cards !<br>\n" . 
          "<br>\n" . 
          "<b>Type:</b><br>\n" .
          "Set E1/T1 according to jumpers<br>\n" . 
          "<b>Protocol:</b><br>\n" .
          "Set PRI for pri lines<br>\n" . 
          "Set E&M for e&m lines<br>\n" . 
          "Set FX? for channel banks<br>\n" . 
          "Empty = unconfigured<br>\n" . 
          "<b>Timing:</b><br>\n" .
          "'0' master, internal clocking<br>\n" .
          "'1' slave, primary sync source<br>\n" . 
          "'2' slave, secondary sync source<br>\n" .
          "'3' slave, tertiary sync source<br>\n" .
          "<b>LBO:</b>&nbsp;Line Build Out<br>\n" .
          "0:0db (CSU), 0-133 feet (DSX-1)<br>\n" .
          "1:133-226 feet (DSX-1)<br>\n" .
          "2:266-399 feet (DSX-1)<br>\n" .
          "3:399-533 feet (DSX-1)<br>\n" .
          "4:533-655 feet (DSX-1)<br>\n" .
          "5:-7.5db (CSU)<br>\n" .
          "6:-15db (CSU)<br>\n" .
          "7:-22.5db (CSU)<br>\n" .
          "<b>Framing, Coding, CRC4, Yellow:</b><br>\n" .
          "Match partner system setup<br>\n" .
          "<br>\n" . 
          "<b>FXO,FXS Card Configuration:</b><br>\n".
          "<b>Type:</b><br>\n" .
          "Set FXO,FXS according to Modules<br>\n" . 
          "Empty = no module installed<br>\n" . 
          "<b>Protocol:</b><br>\n" .
          "fxsks: Kewlstart<br>\n" .
          "fxsls: Loopstart<br>\n" .
          "fxsgs: Groundstart<br>\n" .
          "fxoks: Kewlstart<br>\n" .
          "fxols: Loopstart<br>\n" .
          "fxogs: Groundstart<br>\n" .
          "Empty: Not configured<br>\n" . 
          "</p>";
  //menu
  $cwlang["zapata"]["zapataCard"] =   "Zapata Card"; 
  $cwlang["zapata"]["portGroup"] =   "Group of ports"; 
  $cwlang["zapata"]["number"] =   "Numbers"; 
  $cwlang["zapata"]["zapataOption"] =   "Group Options"; 

  //zapata group
  $cwlang["zapatagrp"]["alertDelGood"] =   "The group has been deleted"; 
  $cwlang["zapatagrp"]["alertDelBad"] =   "The group hasn't been deleted"; 
  $cwlang["zapatagrp"]["title"] =   "Group of ports"; 
  $cwlang["zapatagrp"]["newGroup"] =   "New group"; 
  $cwlang["zapatagrp"]["sidebarTitle"] =   "The group of Zapata ports"; 
  $cwlang["zapatagrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["zapatagrp"]["alertModGood"] =   "The group has been modified"; 
  $cwlang["zapatagrp"]["alertModBad"] =   "The group hasn't been modified"; 
  $cwlang["zapatagrp"]["return"] =   "Return without save"; 
  $cwlang["zapatagrp"]["titleDesc"] =   "Group of port general information"; 
  $cwlang["zapatagrp"]["groupName"] =   "Group name"; 
  $cwlang["zapatagrp"]["enableOutcomingCall"] =   "Enable outgoing calls"; 
  $cwlang["zapatagrp"]["enableOutcomingCallHelp"] =   "Specify if the group can perform outgoing calls. You can digit: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> to disable the outgoing calls</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> to enable the outgoing calls and specify the priority (1 the highest, 100 the lowest)</li> ".
                              "</ul>"; 
  $cwlang["zapatagrp"]["listeningNumber"] =   "Listening phone numbers"; 
  $cwlang["zapatagrp"]["listeningNumberHelp"] =   "Write the phone numbers that this group can manage"; 
  $cwlang["zapatagrp"]["phoneNumber"] =   "Phone number"; 
  $cwlang["zapatagrp"]["phoneNumberAdded"] =   "Added phone number"; 
  $cwlang["zapatagrp"]["ports"] =   "Ports"; 
  $cwlang["zapatagrp"]["portsDesc"] =   "Choose the ports that belongs to this group"; 
  $cwlang["zapatagrp"]["availablePorts"] =   "Available ports"; 
  $cwlang["zapatagrp"]["groupPorts"] =   "Ports added"; 
  $cwlang["zapatagrp"]["option"] =   "Options"; 
  $cwlang["zapatagrp"]["show"] =   "Show"; 
  $cwlang["zapatagrp"]["hide"] =   "Hide"; 
  $cwlang["zapatagrp"]["optionDesc"] =   "You can view the default values. You can modify the option values and customize the group behavior."; 
  //zapata option
  $cwlang["zapataOpt"]["alertModGood"] =   "The options has been saved"; 
  $cwlang["zapataOpt"]["alertModBad"] =   "The options hasn't been saved"; 
  $cwlang["zapataOpt"]["title"] =   "Zapata Option"; 
  $cwlang["zapataOpt"]["titleDesc"] =   "Set the right values in the below form."; 
  $cwlang["zapataOpt"]["sidebarTitle"] =   "Options"; 
  $cwlang["zapataOpt"]["sidebarDesc"] =   ""; 
  $cwlang["zapataOpt"]["zapataTitle"] =   "Zapata Options"; 
  $cwlang["zapataOpt"]["zapataTitleDesc"] =   "Set the right values in the below form"; 
  $cwlang["zapataOpt"]["sidebarIsdnTitle"] =   "Zapata Options"; 
  $cwlang["zapataOpt"]["sidebarIsdnDesc"] =   ""; 
  //zapata number
  $cwlang["zapataNumb"]["alertDelGood"] =   "The number has been deleted"; 
  $cwlang["zapataNumb"]["alertDelBad"] =   "The number hasn't been deleted"; 
  $cwlang["zapataNumb"]["alertModGood"] =   "The configuration has been successfully saved"; 
  $cwlang["zapataNumb"]["alertModBad"] =   "The configuration hasn't been saved"; 
  $cwlang["zapataNumb"]["group"] =   "Group"; 
  $cwlang["zapataNumb"]["title"] =   "Phone Number"; 
  $cwlang["zapataNumb"]["save"] =   "Apply"; 
  $cwlang["zapataNumb"]["sidebarTitle"] =   "Phone Number"; 
  $cwlang["zapataNumb"]["sidebarDesc"] =   ""; 
  
  //*************************************
  //translation for the MEETME Section
  //*************************************
  $cwlang["meetme"]["title"] =   "Meetme Conference Rooms"; 
  $cwlang["meetme"]["return"] = "Back without saving"; 
  $cwlang["meetme"]["newMeetme"] =   "New Conference Room"; 
  $cwlang["meetme"]["modifyMeetme"] =   "Modify Conference Room ";  //it will append the confno
  $cwlang["meetme"]["titleSidebar"] =   "The Conference Rooms"; 
  $cwlang["meetme"]["textSidebar"] =   "It is possible to create conference rooms with or with pin numbers"; 
  $cwlang["meetme"]["alertDelGood"] =   "The meetme room has been deleted"; 
  $cwlang["meetme"]["alertDelBad"] =   "The meetme room hasn't been deleted"; 
  $cwlang["meetme"]["alertModGood"] =   "The meetme room has been modified"; 
  $cwlang["meetme"]["alertModBad"] =   "The meetme room hasn't been modified"; 
  $cwlang["meetme"]["titleForm"] =   "Meetme Conference Room"; 
  $cwlang["meetme"]["textForm"] =   "Define the conference room options"; 
  $cwlang["meetme"]["confno"] =   "Room No"; 
  $cwlang["meetme"]["confnoExample"] =   "Mandatory field, must be numeric like 8000"; 
  $cwlang["meetme"]["pin"] =   "User Pin"; 
  $cwlang["meetme"]["pinExample"] =   "Optional field, must be numeric like 1234"; 
  $cwlang["meetme"]["adminpin"] =   "Admin Pin"; 
  $cwlang["meetme"]["adminpinExample"] =   "Optional field, must be numeric like 8818"; 
  $cwlang["meetme"]["sidebarEditTitle"] =   "Add or update a Conference Room"; 
  $cwlang["meetme"]["sidebarEditText"] =   "<p>It is possible to create conference rooms with or without pin numbers</p>";   

?>