<?
/**
 * VoiceOne Language File polish
 *
 * @package voiceone
 * @subpackage  language
 */
 
  global $cwlang, $relBasePath;
  
  //****************************
  // GENERIC translation   
  //****************************
  $cwlang["generic"]["working"]="Prosze czeka...";
  $cwlang["generic"]["deleting"]="Usuwanie w trakcie...";
  $cwlang["generic"]["loading"]="Ładowanie w trakcie...";
  

  //****************************
  //translation for the template
  //****************************
  $cwlang["template"]["loginTitle"]="Autentykacja";
  $cwlang["template"]["loginInfo"]="Informacje";
  $cwlang["template"]["loginDescription"]="Aby zalogować się do VoiceOne Control Panel, musisz wprowadzić użytkownika i hasło";
  $cwlang["template"]["loginRememberMe"]="Zapamiętaj mnie";
  $cwlang["template"]["loginTerms"]="Warunki użytkowania";
  $cwlang["template"]["persWelcome"]="Witaj";
  $cwlang["template"]["persLogOff"]="Wyloguj";
  $cwlang["template"]["confReturnToPersonal"]="Powrót do VoiceOne Personal";
  
  //****************************
  //translation for the Menu
  //****************************
  $cwlang["menu"]["overview"] =     "Przegląd";
  $cwlang["menu"]["extension"] =    "Wewnętrzne";
  $cwlang["menu"]["queue"] =        "Kolejki";
  $cwlang["menu"]["office"] =       "Biura";
  $cwlang["menu"]["provider"] =     "Operatorzy";
  $cwlang["menu"]["number"] =       "Numery";
  $cwlang["menu"]["group"] =        "Grupy";
  $cwlang["menu"]["ivr"] =          "IVR";
  $cwlang["menu"]["system"] =       "System";
  $cwlang["menu"]["user"] =         "Użytkownicy";
  $cwlang["menu"]["isdn"] =         "ISDN";
  $cwlang["menu"]["sip"] =          "SIP";
  $cwlang["menu"]["iax"] =          "IAX";
  $cwlang["menu"]["lan"] =          "Lan";
  $cwlang["menu"]["editor"] =       "Edytor";
  $cwlang["menu"]["zapata"] =       "Zapata";
  $cwlang["menu"]["meetme"] =       "Meetme";
  $cwlang["menu"]["moh"] =          "MOH";
  $cwlang["menu"]["sounds"] =       "Dźwieki";

  $cwlang["menu"]["phonebook"] =    "Książka tel.";
  $cwlang["menu"]["phone"] =        "Telefon";
  $cwlang["menu"]["history"] =      "Raporty rozmów";
  $cwlang["menu"]["voicemail"] =    "Poczta Głosowa";
  $cwlang["menu"]["transfer"] =     "Przekazywanie";
  $cwlang["menu"]["configurator"] = "Konfiguracja";
  $cwlang["menu"]["customization"] ="Dostosowanie";
  $cwlang["menu"]["account"] =      "Konto";

  //****************************************************************************
  //***********************       VOICEONE PERSONAL         ********************
  //****************************************************************************

  //****************************
  //translation for the PhoneBook Section
  //****************************
  $cwlang["phonebook"]["title"] =   "Kontakty";
  $cwlang["phonebook"]["name"] =   "Nazwa";
  $cwlang["phonebook"]["status"] =   "Status";
  $cwlang["phonebook"]["personal"] =   "Osobista książka tel.";
  $cwlang["phonebook"]["description"] =   "Lista zarejestrowanych użytkowników i ich obecny status";
  $cwlang["phonebook"]["information"] =   "Informacje";
  $cwlang["phonebook"]["sidebarText"] =   "Z lewej strony znajdziesz wszystkich użytkowników, którzy mogą używać centrali."
                                         ."Dla każdej pozycji możesz zobaczyć status. Możliwe statusy to: "
                                         ."<ul><li><img src=\"admin/public/img/online.gif\" /> <strong>Online</strong>: Użytkownik jest obecnie połączony</li>"
                                         ."<li><img src=\"admin/public/img/offline.gif\" /> <strong>Offline</strong>: Użytkownik jest w odłączony</li>"
                                         ."<li><img src=\"admin/public/img/unknown.gif\" /> <strong>Niznany</strong>: Status nieznany</li></ul>";
  
  //****************************
  //translation for the history call  Section
  //****************************
  $cwlang["calls"]["title"] =   "Raport rozmów";
  $cwlang["calls"]["title2"] =   "Sekcja w trackie rozwoju";
  $cwlang["calls"]["workinprogress"] =   "Ta sekcja jest <strong>nieaktywna</strong>. Jeśli jesteś zainteresowany współpracą przy rozwoju tej sekcji odwiedź stronę <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> w celu uzyskania dodatkowych informacji.";
   
  //****************************
  //translation for the VoiceMail Section
  //****************************
  $cwlang["voicemail"]["title"] = "Poczta głosowa";
  $cwlang["voicemail"]["settedOk"] = "Answer messages correctly setted";
  $cwlang["voicemail"]["settedErr"] = "Error setting answer messages";
  $cwlang["voicemail"]["deletedOk"] = "Usunięto poprawnie";
  $cwlang["voicemail"]["deletedErr"] = "Wrongly deleted";
  $cwlang["voicemail"]["noSelected"] = "Nie wybrano wiadomości";
  $cwlang["voicemail"]["movedOk"] = "Correctly moved";
  $cwlang["voicemail"]["movedErr"] = "Wrongly moved";
  $cwlang["voicemail"]["noMessages"] = "Brak wiadomości";
  $cwlang["voicemail"]["sidebarTitle"] = "Answer Messages";
  $cwlang["voicemail"]["sidebarNote"] = "Wybierz plik audio lub nagraj swoją osobistą wiadomość";//Select an audio file or record your personal answer message";
  $cwlang["voicemail"]["message"] = "Wiadomość";
  $cwlang["voicemail"]["unavailTitle"] = "Niedostępość";
  $cwlang["voicemail"]["unavailNote"] = "Ta wiadomość będzie odtwarzana gdy aplikacja kliencka będzie wyłączona lun nieosiągalna";//Unavailable message will be played when your client application is off or unreachable.";
  $cwlang["voicemail"]["busyTitle"] = "Zajętość";
  $cwlang["voicemail"]["busyNote"] = "Ta wiadomość będzie odtwarzana gdy aplikacja kliencka będzie osiągalna ale nie można odebrać połączenia";//Busy message will be played when your client application is reachable but you can't accept the call.";
  $cwlang["voicemail"]["tempgreetingTitle"] = "Tymczasowe powitanie";
  $cwlang["voicemail"]["tempgreetingNote"] = "Jeżeli Tymczasowe powitanie zostanie ustawione to będzie odtwarzane w każdym przypadku.";//If setted, Temporary Greeting message will be played in any case (override both busy and unvailable).";
  $cwlang["voicemail"]["yournameTitle"] = "Twoje imię";
  $cwlang["voicemail"]["yournameNote"] = "It replace the spelling message in Asterisk Directory Command.";
  $cwlang["voicemail"]["noPlay"] = "Nie można odtworzyć wiadomości: wyczerpana pamięć serwera";//Unable to play message: server memory exhausted";
  
  //****************************
  //translation for the Call Transfers Section
  //****************************
  $cwlang["transfer"]["title"] =   "Przekazywanie rozmów";
  $cwlang["transfer"]["title2"] =   "Sekcja w trackie rozwoju";
  $cwlang["transfer"]["workinprogress"] =  "Ta sekcja jest <strong>nieaktywna</strong>. Jeśli jesteś zainteresowany współpracą przy rozwoju tej sekcji odwiedź stronę <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> w celu uzyskania dodatkowych informacji.";

   
  //****************************
  //translation for the Account Section
  //****************************
  $cwlang["account"]["title"] =   "Konta";
  $cwlang["account"]["title2"] =   "Sekcja w trackie rozwoju";
  $cwlang["account"]["workinprogress"] =   "Ta sekcja jest <strong>nieaktywna</strong>. Jeśli jesteś zainteresowany współpracą przy rozwoju tej sekcji odwiedź stronę <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> w celu uzyskania dodatkowych informacji.";

   
  //****************************
  //translation for the Account Section
  //****************************
  
  $cwlang["account"]["title"] = "Informacja o kontach";
  $cwlang["account"]["personalinfo"] = "Informacje osobiste"; 
  $cwlang["account"]["name"] = "Imie"; 
  $cwlang["account"]["surname"] = "Nazwisko"; 
  $cwlang["account"]["lang"] = "Język"; 
  $cwlang["account"]["authdata"] = "Informaje o koncie"; 
  $cwlang["account"]["exten"] = "Wewnętrzny"; 
  $cwlang["account"]["alias"] = "Alias"; 
  $cwlang["account"]["username"] = "Użytkownik";
  $cwlang["account"]["password"] = "Hasło";
  $cwlang["account"]["newpassword"] = "Nowe hasło";
  $cwlang["account"]["confirmpassword"] = "Potwierdź";
  $cwlang["account"]["changepwd"] = "Zmień hasło";
  $cwlang["account"]["title2"] = "Poczta głosowa";
  $cwlang["account"]["title2text"] = "Tutaj wprowadź informacje o poczcie głosoewj";
  $cwlang["account"]["active"] = "Aktywna";
  $cwlang["account"]["email"] = "Email"; 
  $cwlang["account"]["emailText"] = "email, na który zostanie wysłana widaomość";//the email where it will be sent the voicemail";
  $cwlang["account"]["passwordText"] = "hasło aby odsłuchać pocztę głosową";
  $cwlang["account"]["newpasswordText"] = "ustaw nowe hasło ( może zawierać tylko cyfry n.p. (<strong>2525</strong>)";
  $cwlang["account"]["confpasswordText"] = "powtórz hasło";
  $cwlang["account"]["DND"] = "DND (Nie przeszkadzać)";
  $cwlang["account"]["DNDtext"] = "Ignoruj wszystkie porzychodzące rozmowy";//Ignore any incoming calls";
  $cwlang["account"]["CF"] = "Przekazywanie rozmów";
  $cwlang["account"]["CFtext"] = "Skierój rozmowy do innego odbiorcy";//Route calls to some other destination";
  $cwlang["account"]["CFUtext"] = "(Bezwarunkowe przekazywanie rozmów) rozmowy zostaną przekierowane na numer";//calls are forwarded to number";
  $cwlang["account"]["CFBtext"] = "(Pzrekazywanie gdy zajęte) rozmowy zostaną przekierowane na numer";
  $cwlang["account"]["CFNRtext"] = "(Przekazywanie gdy brak odpowiedzi) rozmowy zostaną przekierowane na numer";
  $cwlang["account"]["username"] = "Nazwa użytkownika"; 
  $cwlang["account"]["user"] = "Użytkownik"; 
  $cwlang["account"]["rootinfo"] = "Root information";
  $cwlang["account"]["sidebartitle"] = "Informaje o koncie"; 
  $cwlang["account"]["sidebardesc"] = "Tutaj są informaje o koncie, które możesz zmienić";//Here is the account informations you can change";
  $cwlang["account"]["saveOk"] = "Wewnętrzny zapisany prawidłowo";
  $cwlang["account"]["saveErr"] = "Pojawiły się błędy przy zapisywaniu!";
  $cwlang["account"]["script1"] = "Hasło do poczty głosowej musi być numeryczne!";//Voicemail password must be numeric! Please change it.";
  $cwlang["account"]["err1"] = "Nowe hasło i powtórzone nie zgadzają się";//The new password and the confirmation password do not match";
  $cwlang["account"]["err2"] = "Hasło nie może być puste";//The new password cannot be null";
  $cwlang["account"]["err3"] = "Nowe hasło do poczty głosowej i powtórzone nie zgadzają się";//The new voiceomail password does not match with the confirmation password"; 
  $cwlang["account"]["err4"] = "Hasło do poczty głosowej nie może być puste";//The new voiceomail password cannot be null";
  $cwlang["account"]["err5"] = "Użytkownik i hasło nie zgadzają się";//Username and password do not match";
  $cwlang["account"]["err6"] = "Skrzynka pocztowa i hasło nie zgadzają się";//Mailbox and password do not match";
  $cwlang["account"]["err7"] = "Adres email nie może być pusty";
   
  //****************************
  //translation for the CustomizationSection
  //****************************
  $cwlang["customization"]["title"] =   "Dostosowanie";
  $cwlang["customization"]["title2"] =   "Sekcja w trackie rozwoju";
  $cwlang["customization"]["workinprogress"] =   "Ta sekcja jest <strong>nieaktywna</strong>. Jeśli jesteś zainteresowany współpracą przy rozwoju tej sekcji odwiedź stronę <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> w celu uzyskania dodatkowych informacji.";







  //****************************************************************************
  //***********************       VOICEONE CONFIGURATOR     ********************
  //****************************************************************************

  //*************************************
  //translation for the Overview Section
  //*************************************
  $cwlang["overview"]["title"] =   "Konfigurator VoiceOne - Przegld"; 
  $cwlang["overview"]["publickey"] =   "Klucz publiczny"; 
  $cwlang["overview"]["firststep"] =   "Pierwszy krok"; 
  $cwlang["overview"]["firststepDesc"] =    
            "    The first steps to follow to a right pbx configuration are listed below:\n"
           ."    \n" 
           ."    <ul>\n" 
           ."      <li>1. Lan Configuration (attention: the save button causes the rebooting of the entire pc)</li>\n" 
           ."      <li>2. ISDN card configuration</li>\n" 
           ."      <li>3. Manage the extensions, queue, office</li>\n" 
           ."      <li>4. Right check</li>\n" 
           ."    </ul>\n" ;
  $cwlang["overview"]["configuration"] =   "Konfiguracja systemu";
  $cwlang["overview"]["configurationDesc"] =   "From this section, it is possible to configurate all the pbx parameters. Be carefull, otherwise you can misconfigurate the pbx settings";
   
  //*************************************
  //translation for the Extension Section
  //*************************************
  $cwlang["exten"]["title"] =   "Wewntrzne"; 
  $cwlang["exten"]["newExten"] =   "Nowy"; 
  $cwlang["exten"]["information"] =   "Informacje";
         
  $cwlang["exten"]["confirmDel"] = "Czy napewno chcesz usun ten wpis !";
         
  //edit 
  $cwlang["exten"]["return"] =   "Powrt bez zapisu"; 
  $cwlang["exten"]["personalinfo"] =   "Informacje osobiste"; 
  $cwlang["exten"]["name"] =   "Imie"; 
  $cwlang["exten"]["surname"] =   "Nazwisko"; 
  $cwlang["exten"]["email"] =   "Email"; 
  $cwlang["exten"]["authdata"] =   "Informacje o koncie"; 
  $cwlang["exten"]["exten"] =   "Wewntrzny"; 
  $cwlang["exten"]["language"]  = "Język";
  $cwlang["exten"]["username"] =   "Uytkownik";
  $cwlang["exten"]["password"] =   "Haso"; 
  $cwlang["exten"]["confirm"] =   "Potwierd";
  $cwlang["exten"]["alias"] =   "Alias"; 
  $cwlang["exten"]["advancedOption"] =   "Opcje zaawansowane"; 
  $cwlang["exten"]["advancedOptionDesc"] =   "";//"If you check the below field, you'll see the advanced option"; 
  $cwlang["exten"]["advancedOptionYes"] =   "";//"Yes, show me the advanced option panel"; 
  $cwlang["exten"]["protocol"] =   "Protok"; 
  $cwlang["exten"]["host"] =   "Host"; 
  $cwlang["exten"]["dynip"] =   "Dynamic ip [domylnie]"; 
  $cwlang["exten"]["hostname"] =   "Hostname"; 
  $cwlang["exten"]["ipmask"] =   "IP masc"; 
  $cwlang["exten"]["defaultip"] =   "Domylny IP"; 
  $cwlang["exten"]["defaultipDesc"] =   "Wprowad adres IP, ktry bdzie uyty kiedy inny zawiedzie";//Insert the IP address to be used when the other fails"; 
  $cwlang["exten"]["report"] =   "Raport"; 
  $cwlang["exten"]["default"] =   "Domylny"; 
  $cwlang["exten"]["ommit"] =   "Pomi"; 
  $cwlang["exten"]["billing"] =   "Biling"; 
  $cwlang["exten"]["documentation"] =   "Dokumentacja"; 
  $cwlang["exten"]["canReinvite"] =   "Can Reinvite?"; 
  $cwlang["exten"]["no"] =   "Nie"; 
  $cwlang["exten"]["yes"] =   "Tak"; 
  $cwlang["exten"]["canReinviteDesc"] =   "Ten checkbox pozwala omina Asterisk i ustanowi bezporedni komunikacj pomidzy klientami"; 
  $cwlang["exten"]["dtmfMode"] =   "DTMF Mode"; 
  $cwlang["exten"]["dtmfModeDesc"] =   "Choose the DTML tones modality"; 
  $cwlang["exten"]["lang"] =   "Jzyk"; 
  $cwlang["exten"]["langDesc"] =   "Zdefiniuj jzyk klienta. Puste = domylny"; 
  $cwlang["exten"]["nat"] =   "NAT"; 
  $cwlang["exten"]["yesNAT"] =   "Tak, klienta jest za NAT"; 
  $cwlang["exten"]["deniedIP"] =   "Zabroniony IP"; 
  $cwlang["exten"]["deniedIPDesc"] =   "<strong>Skadnia</strong>: Ip/Mask[,Ip/Mask[...]]"; 
  $cwlang["exten"]["allowedIP"] =   "Zezwolone IP"; 
  $cwlang["exten"]["allowedIPDesc"] =   "<strong>Skadnia</strong>: Ip/Mask[,Ip/Mask[...]]"; 
  $cwlang["exten"]["qualify"] =   "Qualify"; 
  $cwlang["exten"]["qualifyDesc"] =   "Ten checkbox zezwala Asterisk na sprawdzanie rejestracji klienta"; 
  $cwlang["exten"]["codecs"] =   "Kodeki"; 
  $cwlang["exten"]["codecsAdd"] =   "Dodaj kodek -->"; 
  
  $cwlang["exten"]["otherExten"] =   "Inne Wewntrzne"; 
  $cwlang["exten"]["otherExtenDesc"] =   "Moesz obejrze inne wewnetrzne klikajc na nie:"; 
  
  $cwlang["exten"]["loading"] = "aduj";
  $cwlang["exten"]["pwdnull"] = "Haso nie moe by puste"; 
  $cwlang["exten"]["pwderr"] = "Haso do konta i potwierdzenie hasa nie zgadzaj si";  
  $cwlang["exten"]["delSuccessfully"] = "Wewntrzny usunity";
  $cwlang["exten"]["delFailed"] = "Usuwanie nie powiodo si";
  $cwlang["exten"]["editSuccessfully"] = "Wewntrzny zapisany";
  $cwlang["exten"]["editFailed"] = "Edycja nie powioda si";
        
        $cwlang["exten"]["extNoNull"] = "Numer wewntrzny nie moe by pusty";
        $cwlang["exten"]["extNumOnly"] = "Numer wewntrzny moe zawiera tylko cyfry.";
        $cwlang["exten"]["extAlreadyExists"] = "Taki numer ju istnieje";
        $cwlang["exten"]["extAlphaNumOnly"] = "Haso moe zawiera tylko znaki alfanumeryczne";
        $cwlang["exten"]["aliasNoNull"] = "Alias nie moe by pusty";
        $cwlang["exten"]["aliasAlphaNumOnly"] = "Alias moe zawiera tylko znaki alfanumeryczne";
        $cwlang["exten"]["aliasAlreadyExists"] = "Taki Alias ju istnieje";
        $cwlang["exten"]["aliasEqualToExt"] = "Alias nie moe by taki sam jak wewntrzny";
        
        $cwlang["exten"]["vmPwdNoNull"] = "Hasło do poczty głosowej nie może być puste";
        $cwlang["exten"]["vmPwdErr"] = $cwlang["account"]["err5"];
        $cwlang["exten"]["vmPwdNumOnly"] = $cwlang["account"]["script1"];

        $cwlang["exten"]["vmTitle"] = "Poczta Gosowa";
        $cwlang["exten"]["vmDesc"] = "Wprowad informacje o koncie"; 
        $cwlang["exten"]["vmFlag"] = "Aktywne";
        $cwlang["exten"]["vmEmailDesc"] = "The email address the voicemail will be sent to (leave blank for no notification)";
        $cwlang["exten"]["vmPwdDesc"] = "Ustaw haso do poczty gosowej";
        $cwlang["exten"]["vmConfirmDesc"] = "Potwierd haso do poczty gosowej";
        $cwlang["exten"]["vmAttachFlag"] = "Zacz";
        $cwlang["exten"]["vmCIDFlag"] = "Mw CID";
        $cwlang["exten"]["vmHideFlag"] = "Ukryj";
        $cwlang["exten"]["vmAttachDesc"] = "Jeli wczone, wiadomo gosowa zostanie zaczona do maila";
        $cwlang["exten"]["vmCIDDesc"] = "";
        $cwlang["exten"]["vmHideDesc"] = "";
                                                
  //*************************************
  //translation for the QUEUE Section
  //*************************************
  $cwlang["queue"]["title"] =   "Kolejki"; 
  $cwlang["queue"]["newQueue"] =   "Nowa kolejka"; 
  $cwlang["queue"]["modifyQueue"] =   "Modyfikuj kolejk ";  //it will append the queue name 
  $cwlang["queue"]["titleSidebar"] =   "Kolejki"; 
  $cwlang["queue"]["textSidebar"] =   "It is possible create extensions' queue, so the phone rings together on an incoming call"; 
  $cwlang["queue"]["alertDelGood"] =   "The queue has been deleted"; 
  $cwlang["queue"]["alertDelBad"] =   "The queue hasn't been deleted"; 
  $cwlang["queue"]["alertModGood"] =   "The queue has been modified"; 
  $cwlang["queue"]["alertModBad"] =   "The queue hasn't been modified"; 
  $cwlang["queue"]["titleForm"] =   "Queue"; 
  $cwlang["queue"]["textForm"] =   "Define the queue options and choose the extensions that belongs to this queue"; 
  $cwlang["queue"]["name"] =   "Name"; 
  $cwlang["queue"]["nameExample"] =   "I.e. administration, tech support,..."; 
  $cwlang["queue"]["strategy"] =   "Strategy"; 
  $cwlang["queue"]["strategyExample"] =   "Available values: ringall, none, etc.."; 
  $cwlang["queue"]["melody"] =   "Melody"; 
  $cwlang["queue"]["melodyExample"] =   "default, etc..."; 
  $cwlang["queue"]["frequency"] =   "Frequency"; 
  $cwlang["queue"]["frequencyExample"] =   "90, 100"; 
  $cwlang["queue"]["holdtime"] =   "Holdtime"; 
  $cwlang["queue"]["holdtimeExample"] =   "yes, no"; 
  $cwlang["queue"]["joinEmpty"] =   "Join Empty"; 
  $cwlang["queue"]["joinEmptyExample"] =   "yes, no"; 
  $cwlang["queue"]["extensionInfo"] =   "Choose the extensions that belongs to this queue"; 
  $cwlang["queue"]["sidebarEditTitle"] =   "Add a queue"; 
  $cwlang["queue"]["sidebarEditText"] =   "<p>It is possible create extensions' queue, so the phone rings together on an incoming call</p>";
        
        $cwlang["queue"]["confirmDel"] = "Are you sure you want to remove the queue";
        
  //*************************************
  //translation for the OFFICE Section
  //*************************************
  $cwlang["dept"]["title"] =   "Offices"; 
  $cwlang["dept"]["newDept"] =   "New Office"; 
  $cwlang["dept"]["sidebarTitle"] =   "Information"; 
  $cwlang["dept"]["sidebarText"] =   "All available offices to which your VoiceOne is connected"; 
  $cwlang["dept"]["alertDelGood"] =   "Office has been deleted successfully"; 
  $cwlang["dept"]["alertDelBad"] =   "Office has NOT been deleted"; 
  $cwlang["dept"]["alertModGood"] =   "Office has been edited successfully"; 
  $cwlang["dept"]["alertModBad"] =   "Office has NOT been edited"; 
  $cwlang["dept"]["modDeptTitle"] =   "Edit Office"; 
  $cwlang["dept"]["newDeptTitle"] =   "New Office"; 
  $cwlang["dept"]["return"] =   "Back without saving"; 
  $cwlang["dept"]["personalInfos"] =   "Personal information"; 
  $cwlang["dept"]["personalInfosDesc"] =   "Fill in all needed info"; 
  $cwlang["dept"]["name"] =   "Name"; 
  $cwlang["dept"]["hostname"] =   "Hostname"; 
  $cwlang["dept"]["hostnameHelp"] =   "Hostname or IP address, e.g. 122.12.13.14"; 
  $cwlang["dept"]["mask"] =   "Mask"; 
  $cwlang["dept"]["maskHelp"] =   "Network mask, e.g. 255.255.255.0"; 
  $cwlang["dept"]["username"] =   "Username"; 
  $cwlang["dept"]["usernameHelp"] =   "Username to log on to the remote Voiceone"; 
  $cwlang["dept"]["rsaKeyDesc"] =   "Paste here the public RSA key"; 
  $cwlang["dept"]["rsaKey"] =   "RSA key"; 
  $cwlang["dept"]["phoneNumberTitle"] =   "Phone numbers"; 
  $cwlang["dept"]["phoneNumberDesc"] =   "Office phone numbers"; 
  $cwlang["dept"]["phoneNumber"] =   "Phone number"; 
  $cwlang["dept"]["phoneNumberAdded"] =   "Phones numbers added"; 
  $cwlang["dept"]["shortcut"] =   "Speed dial key"; 
  $cwlang["dept"]["shortcutHelp"] =   "Add a speed dial key, e.g. 3"; 
  $cwlang["dept"]["advancedOptionTitle"] =   "Advanced options"; 
  $cwlang["dept"]["advancedOptionDesc"] =   "Check the box to enter the advanced options panel"; 
  $cwlang["dept"]["advancedOptionShow"] =   "Yes, enter ther advanced options panel"; 
  $cwlang["dept"]["defaultIp"] =   "Default IP"; 
  $cwlang["dept"]["defaultIpHelp"] =   " Enter an IP address "; 
  $cwlang["dept"]["report"] =   "Reports"; 
  $cwlang["dept"]["default"] =   "Default"; 
  $cwlang["dept"]["omit"] =   "Ometti"; 
  $cwlang["dept"]["billing"] =   "Billing"; 
  $cwlang["dept"]["documentation"] =   "Document"; 
  $cwlang["dept"]["canReinvite"] =   "Can Reinvite"; 
  $cwlang["dept"]["noDefault"] =   "No [default]"; 
  $cwlang["dept"]["yes"] =   "Yes"; 
  $cwlang["dept"]["canReinviteHelp"] =   "Bypass Asterisk if set to yes"; 
  $cwlang["dept"]["dtmfMode"] =   "DTMF Mode"; 
  $cwlang["dept"]["dtmfModeHelp"] =   "How to send DTMF tones"; 
  $cwlang["dept"]["language"] =   "Language"; 
  $cwlang["dept"]["languageHelp"] =   "Set language for this client or leave blank for the default"; 
  $cwlang["dept"]["mailbox"] =   "MailBox"; 
  $cwlang["dept"]["mailboxDesc"] =   "TO DO..."; 
  $cwlang["dept"]["nat"] =   "NAT"; 
  $cwlang["dept"]["denyIp"] =   "Forbidden IP addresses"; 
  $cwlang["dept"]["denyIpHelp"] =   "<strong>Sintax</strong>: IP/Mask[,IP/Mask[...]]"; 
  $cwlang["dept"]["allowIp"] =   "Allowed IP addresses"; 
  $cwlang["dept"]["allowIpHelp"] =   "<strong>Sintax</strong>: IP/Mask[,IP/Mask[...]]"; 
  $cwlang["dept"]["qualify"] =   "Qualify"; 
  $cwlang["dept"]["qualifyHelp"] =   "Monitor the status of the client"; 
  $cwlang["dept"]["codecs"] =   "Codecs"; 
  $cwlang["dept"]["codecsAdd"] =   "Add codec -->"; 
  $cwlang["dept"]["sidebarEditTitle"] =   "Info"; 
  $cwlang["dept"]["sidebarEditText"] =   "<p>An office is made by:</p><ol><li>general information</li><li>account info</li><li>phone numbers</li></ol><h2>How to add a new phone number</h2><p>Write the office phone number in the textbox and then press <b>+</b>.<br />            Select a number and then press <b>X</b> to delete it. <br /> To edit a number, double click it or select it and then press <b>edit</b>.<br /></p>";
        
        $cwlang["dept"]["alertDelDept"] = "Are you sure to remove the department"; 
        $cwlang["dept"]["editTitle"] = "Office Info";
        $cwlang["dept"]["Register"] = "Register";
        $cwlang["dept"]["RegisterHelp"] = "If your server has a dynamic IP, you need to send your registration";

  
  //*************************************
  //translation for the PROVIDER Section
  //*************************************
  $cwlang["provider"]["title"] =   "Provider"; 
  $cwlang["provider"]["newProvider"] =   "New provider"; 
  $cwlang["provider"]["alertDelGood"] =   "This resource has been deleted successfully"; 
  $cwlang["provider"]["alertDelBad"] =   "This resource has NOT been deleted"; 
  $cwlang["provider"]["sidebarTitle"] =   "Information"; 
  $cwlang["provider"]["sidebarText"] =   "<p>Resources are provider used to make calls.</p>".
                                          "          <p>There are two types of providers:".
                                          "            <ol>".
                                          "              <li>VoIP providers</li>".
                                          "              <li>TelCo providers</li>".
                                          "            </ol>".
                                          "          </p>"; 
  $cwlang["provider"]["alertDelGood"] =   "This resource has been edited successfully"; 
  $cwlang["provider"]["alertDelBad"] =   "This resource has NOT been edited"; 
  $cwlang["provider"]["modTitle"] =   "Edit provider "; 
  $cwlang["provider"]["newTitle"] =   "New provider"; 
  $cwlang["provider"]["return"] =   "Back without saving"; 
  $cwlang["provider"]["type"] =   "Provider type"; 
  $cwlang["provider"]["typeDesc"] =   "Please select the type"; 
  $cwlang["provider"]["isdn"] =   "TelCo provider"; 
  $cwlang["provider"]["sip"] =   "VoIP provider"; 
  $cwlang["provider"]["sipTitle"] =   "VoIP Provider"; 
  $cwlang["provider"]["sipDesc"] =   "General info"; 
  $cwlang["provider"]["sipName"] =   "Name"; 
  $cwlang["provider"]["sipNameHelp"] =   "Enter an id for this provider, p.e. FreeWorldDialup."; 
  $cwlang["provider"]["sipCode"] =   "Operator<br/>code"; 
  $cwlang["provider"]["sipCodeHelp"] =   "Direct selection, e.g. <strong>99</strong> or <strong>3</strong>"; 
  $cwlang["provider"]["authTitle"] =   "Account info"; 
  $cwlang["provider"]["username"] =   "Username"; 
  $cwlang["provider"]["password"] =   "Password"; 
  $cwlang["provider"]["ipAddress"] =   "IP address"; 
  $cwlang["provider"]["port"] =   "Port"; 
  $cwlang["provider"]["mask"] =   "Mask"; 
  $cwlang["provider"]["nat"] =   "NAT"; 
  $cwlang["provider"]["Yes"] =   "Yes"; 
  $cwlang["provider"]["No"] =   "No"; 
  $cwlang["provider"]["isdnTitle"] =   "TelCo provider"; 
  $cwlang["provider"]["isdnDesc"] =   "General information"; 
  $cwlang["provider"]["isdnName"] =   "Name"; 
  $cwlang["provider"]["isdnNameHelp"] =   "Enter the provider name, e.g. TelecomItalia"; 
  $cwlang["provider"]["isdnCode"] =   "Operator<br/>code"; 
  $cwlang["provider"]["isdnCodeHelp"] =   "Direct selection, e.g. 1033"; 
  $cwlang["provider"]["editSidebarTitle"] =   "Add a resource"; 
  $cwlang["provider"]["editSidebarDesc"] =   "<p>To add a <strong>resource</strong> you must select".
                          "          what type of provider it is.</p>".
                          "          <p>An <strong>ISDN provider</strong> is a traditional telco ".
                          "          operator, e.g. Telecom Italia or British Telecom.</p>".
                          "          <p>A <strong>SIP provider</strong> is a VoIP telco operator.</p>"; 

        $cwlang["provider"]["NewVoIP"] = "New VoIP provider";
        $cwlang["provider"]["NewTelco"] = "New Telco provider";
        $cwlang["provider"]["alertDelProvider"] = "Are you sure to remove the provider";
        $cwlang["provider"]["editTitle"] = "Provider Info";
        $cwlang["provider"]["SpeedDial"] = "Speed Dial";
        $cwlang["provider"]["helpIP"] = "Insert the IP address or the hostname";
        $cwlang["provider"]["helpPwd"] = "Insert the password or the RSA key";
        $cwlang["provider"]["phoneNumberTitle"] = "Phone numbers";
        $cwlang["provider"]["phoneNumberHelp"] = "Provider phone number";
  $cwlang["provider"]["phoneNumber"] = "Phone number";
        $cwlang["provider"]["phoneNumberDesc"] = "Digit the numbers to listen (i.e. <strong>123456</strong>)<br/>or a range of numbers as (<strong>123456-123459</strong>)";
  $cwlang["provider"]["phoneNumberAdded"] = "Phone numbers added"; 
        $cwlang["provider"]["DID"] = "DID";
        $cwlang["provider"]["DIDHelp"] = "Direct Inward Dialing";
        $cwlang["provider"]["addButtonHelp"] = "Add";
        $cwlang["provider"]["editButton"] = "Edit";
        $cwlang["provider"]["editButtonHelp"] = "Edit";
        $cwlang["provider"]["delButton"] = "X";
        $cwlang["provider"]["delButtonHelp"] = "Delete";
        $cwlang["provider"]["Prefix"] = "Prefix";
        $cwlang["provider"]["PrefixHelp"] = "Insert the carrier prefix, e.g. 1033 or 1099";
  
  //*************************************
  //translation for the PHONE NUMBER Section
  //*************************************
  $cwlang["numb"]["title"] =   "Phone Number"; 
  $cwlang["numb"]["alertDelGood"] =   "The phone number has been deleted"; 
  $cwlang["numb"]["alertDelBad"] =   "The phone number hasn't been deleted"; 
  $cwlang["numb"]["newPhoneNumber"] =   "New phone number"; 
  $cwlang["numb"]["sidebarTitle"] =   "Information"; 
  $cwlang["numb"]["sidebarDesc"] =   "<p>On the left you can find the office to which asterisk can communicate directly, via IAX</p>"; 
  $cwlang["numb"]["alertModGood"] =   "The phone number has been modified"; 
  $cwlang["numb"]["alertModBad"] =   "The phone number hasn't been modified"; 
  $cwlang["numb"]["return"] =   "Return without save"; 
  $cwlang["numb"]["numbersTitle"] =   "Phone Numbers"; 
  $cwlang["numb"]["numbersHelp"] =   "List below the phone number of the class"; 
  $cwlang["numb"]["name"] =   "Number class name"; 
  $cwlang["numb"]["nameHelp"] =   "I.e. toll-free, mobile phone, etc..."; 
  $cwlang["numb"]["addNumber"] =   "Phone Number"; 
  $cwlang["numb"]["listNumber"] =   "Added phone number"; 
  $cwlang["numb"]["emergency"] =   "Emergency number"; 
  $cwlang["numb"]["emergencyHelp"] =   "Choose YES to give the highest priority to this type of numbers"; 
  $cwlang["numb"]["yes"] =   "Yes"; 
  $cwlang["numb"]["no"] =   "No"; 
  $cwlang["numb"]["editSidebarTitle"] =   "Informations"; 
  $cwlang["numb"]["editSidebarDesc"] =   "<p>A phone number can be specified by a simple list of digit or by an regular expression.</p>".
                                  "          <p>These are some regular expression symbols:</p>".
                                  "          <ol>".
                                  "            <li>_ :start of a regular expression</li>".
                                  "            <li>N :indicate a number between 2 and 9</li>".
                                  "            <li>X :any digit</li>".
                                  "            <li>[xxx] :optional digit</li>".
                                  "          </ol>"; 

        $cwlang["numb"]["AlertDelPhoneNoClass"] = "Are you sure to remove the phone number class";
  

  //*************************************
  //translation for the GROUP Section
  //*************************************
  $cwlang["group"]["title"] =   "Groups"; 
  $cwlang["group"]["alertDelGood"] =   "The group has been deleted"; 
  $cwlang["group"]["alertDelBad"] =   "The group hasn't been deleted"; 
  $cwlang["group"]["newGroup"] =   "New group"; 
  $cwlang["group"]["sidebarTitle"] =   "Information"; 
  $cwlang["group"]["sidebarDesc"] =   "<p>It is necessary to group the entities created (extensions, office, provider, queue)". 
                                      "<br />In this manner you can easily manage the extensions permissions ".
                                      "</p>"; 
  $cwlang["group"]["extension"] =   "Extensions"; 
  $cwlang["group"]["department"] =   "Office"; 
  $cwlang["group"]["provider"] =   "Provider"; 
  $cwlang["group"]["phonenumber"] =   "Number"; 
  $cwlang["group"]["alertDelGood"] =   "The group has been modified"; 
  $cwlang["group"]["alertDelBad"] =   "The group hasn't been modified"; 
  $cwlang["group"]["modGroup"] =   "Modify group"; 
  $cwlang["group"]["newGroup"] =   "New group"; 
  $cwlang["group"]["return"] =   "Return without save"; 
  $cwlang["group"]["type"] =   "Group type"; 
  $cwlang["group"]["typeDesc"] =   "It is mandatory to specify the group type before proceeding"; 
  $cwlang["group"]["extensionGroup"] =   "Extensions group"; 
  $cwlang["group"]["checkExtension"] =   "Choose the extensions that belongs to this group"; 
  $cwlang["group"]["name"] =   "Name"; 
  $cwlang["group"]["extensionNameHelp"] =   "I.e. Helpdesk, Administration, etc..."; 
  $cwlang["group"]["checkExtension2"] =   "To choose the extensions, click on the desired checkbox"; 
  $cwlang["group"]["deptGroup"] =   "Office group"; 
  $cwlang["group"]["checkDept"] =   "Choose the offices that belongs to this group"; 
  $cwlang["group"]["deptNameHelp"] =   "I.e. Asia, Europe, National, etc..."; 
  $cwlang["group"]["checkDept2"] =   "To choose the offices, click on the desired checkbox"; 
  $cwlang["group"]["providerGroup"] =   "Provider group"; 
  $cwlang["group"]["checkProvider"] =   "Choose the providers that belongs to this group"; 
  $cwlang["group"]["providerNameHelp"] =   "I.e. Free, Payment, etc..."; 
  $cwlang["group"]["checkProvider2"] =   "To choose the providers, click on the desired checkbox"; 
  $cwlang["group"]["phoneNumberGroup"] =   "Phone number group"; 
  $cwlang["group"]["checkPhoneNumber"] =   "Choose the phone numbers that belongs to this group"; 
  $cwlang["group"]["phoneNumberNameHelp"] =   "I.e. Toll-free, international, etc..."; 
  $cwlang["group"]["checkPhoneNumber2"] =   "To choose the phone numbers, click on the desired checkbox"; 
  $cwlang["group"]["editSidebar"] =   "Informations"; 
  $cwlang["group"]["editSidebarDesc"] =   ""; 
  $cwlang["group"]["chooseGroup"] =   "Choose one belonging group at least"; 
  
  $cwlang["group"]["application"] = "Application";
  $cwlang["group"]["applicationGroup"] =   "Application groups"; 
  $cwlang["group"]["checkApplication"] =   "Choose the applications that belongs to this group"; 
  $cwlang["group"]["applicationNameHelp"] =   "I.e. Commercial, Internal, etc..."; 
  $cwlang["group"]["checkApplication2"] =   "To choose the applications, click on the desired checkbox"; 
  
  //*************************************
  //translation for the RIGHTS Section
  //*************************************
  $cwlang["right"]["title"] =   "Rights"; 
  $cwlang["right"]["newRight"] =   "New right"; 
  $cwlang["right"]["sidebar"] =   "Informations"; 
  $cwlang["right"]["sidebarDesc"] =   "<p>The rights can give the call permissions to all the ".
                                      "entities that resides on the VoiceOne ".
                                      "</p>"; 
  $cwlang["right"]["alertDelGood"] =   "The right has been deleted"; 
  $cwlang["right"]["alertDelBad"] =   "The right hasn't been deleted"; 
  $cwlang["right"]["alertModGood"] =   "The right has been modified"; 
  $cwlang["right"]["alertModBad"] =   "The right hasn't been modified"; 
  $cwlang["right"]["modRight"] =   "Modify right "; 
  $cwlang["right"]["return"] =   "Return without save"; 
  $cwlang["right"]["groupList"] =   "Groups and applications list"; 
  $cwlang["right"]["groupListDesc"] =   "Choose the groups and the application that are enabled in this right"; 
  $cwlang["right"]["name"] =   "Name"; 
  $cwlang["right"]["nameHelp"] =   "I.e. Incoming calls, collegues, etc..."; 
  $cwlang["right"]["checkGroup"] =   "Choose the groups that can be called with this right"; 
  $cwlang["right"]["checkApps"] =   "Choose the applications that can be enabled with this right"; 
  $cwlang["right"]["action"] =   "Actions"; 
  $cwlang["right"]["actionDesc"] =   "Choose the action to perform when some call come in this context"; 
  $cwlang["right"]["editSidebar"] =   "Add right"; 
  $cwlang["right"]["editSidebarDesc"] =   "<p>An extensions with a specific <strong>right</strong> ".
                                    "can call all the extensions, phone number, provider you checked here</p> ";
  $cwlang["right"]["chooseRight"] =   "The right specify what resource you can call. Choose one right at least."; 
  
  //*************************************
  //translation for the IVR Section
  //*************************************
  $cwlang["ivr"]["title"] =   "IVR"; 
  $cwlang["ivr"]["apply"] =   "Apply"; 
  $cwlang["ivr"]["nodeDeleted"] =   "Node removed"; 
  $cwlang["ivr"]["nodeNotDeleted"] =   "Node not removed"; 
  $cwlang["ivr"]["created"] =   "IVR created"; 
  $cwlang["ivr"]["creating"] =   "IVR generating in progress..."; 
  $cwlang["ivr"]["chooseAction"] =   "Choose one action to perform"; 
  $cwlang["ivr"]["newNode"] =   "Add a new node"; 
  $cwlang["ivr"]["modNode"] =   "Edit this node"; 
  $cwlang["ivr"]["delNode"] =   "Remove this node"; 
  $cwlang["ivr"]["alertDelGood"] =   "The IVR has been deleted"; 
  $cwlang["ivr"]["alertDelBad"] =   "The IVR hasn't deleted"; 
  $cwlang["ivr"]["alertNewGood"] =   "The IVR has been created"; 
  $cwlang["ivr"]["alertNewBad"] =   "The IVR hasn't been created"; 
  $cwlang["ivr"]["alertModGood"] =   "The node has been modified"; 
  $cwlang["ivr"]["alertModBad"] =   "The node hasn't been modified"; 
  $cwlang["ivr"]["chooseIvr"] =   "Choose the IVR"; 
  $cwlang["ivr"]["titleDesc"] =   "Choose a node to modify from the tree on the right"; 
  $cwlang["ivr"]["newIvr"] =   "Create a new IVR"; 
  $cwlang["ivr"]["name"] =   "Name"; 
  $cwlang["ivr"]["newIvrButton"] =   "Create IVR"; 
  $cwlang["ivr"]["replace"] =   "Replace"; 
  $cwlang["ivr"]["currentPosition"] =   "In the current position"; 
  $cwlang["ivr"]["nodeDesc"] =   "Node selection properties"; 
  $cwlang["ivr"]["name"] =   "Name"; 
  $cwlang["ivr"]["key"] =   "Key"; 
  $cwlang["ivr"]["keyHelp"] =   "insert one or more digits, i.e. 1, 99"; 
  $cwlang["ivr"]["audio"] =   "Audio"; 
  $cwlang["ivr"]["listen"] =   "Listen the added file"; 
  $cwlang["ivr"]["position"] =   "Position"; 
  $cwlang["ivr"]["action"] =   "Action"; 
  $cwlang["ivr"]["actionDesc"] =   "Choose the action that IVR must perform at this point"; 
  $cwlang["ivr"]["call"] =   "Call"; 
  $cwlang["ivr"]["enqueue"] =   "Enqueue"; 
  $cwlang["ivr"]["macro"] =   "Macro"; 
  $cwlang["ivr"]["goto"] =   "Goto"; 
  $cwlang["ivr"]["timeout"] =   "Timeout"; 
  $cwlang["ivr"]["timeoutDesc"] =   "Choose the action that must be performed when a timeout is triggered."; 
  $cwlang["ivr"]["repeat"] =   "Repeat"; 
  $cwlang["ivr"]["repeatHelp"] =   "If checked, the menu is repeated"; 
  $cwlang["ivr"]["invalid"] =   "Invalid choose"; 
  $cwlang["ivr"]["invalidHelp"] =   "Choose the action that must be performed when an invalid choose is triggered"; 

        $cwlang["ivr"]["nodeTitle"] = "General information";
        
  //*************************************
  //translation for the MOH Section
  //*************************************
  
  $cwlang["moh"]["title"] = "Music On Hold";  
  $cwlang["moh"]["newClass"] = "New class";
  $cwlang["moh"]["alertDelClassGood"] = "The class has been deleted"; 
  $cwlang["moh"]["alertDelClassBad"] = "The class hasn't been deleted";
  $cwlang["moh"]["sidebarTitle"] = "Songs Uploader";
  $cwlang["moh"]["sidebarDesc"] = "<p>Upload and manage your music on hold songs</p>";
  $cwlang["moh"]["alertUploadGood"] = "The file has been uploaded";
  $cwlang["moh"]["alertUploadBad"] = "The file hasn't been uploaded";
  $cwlang["moh"]["alertUpErr1Bad"] = "The uploaded file exceeds the max php filesize";
  $cwlang["moh"]["alertUpErr2Bad"] = "The uploaded file exceeds the max html filesize";
  $cwlang["moh"]["alertDelSongGood"] = "The file has been deleted";
  $cwlang["moh"]["alertDelSongBad"] = "The file hasn't been deleted";
        
        $cwlang["moh"]["confirmDel"] = "Are you sure you want to remove the MOH class"; 
        $cwlang["moh"]["FileUpload"] = "Upload a File";
        $cwlang["moh"]["FileLib"] = "File Library";
        $cwlang["moh"]["AlertDelFile"] = "Are you sure to delete audio file";
        
  //edit
  $cwlang["moh"]["newClass"] = "New class";
  $cwlang["moh"]["modClass"] = "Modify class";
  $cwlang["moh"]["return"] = "Return without save";
  $cwlang["moh"]["point1title"] = "Class";
  $cwlang["moh"]["point1text"] = "General class parameters";
  $cwlang["moh"]["point2title"] = "Songs List";
  $cwlang["moh"]["point2text"] = "Choose which of the available songs to be added to this class";
  $cwlang["moh"]["availableSongs"] = "Available Songs";
  $cwlang["moh"]["selectedSongs"] = "Selected Songs";
  $cwlang["moh"]["calssName"] = "Class Name";
  $cwlang["moh"]["classMode"] = "Class Mode";
  $cwlang["moh"]["classApplication"] = "Application";
  $cwlang["moh"]["alertCreateGood"] = "The class has been created"; 
  $cwlang["moh"]["alertCreateBad"] = "The class hasn't been created";
  $cwlang["moh"]["alertModifyGood"] = "The class has been modified"; 
  $cwlang["moh"]["alertModifyBad"] = "The class hasn't been modified";
  $cwlang["moh"]["editSidebarTitle"] = "Informations";
  $cwlang["moh"]["editSidebarDesc"] = "<p></p>";
  $cwlang["moh"]["addButton"] =       "  Add        ";
  $cwlang["moh"]["addAllButton"] =    "  Add all    ";
  $cwlang["moh"]["removeButton"] =    "     Remove  ";
  $cwlang["moh"]["removeAllButton"] = "  Remove all ";

  //*************************************
  //translation for the SOUNDS Section
  //*************************************
  
  $cwlang["sounds"]["newFile"] = "new file";
  $cwlang["sounds"]["category"] = "Category";
  $cwlang["sounds"]["never"] = "never";
  $cwlang["sounds"]["point1title"] = "File";
  $cwlang["sounds"]["point1text"] = "General file informations";
  $cwlang["sounds"]["point2title"] = "Audio";
  $cwlang["sounds"]["point2text"] = "Record or upload a new message and overwrite the existing one";
  $cwlang["sounds"]["sidebarTitle"] = "Asterisk sound files";
  $cwlang["sounds"]["fileName"] = "Name";
  $cwlang["sounds"]["fileCategory"] = "Category";
  $cwlang["sounds"]["fileLanguage"] = "Language";
  $cwlang["sounds"]["fileLastmod"] = "Modified";
  $cwlang["sounds"]["filePath"] = "Path";
  $cwlang["sounds"]["fileText"] = "Text";
  $cwlang["sounds"]["fileRecord"] = "1a) Record a new audio file: ";
  $cwlang["sounds"]["fileOr"] = "<strong> -- OR -- </strong>";
  $cwlang["sounds"]["fileUpload"] = "1b) Upload a new audio file (.wav): ";
  $cwlang["sounds"]["fileSelect"] = "2) Select new audio content: ";
  $cwlang["sounds"]["fileSelected"] = "selected: ";
  $cwlang["sounds"]["loading"] = " loading... ";   
  $cwlang["sounds"]["treeSounds"] = "Sounds";
  $cwlang["sounds"]["title"] = "Sounds";
  $cwlang["sounds"]["introText"] = " Choose a node to modify from the tree on the right";
  $cwlang["sounds"]["newBad"] = "Creation error";
  $cwlang["sounds"]["deleteBad"] = "Delete error";
  $cwlang["sounds"]["uploadBad"] = "Upload error";
  $cwlang["sounds"]["script1"] = "already exist: edit it?";
  $cwlang["sounds"]["script2"] = "Enter message name:"; 
  $cwlang["sounds"]["script3"] = "already exist: override it?";
  $cwlang["sounds"]["script4"] = "Are you sure to delete";
  $cwlang["sounds"]["script5"] = "Please, select a file from the list to overwrite";
  $cwlang["sounds"]["script6"] = "Are you sure to change text in\\n";
  $cwlang["sounds"]["script7"] = "Are you sure to change content to ";
  $cwlang["sounds"]["script8"] = "and text to";
  $cwlang["sounds"]["script9"] = "Unknown message";
  
  //*************************************
  //translation for the TOOL Section
  //*************************************
  $cwlang["tool"]["alertGood"] =   "The file has been saved"; 
  $cwlang["tool"]["alertBad"] =   "The file hasn't been saved"; 
  $cwlang["tool"]["title"] =   "Configuration file editor"; 
  $cwlang["tool"]["sidebarTitle"] =   "High RISK!"; 
  $cwlang["tool"]["sidebarDesc"] =   "<p>".
          "It is very dangerous the changes on this files. ".
          "A bad use of this tool can damage the pbx. ".
          "</p>"; 
  
        //*************************************
  //translation for the RULES Section
  //*************************************
        $cwlang["rules"]["incoming"] = "Incoming Rules";
        $cwlang["rules"]["outgoing"] = "Outgoing Rules";
        $cwlang["rules"]["timesegments"] = "Time Segments";                         
        
        //*************************************
  //translation for the INCOMING RULE Section
  //************************************* 
  $cwlang["rulein"]["title"] =   "Incoming calls Rules"; 
  $cwlang["rulein"]["new"] =   "New incoming rule set"; 
  $cwlang["rulein"]["sidebarTitle"] =   "Incoming Rule"; 
  $cwlang["rulein"]["sidebarDesc"] =   "This rules will be applied on incoming calls";
  $cwlang["rulein"]["rulesetTitle"] =  "Rule set";
  $cwlang["rulein"]["addrule"] =  "Add a new Rule";
  $cwlang["rulein"]["columTS"] =   "Time Segment";
  $cwlang["rulein"]["columCId"] =   "Caller Id";
  $cwlang["rulein"]["columTrunk"] =   "Trunk";
  $cwlang["rulein"]["columNum"] =   "Number";
  $cwlang["rulein"]["columMacro"] =   "Macro";
  $cwlang["rulein"]["columPar"] =   "Params";
  $cwlang["rulein"]["script1"] =  "Are you sure to delete"; 
  $cwlang["rulein"]["delSetYes"] =  "Ruleset deleted";
  $cwlang["rulein"]["delSetNo"] =  "Error: Ruleset not deleted";
  $cwlang["rulein"]["delRuleYes"] =  "Incoming Rule deleted";
  $cwlang["rulein"]["delRuleNo"] =  "Error: Incoming rule not deleted";
  $cwlang["rulein"]["movedYes"] =  "Incoming Rule Moved";
  $cwlang["rulein"]["movedNo"] =  "Error: Incoming rule not moved";
  $cwlang["rulein"]["return"] =  "Return without save";
  // ./edit
  $cwlang["rulein"]["createRulesetYes"] =  "Rule set created";
  $cwlang["rulein"]["createRulesetNo"] =  "Error: Rule set not created";
  $cwlang["rulein"]["editTitle"] =  "Incoming rule set";
  $cwlang["rulein"]["Name"] =  "Name";
  $cwlang["rulein"]["Description"] =  "Description";
  $cwlang["rulein"]["editSB"] =  "Edit the Rule Set";
  $cwlang["rulein"]["editSBdesc"] =  "";
  // ./edit-rule
  $cwlang["rulein"]["callerType1"] =  "all caller with no restriction on caller id ";
  $cwlang["rulein"]["callerType2"] =  "all caller that don't show caller id ";
  $cwlang["rulein"]["phonenumber"] =  "Phone number";
  $cwlang["rulein"]["callerType3"] =  " set the caller id ";
  $cwlang["rulein"]["callerType4yes"] =  "select a class of phonenumbers"; 
  $cwlang["rulein"]["callerType4no"] =  "no class of phonenumbers are defined";
  $cwlang["rulein"]["callerType5yes"] =  "select a group of class of phonenumbers";
  $cwlang["rulein"]["callerType5no"] =  "no group of class of phonenumbers defined";
  $cwlang["rulein"]["createRuleYes"] =  "Rule created";
  $cwlang["rulein"]["createRuleNo"] =  "Error: Rule not created";
  $cwlang["rulein"]["editruleTitle"] =  "Incoming rule";
  $cwlang["rulein"]["timesegment"] =  "Time segment";
  $cwlang["rulein"]["timesegmentDesc"] =  "set the time segment";
  $cwlang["rulein"]["callerid"] =  "Caller Id";
  $cwlang["rulein"]["calleridDesc"] =  "set the caller id";
  $cwlang["rulein"]["stop"] =  "Stop";
  $cwlang["rulein"]["stopDesc"] =  "Stop executing the next rule after this";
  $cwlang["rulein"]["action"] =  "Action to do";
  $cwlang["rulein"]["stopor"] = "Stop or";
  $cwlang["rulein"]["continue"] = "Continue";
  $cwlang["rulein"]["editruleSB"] =  "Edit the Rule";
  $cwlang["rulein"]["editruleSBdesc"] =  "";
        
        $cwlang["rulein"]["any"] = "Any";
        $cwlang["rulein"]["anonymous"] = "Anonymous";
        $cwlang["rulein"]["none"] = "None";
        $cwlang["rulein"]["phonenumberclass"] = "Phone Number Class";
        $cwlang["rulein"]["phonenumbergroup"] = "Phone Number Group";
        $cwlang["rulein"]["anytime"] = "Any time";
  
  //*************************************
  //translation for the OUTGOING RULE Section
  //************************************* 
  
  $cwlang["ruleout"]["title"] =   "Outgoing calls Rules"; 
  $cwlang["ruleout"]["new"] =   "New outgoing rule set"; 
  $cwlang["ruleout"]["sidebarTitle"] =   "Outgoing Rule"; 
  $cwlang["ruleout"]["sidebarDesc"] =   "This rules will be applied on outgoing calls";
  $cwlang["ruleout"]["columTS"] =   "Time Segment";
  $cwlang["ruleout"]["columDest"] =  "Destination";
  $cwlang["ruleout"]["columTrunk"] =   "Trunk";
  $cwlang["ruleout"]["columAction"] =   "Action";
  $cwlang["ruleout"]["columProv"] =   "Provider";
  $cwlang["ruleout"]["rulesetTitle"] =  "Rule set";
  $cwlang["ruleout"]["script1"] =  "Are you sure to delete";
  $cwlang["ruleout"]["addrule"] =  "Add a new Rule";
  $cwlang["ruleout"]["delSetYes"] =  "Ruleset deleted";
  $cwlang["ruleout"]["delSetNo"] =  "Error: Ruleset not deleted";
  $cwlang["ruleout"]["delRuleYes"] =  "Outgoing Rule deleted";
  $cwlang["ruleout"]["delRuleNo"] =  "Error: Outgoing rule not deleted";
  $cwlang["ruleout"]["movedYes"] =  "Outgoing Rule Moved";
  $cwlang["ruleout"]["movedNo"] =  "Error: Outgoing rule not moved";
  $cwlang["ruleout"]["return"] =  "Return without save";
  // ./edit
  $cwlang["ruleout"]["createRulesetYes"] =  "Rule set created";
  $cwlang["ruleout"]["createRulesetNo"] =  "Error: Rule set not created";
  $cwlang["ruleout"]["editTitle"] =  "Outgoing rule set";
  $cwlang["ruleout"]["Name"] =  "Name";
  $cwlang["ruleout"]["Description"] =  "Description";
  $cwlang["ruleout"]["editSB"] =  "Edit the Rule Set";
  $cwlang["ruleout"]["editSBdesc"] =  "";
  // ./edit-rule
  $cwlang["ruleout"]["createRuleYes"] =  "Rule created";
  $cwlang["ruleout"]["createRuleNo"] =  "Error: Rule not created";
  $cwlang["ruleout"]["editruleTitle"] =  "Outgoing rule";
  $cwlang["ruleout"]["timesegment"] =  "Time segment";
  $cwlang["ruleout"]["timesegmentDesc"] =  "set the time segment";
  $cwlang["ruleout"]["action"] =  "Action";
  $cwlang["ruleout"]["actionDesc"] =  "What do you want to do?";
  $cwlang["ruleout"]["trunk"] =  "Trunk";
  $cwlang["ruleout"]["trunkDesc"] =  "Choose which of the available trunk to be used in this rule";
  $cwlang["ruleout"]["resources"] =  "Available Resources";
  $cwlang["ruleout"]["editruleSB"] =  "Edit the Rule";
  $cwlang["ruleout"]["editruleSBdesc"] =  "";
  $cwlang["ruleout"]["allow"] =  "ALLOW";
  $cwlang["ruleout"]["deny"] =  "DENY";
  $cwlang["ruleout"]["add"] =       "  Add          >";
  $cwlang["ruleout"]["remove"] =    "<       Remove  ";
  $cwlang["ruleout"]["addAll"] =    "  Add All     >>";
  $cwlang["ruleout"]["removeAll"] = "<<   Remove All ";
  $cwlang["ruleout"]["script1"] =  "Rule must have a destination. Please select one";
        
        $cwlang["ruleout"]["allow"] = "ALLOW";
        $cwlang["ruleout"]["deny"] = "DENY";

  //*************************************
  //translation for the TIME SEGMENTS Section
  //*************************************
        $cwlang["timesegment"]["sidebarTitle"] = "Time Segments";
        $cwlang["timesegment"]["sidebarDesc"] = "Route calls differently based on time";
        $cwlang["timesegment"]["deleted"] = "Time Segment deleted";
        $cwlang["timesegment"]["notdeleted"] = "Time Segment not deleted";
        $cwlang["timesegment"]["confirmDel"] = "Are you sure you want to remove the Time Segment";
        $cwlang["timesegment"]["title"] = "Time Segments";
        $cwlang["timesegment"]["newtimesegment"] = "New Time Segment";
        
        //edit
  $cwlang["timesegment"]["alertGood"] = "The time segment has been saved";
  $cwlang["timesegment"]["alertBad"] = "The time segment hasn't been saved";
        $cwlang["timesegment"]["editTitle"] = "New/Edit Time Segment";
        $cwlang["timesegment"]["editSubTitle"] = "Time segment Definition";
        $cwlang["timesegment"]["editSubTitleDesc"] = "You can choose a time segment that adapt to your needs";
        $cwlang["timesegment"]["timesegInfo"] = "Time segment information";
        $cwlang["timesegment"]["timesegName"] = "Name";
        $cwlang["timesegment"]["timesegDate"] = "Date segment";
        $cwlang["timesegment"]["timesegFrom"] ="From";
        $cwlang["timesegment"]["timesegTo"] = "To";
        $cwlang["timesegment"]["timesegDateHelp"] = "Write the date between which this time segment is available. Leave blank for always.<br />Write i.e. 24-12-2006 14:00";
        $cwlang["timesegment"]["timesegHours"] = "Hours";
        $cwlang["timesegment"]["timesegHoursHelp"] = "Write the time, i.e. 9:00, or 23:52:30";
        $cwlang["timesegment"]["timesegWeekDays"] = "Week Days";
        $cwlang["timesegment"]["timesegDays"] = "Days";
        $cwlang["timesegment"]["timesegSu"] = "Su";
  $cwlang["timesegment"]["timesegMo"] = "Mo";
  $cwlang["timesegment"]["timesegTu"] = "Tu";
  $cwlang["timesegment"]["timesegWe"] = "We";
  $cwlang["timesegment"]["timesegTh"] = "Th";
  $cwlang["timesegment"]["timesegFr"] = "Fr";
  $cwlang["timesegment"]["timesegSa"] = "Sa";
        $cwlang["timesegment"]["timesegUnchecked"] = "Leave unchecked to select all days";
        $cwlang["timesegment"]["timesegMonthDays"] = "Month Days";
        $cwlang["timesegment"]["timesegMonths"] = "Months";
        $cwlang["timesegment"]["timesegUnchkMonths"] = "Leave unchecked to select all months";
        $cwlang["timesegment"]["timesegJan"] = "January"; 
        $cwlang["timesegment"]["timesegFeb"] = "February";
  $cwlang["timesegment"]["timesegMar"] = "March";
  $cwlang["timesegment"]["timesegApr"] = "April";
  $cwlang["timesegment"]["timesegMay"] = "May";
  $cwlang["timesegment"]["timesegJun"] = "June";
        $cwlang["timesegment"]["timesegJul"] = "July";
        $cwlang["timesegment"]["timesegAug"] = "August";
        $cwlang["timesegment"]["timesegSep"] = "September";
        $cwlang["timesegment"]["timesegOct"] = "October";
        $cwlang["timesegment"]["timesegNov"] = "November";
        $cwlang["timesegment"]["timesegDec"] = "December";
    
  //*************************************
  //translation for the LAN Section
  //*************************************
  $cwlang["lan"]["alertGood"] =   "The options has been saved"; 
  $cwlang["lan"]["alertBad"] =   "The options hasn't been saved"; 
  $cwlang["lan"]["title"] =   "Lan configuration"; 
  $cwlang["lan"]["titleDesc"] =   "Set the correct values in the form below."; 
  $cwlang["lan"]["warning"] =   "Warning: You have to fill all the textfield of the form! Check the set_lan.sh script before press the save button."; 
  $cwlang["lan"]["sidebarTitle"] =   "Lan Configuration"; 
  $cwlang["lan"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>"; 

  //*************************************
  //translation for the IAX Section
  //*************************************
  $cwlang["iax"]["alertGood"] =   "The options has been saved"; 
  $cwlang["iax"]["alertBad"] =   "The options hasn't been saved"; 
  $cwlang["iax"]["title"] =   "IAX Options"; 
  $cwlang["iax"]["titleDesc"] =   "Set the correct values in the form below. The checked option correspond to the commented option."; 
  $cwlang["iax"]["sidebarTitle"] =   "What is IAX"; 
  $cwlang["iax"]["sidebarDesc"] =   "<p>IAX is the Inter-Asterisk eXchange protocol used by Asterisk, an open source PBX server from Digium. It is used to enable VoIP connections between Asterisk servers, and between servers and clients that also use the IAX protocol.</p>".
          "<p>IAX is the Inter-Asterisk eXchange protocol used by Asterisk, an open source PBX server from Digium. It is used to enable VoIP connections between Asterisk servers, and between servers and clients that also use the IAX protocol.</p>".
          "<p>IAX2 is very robust and full-featured yet simple as far as protocols go. It is agnostic to codecs and number of streams, meaning that it can be used as a transport for virtually any type of data. (This capability will be useful as videophones become common.)</p>";

  //*************************************
  //translation for the SIP Section
  //*************************************
  $cwlang["sip"]["alertGood"] =   "The options has been saved"; 
  $cwlang["sip"]["alertBad"] =   "The options hasn't been saved"; 
  $cwlang["sip"]["title"] =   "SIP Options"; 
  $cwlang["sip"]["titleDesc"] =   "Set the correct values in the form below. The checked option correspond to the commented option."; 
  $cwlang["sip"]["sidebarTitle"] =   "What is SIP"; 
  $cwlang["sip"]["sidebarDesc"] =   "<p>A goal for SIP was to provide a superset of the call processing functions and features present in the public switched telephone network (PSTN). As such, features that permit familiar telephone-like operations are present: dialing a number, causing a phone to ring, hearing ringback tones or a busy signal. Implementation and terminology are different.</p>";

  //*************************************
  //translation for the ISDN Section
  //*************************************
  $cwlang["isdn"]["alertDelGood"] =   "The card has been removed"; 
  $cwlang["isdn"]["alertDelBad"] =   "The card hasn't been removed"; 
  $cwlang["isdn"]["alertAddGood"] =   "The card has been installed"; 
  $cwlang["isdn"]["alertAddBad"] =   "The card hasn't been installed"; 
  $cwlang["isdn"]["alertSaveGood"] =   "The port configuration has been correctly performed"; 
  $cwlang["isdn"]["alertSaveBad"] =   "The saving hasn't been performed, due to errors"; 
  $cwlang["isdn"]["card"] =   "Card"; 
  $cwlang["isdn"]["port"] =   "Port"; 
  $cwlang["isdn"]["title"] =   "ISDN Card"; 
  $cwlang["isdn"]["save"] =   "Apply"; 
  $cwlang["isdn"]["newCard"] =   "Add a card"; 
  $cwlang["isdn"]["newCardDesc"] =   "Choose a card to activate"; 
  $cwlang["isdn"]["install"] =   "Install"; 
  $cwlang["isdn"]["installalert"] = "WARNING: this operation will turn off pbx service! Continue?";
  $cwlang["isdn"]["delalert"] = "WARNING: this operation will turn off pbx service! Are you sure to remove the card?";
  $cwlang["isdn"]["sidebarTitle"] =   "Installed card"; 
  $cwlang["isdn"]["sidebarDesc"] =   "<p>".
          "Integrated Services Digital Network (ISDN) is a type of circuit switched telephone network system, designed to allow digital transmission of voice and data over ordinary telephone copper wires, resulting in better quality and higher speeds than available with analog systems. More broadly, ISDN is a set of protocols for establishing and breaking circuit switched connections, and for advanced call features for the user. The English term is a \"backronym\", thought better for English-language advertisements than the original, \"Integriertes Sprach- und Datennetz\" (German for \"integrated voice and data net\").".
          "</p>";
  //menu
  $cwlang["isdn"]["isdnCard"] =   "ISDN Card"; 
  $cwlang["isdn"]["portGroup"] =   "Group of ports"; 
  $cwlang["isdn"]["number"] =   "Numbers"; 
  $cwlang["isdn"]["isdnOption"] =   "ISDN Options"; 
  $cwlang["isdn"]["groupOption"] =   "Group options"; 
  //isdn group
  $cwlang["isdngrp"]["alertDelGood"] =   "The group has been deleted"; 
  $cwlang["isdngrp"]["alertDelBad"] =   "The group hasn't been deleted"; 
  $cwlang["isdngrp"]["title"] =   "Group of ports"; 
  $cwlang["isdngrp"]["newGroup"] =   "New group"; 
  $cwlang["isdngrp"]["sidebarTitle"] =   "The group of ISDN ports"; 
  $cwlang["isdngrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["isdngrp"]["alertModGood"] =   "The group has been modified"; 
  $cwlang["isdngrp"]["alertModBad"] =   "The group hasn't been modified"; 
  $cwlang["isdngrp"]["return"] =   "Return without save"; 
  $cwlang["isdngrp"]["titleDesc"] =   "Group of port general information"; 
  $cwlang["isdngrp"]["groupName"] =   "Group name"; 
  $cwlang["isdngrp"]["enableOutcomingCall"] =   "Enable outgoing calls"; 
  $cwlang["isdngrp"]["enableOutcomingCallHelp"] =   "Specify if the group can perform outgoing calls. You can digit: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> to disable the outgoing calls</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> to enable the outgoing calls and specify the priority (1 the highest, 100 the lowest)</li> ".
                              "</ul>"; 
  $cwlang["isdngrp"]["listeningNumber"] =   "Listening phone numbers"; 
  $cwlang["isdngrp"]["listeningNumberHelp"] =   "Write the phone numbers that this group can manage"; 
  $cwlang["isdngrp"]["phoneNumber"] =   "Phone number"; 
  $cwlang["isdngrp"]["phoneNumberAdded"] =   "Added phone number"; 
  $cwlang["isdngrp"]["ports"] =   "Ports"; 
  $cwlang["isdngrp"]["portsDesc"] =   "Choose the ports that belongs to this group"; 
  $cwlang["isdngrp"]["availablePorts"] =   "Available ports"; 
  $cwlang["isdngrp"]["groupPorts"] =   "Ports added"; 
  $cwlang["isdngrp"]["option"] =   "Options"; 
  $cwlang["isdngrp"]["show"] =   "Show"; 
  $cwlang["isdngrp"]["hide"] =   "Hide"; 
  $cwlang["isdngrp"]["optionDesc"] =   "You can view the default values. You can modify the option values and customize the group behavior."; 
  //isdn option
  $cwlang["isdnOpt"]["alertModGood"] =   "The options has been saved"; 
  $cwlang["isdnOpt"]["alertModBad"] =   "The options hasn't been saved"; 
  $cwlang["isdnOpt"]["title"] =   "ISDN Option"; 
  $cwlang["isdnOpt"]["titleDesc"] =   "Set the right values in the below form."; 
  $cwlang["isdnOpt"]["sidebarTitle"] =   "Options"; 
  $cwlang["isdnOpt"]["sidebarDesc"] =   ""; 
  $cwlang["isdnOpt"]["isdnTitle"] =   "ISDN Options"; 
  $cwlang["isdnOpt"]["isdnTitleDesc"] =   "Set the right values in the below form"; 
  $cwlang["isdnOpt"]["sidebarIsdnTitle"] =   "mISDN Options"; 
  $cwlang["isdnOpt"]["sidebarIsdnDesc"] =   ""; 
  //isdn number
  $cwlang["isdnNumb"]["alertDelGood"] =   "The number has been deleted"; 
  $cwlang["isdnNumb"]["alertDelBad"] =   "The number hasn't been deleted"; 
  $cwlang["isdnNumb"]["alertModGood"] =   "The configuration has been successfully saved"; 
  $cwlang["isdnNumb"]["alertModBad"] =   "The configuration hasn't been saved"; 
  $cwlang["isdnNumb"]["group"] =   "Group"; 
  $cwlang["isdnNumb"]["title"] =   "Phone Number"; 
  $cwlang["isdnNumb"]["save"] =   "Apply"; 
  $cwlang["isdnNumb"]["sidebarTitle"] =   "Phone Number"; 
  $cwlang["isdnNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the USER Section
  //*************************************
  $cwlang["user"]["alertDelGood"] =   "The user has been deleted"; 
  $cwlang["user"]["alertDelBad"] =   "The user hasn't been deleted"; 
  $cwlang["user"]["title"] =   "Users"; 
  $cwlang["user"]["newUser"] =   "New user"; 
  $cwlang["user"]["sidebarTitle"] =   "The users"; 
  $cwlang["user"]["sidebarDesc"] =   "<p>".
       "     From this page, we can manage the VoiceOne access. We can  ".
       "     create, modify and delete users.  ".
       "   </p> ".
       "   <p> ".
       "     There are three kind of users: ".
       "     <ul> ".
       "       <li><img src=\"$relBasePath/public/img/user_standard.gif\" alt=\"Standard User\" align=\"left\"/> The <strong>Standard User</strong>, that can access to the user panel only ". 
       "       (Personal VoiceOne)</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_configurator.gif\" alt=\"Configurator User\" align=\"left\"/>The <strong>Configurator</strong>, that can access to some ". 
       "       section of the VoiceOne Configurator</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_superuser.gif\" alt=\"Super User\" align=\"left\"/>The <strong>Super User</strong>, that can do everything ".
       "       inside the VoiceOne Configurator</li> ".
       "     </ul> ".
       "   </p> ".
       "   <p> ".
       "     Every extensions have an standard user account inside VoiceOne. ". 
       "     It is possible however create VoiceOne users not related to extensions. ". 
       "     In both the cases, the superuser can change the user type ". 
       "     (standard, configurator, superuser).  ".
       "   </p>"; 

  $cwlang["user"]["alertModGood"] =   "The user has been modified"; 
  $cwlang["user"]["alertModBad"] =   "The user hasn't been modified"; 
  $cwlang["user"]["modUser"] =   "Modify user"; 
  $cwlang["user"]["return"] =   "Return without save"; 
  $cwlang["user"]["desc"] =   "Fill in the access data. If the user is connected to an extension, it isn't possible to change the access information."; 
  $cwlang["user"]["username"] =   "Username"; 
  $cwlang["user"]["password"] =   "Password"; 
  $cwlang["user"]["typeTitle"] =   "Type"; 
  $cwlang["user"]["typeDesc"] =   "Choose the kind of user you want to create/modify"; 
  $cwlang["user"]["type"] =   "Type"; 
  $cwlang["user"]["standard"] =   "Standard User"; 
  $cwlang["user"]["configurator"] =   "Configurator"; 
  $cwlang["user"]["superuser"] =   "SuperUser"; 
  $cwlang["user"]["language"] = "Language";
  $cwlang["user"]["changepwd"] = "Change password";
  $cwlang["user"]["newpassword"] = "New Password";
  $cwlang["user"]["confirmpassword"] = "Confirm";
  $cwlang["user"]["err1"] = "The new password and the confirmation password do not match";
  $cwlang["user"]["err2"] = "The new password cannot be null";
  
          
  //*************************************
  //translation for the I/O Section
  //*************************************
  $cwlang["io"]["title"] =   "Server Management"; 
  $cwlang["io"]["pbx"] = "PBX";
  $cwlang["io"]["pbxdesc"] = "You can Start or Stop pbx service";
  $cwlang['io']['pbxstart'] = "Are you sure to START PBX?";
  $cwlang['io']['pbxstop'] = "Are you sure to STOP PBX?";
  $cwlang["io"]["start"] = "Start";
  $cwlang["io"]["stop"] = "Stop";
  $cwlang["io"]["system"] = "System";
  $cwlang["io"]["systemdesc"] = "You can Reboot or Shutdown server machines";
  $cwlang['io']['systemreboot'] = "Are you sure to REBOOT system?";
  $cwlang['io']['systemturnoff'] = "Are you sure to TURN OFF system?";
  $cwlang["io"]["reboot"] =   "Reboot"; 
  $cwlang["io"]["shutDown"] =   "Shutdown"; 
  $cwlang["io"]["sidebarTitle"] =   "Informations"; 
  $cwlang["io"]["sidebarDesc"] =   "<p>This interface allow you to manage the server and the PBX service. The states are represented with traffic lights:</p>"; 
  $cwlang["io"]["shutingDown"] =   "Shutting down System..."; 
  $cwlang["io"]["rebooting"] =   "Rebooting System..."; 
  $cwlang["io"]["starting"] = "Starting PBX...";
  $cwlang["io"]["stopping"] = "Stopping PBX...";
  $cwlang["io"]["command"]= "Command";
  $cwlang["io"]["cli"] = "CLI (Command Line Interface)";
  $cwlang["io"]["clidesc"] = "Enter PBX command";
  $cwlang["io"]["cliSidebarDesc"] = "<p>The Asterisk Command Line Interface (CLI) has many commands which you can run to diagnose and maintain your system. These commands can be used to show information about the current state of the system. The Asterisk CLI works very similar to many managed switches and routers CLI interfaces.</p>";
          
  //*************************************
  //translation for the SETUP Section
  //*************************************
  $cwlang["setup"]["installPermission"] =   "Before proceedig, grant execution permissions to"; 
  $cwlang["setup"]["title"] =   "VoiceOne Installation"; 
  $cwlang["setup"]["subTitle"] =   "The installation "; 
  $cwlang["setup"]["firstStep"] =   "System setup (1/2)"; 
  $cwlang["setup"]["keyGeneration"] =   "Generate RSA keys?"; 
  $cwlang["setup"]["finished"] =   "Done! Please remove setup.php"; 
  $cwlang["setup"]["secondStep"] =   "Account creation (2/2)"; 
  $cwlang["setup"]["username"] =   "Username"; 
  $cwlang["setup"]["password"] =   "Password"; 
  $cwlang["setup"]["confirm"]  =   "Confirm ";
  $cwlang["setup"]["usrerror"] =   "Please insert \"Username\"";
  $cwlang["setup"]["pwderror"] =   "The password and the confirmation password do not match";
  $cwlang["setup"]["pwdempty"] =   "The new password cannot be null";
  
  //****************************
  //translation for the plugin Section
  //****************************
  //Section - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["titleMain"] =   "Plugin Information";
  // use heredoc syntax to make life easier
  $cwlang["plugins"]["blockintroMain"] = <<<EOD
  <h1>The following options are available via the plugin system</h1>
  <h2>Manage existing plugins:</h2>
  <ul>
    <li>Activate/ Deactivate a plugin</li>
    <li>Delete a Plugin</li>
    <li>Export a Plugin</li>
    <li>Import a Plugin</li>
    <li>Get information about a plugin</li>
  </ul>
  <h2>Create new plugins:</h2>
  <ul>
    <li>Create plugin from scratch</li>
    <li>Create plugin from existing plugin</li>
  </ul>
EOD;
  
  $cwlang["plugins"]["titleManage"] =  "Manage Plugins";
  $cwlang["plugins"]["blockintroManage"] =  "These are the plugins available. You can activate, export, delete or activivate/deactivate each plugin.";
  $cwlang["plugins"]["titleCreate"] =  "Create Plugins";
  // Sidebar - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["sidebarTitleMain"] =  "Information";
  $cwlang["plugins"]["sidebarTextMain"] =  <<<EOD
  <p>Plugins allow to extend the functionallity of Voiceone.<p>
  <p>A Plugin is a group of Voiceone objects like applications, macros, queues and the like.</p>
  <p>Some objects require other objects to function. For example the audiorecorder application requires the macro audiorecorder.</p>
  <p>The plugin system allows to import, export and create plugins.<p>
  <h5>REPOSITORY</h5>
  <p><img src="$relBasePath/public/img/package_add.gif" /> <a href="http://www.voiceone.it/download/plugin/" target="_blank" >Search in our public repository</a> the already made plugins.</p>
EOD;
  $cwlang["plugins"]["sidebarTitleManage"] =  "Information";
  $cwlang["plugins"]["sidebarTextManage"] =  <<<EOD
  <h2>The following Options are available:<h2>
  <ul>
    <li>Activate/ Deactivate a plugin</li>
    <li>Delete a Plugin</li>
    <li>Export a Plugin via Download</li>
    <li>Import a Plugin via Upload</li>
    <li>Get information about a plugin</li>
    <li>Get information about the content of a plugin</li>
  </ul>
  <h1>Note:</h1>
  <p>Do not forget to adjust Speeddials when importing applications and the like</p>
EOD;
  $cwlang["plugins"]["sidebarTitleCreate"] =  "Information";
  $cwlang["plugins"]["sidebarTextCreate"] =  "Put in common information about the plugin on the first page. Select all objects that should be part of the new plugin on the second page.";
  
  // Tableheadings for section Manage
  $cwlang["plugins"]["headingAction"] =   "Action";
  $cwlang["plugins"]["headingName"] =   "Name";
  $cwlang["plugins"]["headingVersion"] =   "Version";
  $cwlang["plugins"]["headingAuthor"] =   "Author";
  $cwlang["plugins"]["headingDescription"] =   "Description";
  $cwlang["plugins"]["headingState"] =   "State";
  // Messages
  $cwlang["plugins"]["pluginUploaded"] =   "Plugin uploaded successful"; 
  $cwlang["plugins"]["pluginNotUploaded"] =   "Plugin not uploaded"; 
  $cwlang["plugins"]["pluginDeleted"] =   "Plugin deleted successful"; 
  $cwlang["plugins"]["pluginNotDeleted"] =   "Plugin not deleted"; 
  
  // these section is not used 
  $cwlang["plugins"]["pluginInstalled"] =   "Plugin installed successful";
  $cwlang["plugins"]["pluginNotInstalled"] =   "Plugin not installed";
  $cwlang["plugins"]["pluginUpgraded"] =   "Plugin upgraded";
  $cwlang["plugins"]["pluginNotUpgraded"] =   "Plugin not upgraded";
  
  $cwlang["plugins"]["pluginActivated"] =   "Plugin activated successful";
  $cwlang["plugins"]["pluginNotActivated"] =   "Plugin not activated";
  $cwlang["plugins"]["pluginDeactivated"] =   "Plugin deactivated successful";
  $cwlang["plugins"]["pluginNotDeactivated"] =   "Plugin not deactivated";
  
  $cwlang["plugins"]["selectOptionfromLists"] =   "Please select an option from one of the lists";
  // Menu sidebar
  $cwlang["plugins"]["importPlugin"] =   "Import a plugin";
  $cwlang["plugins"]["exportPlugin"] =   "Export a plugin";
  // Options
  $cwlang["plugins"]["pluginBaseEmpty"] =   "-Start with empty Workspace-";
  
  
  //*************************************
  //translation for the Application - Audiorecorder Section
  //*************************************
  $cwlang["audiorecorder"]["selectAudiofile"] = "Select an audio file";
  $cwlang["audiorecorder"]["recordAudiofile"] = "or record NOW a new audio file";
  $cwlang["audiorecorder"]["promptFilename"] = "Enter file name:";
  $cwlang["audiorecorder"]["cannotDeleteAudiofile"] = "Cannot delete Audiofile";
  $cwlang["audiorecorder"]["audiofileUsedInIVR"] = "Audiofile is is used in an IVR menu";
  $cwlang["audiorecorder"]["genericError"] = "An Error occurs while using the audiorecorder application"; 

  //*************************************
  //translation for the Zatapa Section
  //*************************************
  $cwlang["zapata"]["alertDelGood"] =   "The card has been removed"; 
  $cwlang["zapata"]["alertDelBad"] =   "The card hasn't been removed"; 
  $cwlang["zapata"]["alertAddGood"] =   "The card has been installed"; 
  $cwlang["zapata"]["alertAddBad"] =   "The card hasn't been installed"; 
  $cwlang["zapata"]["alertSaveGood"] =   "The port configuration has been correctly performed"; 
  $cwlang["zapata"]["alertSaveBad"] =   "The saving hasn't been performed, due to errors"; 
  $cwlang["zapata"]["card"] =   "Card"; 
  $cwlang["zapata"]["port"] =   "Port"; 
  $cwlang["zapata"]["title"] =   "Zapata Interface Card"; 
  $cwlang["zapata"]["save"] =   "Renew"; 
  $cwlang["zapata"]["newCard"] =   "Add a Card"; 
  $cwlang["zapata"]["newCardDesc"] =   "Choose a card to activate"; 
  $cwlang["zapata"]["install"] =   "Install Card"; 
  $cwlang["zapata"]["installalert"] = "WARNING: this operation will turn off PBX service! Continue?";
  $cwlang["zapata"]["delalert"] = "WARNING: this operation will turn off PBX service! Are you sure to remove the card?";
  $cwlang["zapata"]["sidebarTitle"] =   "Installed Zapata card"; 
  $cwlang["zapata"]["sidebarDesc"] =   "<p>".
          "<b>Span Card Configuration:</b><br>\n".
          "<br>\n" . 
          "<b>Warning:</b> Before doing any<br>\n" . 
          "span configuration, check the <br>\n" . 
          "E1/T1 jumpers on the cards !<br>\n" . 
          "<br>\n" . 
          "<b>Type:</b><br>\n" .
          "Set E1/T1 according to jumpers<br>\n" . 
          "<b>Protocol:</b><br>\n" .
          "Set PRI for pri lines<br>\n" . 
          "Set E&M for e&m lines<br>\n" . 
          "Set FX? for channel banks<br>\n" . 
          "Empty = unconfigured<br>\n" . 
          "<b>Timing:</b><br>\n" .
          "'0' master, internal clocking<br>\n" .
          "'1' slave, primary sync source<br>\n" . 
          "'2' slave, secondary sync source<br>\n" .
          "'3' slave, tertiary sync source<br>\n" .
          "<b>LBO:</b>&nbsp;Line Build Out<br>\n" .
          "0:0db (CSU), 0-133 feet (DSX-1)<br>\n" .
          "1:133-226 feet (DSX-1)<br>\n" .
          "2:266-399 feet (DSX-1)<br>\n" .
          "3:399-533 feet (DSX-1)<br>\n" .
          "4:533-655 feet (DSX-1)<br>\n" .
          "5:-7.5db (CSU)<br>\n" .
          "6:-15db (CSU)<br>\n" .
          "7:-22.5db (CSU)<br>\n" .
          "<b>Framing, Coding, CRC4, Yellow:</b><br>\n" .
          "Match partner system setup<br>\n" .
          "<br>\n" . 
          "<b>FXO,FXS Card Configuration:</b><br>\n".
          "<b>Type:</b><br>\n" .
          "Set FXO,FXS according to Modules<br>\n" . 
          "Empty = no module installed<br>\n" . 
          "<b>Protocol:</b><br>\n" .
          "fxsks: Kewlstart<br>\n" .
          "fxsls: Loopstart<br>\n" .
          "fxsgs: Groundstart<br>\n" .
          "fxoks: Kewlstart<br>\n" .
          "fxols: Loopstart<br>\n" .
          "fxogs: Groundstart<br>\n" .
          "Empty: Not configured<br>\n" . 
          "</p>";
  //menu
  $cwlang["zapata"]["zapataCard"] =   "Zapata Card"; 
  $cwlang["zapata"]["portGroup"] =   "Group of ports"; 
  $cwlang["zapata"]["number"] =   "Numbers"; 
  $cwlang["zapata"]["zapataOption"] =   "Group Options"; 

  //zapata group
  $cwlang["zapatagrp"]["alertDelGood"] =   "The group has been deleted"; 
  $cwlang["zapatagrp"]["alertDelBad"] =   "The group hasn't been deleted"; 
  $cwlang["zapatagrp"]["title"] =   "Group of ports"; 
  $cwlang["zapatagrp"]["newGroup"] =   "New group"; 
  $cwlang["zapatagrp"]["sidebarTitle"] =   "The group of Zapata ports"; 
  $cwlang["zapatagrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["zapatagrp"]["alertModGood"] =   "The group has been modified"; 
  $cwlang["zapatagrp"]["alertModBad"] =   "The group hasn't been modified"; 
  $cwlang["zapatagrp"]["return"] =   "Return without save"; 
  $cwlang["zapatagrp"]["titleDesc"] =   "Group of port general information"; 
  $cwlang["zapatagrp"]["groupName"] =   "Group name"; 
  $cwlang["zapatagrp"]["enableOutcomingCall"] =   "Enable outgoing calls"; 
  $cwlang["zapatagrp"]["enableOutcomingCallHelp"] =   "Specify if the group can perform outgoing calls. You can digit: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> to disable the outgoing calls</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> to enable the outgoing calls and specify the priority (1 the highest, 100 the lowest)</li> ".
                              "</ul>"; 
  $cwlang["zapatagrp"]["listeningNumber"] =   "Listening phone numbers"; 
  $cwlang["zapatagrp"]["listeningNumberHelp"] =   "Write the phone numbers that this group can manage"; 
  $cwlang["zapatagrp"]["phoneNumber"] =   "Phone number"; 
  $cwlang["zapatagrp"]["phoneNumberAdded"] =   "Added phone number"; 
  $cwlang["zapatagrp"]["ports"] =   "Ports"; 
  $cwlang["zapatagrp"]["portsDesc"] =   "Choose the ports that belongs to this group"; 
  $cwlang["zapatagrp"]["availablePorts"] =   "Available ports"; 
  $cwlang["zapatagrp"]["groupPorts"] =   "Ports added"; 
  $cwlang["zapatagrp"]["option"] =   "Options"; 
  $cwlang["zapatagrp"]["show"] =   "Show"; 
  $cwlang["zapatagrp"]["hide"] =   "Hide"; 
  $cwlang["zapatagrp"]["optionDesc"] =   "You can view the default values. You can modify the option values and customize the group behavior."; 
  //zapata option
  $cwlang["zapataOpt"]["alertModGood"] =   "The options has been saved"; 
  $cwlang["zapataOpt"]["alertModBad"] =   "The options hasn't been saved"; 
  $cwlang["zapataOpt"]["title"] =   "Zapata Option"; 
  $cwlang["zapataOpt"]["titleDesc"] =   "Set the right values in the below form."; 
  $cwlang["zapataOpt"]["sidebarTitle"] =   "Options"; 
  $cwlang["zapataOpt"]["sidebarDesc"] =   ""; 
  $cwlang["zapataOpt"]["zapataTitle"] =   "Zapata Options"; 
  $cwlang["zapataOpt"]["zapataTitleDesc"] =   "Set the right values in the below form"; 
  $cwlang["zapataOpt"]["sidebarIsdnTitle"] =   "Zapata Options"; 
  $cwlang["zapataOpt"]["sidebarIsdnDesc"] =   ""; 
  //zapata number
  $cwlang["zapataNumb"]["alertDelGood"] =   "The number has been deleted"; 
  $cwlang["zapataNumb"]["alertDelBad"] =   "The number hasn't been deleted"; 
  $cwlang["zapataNumb"]["alertModGood"] =   "The configuration has been successfully saved"; 
  $cwlang["zapataNumb"]["alertModBad"] =   "The configuration hasn't been saved"; 
  $cwlang["zapataNumb"]["group"] =   "Group"; 
  $cwlang["zapataNumb"]["title"] =   "Phone Number"; 
  $cwlang["zapataNumb"]["save"] =   "Apply"; 
  $cwlang["zapataNumb"]["sidebarTitle"] =   "Phone Number"; 
  $cwlang["zapataNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the MEETME Section
  //*************************************
  $cwlang["meetme"]["title"] =   "Meetme Conference Rooms"; 
  $cwlang["meetme"]["return"] = "Back without saving"; 
  $cwlang["meetme"]["newMeetme"] =   "New Conference Room"; 
  $cwlang["meetme"]["modifyMeetme"] =   "Modify Conference Room ";  //it will append the confno
  $cwlang["meetme"]["titleSidebar"] =   "The Conference Rooms"; 
  $cwlang["meetme"]["textSidebar"] =   "It is possible to create conference rooms with or with pin numbers"; 
  $cwlang["meetme"]["alertDelGood"] =   "The meetme room has been deleted"; 
  $cwlang["meetme"]["alertDelBad"] =   "The meetme room hasn't been deleted"; 
  $cwlang["meetme"]["alertModGood"] =   "The meetme room has been modified"; 
  $cwlang["meetme"]["alertModBad"] =   "The meetme room hasn't been modified"; 
  $cwlang["meetme"]["titleForm"] =   "Meetme Conference Room"; 
  $cwlang["meetme"]["textForm"] =   "Define the conference room options"; 
  $cwlang["meetme"]["confno"] =   "Room No"; 
  $cwlang["meetme"]["confnoExample"] =   "Mandatory field, must be numeric like 8000"; 
  $cwlang["meetme"]["pin"] =   "User Pin"; 
  $cwlang["meetme"]["pinExample"] =   "Optional field, must be numeric like 1234"; 
  $cwlang["meetme"]["adminpin"] =   "Admin Pin"; 
  $cwlang["meetme"]["adminpinExample"] =   "Optional field, must be numeric like 8818"; 
  $cwlang["meetme"]["sidebarEditTitle"] =   "Add or update a Conference Room"; 
  $cwlang["meetme"]["sidebarEditText"] =   "<p>It is possible to create conference rooms with or without pin numbers</p>";
    
  $cwlang["meetme"]["confirmDel"] = "Are you sure you want to remove the conference room"; 
  
?>