<?
/**
 * VoiceOne Settings/Meetme
 *
 * Frontend to provide access to the meetme system in voiceone.
 * @package voiceone
 * @subpackage  settings_meetme
 */
  include ("../../admin/config/cfg.php");
  global $cwlang;
    
  //================ PAGE LOGIC ================
  $alert=getAlert();
  
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delMeetme($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["meetme"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["meetme"]["alertDelBad"]."</div>";
  }
  
  $ret=$asterisk->getMeetme(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id      = $v["id"];
      $confno  = $v["confno"];
      $pin     = $v["pin"];
      $adminpin= $v["adminpin"];

      $cwtext  = $cwlang["meetme"]["confno"];

      $html.="<td>$cwtext <a href=\"edit/?id=$id\">$confno</a> <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('".$cwlang["meetme"]["confirmDel"]." $confno ?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      if ((++$count)%3==0) $html.="</tr><tr>\n";
    }
  }  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["meetme"]["title"]?></h1> 
    <h3>
      <a href="edit/" class="admin" ><?=$cwlang["meetme"]["newMeetme"]?></a> 
    </h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["meetme"]["titleSidebar"]?></h1>
          <p>
            <?=$cwlang["meetme"]["textSidebar"]?>
          </p>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "meetme");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');

?>
