<?
/**
 * VoiceOne Settings/Queues
 *
 * Frontend to provide access to the queue system in voiceone.
 * @package voiceone
 * @subpackage  settings_queues
 */
  include ("../../../admin/config/cfg.php");
  global $cwlang;
 
  //=================== GET ====================
  $alert=getAlert();
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delQueue($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["queue"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["queue"]["alertDelBad"]."</div>";
    goToMainPage($alert,"./");
  }
  
  //================ PAGE LOGIC ================
  $ret=$asterisk->getQueue(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $id=$v["id"];
      $name=$v["name"];
      $memberCount=count($v["member"]);
      $html.="<td><img src=\"$relBasePath/public/img/queue.jpg\" /> <a href=\"edit/?id=$id\">$name</a> ($memberCount) <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('".$cwlang["queue"]["confirmDel"]." $name?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
   
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["queue"]["title"]?></h1> 
    <h3>
      <a href="edit/" class="admin" ><?=$cwlang["queue"]["newQueue"]?></a> 
    </h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
    <div class="Sidebar">
      <?$sel="queue";include("../sidebar.php");?>
      <h1><?=$cwlang["queue"]["sidebarTitle"]?></h1>
      <p><?=$cwlang["queue"]["sidebarDesc"]?></p>
    </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================
  $smarty->assign("section", "queue");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');

?>

