<?
/**
 * VoiceOne Settings/Tech/edit
 *
 * Frontend to provide access to the tech system in voiceone.
 * @package voiceone
 * @subpackage  settings_tech
 */
  include ("../../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  require_once("$absBasePath/lib/xajax/xajax.inc.php"); 
 	sajax_init();
  
  //================ XAJAX ================
	function showCid($pg_id){
    global $asterisk,$cwlang;
    // Instantiate the xajaxResponse object
    $objResponse = new xajaxResponse();
		// Build response
    if($pg_id!=""){
      $ret=$asterisk->getIsdnGroup($pg_id);
      if ($err=$asterisk->getError()) die("Error: $err");
      $cid_force=$ret[0]["force_cid"];
      $cid_clir=$ret[0]["clir"];
      $cid_number=$ret[0]["cid_number"];
      $cid_name=$ret[0]["cid_name"];
      $cid_appexten=$ret[0]["cid_appexten"];
    }
    ob_start();
    ?>
        <dl>
          <dt class="required"><label for="cid[cid_name]"><?=$cwlang["isdngrp"]["cidName"]?>:</label></dt>
          <dd><input type="text" size="25" maxlength="20" id="cid[cid_name]" name="cid[cid_name]" value="<?=$cid_name?>" /> <?=$cwlang["isdngrp"]["cidNameDesc"]?></dd>
          <dt class="required"><label for="cid[cid_number]"><?=$cwlang["isdngrp"]["cidNumber"]?>:</label></dt>
          <dd><input type="text" size="25" maxlength="100" id="cid[cid_number]" name="cid[cid_number]" value="<?=$cid_number?>" /> <?=$cwlang["isdngrp"]["cidNumberDesc"]?></dd>
          <dt class="required"><label for="cid[cid_appexten]"><?=$cwlang["isdngrp"]["cidAppExten"]?>:</label></dt>
          <dd><input type="checkbox" id="cid[cid_appexten]" name="cid[cid_appexten]" value="1" <?if ($cid_appexten==1) echo "checked=\"checked\""; ?> /> <?=$cwlang["isdngrp"]["cidAppExtenDesc"]?></dd>
          <dt class="required"><label for="cid[force_cid]"><?=$cwlang["isdngrp"]["cidForceCid"]?>:</label></dt>
          <dd><input type="checkbox" id="cid[force_cid]" name="cid[force_cid]" value="1" <?if ($cid_force==1) echo "checked=\"checked\""; ?> /> <?=$cwlang["isdngrp"]["cidForceDesc"]?></dd>
        </dl>
    <?
    $html=ob_get_contents();
    ob_end_clean();  
    // Return the xajaxResponse object
		$objResponse->addAssign("callerid","innerHTML",$html);
    return $objResponse->getXML(); 
  }
  function hideCid(){
    // Instantiate the xajaxResponse object
    $objResponse = new xajaxResponse();
		// Build response
    $html="";
    // Return the xajaxResponse object
		$objResponse->addAssign("callerid","innerHTML",$html);
    return $objResponse->getXML(); 
  }
  function roll(){
    global $relBasePath,$cwlang;
    // Instantiate the xajaxResponse object
    $objResponse = new xajaxResponse();
    // Build response
    $html=" <img src=\"".$relBasePath."public/img/ico-progress.gif"."\" alt=\"loading\" /><span>".$cwlang["exten"]["loading"]."</span>";
    $objResponse->addAssign("loading","innerHTML",$html);
    // Return the xajaxResponse object
    return $objResponse->getXML(); 
  }
  function processFormData($formData){
    global $asterisk,$cwlang,$relBasePath;
    // Instantiate the xajaxResponse object
    $objResponse = new xajaxResponse();
    // Extract form's params
    $id=$formData["id"];
    $name=$formData["name"];
    $speeddial=$formData["speeddial"];
    $oldSpeeddial=$formData["oldSpeeddial"];
    $port_type=$formData["port_type"];
    $phonenumberArr=$formData["phonenumber"];
    $portListArr=$formData["listRight"];
    $imgErr="<img src=\"".$relBasePath."/public/img/shutdown.png\" alt=\"error\">&nbsp;&nbsp;";
    // Retrieve all isdn groups
    $isdnGroupsArr=$asterisk->getIsdnGroup(0);
    if(is_array($isdnGroupsArr)){
      foreach($isdnGroupsArr as $g){
        if($id==$g["id"]) continue;
        $gNameArr[]=$g["name"];
        if(is_array($g["msns"]))
          foreach($g["msns"] as $n) $gNumberArr[]=$n;
      }
    }
    // Retrieve Extensions
    $extensionArr=$asterisk->getExtension(0);
    if(is_array($extensionArr)){
      foreach($extensionArr as $ext){
        if(($id==$ext["entity_id"])||($oldSpeeddial."*"==$ext["extension"])) continue;
        $extNumberArr[]=$ext["extension"];
      }
    }
    // Check Name ((not null)&&(unique)&&(no spaces))
    $nameErr=false;
    if($name=="") { 
      //name cannot be null
      $errOut[]= $cwlang["isdngrp"]["nameNoNull"];
      $objResponse->addAssign("nameErr","innerHTML",$imgErr);
      $nameErr=true;  
    }else if((is_array($gNameArr))&&(in_array($name,$gNameArr))){
      //name must be unique
      $errOut[]= $cwlang["isdngrp"]["nameAlreadyExists"];
      $objResponse->addAssign("nameErr","innerHTML",$imgErr);
      $nameErr=true;
    }else{
      //port must have no spaces
      for($i=0; $i<strlen($name); $i++){ 
        $ch=ord($name[$i]);
        if($ch==32){
          $errOut[]=$cwlang["isdngrp"]["nameNoSpaces"];
          $objResponse->addAssign("nameErr","innerHTML",$imgErr);
          $nameErr=true;
          break;
        }
      }
    }
    if($nameErr===false) $objResponse->addAssign("nameErr","innerHTML","");
    // Check Speeddial((null)or ((numeric)and(unique)) )
    $speedErr=false;
    if($speeddial!=""){
      //speeddial must be numeric
      for($i=0; $i<strlen($speeddial); $i++){ 
        $ch=ord($speeddial[$i]);
        if(!((($ch>47)&&($ch<58)))){
          $errOut[]=$cwlang["isdngrp"]["speedNumOnly"];
          $objResponse->addAssign("speedErr","innerHTML",$imgErr);
          $speedErr=true;
          break;
        }
      }
      if($speedErr===false){
        //speeddial must be unique
        if((is_array($extNumberArr))&&(in_array($speeddial."*",$extNumberArr))){
          $errOut[]=$cwlang["provider"]["speedAlreadyDef"];
          $objResponse->addAssign("speedErr","innerHTML",$imgErr);
          $speedErr=true;
        }
      }
    }
    if($speedErr===false) $objResponse->addAssign("speedErr","innerHTML","");
    // Check Phonenumbers ((null)or((unique in provider)&&(contain cantact extension))
    $phonenumberErr=false;
    if(is_array($phonenumberArr)){
      //Phonenumbers must be unique in provider
      foreach($phonenumberArr as $number){
        if((is_array($gNumberArr))&&(in_array($number,$gNumberArr))){
          $errOut[]=$cwlang["isdngrp"]["numberAlreadyDef"];
          $objResponse->addAssign("phonenumberErr","innerHTML",$imgErr);
          $phonenumberErr=true;
          break;
        }
      }
    }
    if($phonenumberErr===false) $objResponse->addAssign("phonenumberErr","innerHTML","");
    // Check Port List (not null)
    $portlistErr=false;
    if(!(is_array($portListArr))){
      //Port List must be not null
      $errOut[]=$cwlang["isdngrp"]["portListNotNull"];
      $objResponse->addAssign("portlistErr","innerHTML","&nbsp;&nbsp;".$imgErr);
      $portlistErr=true;
    }
    if($portlistErr===false) $objResponse->addAssign("portlistErr","innerHTML","");
    // Process Form
    if(isset($errOut)){
      $error="<div class=\"AlertBad\"><ul>";
      foreach($errOut as $err) $error.="<li>".$err."</li>";
      $error.="</ul></div>";
      $objResponse->addAssign("alert","innerHTML",$error);
      $objResponse->addAssign("loading","innerHTML","");
    }else{
      $objResponse->addAssign("loading","innerHTML",""); 
      $objResponse->addScript(" document.getElementById('mainform').submit(); ");
    }
    // Return the xajaxResponse object
    return $objResponse->getXML();  
  }
  $xajax = new xajax();
  $xajax->registerFunction("showCid");
  $xajax->registerFunction("hideCid");
  $xajax->registerFunction("roll");
  $xajax->registerFunction("processFormData");
  $xajax->processRequests();

  //============= POST and GET ============
  if (count($_POST)>0) {
    $entry=Array(
      "name" => $_POST["name"],
      "port" => $_POST["listRight"], 
      "msns" => $_POST["phonenumber"], 
      "speeddial" => $_POST["speeddial"],
      "port_type" => $_POST["port_type"],
      "did" => $_POST["did"]
    ); 
    //add options to the entry
    foreach ($_POST as $k=>$v) {
      if (substr($k,0,7)=="status_") {
        $k=substr($k,7);
        if ($v=="1") {
          $o["key"]=$k; 
          $o["value"]=$_POST["option_".$k];
          $options[]=$o;
        }
      }
    }
    $entry["option"]=$options;
    // add cid setting
    $cid=$_POST["cid"];
    if($cid["passthrough"]==1) $entry["enable_cid"]=0;
    else $entry["enable_cid"]=1;
    $entry["force_cid"]=$cid["force_cid"];
    $entry["clir"]=$cid["clir"];
    $entry["cid_number"]=$cid["cid_number"];
    $entry["cid_name"]=$cid["cid_name"];
    $entry["cid_appexten"]=$cid["cid_appexten"];
    //insert new entry or modify only ?
    if (isset($_POST["id"])) $entry["id"]=$_POST["id"];
    //save the group informations
    $ret=$asterisk->putIsdnGroup($entry);
    if ($ret>0) {
      $alert="<div class=\"AlertGood\">".$cwlang["isdngrp"]["alertModGood"]."</div>";
      $_GET["id"]=$ret;
    } else {
      $alert="<div class=\"AlertBad\">".$cwlang["isdngrp"]["alertModBad"]."</div>";
    } 
    goToMainPage($alert);
  }
  
  //================ PAGE LOGIC ================
  //if modify, read the group informations
  if (isset($_GET["id"])) {
    $ret=$asterisk->getIsdnGroup($_GET["id"]);
    if ($err=$asterisk->getError()) die("Error: $err");
    $id=$ret[0]["id"];
    $name=$ret[0]["name"];
    $rule=$ret[0]["rule"];
    $speeddial=substr($ret[0]["speeddial"],0,-1);
    $trunk_order=$ret[0]["trunk_order"];
    $groupPort=$ret[0]["port"];
    $groupOption=$ret[0]["option"];
    $port_type=$ret[0]["port_type"];
    $did=$ret[0]["did"];
    if (is_array($ret[0]["msns"]))
    foreach ($ret[0]["msns"] as $n) {
      $numbers.="<option value=\"$n\">$n</option>";
    }
    if($ret[0]["enable_cid"]==1) $passthrough=0; else $passthrough=1;
    $cid_force=$ret[0]["force_cid"];
    $cid_clir=$ret[0]["clir"];
    $cid_number=$ret[0]["cid_number"];
    $cid_appexten=$ret[0]["cid_appexten"];
    $cid_name=$ret[0]["cid_name"];
  } else {
    $id="";
    $cid_enable=1;
    $port_type=$_GET["portType"];
  }
  //get the PORTS informations
  $ret=$asterisk->getIsdnPort(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $old_card_id=0;
  if (is_array($ret)) {
    foreach($ret as $v) {
      $portid=$v["id"];
      $port=$v["port"];
      $available=$v["available"];
      $card=$v["card"];
      $card_id=$v["card_id"];
      if ($v["layermask"]=='0x3' and $port_type=='TE') continue;
      if ($v["layermask"]=='0xf' and $port_type=='NT') continue;
      if ($old_card_id!=$card_id) {
        $c=$asterisk->getCard($card);
        $cardname=$c[0]["name"];
      }
      if (@in_array($portid,$groupPort)) $portsRight.="<option value=\"$portid\" >$cardname - port N&deg;$port ($portid) </option>";    
      else if ($available==1 ) $portsLeft.="<option value=\"$portid\" >$cardname - port N&deg;$port ($portid) </option>";    
      $old_card_id=$card_id;
    }  
  }
  //get the options
  $html=getOption(OPTION_ISDN_GROUPS,$groupOption);
  
  //================ MAIN CONTENTS ================
  ob_start();
  $xajax->printJavascript("../../../../admin/lib/xajax/"); 
  ?>
  
  <div class="SectionHeader">
    <div id="loading" style="float: right;"></div>
    <h1><?=$cwlang["isdngrp"]["title"]?> (<?=$port_type?>)</h1>
    <h3><a href="../" class="admin" ><?=$cwlang["isdngrp"]["return"]?></a></h3>
  </div>
  <div id="alert"></div>
  <div id="basic_form">
    <form id="mainform" action="<?=$PHP_SELF?><?if (isset($_GET['id'])) echo '?id='.$_GET['id'];?>" method="post" onSubmit="selectAll(getElementById('listRight')); return selectAll(getElementById('phonenumber'))">
      <!-- General info -->
      <p class="blockintro"><?=$cwlang["isdngrp"]["titleDesc"]?></p>
      <div class="block">
        <dl>
          <dt class="required"><label for="group[name]"><?=$cwlang["isdngrp"]["groupName"]?>:</label></dt>
          <dd><input type="text" size="20" maxlength="30" id="group[name]" name="name" id="name" value="<?=$name?>" /><span id="nameErr"></span></dd><span class="help">&nbsp;<?=$cwlang["isdngrp"]["groupNameDesc"]?></span>
          <dt class="required"><label for="speeddial"><?=$cwlang["isdngrp"]["speeddial"]?>:</label></dt>
          <dd>
            <input type="text" name="speeddial" id="speeddial" value="<?=$speeddial?>" size="17" maxlength="3"><big><span style="color: #000000;"> *</span></big><span id="speedErr"></span><span class="help">&nbsp;<?=$cwlang["isdngrp"]["speeddialDesc"]?></span>
            <input type="hidden" maxlength="50" id="oldSpeeddial" name="oldSpeeddial" value="<?=$speeddial?>" />
          </dd>
      </div>
      <!-- Numbers -->
    	<h2><?=$cwlang["isdngrp"]["listeningNumber"]?></h2>
      <p class="blockintro"><?=$cwlang["isdngrp"]["listeningNumberHelp"]?></p>
      <div class="block">
        <table>
          <tr>
            <td class="required"><label for="number"><?=$cwlang["isdngrp"]["phoneNumber"]?>:</label></td>
            <td class="required"><?=$cwlang["isdngrp"]["phoneNumberAdded"]?></td>
          </tr>
          <tr>
            <td valign="top">
              <input type="text" size="25" maxlength="100" id="number" name="number" value="" />
              <input type="button" value="+" onclick="addOption(getElementById('phonenumber'),document.getElementById('number').value); document.getElementById('number').value='' " title="Add Length">
              <div class="help"><?=$cwlang["isdngrp"]["phoneNumberDesc"]?></div>
            </td>
            <td>
              <select name="phonenumber[]" size="4" onchange="saved = false" ondblclick="editOptions(this)" multiple style="float: left" id="phonenumber">
                <?=$numbers?>
              </select>
              <input type="button" value="edit" onclick="editOptions(getElementById('phonenumber'))" title="Edit Length(s)">
              <input type="button" value="X" onclick="deleteOptions(getElementById('phonenumber'))" title="Delete Length(s)">
              <span id="phonenumberErr"></span>
            </td>
          </tr>
          <tr>
            <td colspan="2"><div style="margin: 0.5em 0"><?=$cwlang["isdngrp"]["phoneNumberDid"]?>: <?=showDid($did);?></div></td>
          </tr>
        </table>
      </div>
      <!-- Ports -->
    	<h2><?=$cwlang["isdngrp"]["ports"]?></h2>
      <p class="blockintro"><?=$cwlang["isdngrp"]["portsDesc"]?></p>
      <div class="block">
        <table border="0">
        <tr>
          <td class="required">
            <div ><?=$cwlang["isdngrp"]["availablePorts"]?>:</div>
            <select multiple size="5"  name="listLeft[]" id="listLeft"><?=$portsLeft?></select>
          </td>
          <td>   
            <div><input type="button" style="width:90" onclick="moveDualList( document.getElementById('listLeft'),  document.getElementById('listRight'), false )" name="Add     >>"  value="<?=$cwlang['isdngrp']['add']?>" style="width:100px"></div>
            <div><input type="button" style="width:90" onclick="moveDualList( document.getElementById('listRight'), document.getElementById('listLeft'),  false )" name="Add     <<"  value="<?=$cwlang['isdngrp']['remove']?>" style="width:100px"></div>
            <div><input type="button" style="width:90" onclick="moveDualList( document.getElementById('listLeft'),  document.getElementById('listRight'), true  )" name="Add All >>"  value="<?=$cwlang['isdngrp']['addAll']?>" style="width:100px"></div>
            <div><input type="button" style="width:90" onclick="moveDualList( document.getElementById('listRight'), document.getElementById('listLeft'),  true  )" name="Add All <<"  value="<?=$cwlang['isdngrp']['removeAll']?>" style="width:100px"></div>
          </td>
          <td class="required">
            <div><?=$cwlang["isdngrp"]["groupPorts"]?>:<span id="portlistErr"></span></div>
            <select multiple size="5" name="listRight[]" id="listRight"><?=$portsRight?></select>
          </td>
        </tr>
        </table>
      </div>
      <!-- Caller Id -->
      <h2><?=$cwlang["isdngrp"]["cidTitle"]?></h2>
      <p class="blockintro"><?=$cwlang["isdngrp"]["cidTitleDesc"]?></p>
      <div class="block">
        <div>
          <dl>
            <dt class="required"><label for="cid[clir]"><?=$cwlang["isdngrp"]["cidClir"]?>:</label></dt>
            <dd><input type="checkbox" id="cid[clir]" name="cid[clir]" value="1" <?if ($cid_clir==1) echo "checked=\"checked\""; ?> /> <?=$cwlang["isdngrp"]["cidClirDesc"]?></dd>
            <dt class="required"><label for="cid[passthrough]"><?=$cwlang["isdngrp"]["cidPassThrough"]?>:</label></dt>
            <?if(isset($_GET["id"])) {?><dd><input type="checkbox" id="cid[passthrough]" name="cid[passthrough]" value="1" onclick="if(this.checked){xajax_hideCid();}else{xajax_showCid(document.getElementById('id').value);}" <?if ($passthrough==1) echo "checked=\"checked\""; ?> /> <?=$cwlang["isdngrp"]["cidPassThroughDesc"]?></dd>
            <?}else{?><dd><input type="checkbox" id="cid[passthrough]" name="cid[passthrough]" value="1" onclick="if(this.checked){xajax_hideCid();}else{xajax_showCid('');}" <?if ($passthrough==1) echo "checked=\"checked\""; ?> /> <?=$cwlang["isdngrp"]["cidPassThroughDesc"]?></dd><? } ?>
          </dl>  
        </div>
        <div id="callerid">
          <?if($passthrough==0) {?>
          <dl>
            <dt class="required"><label for="cid[cid_name]"><?=$cwlang["isdngrp"]["cidName"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="20" id="cid[cid_name]" name="cid[cid_name]" value="<?=$cid_name?>" /> <?=$cwlang["isdngrp"]["cidNameDesc"]?></dd>
            <dt class="required"><label for="cid[cid_number]"><?=$cwlang["isdngrp"]["cidNumber"]?>:</label></dt>
            <dd><input type="text" size="25" maxlength="100" id="cid[cid_number]" name="cid[cid_number]" value="<?=$cid_number?>" /> <?=$cwlang["isdngrp"]["cidNumberDesc"]?></dd>
            <dt class="required"><label for="cid[cid_appexten]"><?=$cwlang["isdngrp"]["cidAppExten"]?>:</label></dt>
            <dd><input type="checkbox" id="cid[cid_appexten]" name="cid[cid_appexten]" value="1" <?if ($cid_appexten==1) echo "checked=\"checked\""; ?> /> <?=$cwlang["isdngrp"]["cidAppExtenDesc"]?></dd>
            <dt class="required"><label for="cid[force_cid]"><?=$cwlang["isdngrp"]["cidForceCid"]?>:</label></dt>
            <dd><input type="checkbox" id="cid[force_cid]" name="cid[force_cid]" value="1" <?if ($cid_force==1) echo "checked=\"checked\""; ?> /> <?=$cwlang["isdngrp"]["cidForceDesc"]?></dd>
          </dl>
          <? } ?>
        </div>
      </div>
      <!-- List Options -->
      <? echo listOption($js, MISDN, $groupOption, false, false, RULE_INCOMING);?>   
      <!-- Actions -->
      <div class="action">
        <?if (isset($_GET["id"])) {?><input type="hidden" id="id" name="id" value="<?=$id?>" /><?}?>
        <input type="hidden" id="port_type" name="port_type" value="<?=$port_type?>" />
        <a href="#"><img src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-cancel.gif" alt="Cancel" onclick="location.href='../groups.php'; return false;"/></a>
        <a href="#"><img src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-save.gif" alt="Save" onclick=" selectAll(getElementById('listRight')); selectAll(getElementById('phonenumber')); document.getElementById('alert').innerHTML=''; xajax_processFormData(xajax.getFormValues('mainform')); "/></a>
      <!--  
        <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-cancel.gif" alt="Cancel" onclick="location.href='../groups.php'; return false;"/>
        <input type="image" src="<?=$relBasePath?>/public/img/<?=$cwLanguage?>/b-save.gif" alt="Save" />
       -->
      </div>
    </form>
  </div>  
  
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <?$sel="misdnGroup";include("../../sidebar.php");?>
          <h1><?=$cwlang["isdngrp"]["sidebarTitle"]?></h1>
          <p><?=$cwlang["isdngrp"]["sidebarDesc"]?>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================
 	sajax_handle_client_request();
  $smarty->assign("section", "misdnGroup");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->assign("ajax", $js);
  $smarty->display('settings.tpl');
?>

