-- phpMyAdmin SQL Dump
-- version 2.6.1-rc2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generato il: 23 Set, 2005 at 10:32 AM
-- Versione MySQL: 4.0.11
-- Versione PHP: 4.3.10
-- 
-- Database: `asterisk` 
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `ast_config`
-- 

CREATE TABLE `ast_config` (
  `id` int(11) NOT NULL auto_increment,
  `cat_metric` int(11) NOT NULL default '0',
  `var_metric` int(11) NOT NULL default '0',
  `commented` int(11) NOT NULL default '0',
  `filename` varchar(128) NOT NULL default '',
  `category` varchar(128) NOT NULL default 'default',
  `var_name` varchar(128) NOT NULL default '',
  `var_val` text NOT NULL default '',
  `comment` varchar(255) NOT NULL default '',
  `zsection` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `filename_comment` (`filename`,`commented`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `ast_config`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cdr`
-- 

CREATE TABLE `cdr` (
  `uniqueid` varchar(32) NOT NULL default '',
  `userfield` varchar(255) NOT NULL default '',
  `accountcode` varchar(20) NOT NULL default '',
  `src` varchar(80) NOT NULL default '',
  `dst` varchar(80) NOT NULL default '',
  `dcontext` varchar(80) NOT NULL default '',
  `clid` varchar(80) NOT NULL default '',
  `channel` varchar(80) NOT NULL default '',
  `dstchannel` varchar(80) NOT NULL default '',
  `lastapp` varchar(80) NOT NULL default '',
  `lastdata` varchar(80) NOT NULL default '',
  `calldate` datetime NOT NULL default '0000-00-00 00:00:00',
  `duration` int(11) NOT NULL default '0',
  `billsec` int(11) NOT NULL default '0',
  `disposition` varchar(45) NOT NULL default '',
  `amaflags` int(11) NOT NULL default '0'
) TYPE=MyISAM;

-- 
-- Dump dei dati per la tabella `cdr`
-- 


-- --------------------------------------------------------

-- --------------------------------------------------------


-- 
-- Struttura della tabella `cw_client`
-- 

CREATE TABLE `cw_client` (
  `id` int(8) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `surname` varchar(255) NOT NULL default '',
  `extension` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `username` varchar(255) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `rule` int(11) NOT NULL default '0',
  `technology` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Client credentials';

-- 
-- Dump dei dati per la tabella `cw_client`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_office`
-- 

CREATE TABLE `cw_office` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `label` varchar(255) NOT NULL default '',
  `username` varchar(255) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `inkey` text NOT NULL,
  `host` varchar(255) NOT NULL default '',
  `port` varchar(255) NOT NULL default '',
  `register` int(4) NOT NULL default '0',
  `alias` tinytext NOT NULL,
  `rule` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Offices list';




-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_entity`
-- 

CREATE TABLE `cw_entity` (
  `id` int(8) NOT NULL auto_increment,
  `type` int(8) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Tabella che contiene le entit: client, sedi e risorse' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_entity`
-- 

-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_group`
-- 

CREATE TABLE `cw_group` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `type` int(11) NOT NULL default '0',
  `metagroup` int(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='List of the entity groups' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_group`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_group_entity`
-- 

CREATE TABLE `cw_group_entity` (
  `entity_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`entity_id`,`group_id`)
) TYPE=MyISAM COMMENT='Relation between entity and groups';

-- 
-- Dump dei dati per la tabella `cw_group_entity`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_isdn_card`
-- 

CREATE TABLE `cw_isdn_card` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `ports` int(11) NOT NULL default '0',
  `driver` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='This table contains the list of the supported isdn cards' AUTO_INCREMENT=4 ;

-- 
-- Dump dei dati per la tabella `cw_isdn_card`
-- 

INSERT INTO `cw_isdn_card` VALUES (1, 'HFC-S0 (1 port)', 1, 'hfcpci');
INSERT INTO `cw_isdn_card` VALUES (2, 'HFC-4S (4 ports)', 4, 'hfcmulti');
INSERT INTO `cw_isdn_card` VALUES (3, 'HFC-4S (8 ports)', 8, 'hfcmulti');

-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_isdn_group`
-- 

CREATE TABLE `cw_isdn_group` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `rule` int(11) NOT NULL default '0',
  `msns` text NOT NULL,
  `port_type` varchar(10) NOT NULL default '',
  `did` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Ports group of the isdn configuration' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_isdn_group`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_isdn_port`
-- 

CREATE TABLE `cw_isdn_port` (
  `id` int(11) NOT NULL auto_increment,
  `port` int(11) NOT NULL default '0',
  `layermask` varchar(255) NOT NULL default '',
  `protocol` varchar(255) NOT NULL default '',
  `card` int(11) NOT NULL default '0',
  `card_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='List of the available ports' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_isdn_port`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_isdn_portgroup`
-- 

CREATE TABLE `cw_isdn_portgroup` (
  `id` int(11) NOT NULL auto_increment,
  `port` int(11) NOT NULL default '0',
  `group` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Relation between ports and groups in the isdn configuration' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_isdn_portgroup`
-- 

-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_ivr`
-- 
CREATE TABLE `cw_ivr` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `type` int(11) NOT NULL,
  `parent` int(11) NOT NULL default '0',
  `order` int(6) NOT NULL default '0',
  `key` int(11) NOT NULL default '0',
  `maudio` int(11) NOT NULL,
  `waudio` int(11) NOT NULL,
  `beep` int(11) NOT NULL default '0',
  `macro` int(11) NOT NULL default '0',
  `parameter` longtext NOT NULL,
  `link` int(11) NOT NULL,
  `timesegment` int(11) NOT NULL default '0',
  `taudio` int(11) NOT NULL,
  `trepeat` int(11) NOT NULL default '0',
  `ttimes` int(11) NOT NULL default '0',
  `iaudio` int(11) NOT NULL,
  `irepeat` int(11) NOT NULL default '0',
  `itimes` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_number`
-- 

CREATE TABLE `cw_number` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `number` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM COMMENT='Phone number list';

-- 
-- Dump dei dati per la tabella `cw_number`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_option`
-- 

CREATE TABLE `cw_option` (
  `id` int(11) NOT NULL auto_increment,
  `category` varchar(255) NOT NULL default '',
  `general_section` tinyint(1) NULL default '1',
  `default_section` tinyint(1) NULL default '0',
  `advanced_option` tinyint(1) NULL default '1',
  `label` varchar(255) NULL default NULL,
  `name` varchar(255) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  `valuelist` varchar(255) NOT NULL default '',
  `default` varchar(255) default NULL,
  `type` varchar(255) NOT NULL default '',
  `comment` text NOT NULL,
  `commented` int(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='This is a list of the various options regarding asterisk settings';

-- 
-- Dump dei dati per la tabella `cw_option`
-- 

-- mISDN
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'misdn_init', '', '', '/etc/misdn-init.conf', 'textfield', 'Sets the Path to the misdn-init.conf (for nt_ptp mode checking)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'debug', '', '0,1,2,3,4', '0', 'select', 'Set debugging flag:\r\n0 - No Debug\r\n1 - mISDN Messages and * - Messages, and * - State changes\r\n2 - Messages + Message specific Informations (e.g. bearer capability)\r\n3 - very Verbose, the above + lots of Driver specific infos\r\n4 - even more Verbose than 3', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'ntdebugflags', '', '0x00000000,0x00000001,0x00000002,0x00000004,0x00000010,0x00000020,0x00000040,0x00000080,0x00000100,0x00000200,0x00000400,0x00001000,0x00002000,0x00004000,0x00010000,0x00020000,0x00040000,0x00080000,0x00100000,0x00200000,0x40000000,0xffffffff', '0x00000000', 'select', 'set debugging file and flags for mISDNuser (NT-Stack)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'ntdebugfile', '', '', '/var/log/asterisk/misdn-nt.log', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'tracefile', '', '', '/var/log/asterisk/misdn.log', 'textfield', 'The big trace', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'bridging', '', 'yes,no', 'yes', 'radio', 'Set to yes if you want mISDN_dsp to bridge the calls in HW', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'stop_tone_after_first_digit', '', 'yes,no', 'yes', 'radio', 'Stops dialtone after getting first digit on nt Port', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'append_digits2exten', '', 'yes,no', 'yes', 'radio', 'Wether to append overlapdialed Digits to Extension or not', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'dynamic_crypt', '', 'yes,no', 'no', 'radio', 'Wether to look for dynamic crypting attempt', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'crypt_prefix', '', '', '', 'textfield', 'Crypt_prefix, what is used for crypting Protocol', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 1, 0, 1, NULL, 'crypt_keys', '', '', '', 'textfield', 'Keys for cryption, you reference them in the dialplan\r\nlater also in dynamic encr.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 0, 'Rule set', 'context', 'DefaultIncomingRule', 'incoming', '', 'rulelist', 'Define your default context here', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 0, 0, NULL, 'ports', '', '', '', 'isdn_nt_port', 'Choose the port connected to the terminal equipment', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'language', '', 'en,it,de,fr,es', 'en', 'select', 'Language', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'musicclass', '', '', 'default', 'moh_class', 'Sets the musiconhold class', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'senddtmf', '', 'yes,no', 'yes', 'radio', 'Either if we should produce DTMF Tones ourselve', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'far_alerting', '', 'yes,no', 'no', 'radio', 'If we should generate Ringing for chan_sip and others', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'allowed_bearers', '', '', 'all', 'textfield', 'here you can define which bearers should be allowed', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'nationalprefix', '', '', '0', 'textfield', 'Prefixes for national and international, those are putted before the oad if an according dialplan is set by the other end.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'internationalprefix', '', '', '00', 'textfield', 'Prefixes for national and international, those are putted before the oad if an according dialplan is set by the other end.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'rxgain', '', '', '0', 'textfield', 'Set rx gains between -8 and 8 to change the RX Gain', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'txgain', '', '', '0', 'textfield', 'Set tx gains between -8 and 8 to change the TX Gain', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'te_choose_channel', '', 'yes,no', 'no', 'radio', 'Some telcos especially in NL seem to need this set to yes, this is disabled by default, also in switzerland this seems to be important', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'pmp_l1_check', '', 'yes,no', 'yes', 'radio', 'This option defines, if chan_misdn should check the L1 on a PMP\r\nbefore makeing a group call on it. The L1 may go down for PMP Ports\r\nso we might need this.\r\nBut be aware! a broken or plugged off cable might be used for a group call\r\nas well, since chan_misdn has no chance to distinguish if the L1 is down\r\nbecause of a lost Link or because the Provider shut it down...', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'reject_cause', '', '', '16', 'textfield', 'in PMP this option defines which cause should be sent out to the 3. caller. chan_misdn does not support callwaiting on TE PMP side. This allows to modify the RELEASE_COMPLETE cause at least.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'need_more_infos', '', 'yes,no', 'no', 'radio', 'Send Setup_Acknowledge on incoming calls anyway (instead of PROCEEDING), this requests additional Infos, so we can waitfordigits without much issues. This works only for PTP Ports', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'nttimeout', '', 'yes,no', 'no', 'radio', 'set this to yes if you want to disconnect calls when a timeout occurs for example during the overlapdial phase', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'method', '', 'standard,round_robin', 'standard', 'radio', ' set the method to use for channel selection:\r\nstandard - always choose the first free channel with the lowest number\r\nround_robin - use the round robin algorithm to select a channel. Use this if you want to balance your load.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'dialplan', '', '0,1,2,4', '0', 'select', 'Dialplan options:\r\n\r\n0 - unknown\r\n1 - National\r\n2 - International\r\n4 - Subscriber\r\n\r\nThis setting is used for outgoing calls', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'localdialplan', '', '0,1,2,4', '0', 'select', 'Dialplan options:\r\n\r\n0 - unknown\r\n1 - National\r\n2 - International\r\n4 - Subscriber\r\n\r\nThis setting is used for outgoing calls', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'cpndialplan', '', '0,1,2,4', '0', 'select', 'Dialplan options:\r\n\r\n0 - unknown\r\n1 - National\r\n2 - International\r\n4 - Subscriber\r\n\r\nThis setting is used for outgoing calls', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'early_bconnect', '', 'yes,no', 'yes', 'radio', 'whether to connect to bchannel when getting proceeding', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'incoming_early_audio', '', 'yes,no', 'no', 'radio', 'Turn this on if you like to send Tone Indications to a Incoming\r\nisdn channel on a TE Port. Rarely used, only if the Telco allows\r\nyou to send indications by yourself, normally the Telco sends the\r\nindications to the remote party.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'always_immediate', '', 'yes,no', 'no', 'radio', 'Uncomment the following to get into s extension at extension conf\r\nthere you can use DigitTimeout if you can''t or don''t want to use isdn overlap dial.\r\nNote: This will jump into the s exten for every exten !', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'nodialtone', '', 'yes,no', 'no', 'radio', 'Set this to yes if you want to generate your own dialtone with always_immediate=yes, else chan_misdn generates the dialtone!', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'immediate', '', 'yes,no', 'no', 'radio', 'Uncomment the following if you want callers which called exactly the base number (so no extension is set) jump to the s extension.\r\nIf the user dials something more it jumps to the correct extension instead', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'hold_allowed', '', 'yes,no', 'no', 'radio', 'to have hold and retrieve support', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'callgroup', '', '', '0', 'textfield', 'Pickup and Callgroup\r\ndefault values: not set = 0', 1);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'pickupgroup', '', '', '0', 'textfield', 'Pickup and Callgroup\r\ndefault values: not set = 0', 1);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'presentation', '', '0,1,-1', '-1', 'select', 'These are the exact isdn screening and presentation indicators\r\nIf -1 is given for both values the presentation indicators are used\r\nfrom asterisks SetCallerPres application.\r\ns=0, p=0 -> callerid presented not screened\r\ns=1, p=1 -> callerid presented but screened (the remote end does not see it!)\r\ndefault value: p=-1', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'screen', '', '0,1,-1', '-1', 'select', 'default value: s=-1', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'echocancel', '', '0,32,64,128,256,yes,no', 'no', 'select', 'This enables echocancelation, with the given number of taps\r\nBe aware, move this setting only to outgoing portgroups!\r\nA value of zero turns echocancellation off.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'jitterbuffer', '', '', '4000', 'textfield', ' chan_misdns jitterbuffer, default 4000', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'jitterbuffer_upper_threshold', '', '', '0', 'textfield', 'Change this threshold to enable dejitter functionality', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'hdlc', '', 'yes,no', 'no', 'radio', 'change this to yes, if you want to bridge a mISDN data channel to another channel type or to an application.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'mISDN', 0, 1, 1, NULL, 'block_on_alarm', '', 'yes,no', 'no', 'radio', 'Undocumented.', 0);

-- SIP
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 0, 'Rule set', 'context', '', 'outgoing', 'DefaultOutgoingRule', 'rulelist', 'Default context for incoming calls', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'allowguest', '', 'yes,no,osp', 'yes', 'select', 'Allow or reject guest calls (default is yes). This can also be set to ''osp'' if asterisk was compiled with OSP support.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'allowoverlap', '', 'yes,no', 'yes', 'radio', 'Disable overlap dialing support. (Default is yes)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'realm', '', '', 'mydomain.tld', 'textfield', 'Realm for digest authentication defaults to "asterisk".\r\nRealms MUST be globally unique according to RFC 3261. Set this to your host name or domain name', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'bindport', '', '', '5060', 'textfield', 'UDP Port to bind to (SIP standard port is 5060)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'bindaddr', '', '', '0.0.0.0', 'textfield', 'IP address to bind to (0.0.0.0 binds to all)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'srvlookup', '', 'yes,no', 'yes', 'radio', 'Enable DNS SRV lookups on outbound calls.\r\nNote: Asterisk only uses the first host in SRV records. Disabling DNS SRV lookups disables the ability to place SIP calls based on domain names to some other SIP users on the Internet', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'domain', '', '', 'mydomain.tld', 'textfield', 'Set default domain for this host.\r\nIf configured, Asterisk will only allow INVITE and REFER to non-local domains.\r\nUse "sip show domains" to list local domains;\r\n\r\ndomain=mydomain.tld,mydomain-incoming ; Add domain and configure incoming context for external calls to this domain\r\n\r\ndomain=1.2.3.4; Add IP address as local domain. You can have several "domain" settings', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'allowexternalinvites', '', 'yes,no', 'yes', 'radio', 'Disable INVITE and REFER to non-local domains. Default is yes', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'autodomain', '', 'yes,no', 'yes', 'radio', 'Turn this on to have Asterisk add local host name and local IP to domain list.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'pedantic', '', 'yes,no', 'no', 'radio', 'Enable slow, pedantic checking for Pingtel and multiline formatted headers for strict SIP compatibility (defaults to "no")', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'tos', '', 'lowdelay,throughput,reliability,mincost,none', 'lowdelay', 'select', 'Set IP QoS to either a keyword or numeric val', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'maxexpiry', '', '', '3600', 'textfield', 'Max length of incoming registrations/subscriptions we allow (seconds)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'minexpiry', '', '', '60', 'textfield', 'Minimum length of registrations/subscriptions (default 60)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'defaultexpiry', '', '', '120', 'textfield', 'Default length of incoming/outoing registration', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 't1min', '', '', '100', 'textfield', 'Minimum roundtrip time for messages to monitored hosts\r\nDefaults to 100 ms', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'notifymimetype', '', '', 'text/plain', 'textfield', 'Allow overriding of mime type in MWI NOTIFY', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'checkmwi', '', '', '10', 'textfield', 'Default time between mailbox checks for peers', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'vmexten', '', '', '*98', 'textfield', 'dialplan extension to reach mailbox sets the Message-Account in the MWI notify message; defaults to "asterisk"', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'recordhistory', '', 'yes,no', 'yes', 'radio', 'Record SIP history by default (see sip history / sip no history)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'disallow', '', '', 'all', 'codeclist', 'First disallow all codecs', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'allow', '', '', 'alaw,ulaw,gsm,ilbc,g729', 'codeclist', 'Allow codecs in order of preference', 0);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'musicclass', '', '', 'default', 'textfield', 'Sets the default music on hold class for all SIP calls. This may also be set for individual users/peers', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'musicclass', '', '', 'default', 'moh_class', 'Sets the default music on hold class for all SIP calls. This may also be set for individual users/peers', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'language', '', '', 'en', 'textfield', 'Default language setting for all users/peers. This may also be set for individual users/peers', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'relaxdtmf', '', 'yes,no', 'yes', 'radio', 'Relax dtmf handling', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'rtptimeout', '', '', '60', 'textfield', 'Terminate call if 60 seconds of no RTP activity when we''re not on hold', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'rtpholdtimeout', '', '', '300', 'textfield', ' Terminate call if 300 seconds of no RTP activity when we''re on hold (must be > rtptimeout)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'trustrpid', '', 'yes,no', 'no', 'radio', 'If Remote-Party-ID should be trusted', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'sendrpid', '', 'yes,no', 'yes', 'radio', 'If Remote-Party-ID should be sent', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'progressinband', '', 'yes,no,never', 'never', 'select', 'If we should generate in-band ringing always use ''never'' to never use in-band signalling, even in cases where some buggy devices might not render it', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'useragent', '', '', 'Asterisk PBX', 'textfield', 'Allows you to change the user agent string', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'promiscredir', '', 'yes,no', 'no', 'radio', 'If yes, allows 302 or REDIR to non-local SIP address.\r\nNote that promiscredir when redirects are made to the local system will cause loops since SIP is incapable of performing a "hairpin" call.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'usereqphone', '', 'yes,no', 'no', 'radio', 'If yes, ";user=phone" is added to uri that contains a valid phone number', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'dtmfmode', '', 'rfc2833,info,inband,auto', 'auto', 'select', 'Set default dtmfmode for sending DTMF. Default: rfc2833\r\nOther options:\r\ninfo : SIP INFO messages\r\ninband : Inband audio (requires 64 kbit codec -alaw, ulaw)\r\nauto : Use rfc2833 if offered, inband otherwise', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'compactheaders', '', 'yes,no', 'yes', 'radio', 'Send compact sip headers', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'sipdebug', '', 'yes,no', 'yes', 'radio', 'Turn on SIP debugging by default, from the moment the channel loads this configuration', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'subscribecontext', '', '', 'default', 'textfield', 'Set a specific context for SUBSCRIBE requests. Useful to limit subscriptions to local extensions. Settable per peer/user also.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'notifyringing', '', 'yes,no', 'yes', 'radio', 'Notify subscriptions on RINGING state', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'alwaysauthreject', '', 'yes,no', 'yes', 'radio', 'When an incoming INVITE or REGISTER is to be rejected, for any reason, always reject with \'401 Unauthorized\' instead of letting the requester know whether there was a matching user or peer for their request', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'videosupport', '', 'yes,no', 'yes', 'radio', 'Turn on support for SIP video', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'maxcallbitrate', '', '', '384', 'textfield', 'Maximum bitrate for video calls (default 384 kb/s). Videosupport and maxcallbitrate is settable for peers and users as well', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'callevents', '', 'yes,no', 'no', 'radio', 'generate manager events when sip ua performs events (e.g. hold)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'regcontext', '', '', '', 'textfield', 'If regcontext is specified, Asterisk will dynamically create and destroy a NoOp priority 1 extension for a given peer who registers or unregisters with us. The actual extension is the ''regexten'' parameter of the registering peer or its name if ''regexten'' is not provided. More than one regexten may be supplied if they are separated by &. Patterns may be used in regexten.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'registertimeout', '', '', '20', 'textfield', 'Retry registration calls every 20 seconds (default)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'registerattempts', '', '', '10', 'textfield', 'Number of registration attempts before we give up.\r\n0 = continue forever, hammering the other server until it accepts the registration. Default is 10 tries', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'externip', '', '', '000.000.000.000', 'textfield', 'Address that we''re going to put in outbound SIP messages if we''re behind a NAT.\r\nThe externip and localnet is used when registering and communicating with other proxies that we''re registered with.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'externhost', '', '', 'foo.dyndns.net', 'textfield', 'Alternatively you can specify an external host, and Asterisk will perform DNS queries periodically. Not recommended for production environments! Use externip instead', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'externrefresh', '', '', '10', 'textfield', 'How often to refresh externhost if used', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'localnet', '', '', '192.168.0.0/255.255.0.0', 'textfield', 'You may add multiple local networks.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'nat', '', 'yes,no,never,route', 'no', 'select', 'Global NAT settings (Affects all peers and users)\r\nyes = Always ignore info and assume NAT\r\nno = Use NAT mode only according to RFC3581\r\nnever = Never attempt NAT mode or RFC3581 support\r\nroute = Assume NAT, don''t send rport\r\n(work around more UNIDEN bugs)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'canreinvite', '', 'yes,no', 'yes', 'radio', 'Asterisk by default tries to redirect the RTP media stream (audio) to go directly from the caller to the callee. Some devices do not support this especially if one of them is behind a NAT). The default setting is YES. If you have all clients behind a NAT, or for some other reason wants Asterisk to stay in the audio path, you may want to turn this off', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'rtcachefriends', '', 'yes,no', 'yes', 'radio', 'Cache realtime friends by adding them to the internal list just like friends added from the config file only on a as-needed basis? (yes|no)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'rtupdate', '', 'yes,no', 'yes', 'radio', 'Send registry updates to database using realtime? (yes|no)\r\nIf set to yes, when a SIP UA registers successfully, the ip address, the origination port, the registration period, and the username of the UA will be set to database via realtime. If not present, defaults to ''yes''.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 0, 1, NULL, 'rtautoclear', '', '', 'yes', 'textfield', 'Auto-Expire friends created on the fly on the same schedule as if it had just registered? (yes|no|<seconds>)\r\nIf set to yes, when the registration expires, the friend will vanish from the configuration until requested again. If set to an integer, friends expire within this number of seconds instead of the registration interval.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'ignoreregexpire', '', 'yes,no', 'yes', 'radio', 'Enabling this setting has two functions:\r\n\r\nFor non-realtime peers, when their registration expires, the information will _not_ be removed from memory or the Asterisk database; if you attempt to place a call to the peer, the existing information will be used in spite of it having expired\r\n\r\nFor realtime peers, when the peer is retrieved from realtime storage, the registration information will be used regardless of whether it has expired or not; if it expires while the realtime peer is still in memory (due to caching or other reasons), the information will not be removed from realtime storage', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'fromdomain', '', '', '', 'textfield', 'When making outbound SIP INVITEs to non-peers, use your primary domain "identity" for From: headers instead of just your IP address. This is to be polite and it may be a mandatory requirement for some destinations which do not have a prior account relationship with your server.', 1);
-- The commented rows which have general_section=0 are managed by the VoiceOne layer
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 0, NULL, 'context', '', '', 'outgoing', 'rulelist', 'Default context for incoming calls', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'callingpres', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'deny', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'permit', '', '', '', 'textfield', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'secret', '', '', '', 'textfield', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'md5secret', '', '', '', 'textfield', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'dtmfmode', '', 'rfc2833,info,inband,auto', 'rfc2833', 'select', 'Set default dtmfmode for sending DTMF. Default: rfc2833\r\nOther options:\r\ninfo : SIP INFO messages\r\ninband : Inband audio (requires 64 kbit codec -alaw, ulaw)\r\nauto : Use rfc2833 if offered, inband otherwise', 0);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'canreinvite', '', 'yes,no', 'yes', 'radio', 'Asterisk by default tries to redirect the RTP media stream (audio) to go directly from the caller to the callee. Some devices do not support this especially if one of them is behind a NAT). The default setting is YES. If you have all clients behind a NAT, or for some other reason wants Asterisk to stay in the audio path, you may want to turn this off', 0);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'nat', '', 'yes,no,never,route', 'no', 'select', 'Global NAT settings (Affects all peers and users)\r\nyes = Always ignore info and assume NAT\r\nno = Use NAT mode only according to RFC3581\r\nnever = Never attempt NAT mode or RFC3581 support\r\nroute = Assume NAT, don''t send rport\r\n(work around more UNIDEN bugs)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'callgroup', '', '', '', 'textfield', 'Callgroup\r\ndefault values: not set = 0', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'pickupgroup', '', '', '', 'textfield', 'Pickup group\r\ndefault values: not set = 0', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'language', '', '', 'en', 'textfield', 'Default language setting for all users/peers. This may also be set for individual users/peers', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'disallow', '', '', 'all', 'codeclist', 'First disallow all codecs', 0);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'allow', '', '', 'alaw,ulaw,gsm,ilbx,g729', 'codeclist', 'Allow codecs in order of preference', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'insecure', '', '', '', 'textfield', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'trustrpid', '', 'yes,no', 'no', 'radio', 'If Remote-Party-ID should be trusted', 0);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'progressinband', '', 'yes,no,never', 'never', 'select', 'If we should generate in-band ringing always use ''never'' to never use in-band signalling, even in cases where some buggy devices might not render it', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'promiscredir', '', 'yes,no', 'no', 'radio', 'If yes, allows 302 or REDIR to non-local SIP address.\r\nNote that promiscredir when redirects are made to the local system will cause loops since SIP is incapable of performing a "hairpin" call.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'useclientcode', '', 'yes,no', 'yes', 'radio', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'accountcode', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'setvar', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'callerid', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'amaflags', '', 'default,omit,billing,documentation', 'default', 'select', 'You may specify a global default AMA flag for iaxtel calls. It must be one of ''default'', ''omit'', ''billing'', ''documentation''. These flags are used in the generation of call detail records.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'call-limit', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'restrictcid', '', 'yes,no', 'no', 'radio', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'allowoverlap', '', 'yes,no', 'yes', 'radio', 'Disable overlap dialing support. (Default is yes)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'allowsubscribe', '', '', '', 'textfield', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'subscribecontext', '', '', 'default', 'textfield', 'Set a specific context for SUBSCRIBE requests. Useful to limit subscriptions to local extensions. Settable per peer/user also.', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'mailbox', '', '', '', 'textfield', '', 1);
-- -- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'username', '', '', '', 'textfield', '', 1); -- this doesn't make any sense as a default option
-- -- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'template', '', '', '', 'textfield', '', 1); -- this doesn't make any sense as a default option
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'fromdomain', '', '', '', 'textfield', 'When making outbound SIP INVITEs to non-peers, use your primary domain "identity" for From: headers instead of just your IP address. This is to be polite and it may be a mandatory requirement for some destinations which do not have a prior account relationship with your server.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'regexten', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'fromuser', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'host', '', '', 'dynamic', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'port', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'qualify', '', '', 'yes', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'SIP', 0, 1, 1, NULL, 'defaultip', '', '', '', 'textfield', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'rtptimeout', '', '', '60', 'textfield', 'Terminate call if 60 seconds of no RTP activity when we''re not on hold', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'rtpholdtimeout', '', '', '300', 'textfield', ' Terminate call if 300 seconds of no RTP activity when we''re on hold (must be > rtptimeout)', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'SIP', 1, 1, 1, NULL, 'sendrpid', '', 'yes,no', 'yes', 'radio', 'If Remote-Party-ID should be sent', 1);

-- IAX2
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'bindport', '', '', '4569', 'textfield', 'bindport and bindaddr may be specified\r\nNOTE: bindport must be specified BEFORE bindaddr or may be specified on a specific bindaddr if followed by colon and port (e.g. bindaddr=192.168.0.1:4569)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'bindaddr', '', '', '192.168.0.1', 'textfield', 'more than once to bind to multiple addresses, but the first will be the default', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'iaxcompat', '', 'yes,no', 'yes', 'radio', 'Set iaxcompat to yes if you plan to use layered switches or some other scenario which may cause some delay when doing a lookup in the dialplan. It incurs a small performance hit to enable it. This option causes Asterisk to spawn a separate thread when it receives an IAX DPREQ (Dialplan Request) instead of blocking while it waits for a response.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'nochecksums', '', 'yes,no', 'no', 'radio', 'Disable UDP checksums (if nochecksums is set, then no checkums will be calculated/checked on systems supporting this feature)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'delayreject', '', 'yes,no', 'yes', 'radio', 'For increased security against brute force password attacks enable "delayreject" which will delay the sending of authentication reject for REGREQ or AUTHREP if there is a password.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'amaflags', '', 'default,omit,billing,documentation', 'default', 'select', 'You may specify a global default AMA flag for iaxtel calls. It must be one of ''default'', ''omit'', ''billing'', ''documentation''. These flags are used in the generation of call detail records.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'accountcode', '', '', 'lss0101', 'textfield', 'You may specify a default account for Call Detail Records in addition to specifying on a per-user basis', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'language', '', '', 'en', 'textfield', 'You may specify a global default language for users.\r\nCan be specified also on a per-user basis. If omitted, will fallback to english', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'bandwidth', '', 'low,medium,high', 'low', 'select', 'Specify bandwidth of low, medium, or high to control which codecs are used in general.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'disallow', '', '', 'all', 'codeclist', 'You can also fine tune codecs here using "allow" and "disallow" clauses with specific codecs. Use "all" to represent all formats.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'allow', '', '', 'alaw,ulaw,gsm,ilbc,g729', 'codeclist', 'You can also fine tune codecs here using "allow" and "disallow" clauses with specific codecs. Use "all" to represent all formats.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'jitterbuffer', '', 'yes,no', 'no', 'radio', 'global default as to whether you want the jitter buffer at all.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'forcejitterbuffer', '', 'yes,no', 'no', 'radio', 'In the ideal world, when we bridge VoIP channels we don''t want to do jitterbuffering on the switch, since the endpoints can each handle this. However, some endpoints may have poor jitterbuffers themselves, so this option will force * to always jitterbuffer, even in this case.\r\n[This option presently applies only to the new jitterbuffer implementation]', 0);
-- INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'dropcount', '', '', '2', 'textfield', 'The jitter buffer is sized such that no more than "dropcount" frames would have been "too late" over the last 2 seconds.\r\nSet to a small number. "3" represents 1.5% of frames dropped.\r\n[This option is not applicable to, and ignored by the new jitterbuffer implementation]', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'maxjitterbuffer', '', '', '1000', 'textfield', 'A maximum size for the jitter buffer.\r\nSetting a reasonable maximum here will prevent the call delay from rising to silly values in extreme situations; you''ll hear SOMETHING, even though it will be jittery.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'resyncthreshold', '', '', '1000', 'textfield', 'When the jitterbuffer notices a significant change in delay that continues over a few frames, it will resync, assuming that the change in delay was caused by a timestamping mix-up. The threshold for noticing a change in delay is measured as twice the measured jitter plus this resync threshold.\r\nResyncing can be disabled by setting this parameter to -1.\r\n[This option presently applies only to the new jitterbuffer implementation]', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'maxjitterinterps', '', '', '10', 'textfield', 'The maximum number of interpolation frames the jitterbuffer should return in a row. Since some clients do not send CNG/DTX frames to indicate silence, the jitterbuffer will assume silence has begun after returning this many interpolations. This prevents interpolating throughout a long silence.\r\n[This option presently applies only to the new jitterbuffer implementation]', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'maxexcessbuffer', '', '', '80', 'textfield', 'If conditions improve after a period of high jitter, the jitter buffer can end up bigger than necessary. If it ends up more than "maxexcessbuffer" bigger than needed, Asterisk will start gradually decreasing the amount of jitter buffering.\r\n[This option is not applicable to, and ignored by the new jitterbuffer implementation]', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'minexcessbuffer', '', '', '10', 'textfield', 'Sets a desired mimimum amount of headroom in the jitter buffer. If Asterisk has less headroom than this, then it will start gradually increasing the amount of jitter buffering.\r\n[This option is not applicable to, and ignored by the new jitterbuffer implementation]', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'jittershrinkrate', '', '', '1', 'textfield', 'When the jitter buffer is being gradually shrunk (or enlarged), how many millisecs shall we take off per 20ms frame received? Use a small number, or you will be able to hear it changing. An example: if you set this to 2, then the jitter buffer size will change by 100 millisecs per second.\r\n[This option is not applicable to, and ignored by the new jitterbuffer implementation]', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'trunkfreq', '', '', '20', 'textfield', 'How frequently to send trunk msgs (in ms)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'trunktimestamps', '', 'yes,no', 'yes', 'radio', 'Should we send timestamps for the individual sub-frames within trunk frames?\r\nThere is a small bandwidth use for these (less than 1kbps/call), but they ensure that frame timestamps get sent end-to-end properly. If both ends of all your trunks go directly to TDM, _and_ your trunkfreq equals the frame length for your codecs, you can probably suppress these. The receiver must also support this feature, although they do not also need to have it enabled.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'minregexpire', '', '', '60', 'textfield', 'Minimum and maximum amounts of time that IAX peers can request as a registration expiration interval (in seconds).', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'maxregexpire', '', '', '60', 'textfield', 'Minimum and maximum amounts of time that IAX peers can request as a registration expiration interval (in seconds).', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'authdebug', '', 'yes,no', 'no', 'radio', 'You can disable authentication debugging to reduce the amount of debugging traffic.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'tos', '', 'lowdelay,throughput,reliability,mincost,none', 'lowdelay', 'select', 'Finally, you can set values for your TOS bits to help improve performance. Valid values are:\r\nlowdelay     -- Minimize delay\r\nthroughput  -- Maximize throughput\r\nreliability     -- Maximize reliability\r\nmincost      -- Minimize cost\r\nnone           -- No flags', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'mailboxdetail', '', 'yes,no', 'yes', 'radio', 'If mailboxdetail is set to "yes", the user receives the actual new/old message counts, not just a yes/no as to whether they have messages. This can be set on a per-peer basis as well', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'regcontext', '', '', 'iaxregistrations', 'textfield', 'If regcontext is specified, Asterisk will dynamically create and destroy a NoOp priority 1 extension for a given peer who registers or unregisters with us. The actual extension is the ''regexten'' parameter of the registering peer or its name if ''regexten'' is not provided. More than one regexten may be supplied if they are separated by ''&''. Patterns may be used in regexten.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'autokill', '', 'yes,no', 'yes', 'radio', 'If we don''t get ACK to our NEW within 2000ms, and autokill is set to yes, then we cancel the whole thing (that''s enough time for one retransmission only). This is used to keep things from stalling for a long time for a host that is not available, but would be ill advised for bad connections. In addition to ''yes'' or ''no'' you can also specify a number of milliseconds.\r\nSee ''qualify'' for individual peers to turn on for just a specific peer.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'codecpriority', '', 'caller,host,disabled,reqonly', 'host', 'select', 'Codecpriority controls the codec negotiation of an inbound IAX call.\r\nThis option is inherited to all user entities. It can also be defined in each user entity separately which will override the setting in general.\r\n\r\nThe valid values are:\r\ncaller   - Consider the callers preferred order ahead of the host''s.\r\nhost     - Consider the host''s preferred order ahead of the caller''s.\r\ndisabled - Disable the consideration of codec preference alltogether. (this is the original behaviour before preferences were added)\r\nreqonly  - Same as disabled, only do not consider capabilities if the requested format is not available the call will only be accepted if the requested format is available.\r\n\r\nThe default value is ''host''', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'rtcachefriends', '', 'yes,no', 'yes', 'radio', 'Cache realtime friends by adding them to the internal list just like friends added from the config file only on a as-needed basis? (yes|no)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'rtupdate', '', 'yes,no', 'yes', 'radio', 'Send registry updates to database using realtime? (yes|no)\r\nIf set to yes, when a IAX2 peer registers successfully, the ip address, the origination port, the registration period, and the username of the peer will be set to database via realtime. If not present, defaults to ''yes''.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'rtautoclear', '', 'yes,no', 'yes', 'radio', 'Auto-Expire friends created on the fly on the same schedule as if it had just registered? (yes|no|<seconds>)\r\nIf set to yes, when the registration expires, the friend will vanish from the configuration until requested again. If set to an integer, friends expire within this number of seconds instead of the registration interval.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 0, 1, NULL, 'rtignoreexpire', '', 'yes,no', 'yes', 'radio', 'When reading a peer from Realtime, if the peer''s registration has expired based on its registration interval, used the stored address information regardless. (yes|no)', 1);
-- The commented rows which have general_section=0 are managed by VoiceOne's layer
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 0, 'Rule set', 'context', '', 'outgoing', 'DefaultOutgoingRule', 'rulelist', 'Default context for outgoing calls', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'host', '', '', 'dynamic', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'auth', '', 'md5,plaintext,rsa', 'plaintext', 'select', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'secret', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'inkeys', '', '', '', 'textfield', 'A list of acceptable public keys on the local system that can be used to authenticate the remote peer, separated by the ":" character', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'outkey', '', '', '', 'textfield', 'A single, private key to use to authenticate to the other side.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'setvar', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'notransfer', '', 'yes,no', 'no', 'radio', 'Disable IAX native transfer', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'callerid', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'deny', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'permit', '', '', '', 'textfield', '', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'accountcode', '', '', 'lss0101', 'textfield', 'You may specify a default account for Call Detail Records in addition to specifying on a per-user basis', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 1, 1, 1, NULL, 'language', '', '', 'en', 'textfield', 'You may specify a global default language for users.\r\nCan be specified also on a per-user basis. If omitted, will fallback to english', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'mailbox', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'qualify', '', '', 'yes', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'qualifysmoothing', '', 'yes,no', 'no', 'radio', 'Use an average of the last two PONG results to reduce falsly detected LAGGED hosts; Default: Off', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'qualifyfreqok', '', '', '', 'textfield', 'How frequently to ping the peer when everything seems to be ok, in milliseconds', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'qualifyfreqnotok', '', '', '', 'textfield', 'How frequently to ping the peer when it''s either LAGGED or UNAVAILABLE, in milliseconds', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'peercontext', '', '', '', 'textfield', 'Default context to request for calls to peer', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'defaultip', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'trunk', '', 'yes,no', 'yes', 'radio', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'IAX2', 0, 1, 1, NULL, 'timezone', '', '', '', 'textfield', 'Set a timezone for the date/time IE', 1);

-- ZAP
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'language', '', '', 'en', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 0, 'Rule set', 'context', 'DefaultIncomingRule', 'incoming', '', 'rulelist', 'Define your default context here', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'switchtype', '', 'national,dms100,4ess,5ess,euroisdn,ni1,qsig', 'euroisdn', 'select', 'Only used for PRI', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'nsf', '', 'none,sdn,megacom,tollfreemegacom,accunet', 'none', 'select', 'Some switches (AT&T especially) require network specific facility IE', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'pridialplan', '', 'unknown,private,local,national,international', 'national', 'select', 'PRI Dialplan:  Only RARELY used for PRI.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'prilocaldialplan', '', 'unknown,private,local,national,international', 'national', 'select', 'PRI Local Dialplan:  Only RARELY used for PRI (sets the calling number''s numbering plan)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'internationalprefix', '', '', '', 'textfield', 'PRI callerid prefixes based on the given TON/NPI (dialplan). This is especially needed for euroisdn E1-PRIs', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'nationalprefix', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'localprefix', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'privateprefix', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'unknownprefix', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'resetinterval', '', '', '3600', 'textfield', 'PRI resetinterval: sets the time in seconds between restart of unused channels, defaults to 3600; minimum 60 seconds. Some PBXs don''t like channel restarts, so set the interval to a very long interval e.g. 100000000 or ''never'' to disable *entirely*.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'overlapdial', '', 'yes,no', 'yes', 'radio', 'Overlap dialing mode (sending overlap digits)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'priindication', '', 'outofband,inband', 'outofband', 'select', 'PRI Out of band indications. Enable this to report Busy and Congestion on a PRI using out-of-band notification. Inband indication, as used by Asterisk doesn''t seem to work with all telcos.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'priexclusive ', '', 'yes,no', 'yes', 'radio', 'If you need to override the existing channels selection routine and force all PRI channels to be marked as exclusively selected, set this to yes.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'pritimer', '', '', '', 'textfield', 'ISDN Timers. All of the ISDN timers and counters that are used are configurable. Specify the timer name, and its value (in ms for timers).', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'facilityenable', '', 'yes,no', 'yes', 'radio', 'To enable transmission of facility-based ISDN supplementary services (such as caller name from CPE over facility), enable this option.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 0, 0, NULL, 'signalling', '', 'em,em_w,featd,featdmf,featdmf_ta,featb,fgccama,fgccamamf,fxs_ls,fxs_gs,fxs_ks,fxo_ls,fxo_gs,fxo_ks,pri_cpe,pri_net,gr303fxoks_net,gr303fxsks_cpe,sf,sf_w,sf_featd,sf_featdmf,sf_featb,e911', 'pri_cpe', 'select', 'Signalling method (default is pri_cpe).', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'outsignalling', '', 'em,em_w,featd,featdmf,featdmf_ta,featb,fgccama,fgccamamf,fxs_ls,fxs_gs,fxs_ks,fxo_ls,fxo_gs,fxo_ks,pri_cpe,pri_net,gr303fxoks_net,gr303fxsks_cpe,sf,sf_w,sf_featd,sf_featdmf,sf_featb,e911', 'fxo_ks', 'select', 'If you have an outbound signalling format that is different from format specified above (but compatible), you can specify outbound signalling format, (see below). The ''signalling'' format specified will be the inbound signalling format. If you only specify ''signalling'', then it will be the format for both inbound and outbound.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'defaultozz', '', '', '0000', 'textfield', 'For Feature Group D Tandem access, to set the default CIC and OZZ use these parameters.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'defaultcic', '', '', '303', 'textfield', 'For Feature Group D Tandem access, to set the default CIC and OZZ use these parameters.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'prewink', '', '', '50', 'textfield', 'Pre-wink time (default 50ms)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'preflash', '', '', '50', 'textfield', 'Pre-flash time (default 50ms)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'wink', '', '', '150', 'textfield', 'Wink time (default 150ms)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'flash', '', '', '750', 'textfield', 'Flash time (default 750ms)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'start', '', '', '1500', 'textfield', 'Start time (default 1500ms)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'rxwink', '', '', '300', 'textfield', 'Receiver wink time (default 300ms)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'rxflash', '', '', '1250', 'textfield', 'Receiver flashtime (default 1250ms)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'debounce', '', '', '600', 'textfield', 'Debounce timing (default 600ms)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'toneduration', '', '', '100', 'textfield', 'How long generated tones (DTMF and MF) will be played on the channel (in miliseconds)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'usedistinctiveringdetection', '', '', 'yes', 'textfield', 'Whether or not to do distinctive ring detection on FXO lines', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'usecallerid', '', 'yes,no', 'yes', 'radio', 'Whether or not to use caller ID', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'cidsignalling', '', 'bell,v23,v23_jp,dtmf,smdi', 'dtmf', 'select', 'Type of caller ID signalling in use', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'cidstart', '', 'ring,polarity', 'ring', 'radio', 'What signals the start of caller ID\r\nring     = a ring signals the start\r\npolarity = polarity reversal signals the start', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'hidecallerid', '', 'yes,no', 'no', 'radio', 'Whether or not to hide outgoing caller ID (Override with *67 or *82)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'callwaiting', '', 'yes,no', 'yes', 'radio', 'Whether or not to enable call waiting on FXO lines', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'restrictcid', '', 'yes,no', 'no', 'radio', 'Whether or not restrict outgoing caller ID (will be sent as ANI only, not available for the user). Mostly use with FXS ports', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'usecallingpres', '', 'yes,no', 'yes', 'radio', 'Whether or not use the caller ID presentation for the outgoing call that the calling switch is sending.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'sendcalleridafter', '', '', '1', 'textfield', 'Some countries (UK) have ring tones with different ring tones (ring-ring), which means the callerid needs to be set later on, and not just after the first ring, as per the default.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'callwaitingcallerid', '', 'yes,no', 'yes', 'radio', 'Support Caller*ID on Call Waiting', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'threewaycalling', '', 'yes,no', 'yes', 'radio', 'Support three-way calling', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'transfer', '', 'yes,no', 'yes', 'radio', 'Support flash-hook call transfer (requires three way calling). Also enables call parking (overrides the ''canpark'' parameter)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'canpark', '', 'yes,no', 'yes', 'radio', 'Allow call parking (''canpark=no'' is overridden by ''transfer=yes'').', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'cancallforward', '', 'yes,no', 'yes', 'radio', 'Support call forward variable', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'callreturn', '', 'yes,no', 'yes', 'radio', 'Whether or not to support Call Return (*69)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'mailbox', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'echocancel', '', '', 'yes', 'textfield', 'Enable echo cancellation. Use either "yes", "no", or a power of two from 32 to 256 if you wish to actually set the number of taps of cancellation.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'echocancelwhenbridged', '', 'yes,no', 'yes', 'radio', 'Generally, it is not necessary (and in fact undesirable) to echo cancel when the circuit path is entirely TDM.  You may, however, reverse this behavior by enabling the echo cancel during pure TDM bridging below.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'echotraining', '', '', 'yes', 'textfield', 'In some cases, the echo canceller doesn''t train quickly enough and there is echo at the beginning of the call. Enabling echo training will cause asterisk to briefly mute the channel, send an impulse, and use the impulse response to pre-train the echo canceller so it can start out with a much closer idea of the actual echo.  Value may be "yes", "no", or a number of milliseconds to delay before training (default = 400)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'relaxdtmf', '', 'yes,no', 'yes', 'radio', 'If you are having trouble with DTMF detection, you can relax the DTMF detection parameters.  Relaxing them may make the DTMF detector more likely to have "talkoff" where DTMF is detected when it shouldn''t be.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'rxgain', '', '', '0.0', 'textfield', 'You may also set the default receive gain (in dB)', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 1, 1, 1, NULL, 'txgain', '', '', '0.0', 'textfield', 'You may also set the default transmit gain (in dB)', 0);
-- group
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 0, 0, NULL, 'group', '', '', '1', 'textfield', 'Logical groups can be assigned to allow outgoing rollover. Groups range from 0 to 63, and multiple groups can be specified.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'callgroup', '', '', '1', 'textfield', 'Ring groups (a.k.a. call groups) and pickup groups. If a phone is ringing and it is a member of a group which is one of your pickup groups, then you can answer it by picking up and dialing *8#. For simple offices, just make these both the same', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'pickupgroup', '', '', '1', 'textfield', 'Pickup groups.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'immediate', '', 'yes,no', 'no', 'radio', 'Specify whether the channel should be answered immediately or if the simple switch should provide dialtone, read digits, etc.', 0);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'transfertobusy', '', '', 'yes', 'textfield', 'Specify whether flash-hook transfers to ''busy'' channels should complete or return to the caller performing the transfer (default is yes).', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'callerid', '', '', 'no', 'textfield', 'CallerID can be set to "asreceived" or a specific number if you want to override it. Note that "asreceived" only applies to trunk interfaces.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'amaflags', '', 'default,omit,billing,documentation', 'default', 'select', 'AMA flags affects the recording of Call Detail Records. If specified it may be ''default'', ''omit'', ''billing'', or ''documentation''.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'accountcode', '', '', '', 'textfield', 'Channels may be associated with an account code to ease billing', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'adsi', '', 'yes,no', 'yes', 'radio', 'ADSI (Analog Display Services Interface) can be enabled on a per-channel basis if you have (or may have) ADSI compatible CPE equipment', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'usesmdi', '', 'yes,no', 'yes', 'radio', 'SMDI (Simplified Message Desk Interface) can be enabled on a per-channel basis if you would like that channel to behave like an SMDI message desk. The SMDI port specfied should have already been defined in smdi.conf. The default port is /dev/ttyS0.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'smdiport', '', '', '/dev/ttyS0', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'busydetect', '', 'yes,no', 'yes', 'radio', 'On trunk interfaces (FXS) and E&M interfaces (E&M, Wink, Feature Group D etc, it can be useful to perform busy detection either in an effort to detect hangup or for detecting busies. This enables listening for the beep-beep busy pattern.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'busycount', '', '', '4', 'textfield', 'If busydetect is enabled, it is also possible to specify how many busy tones to wait for before hanging up.  The default is 4, but better results can be achieved if set to 6 or even 8. Mind that the higher the number, the more time that will be needed to hangup a channel, but lowers the probability that you will get random hangups.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'busypattern', '', '', '500,500', 'textfield', 'If busydetect is enabled, it is also possible to specify the cadence of your busy signal.  In many countries, it is 500msec on, 500msec off. Without busypattern specified, we''ll accept any regular sound-silence pattern that repeats <busycount> times as a busy signal. If you specify busypattern, then we''ll further check the length of the sound (tone) and silence, which will further reduce the chance of a false positive.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'answeronpolarityswitch', '', 'yes,no', 'yes', 'radio', 'Use a polarity reversal to mark when a outgoing call is answered by the remote party.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'hanguponpolarityswitch', '', 'yes,no', 'yes', 'radio', 'In some countries, a polarity reversal is used to signal the disconnect of a phone line.  If the hanguponpolarityswitch option is selected, the call will be considered "hung up" on a polarity reversal.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'callprogress', '', 'yes,no', 'yes', 'radio', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'progzone', '', '', 'us', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'ringtimeout', '', '', '8000', 'textfield', 'FXO (FXS signalled) devices must have a timeout to determine if there was a hangup before the line was answered.  This value can be tweaked to shorten how long it takes before Zap considers a non-ringing line to have hungup.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'pulsedial', '', 'yes,no', 'yes', 'radio', 'For FXO (FXS signalled) devices, whether to use pulse dial instead of DTMF', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'faxdetect', '', 'both,incoming,outgoing,no', 'yes', 'radio', 'For fax detection, uncomment one of the following lines.  The default is *OFF*', 1);
-- INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'musicclass', '', '', 'default', 'textfield', 'Select which class of music to use for music on hold.  If not specified then the default will be used.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'musicclass', '', '', 'default', 'moh_class', 'Select which class of music to use for music on hold.  If not specified then the default will be used.', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'idledial', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'idleext', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'minunused', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'minidle', '', '', '', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 1, 1, NULL, 'jitterbuffers', '', '', '4', 'textfield', 'Configure jitter buffers in zapata (each one is 20ms, default is 4)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'ZAP', 0, 0, 0, NULL, 'channel', '', '', '1', 'textfield', 'Each channel consists of the channel number or range. It inherits the parameters that were specified above its declaration.', 1);

-- Dialplan
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_general', NULL, NULL, NULL, NULL, 'static', '', 'yes,no', 'yes', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_general', NULL, NULL, NULL, NULL, 'writeprotect', '', 'yes,no', 'no', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_general', NULL, NULL, NULL, NULL, 'autofallthrough', '', 'yes,no', 'yes', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_general', NULL, NULL, NULL, NULL, 'clearglobalvars', '', 'yes,no', 'no', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_general', NULL, NULL, NULL, NULL, 'priorityjumping', '', 'yes,no', 'no', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_globals', NULL, NULL, NULL, NULL, 'TRUNKOPTIONS', '', '', '', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_globals', NULL, NULL, NULL, NULL, 'EMERGENCY', '', '', '0', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_globals', NULL, NULL, NULL, NULL, 'EMERGENCY_TRUNK', '', '', '', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_globals', NULL, NULL, NULL, NULL, 'TRANSFERS_CTX', '', '', 'DefaultOutgoingRule', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_globals', NULL, NULL, NULL, NULL, 'CALLBACK_CTX', '', '', 'DefaultOutgoingRule', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_globals', NULL, NULL, NULL, NULL, 'DISA_CTX', '', '', 'DefaultOutgoingRule', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_globals', NULL, NULL, NULL, NULL, 'DISA_PASSWD', '', '', '1111', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'dialplan_globals', NULL, NULL, NULL, NULL, 'DYNAMIC_FEATURES', '', '', 'automon', 'textfield', '', 0);

-- MusicOnHold
INSERT INTO `cw_option` VALUES (NULL, 'MOH', 1, 0, 1, NULL, 'mode', '', 'custom,mp3,mp3nb,quietmp3,quietmp3nb,files', 'custom', 'select', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'MOH', 1, 0, 1, NULL, 'directory', '', '', '/var/lib/asterisk/mohmp3/voiceone/default', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'MOH', 1, 0, 1, NULL, 'application', '', '', '/usr/bin/madplay -Q --attenuate=-12 --mono -R 8000 --output=RAW:-', 'textfield', '', 0);

-- Features
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'parkext', '', '', '700', 'textfield', 'What extension to dial to park', 0);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'parkpos', '', '', '700-720', 'textfield', 'What extensions to park calls on. These needs to be numeric as Asterisk starts from the start position and increments with one for the next parked call', 0);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'context', '', '', 'parkedcalls', 'textfield', 'Which context parked calls are in', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'parkingtime', '', '', '45', 'textfield', 'Number of seconds a call can be parked for (default is 45 seconds)', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'transferdigittimeout', '', '', '3', 'textfield', 'Number of seconds to wait between digits when transfering a call', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'courtesytone', '', '', 'beep', 'textfield', 'Sound file to play to the parked caller when someone dials a parked call', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'xfersound', '', '', 'beep', 'textfield', 'to indicate an attended transfer is complete', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'xferfailsound', '', '', 'beeperr', 'textfield', 'to indicate a failed transfer', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'adsipark', '', 'yes,no', 'yes', 'radio', 'if you want ADSI parking announcements', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'findslot', '', '', 'next', 'textfield', 'Continue to the next free parking space. Defaults to first available', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'pickupexten', '', '', '*8', 'textfield', 'Configure the pickup extension.  Default is *8', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_GENERAL', 1, 0, 1, NULL, 'featuredigittimeout', '', '', '500', 'textfield', 'if you want ADSI parking announcements', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_MAP', 1, 0, 1, NULL, 'blindxfer', '', '', '#1', 'textfield', 'Blind transfer', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_MAP', 1, 0, 1, NULL, 'disconnect', '', '', '*0', 'textfield', 'Disconnect', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_MAP', 1, 0, 1, NULL, 'automon', '', '', '*1', 'textfield', 'One Touch Record', 1);
INSERT INTO `cw_option` VALUES (NULL, 'FEATURES_MAP', 1, 0, 1, NULL, 'atxfer', '', '', '*2', 'textfield', 'Attended transfer', 1);
-- Queues
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 1, 0, 1, NULL, 'persistentmembers', '', 'yes,no', 'yes', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'strategy', '', 'ringall,roundrobin,leastrecent,fewestcalls,random,rrmemory', 'ringall', 'select', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'servicelevel', '', '', '0', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'context', '', '', 'qoutcon', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'timeout', '', '', '15', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'retry', '', '', '5', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'weight', '', '', '0', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'wrapuptime', '', '', '15', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'maxlen', '', '', '0', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'musiconhold', '', '', 'default', 'moh_class', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'announce', '', '', '', 'soundfile', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'announce-frequency', '', '', '60', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'periodic-announce-frequency', '', '', '60', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'announce-holdtime', '', 'yes,no,once', 'no', 'select', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'announce-round-seconds', '', '', '10', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-youarenext', '', '', 'queue-youarenext', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-thereare', '', '', 'queue-thereare', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-callswaiting', '', '', 'queue-callswaiting', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-holdtime', '', '', 'queue-holdtime', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-minutes', '', '', 'queue-minutes', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-seconds', '', '', 'queue-seconds', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-thankyou', '', '', 'queue-thankyou', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-lessthan', '', '', 'queue-lessthan', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'queue-reporthold', '', '', 'queue-reporthold', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'periodic-announce', '', '', 'queue-periodic-announce', 'soundfileordefault', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'monitor-format', '', 'gsm,was,wav49', 'gsm', 'select', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'monitor-join', '', 'yes,no', 'yes', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'joinempty', '', 'yes,no,strict', 'yes', 'select', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'leavewhenempty', '', 'yes,no,strict', 'yes', 'select', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'eventwhencalled', '', 'yes,no', 'yes', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'eventmemberstatus', '', 'yes,no', 'no', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'reportholdtime', '', 'yes,no', 'no', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'memberdelay', '', '', '0', 'textfield', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'QUEUES', 0, 1, 1, NULL, 'timeoutrestart', '', 'yes,no', 'no', 'radio', '', 0);
-- Agents
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_GENERAL', 1, 0, 1, NULL, 'persistentagents', '', 'yes,no', 'yes', 'radio', '', 0);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'autologoff', '', '', '15', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'ackcall', '', 'yes,no', 'yes', 'radio', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'wrapuptime', '', '', '5000', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'musiconhold', '', '', 'default', 'moh_class', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'updatecdr', '', 'yes,no', 'no', 'radio', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'recordagentcalls', '', 'yes,no', 'no', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'recordformat', '', 'gsm,was,wav49', 'gsm', 'select', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'createlink', '', 'yes,no', 'no', 'radio', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'urlprefix', '', '', 'http://localhost/calls/', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'savecallsin', '', '', '/var/spool/asterisk/monitor', 'textfield', '', 1);
INSERT INTO `cw_option` VALUES (NULL, 'AGENTS_AGENTS', 1, 0, 1, NULL, 'custom_beep', '', '', '', 'soundfile', '', 1);

-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_option_entity`
-- 

CREATE TABLE `cw_option_entity` (
  `option_id` int(11) NOT NULL default '0',
  `entity_id` int(11) NOT NULL default '0',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`option_id`,`entity_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='This is a instance of the various options on entities';

-- 
-- Dump dei dati per la tabella `cw_option_entity`
-- 

-- --------------------------------------------------------


-- 
-- Struttura della tabella `cw_config_file`
-- 

CREATE TABLE `cw_config_file` (
  `id` int(11) NOT NULL auto_increment,
  `tag` varchar(255) NOT NULL default '',
  `file` varchar(255) NOT NULL default '',
  `category` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- Dump dei dati per la tabella `cw_config_file`
INSERT INTO `cw_config_file` VALUES (NULL, 'MOH', 'musiconhold.conf', 'default');
INSERT INTO `cw_config_file` VALUES (NULL, 'FEATURES_GENERAL', 'features.conf', 'general');
INSERT INTO `cw_config_file` VALUES (NULL, 'FEATURES_MAP', 'features.conf', 'featuremap');
INSERT INTO `cw_config_file` VALUES (NULL, 'QUEUES', 'queues.conf', 'general');
INSERT INTO `cw_config_file` VALUES (NULL, 'AGENTS_GENERAL', 'agents.conf', 'general');
INSERT INTO `cw_config_file` VALUES (NULL, 'AGENTS_AGENTS', 'agents.conf', 'agents');


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_queue`
-- 

CREATE TABLE `cw_queue` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='Queue list' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_queue`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_queue_member`
-- 

CREATE TABLE `cw_queue_member` (
  `queue_id` int(11) NOT NULL default '0',
  `member_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`queue_id`,`member_id`)
) TYPE=MyISAM COMMENT='Member that are in the same queue';

-- 
-- Dump dei dati per la tabella `cw_queue_member`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_provider`
-- 

CREATE TABLE `cw_provider` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `host` varchar(255) NOT NULL default '',
  `port` varchar(255) NOT NULL default '',
  `technology` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Provider list' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_provider`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_provider_account`
-- 

CREATE TABLE `cw_provider_account` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `provider` int(11) NOT NULL,
  `port` varchar(255) NOT NULL,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `allow_in` int(11) NOT NULL,
  `contact_extension` varchar(255) NOT NULL,
  `rule` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Provider account list' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_provider_account`
-- 

-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_channel`
-- 

CREATE TABLE `cw_channel` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `technology` int(11) NOT NULL default '0',
  `key` int(11) NOT NULL default '0',
  `msns` longtext NOT NULL,
  `did` int(11) NOT NULL default '0',
  `rule` int(11) NOT NULL default '0',
  `speeddial` varchar(10) NOT NULL default '',
  `order` int(8) NOT NULL default '0',
  `trunk` int(1) NOT NULL default '0',
  `enable_cid` int(11) NOT NULL default '0',
  `cid_list` longtext NOT NULL default '',
  `cid_number` varchar(255) NOT NULL default '',
  `cid_name` varchar(255) NOT NULL default '',
  `cid_appexten` int(11) NOT NULL default '0',
  `force_cid` int(11) NOT NULL default '0',
  `clir` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Trunks available in VoiceOne' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_provider`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_technology`
-- 

CREATE TABLE `cw_technology` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `voip` int(4) NOT NULL default '0',
  `config_file` varchar(255) NOT NULL default '',
  `realtime` tinyint(1) NOT NULL default '0',
  `table` varchar(255) NOT NULL default '',
  `general_context` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Technologies available' AUTO_INCREMENT=6 ;

-- 
-- Dump dei dati per la tabella `cw_technology`
-- 

INSERT INTO `cw_technology` VALUES (1, 'SIP', 1, 'sip.conf', 1, 'sip_buddies', 'general');
INSERT INTO `cw_technology` VALUES (2, 'IAX2', 1, 'iax.conf', 1, 'iax_buddies', 'general');
INSERT INTO `cw_technology` VALUES (3, 'mISDN', 0, 'misdn.conf', 0, '', 'general');
--INSERT INTO `cw_technology` VALUES (4, 'Srx', 0, 'sirrix.conf', 0, '', 'general');
INSERT INTO `cw_technology` VALUES (5, 'Zap', 0, 'zapata.conf', 0, '', 'channels');

-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_user`
-- 

CREATE TABLE `cw_user` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(255) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `lang` varchar(255) NOT NULL default '',
  `type` int(4) NOT NULL default '0',
  `entity_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='This table contains all the user that can access the web int' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_user`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_time_segment`
-- 

CREATE TABLE `cw_time_segment` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `date_from` varchar(255) NOT NULL default '',
  `date_to` varchar(255) NOT NULL default '',
  `hour_from` varchar(255) NOT NULL default '',
  `hour_to` varchar(255) NOT NULL default '',
  `week_day` varchar(255) NOT NULL default '',
  `day` varchar(255) NOT NULL default '',
  `month` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of the defined time segment' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_time_segment`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_rule`
-- 

CREATE TABLE `cw_rule` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `type` int(4) NOT NULL default '0',
  `description` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Rules available' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_rule`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_rule_outgoing`
-- 

CREATE TABLE `cw_rule_outgoing` (
  `id` int(11) NOT NULL auto_increment,
  `rule` int(11) NOT NULL default '0',
  `priority` int(11) NOT NULL default '0',
  `timesegment` int(11) NOT NULL default '0',
  `group` int(11) NOT NULL default '0',
  `entity` int(11) NOT NULL default '0',
  `resource` varchar(255) NOT NULL default '',
  `provider` int(11) NOT NULL default '0',
  `action` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Rule items for a rule set' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_rule_outgoing`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_rule_incoming`
-- 

CREATE TABLE `cw_rule_incoming` (
  `id` int(11) NOT NULL auto_increment,
  `rule` int(11) NOT NULL default '0',
  `priority` int(11) NOT NULL default '0',
  `timesegment` int(11) NOT NULL default '0',
  `callertype` int(11) NOT NULL default '0',
  `callerid` varchar(255) NOT NULL default '',
  `from_channel` int(11) NOT NULL default '0',
  `from_number` longtext NOT NULL,
  `macro` int(11) NOT NULL default '0',
  `parameter` varchar(255) NOT NULL default '',
  `duration` int(8) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='This table contains the rule set for the incoming calls' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_rule_incoming`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_macro`
-- 

CREATE TABLE `cw_macro` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `label` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `code` text NOT NULL,
  `parameter` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of all macros defined in the dialplan' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_macro`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_application`
-- 

CREATE TABLE `cw_application` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `label` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `extension` varchar(255) NOT NULL default '',
  `code` text NOT NULL,
  `macro` int(11) NOT NULL default '0',
  `parameter` varchar(255) NOT NULL default '',
  `groups` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of all macros defined in the dialplan' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_application`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `cw_plugin`
-- 

CREATE TABLE `cw_plugin` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '' COMMENT 'no whitespaces',
  `label` varchar(255) NOT NULL default '',
  `package_name` varchar(255) NOT NULL default '' COMMENT 'no whitespaces',
  `version` varchar(255) NOT NULL default '',
  `date` date NOT NULL default '0000-00-00',
  `description` text NOT NULL,
  `author_name` varchar(255) NOT NULL default '',
  `author_email` varchar(255) NOT NULL default '',
  `author_website` varchar(255) NOT NULL default '',
  `vo_version` varchar(255) NOT NULL default '',
  `vo_pl_version` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of installed plugins' AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `cw_plugin`
-- 

-- --------------------------------------------------------

CREATE TABLE `cw_plugin_entity` (
  `plugin_id` int(11) NOT NULL default '0',
  `entity_type` varchar(255) NOT NULL default '',
  `entity_id` int(11) NOT NULL default '0',
  `entity_version` varchar(255) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Assignment of plugin and their vo-objects (entities)' AUTO_INCREMENT=1 ;


-- --------------------------------------------------------
/*
-- 
-- Struttura della tabella `cw_audio`
-- 

CREATE TABLE `cw_audio` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`name` VARCHAR( 255 ) NOT NULL ,
`filename` VARCHAR( 255 ) NOT NULL ,
`date` DATETIME NOT NULL 
) TYPE = MYISAM COMMENT = 'List of the available audio files' AUTO_INCREMENT=1 ;

-- Dump dei dati per la tabella `cw_audio`

*/
-- --------------------------------------------------------

-- 
-- Struttura della tabella `extensions_table`
-- 

CREATE TABLE `extensions_table` (
  `id` int(11) NOT NULL auto_increment,
  `context` varchar(255) NOT NULL default '',
  `exten` varchar(255) NOT NULL default '',
  `priority` tinyint(4) NOT NULL default '0',
  `app` varchar(255) NOT NULL default '',
  `appdata` varchar(128) NOT NULL default '',
  PRIMARY KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `extensions_table`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `iax_buddies`
-- 

CREATE TABLE `iax_buddies` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `type` varchar(6) NOT NULL default 'friend',
  `regseconds` int(11) NOT NULL default '0',
  `ipaddr` varchar(15) NOT NULL default '',
  `amaflags` varchar(13) default NULL,
  `accountcode` varchar(20) default NULL,
  `language` char(2) default NULL,
  `bandwidth` varchar(6) default NULL,
  `disallow` varchar(100) default NULL,
  `allow` varchar(100) default NULL,
  `jitterbuffer` char(3) default NULL,
  `forcejitterbuffer` char(3) default NULL,
  `maxjitterbuffer` varchar(5) default NULL,
  `resyncthreshold` varchar(5) default NULL,
  `trunkfreq` varchar(5) default NULL,
  `trunktimestamps` char(3) default NULL,
  `minregexpire` varchar(5) default NULL,
  `maxregexpire` varchar(5) default NULL,
  `authdebug` char(3) default NULL,
  `tos` varchar(11) default NULL,
  `mailboxdetail` char(3) default NULL,
  `regcontext` varchar(80) default NULL,
  `codecpriority` varchar(8) default NULL,
  `context` varchar(80) default NULL,
  `host` varchar(31) NOT NULL default '',
  `auth` varchar(20) default NULL,
  `secret` varchar(80) default NULL,
  `inkeys` varchar(80) default NULL,
  `outkey` varchar(80) default NULL,
  `setvar` varchar(100) default NULL,
  `notransfer` char(3) default NULL,
  `callerid` varchar(80) default NULL,
  `deny` varchar(95) default NULL,
  `permit` varchar(95) default NULL,
  `mailbox` varchar(50) default NULL,
  `qualify` varchar(5) default NULL,
  `qualifysmoothing` varchar(5) default NULL,
  `qualifyfreqok` varchar(5) default NULL,
  `qualifyfreqnotok` varchar(5) default NULL,
  `peercontext` varchar(80) default NULL,
  `defaultip` varchar(15) default NULL,
  `trunk` char(3) default NULL,
  `timezone` varchar(80) default NULL,
   `callgroup` varchar(10) default NULL,
  `canreinvite` char(3) default NULL,
  `dtmfmode` varchar(7) default NULL,
  `fromuser` varchar(80) default NULL,
  `fromdomain` varchar(80) default NULL,
  `insecure` varchar(4) default NULL,
  `nat` varchar(5) default NULL,
  `pickupgroup` varchar(10) default NULL,
  `port` varchar(5) NULL default NULL,
  `restrictcid` char(1) default NULL,
  `rtptimeout` char(3) default NULL,
  `rtpholdtimeout` char(3) default NULL,
  `username` varchar(80) default NULL,
  `musiconhold` varchar(100) default NULL,
  `regexten` varchar(80) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- 
-- Dump dei dati per la tabella `iax_buddies`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `sip_buddies`
-- 

CREATE TABLE `sip_buddies` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(80) NOT NULL default '',
  `type` varchar(6) NOT NULL default 'friend',
  `fullcontact` varchar(128) default NULL,
  `regseconds` int(11) NOT NULL default '0',
  `ipaddr` varchar(15) NOT NULL default '',
  `vmexten` varchar(80) default NULL,
  `musicclass` varchar(80) default NULL,
  `relaxdtmf` char(3) default NULL,
  `usereqphone` char(3) default NULL,
  `compactheaders` char(3) default NULL,
  `callevents` char(3) default NULL,
  `ignoreregexpire` char(3) default NULL,
  `context` varchar(80) default NULL,
  `callingpres` varchar(25) default NULL,
  `deny` varchar(95) default NULL,
  `permit` varchar(95) default NULL,
  `secret` varchar(80) default NULL,
  `md5secret` varchar(80) default NULL,
  `dtmfmode` varchar(7) default NULL,
  `canreinvite` char(3) default NULL,
  `nat` varchar(5) default NULL,
  `callgroup` varchar(10) default NULL,
  `pickupgroup` varchar(10) default NULL,
  `language` char(2) default NULL,
  `disallow` varchar(100) default NULL,
  `allow` varchar(100) default NULL,
  `insecure` varchar(6) default NULL,
  `trustrpid` char(3) default NULL,
  `progressinband` varchar(5) default NULL,
  `promiscredir` char(3) default NULL,
  `useclientcode` char(3) default NULL,
  `accountcode` varchar(20) default NULL,
  `setvar` varchar(100) default NULL,
  `callerid` varchar(80) default NULL,
  `amaflags` varchar(13) default NULL,
  `call-limit` char(3) default NULL,
  `restrictcid` char(3) default NULL,
  `allowoverlap` char(3) default NULL,
  `allowsubscribe` char(3) default NULL,
  `subscribecontext` varchar(80) default NULL,
  `videosupport` varchar(3) default NULL,
  `maxcallbitrate` varchar(4) default NULL,
  `mailbox` varchar(13) default NULL,
  `username` varchar(80) default NULL,
  `template` varchar(80) default NULL,
  `fromdomain` varchar(80) default NULL,
  `regexten` varchar(80) default NULL,
  `fromuser` varchar(80) default NULL,
  `host` varchar(31) NULL default NULL,
  `port` varchar(5) NULL default NULL,
  `qualify` varchar(5) default NULL,
  `defaultip` varchar(15) default NULL,
  `rtptimeout` varchar(3) default NULL,
  `rtpholdtimeout` varchar(3) default NULL,
  `sendrpid` varchar(3) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- 
-- Dump dei dati per la tabella `sip_buddies`
-- 


-- --------------------------------------------------------

-- 
-- Struttura della tabella `voicemail_users`
-- 
        
CREATE TABLE `voicemail_users` (
  `uniqueid` int(11) NOT NULL auto_increment,
  `customer_id` int(11) NOT NULL default '0',
  `context` varchar(50) NOT NULL default '',
  `mailbox` varchar(11) NOT NULL default '0',
  `password` varchar(5) NOT NULL default '0',
  `fullname` varchar(50) NOT NULL default '',
  `email` varchar(50) NOT NULL default '',
  `pager` varchar(50) NOT NULL default '',
  `attach` varchar(4) NOT NULL default 'yes',
  `saycid` varchar(4) NOT NULL default 'yes',
  `hidefromdir` varchar(4) NOT NULL default 'yes',
  `stamp` timestamp(14) NOT NULL NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`uniqueid`),
  UNIQUE KEY `mailbox_context` (`mailbox`,`context`)
) TYPE=MyISAM ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- 
-- Dump dei dati per la tabella `voicemail_users`
-- 

-- --------------------------------------------------------

--
-- Table structure for table `cw_zapata_card`
--

DROP TABLE IF EXISTS `cw_zapata_card`;
CREATE TABLE `cw_zapata_card` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `ports` int(11) NOT NULL default '0',
  `type` varchar(255) NOT NULL,
  `span` int(11) NOT NULL,
  `order` int(11) NOT NULL,
  `driver` varchar(255) NOT NULL default '',
  `active` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of zapata cards';

--
-- Dumping data for table `cw_zapata_card`
--


/*!40000 ALTER TABLE `cw_zapata_card` DISABLE KEYS */;
LOCK TABLES `cw_zapata_card` WRITE;
INSERT INTO `cw_zapata_card` VALUES (1,'TE4XXP (Quad Span E1/T1/J1)',4,'E1,T1',1,1,'wct4xxp',1),(2,'TE2XXP (Dual Span E1/T1/J1)',2,'E1,T1',1,1,'wct4xxp',1),(3,'TE110P (Single Span E1/T1/J1)',1,'E1,T1',1,2,'wcte11xp',1),(4,'TDM400P (Quad Port FXO/FXS)',4,'FXO,FXS',0,5,'wctdm',1),(5,'X100P (Single Port FXO)',1,'FXO',0,6,'wcfxo',1),(6,'E400P (Quad Span E1)',4,'E1',1,4,'tor2',1),(7,'T400P (Quad Span T1)',4,'T1',1,4,'tor2',1),(8,'E100P (Single Span E1)',1,'E1',1,3,'wct1xxp',1),(9,'T100P (Single Span T1)',1,'T1',1,3,'wct1xxp',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `cw_zapata_card` ENABLE KEYS */;

--
-- Table structure for table `cw_zapata_channel`
--

DROP TABLE IF EXISTS `cw_zapata_channel`;
CREATE TABLE `cw_zapata_channel` (
  `id` int(11) NOT NULL auto_increment,
  `port_id` int(11) NOT NULL default '0',
  `order` int(11) NOT NULL default '0',
  `group` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  `device` varchar(255) NOT NULL default '',
  `signalling` varchar(255) NOT NULL default '',
  `pchannel` int(11) NOT NULL default '0',
  `zchannel` int(11) NOT NULL default '0',
  `available` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of zapata channels';

--
-- Dumping data for table `cw_zapata_channel`
--


/*!40000 ALTER TABLE `cw_zapata_channel` DISABLE KEYS */;
LOCK TABLES `cw_zapata_channel` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cw_zapata_channel` ENABLE KEYS */;

--
-- Table structure for table `cw_zapata_group`
--

DROP TABLE IF EXISTS `cw_zapata_group`;
CREATE TABLE `cw_zapata_group` (
  `id` int(11) NOT NULL auto_increment,
  `group` int(11) default NULL,
  `name` varchar(255) NOT NULL default '',
  `rule` int(11) NOT NULL default '0',
  `msns` text NOT NULL,
  `type` varchar(10) NOT NULL,
  `did` int(11) NOT NULL default '0',
  `signalling` varchar(128) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of zapata groups';

--
-- Dumping data for table `cw_zapata_group`
--


/*!40000 ALTER TABLE `cw_zapata_group` DISABLE KEYS */;
LOCK TABLES `cw_zapata_group` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cw_zapata_group` ENABLE KEYS */;

--
-- Table structure for table `cw_zapata_option`
--

DROP TABLE IF EXISTS `cw_zapata_option`;
CREATE TABLE `cw_zapata_option` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(255) NOT NULL,
  `device` varchar(255) NOT NULL,
  `timing` varchar(255) NOT NULL,
  `lbo` varchar(255) NOT NULL,
  `framing` varchar(255) NOT NULL,
  `coding` varchar(255) NOT NULL,
  `crc4` varchar(255) NOT NULL,
  `yellow` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of zapata port options';

--
-- Dumping data for table `cw_zapata_option`
--


/*!40000 ALTER TABLE `cw_zapata_option` DISABLE KEYS */;
LOCK TABLES `cw_zapata_option` WRITE;
INSERT INTO `cw_zapata_option` VALUES (1,'E1','PRI,E&M,FX?','0,1,2,3','0,1,2,3,4,5,6,7','ccs,cas,esf,d4','hdb3,ami,b8zs','0,1','0,1'),(2,'T1','PRI,E&M,FX?','0,1,2,3','0,1,2,3,4,5,6,7','esf,d4,ccs,cas','b8zs,ami,hdb3','0,1','0,1'),(3,'FXS','fxoks,fxols,fxogs','','','','','',''),(4,'FXO','fxsks,fxsls,fxsgs','','','','','','');
UNLOCK TABLES;
/*!40000 ALTER TABLE `cw_zapata_option` ENABLE KEYS */;

--
-- Table structure for table `cw_zapata_port`
--

DROP TABLE IF EXISTS `cw_zapata_port`;
CREATE TABLE `cw_zapata_port` (
  `id` int(11) NOT NULL auto_increment,
  `port` int(11) NOT NULL default '0',
  `type` varchar(255) NOT NULL default '',
  `device` varchar(255) NOT NULL default '',
  `span` int(11) NOT NULL default '0',
  `timing` int(11) NOT NULL default '0',
  `lbo` int(11) NOT NULL default '0',
  `framing` varchar(255) NOT NULL default '',
  `coding` varchar(255) NOT NULL default '',
  `crc4` int(11) NOT NULL default '0',
  `yellow` int(11) NOT NULL default '0',
  `order` int(11) NOT NULL default '0',
  `card` int(11) NOT NULL default '0',
  `card_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of zapata ports';

--
-- Dumping data for table `cw_zapata_port`
--


/*!40000 ALTER TABLE `cw_zapata_port` DISABLE KEYS */;
LOCK TABLES `cw_zapata_port` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cw_zapata_port` ENABLE KEYS */;

--
-- Table structure for table `cw_zapata_portgroup`
--

DROP TABLE IF EXISTS `cw_zapata_portgroup`;
CREATE TABLE `cw_zapata_portgroup` (
  `id` int(11) NOT NULL auto_increment,
  `port` int(11) NOT NULL default '0',
  `group` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of zapata ports (channels) to group';

--
-- Dumping data for table `cw_zapata_portgroup`
--


/*!40000 ALTER TABLE `cw_zapata_portgroup` DISABLE KEYS */;
LOCK TABLES `cw_zapata_portgroup` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cw_zapata_portgroup` ENABLE KEYS */;

--
-- Table structure for table `cw_zapata_zone`
--

DROP TABLE IF EXISTS `cw_zapata_zone`;
CREATE TABLE `cw_zapata_zone` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `fullname` varchar(255) NOT NULL default '',
  `loadzone` int(11) NOT NULL default '0',
  `defaultzone` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='List of zapata tone zones';

--
-- Dumping data for table `cw_zapata_zone`
--


/*!40000 ALTER TABLE `cw_zapata_zone` DISABLE KEYS */;
LOCK TABLES `cw_zapata_zone` WRITE;
INSERT INTO `cw_zapata_zone` VALUES (1,'us','United States',1,1),(2,'au','Australia',0,0),(3,'cn','China',0,0),(4,'fr','France',0,0),(5,'nl','Netherlands',0,0),(6,'uk','United Kingdom',0,0),(7,'fl','Finland',0,0),(8,'es','Spain',0,0),(9,'jp','Japan',0,0),(10,'no','Norway',0,0),(11,'at','Austria',0,0),(12,'nz','New Zealand',0,0),(13,'it','Italy',0,0),(14,'us-old','United States Circa 1950',0,0),(15,'gr','Greece',0,0),(16,'tw','Taiwan',0,0),(17,'cl','Chile',0,0),(18,'se','Sweden',0,0),(19,'be','Belgium',0,0),(20,'sg','Singapore',0,0),(21,'il','Israel',0,0),(22,'br','Brazil',0,0),(23,'hu','Hungary',0,0),(24,'lt','Lithuania',0,0),(25,'pl','Poland',0,0),(26,'za','South Africa',0,0),(27,'pt','Portugal',0,0),(28,'ee','Estonia',0,0),(29,'mx','Mexico',0,0),(30,'in','India',0,0),(31,'de','Germany',0,0),(32,'ch','Switzerland',0,0),(33,'dk','Denmark',0,0),(34,'cz','Czech Republic',0,0),(35,'ve','Venezuela',0,0),(36,'hk','Hong&nbsp;Kong',0,0),(37,'mo','Macau',0,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `cw_zapata_zone` ENABLE KEYS */;

--
-- Table structure for table `cw_meetme`
--

DROP TABLE IF EXISTS `cw_meetme`;
CREATE TABLE `cw_meetme` (
  `id` int(11) NOT NULL auto_increment,
  `confno` varchar(32) NOT NULL,
  `pin` varchar(32) NOT NULL,
  `adminpin` varchar(32) NOT NULL,
  `app_id` int(11) NOT NULL,
  `app_name` varchar(255) NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Meetme Conference Rooms';

--
-- Dumping data for table `cw_meetme`
--

/*!40000 ALTER TABLE `cw_meetme` DISABLE KEYS */;
LOCK TABLES `cw_meetme` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cw_meetme` ENABLE KEYS */;

--
-- Create and Dump data for table `registry`
--

CREATE TABLE `registry` (
  `id` int(8) NOT NULL auto_increment,
  `key` varchar(255) NOT NULL default '0',
  `value` varchar(255) NOT NULL default '0',
  `remark` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='System registry';

LOCK TABLES `registry` WRITE;
INSERT INTO `registry` SET `id`=1, `key`='database_version', `value`='0.4.1', `remark`='Voiceone Database';
UNLOCK TABLES;


--
-- Table structure for table `cw_sounds_file`
--
CREATE TABLE `cw_sounds_file` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `category` int(11) NOT NULL default '0',
  `language` varchar(255) NOT NULL default 'default',
  `filepath` varchar(255) NOT NULL default '',
  `present` int(1) NOT NULL default '0',
  `text` varchar(255) NOT NULL default '',
  `lastmodified` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- Create and Dump data for table `cw_sounds_file`
-- INSERT INTO `cw_sounds_file` VALUES (NULL, '<filename>', 1, '<language>', '', 0, '<text>', '0000-00-00 00:00:00');
-- note: in <filename> convert "-" in "_"
-- note: <language> can be "default" or "en" or "it" or "de"...
-- note: <text> is the text of <filename> message

-- 
-- Table structure for table `cw_sounds_category`
-- 
CREATE TABLE `cw_sounds_category` (
  `id` int(11) NOT NULL auto_increment,
  `tag` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- Create and Dump data for table `cw_sounds_category`
INSERT INTO `cw_sounds_category` VALUES (NULL, 'agent', 'Agent');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'conf', 'MeetMe');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'demo', 'Demo');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'dir', 'Directory');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'queue', 'Queue');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'general', 'General');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'vm', 'Voicemail');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'digits', 'Digits');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'dictate', 'Dictate');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'letters', 'Letters');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'phonetic', 'Phonetic');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'IVR', 'IVR');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'custom', 'Custom');
INSERT INTO `cw_sounds_category` VALUES (NULL, 'tmp', 'tmp');

-- 
-- Table structure for table `cw_extension`
-- 
CREATE TABLE `cw_extension` (
  `id` int(11) NOT NULL auto_increment,
  `entity_id` int(11) NOT NULL default '0',
  `extension` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- Create and Dump data for table `cw_extension`
INSERT INTO `cw_extension` VALUES (NULL, 0, '*0');
INSERT INTO `cw_extension` VALUES (NULL, 0, '*1');
INSERT INTO `cw_extension` VALUES (NULL, 0, '*2');
INSERT INTO `cw_extension` VALUES (NULL, 0, '#1');
INSERT INTO `cw_extension` VALUES (NULL, 0, '*8');
INSERT INTO `cw_extension` VALUES (NULL, 0, '700');
INSERT INTO `cw_extension` VALUES (NULL, 0, '701');
INSERT INTO `cw_extension` VALUES (NULL, 0, '702');
INSERT INTO `cw_extension` VALUES (NULL, 0, '703');
INSERT INTO `cw_extension` VALUES (NULL, 0, '704');
INSERT INTO `cw_extension` VALUES (NULL, 0, '705');
INSERT INTO `cw_extension` VALUES (NULL, 0, '706');
INSERT INTO `cw_extension` VALUES (NULL, 0, '707');
INSERT INTO `cw_extension` VALUES (NULL, 0, '708');
INSERT INTO `cw_extension` VALUES (NULL, 0, '709');
INSERT INTO `cw_extension` VALUES (NULL, 0, '710');
INSERT INTO `cw_extension` VALUES (NULL, 0, '711');
INSERT INTO `cw_extension` VALUES (NULL, 0, '712');
INSERT INTO `cw_extension` VALUES (NULL, 0, '713');
INSERT INTO `cw_extension` VALUES (NULL, 0, '714');
INSERT INTO `cw_extension` VALUES (NULL, 0, '715');
INSERT INTO `cw_extension` VALUES (NULL, 0, '716');
INSERT INTO `cw_extension` VALUES (NULL, 0, '717');
INSERT INTO `cw_extension` VALUES (NULL, 0, '718');
INSERT INTO `cw_extension` VALUES (NULL, 0, '719');
INSERT INTO `cw_extension` VALUES (NULL, 0, '720');

-- 
-- Table structure for table `cw_cid`
-- 

CREATE TABLE `cw_cid` (
  `id` int(11) NOT NULL auto_increment,
  `trunk` int(11) NOT NULL,
  `extension` int(11) NOT NULL,
	`clir` int(11) NOT NULL default '0',
  `cid_number` varchar(255) NOT NULL default '',
  `cid_name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- 
-- Table structure for table `cw_agent`
-- 

CREATE TABLE `cw_agent` (
  `id` int(11) NOT NULL ,
  `client` int(11) NOT NULL,
  `extension` varchar(255) NOT NULL,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

