<?
/**
 * Archivo de Idioma Español para VoiceOne
 *
 * @package voiceone
 * @subpackage  language
 */

//                                                              //
// VoiceOne                                                     //
// Lang-File : es                                               //
//                                                              //
// Project-Id-Version   : VoiceOne-es-0.1                       //
// Report-Msgid-Bugs-To : voiceone@gecko.com.co                 //
// Creation-Date        : 2006-07-29 14:05-0500                 //
// Revision-Date        : 2006-09-22 16:25-0500                 //
// Translator           : Alfred Certain <acertain@gecko.com.co>//
// Language-Team        : Spanish <voiceone@gecko.com.co>       //
//                                                              //
//        Please play fair and do NOT remove this               //
//    Please support VoiceOne at http://www.voiceone.it         //
//                                                              //
 
  global $cwlang, $relBasePath;
  
  //****************************
  // Traduccion GENERICA
  //****************************
  $cwlang["generic"]["working"]="Adici&oacute;n en progreso...";
  $cwlang["generic"]["deleting"]="Eliminaci&oacute;n en progreso...";
  $cwlang["generic"]["loading"]="Carga en progreso...";
  

  //****************************
  //translation for the template
  //****************************
  $cwlang["template"]["loginTitle"]="Autenticaci&oacute;n";
  $cwlang["template"]["loginInfo"]="informaci&oacute;nes";
  $cwlang["template"]["loginDescription"]="Para ingresar en el Panel de Control de VoiceOne debe ingresar su nombre de usuario y su clave";
  $cwlang["template"]["loginRememberMe"]="Recordarme";
  $cwlang["template"]["loginTerms"]="T&eacute;rminos de Uso";
  $cwlang["template"]["persWelcome"]="Bienvenido";
  $cwlang["template"]["persLogOff"]="Salir";
  $cwlang["template"]["confReturnToPersonal"]="Volver a VoiceOne Personal";
  
  //****************************
  //translation for the Menu
  //****************************
  $cwlang["menu"]["overview"] =     "Descripci&oacute;n";
  $cwlang["menu"]["extension"] =    "Extensiones";
  $cwlang["menu"]["queue"] =        "Colas";
  $cwlang["menu"]["office"] =       "Oficinas";
  $cwlang["menu"]["provider"] =     "Proveedores";
  $cwlang["menu"]["number"] =       "N&uacute;meros";
  $cwlang["menu"]["group"] =        "Grupos";
  $cwlang["menu"]["ivr"] =          "IVR";
  $cwlang["menu"]["io"] =           "E/S";
  $cwlang["menu"]["user"] =         "Usuarios";
  $cwlang["menu"]["isdn"] =         "RDSI";
  $cwlang["menu"]["sip"] =          "SIP";
  $cwlang["menu"]["iax"] =          "IAX";
  $cwlang["menu"]["lan"] =          "Lan";
  $cwlang["menu"]["editor"] =       "Editor";
  $cwlang["menu"]["zapata"] =       "Zapata";

  $cwlang["menu"]["phonebook"] =    "Directorio";
  $cwlang["menu"]["phone"] =        "Tel&eacute;fono";
  $cwlang["menu"]["history"] =      "Reporte de Llamadas";
  $cwlang["menu"]["voicemail"] =    "Correo de Voz";
  $cwlang["menu"]["transfer"] =     "Transferencia";
  $cwlang["menu"]["configurator"] = "Configuraci&oacute;n";
  $cwlang["menu"]["customization"] ="Personalizaci&oacute;n";
  $cwlang["menu"]["account"] =      "Cuenta";

  //****************************************************************************
  //***********************       VOICEONE PERSONAL         ********************
  //****************************************************************************

  //****************************
  //translation for the PhoneBook Section
  //****************************
  $cwlang["phonebook"]["title"] =   "Contactos";
  $cwlang["phonebook"]["name"] =   "Nombre";
  $cwlang["phonebook"]["status"] =   "Estado";
  $cwlang["phonebook"]["personal"] =   "Directorio Personal";
  $cwlang["phonebook"]["description"] =   "Lista de los usuarios registrados y su estado actual";
  $cwlang["phonebook"]["information"] =   "informaci&oacute;nes";
  $cwlang["phonebook"]["sidebarText"] =   "A la izquierda encontrar&aacute; todos los usuarios que pueden usar la pbx."
                                         ."Por cada item usted puede ver el estado de la extensi&oacute;n. Los estados posibles son: "
                                         ."<ul><li><img src=\"admin/public/img/online.gif\" /> <strong>Online</strong>: El usuario est&aacute; conectado</li>"
                                         ."<li><img src=\"admin/public/img/offline.gif\" /> <strong>Offline</strong>: El usuario est&aacute; desconectado</li>"
                                         ."<li><img src=\"admin/public/img/unknown.gif\" /> <strong>Unknown</strong>: El estado es desconocido</li></ul>";
  
  //****************************
  //translation for the history call  Section
  //****************************
  $cwlang["calls"]["title"] =   "Reporte de Llamadas";
  $cwlang["calls"]["title2"] =   "Esta secci&oacute;n est&aacute; en desarrollo";
  $cwlang["calls"]["workinprogress"] =   "Esta secci&oacute;n no est&aacute; <strong>activa</strong>. Si usted est&aacute; interesado puede colaborar en el desarrollo de estas paginas. Para mayor informaci&oacute;n visite el sitio web <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a>.";
   
  //****************************
  //translation for the VoiceMail Section
  //****************************
  $cwlang["voicemail"]["title"] =   "Correo de Voz";
  $cwlang["voicemail"]["title2"] =   "Esta secci&oacute;n est&aacute; en desarrollo";
  $cwlang["voicemail"]["workinprogress"] =   "Esta secci&oacute;n no est&aacute; <strong>activa</strong>. Si usted est&aacute; interesado puede colaborar en el desarrollo de estas p&aacute;ginas. Para mayor informaci&oacute;n visite el sitio web <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a>.";
   
  //****************************
  //translation for the Call Transfers Section
  //****************************
  $cwlang["transfer"]["title"] =   "Transferencia de Llamadas";
  $cwlang["transfer"]["title2"] =   "Esta secci&oacute;n est&aacute; en desarrollo";
  $cwlang["transfer"]["workinprogress"] =   "Esta secci&oacute;n no est&aacute; <strong>activa</strong>. Si usted est&aacute; interesado puede colaborar en el desarrollo de estas p&aacute;ginas. Para mayor informaci&oacute;n visite el sitio web <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a>.";
   
  //****************************
  //translation for the Account Section
  //****************************
  $cwlang["account"]["title"] =   "Cuenta";
  $cwlang["account"]["title2"] =   "Esta secci&oacute;n est&aacute; en desarrollo";
  $cwlang["account"]["workinprogress"] =   "Esta secci&oacute;n no est&aacute; <strong>activa</strong>. Si usted est&aacute; interesado puede colaborar en el desarrollo de estas p&aacute;ginas. Para mayor informaci&oacute;n visite el sitio web <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a>.";
   
  //****************************
  //translation for the Account Section
  //****************************
  $cwlang["account"]["title"] =   "Cuenta Personal";
  $cwlang["account"]["title2"] =   "Esta secci&oacute;n est&aacute; en desarrollo";
  $cwlang["account"]["workinprogress"] =   "Esta secci&oacute;n no est&aacute; <strong>activa</strong>. Si usted est&aacute; interesado puede colaborar en el desarrollo de estas paginas. Para mayor informaci&oacute;n visite el sitio web <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a>.";
   
  //****************************
  //translation for the CustomizationSection
  //****************************
  $cwlang["customization"]["title"] =   "Personalizaci&oacute;n";
  $cwlang["customization"]["title2"] =   "Esta secci&oacute;n est&aacute; en desarrollo";
  $cwlang["customization"]["workinprogress"] =   "Est&aacute; secci&oacute;n no est&aacute; <strong>activa</strong>. Si usted est&aacute; interesado puede colaborar en el desarrollo de estas p&aacute;ginas. Para mayor informaci&oacute;n visite el sitio web <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a>.";





  //****************************************************************************
  //***********************       VOICEONE CONFIGURATOR     ********************
  //****************************************************************************

  //*************************************
  //translation for the Overview Section
  //*************************************
  $cwlang["overview"]["title"] =   "Configurador de VoiceOne - Descripci&oacute;n"; 
  $cwlang["overview"]["publickey"] =   "Llave P&uacute;blica"; 
  $cwlang["overview"]["firststep"] =   "Primeros Pasos"; 
  $cwlang["overview"]["firststepDesc"] =    
            "    A continuaci&oacute;n se listan los primeros pasos a seguir para una configuraci&oacute;n correcta de su PBX:\n"
           ."    \n" 
           ."    <ul>\n" 
           ."      <li>1. Configuraci&oacute;n de Red Lan (atenci&oacute;n: el boton grabar hace que se reinicie su equipo)</li>\n" 
           ."      <li>2. Configuraci&oacute;n tarjeta RDSI</li>\n" 
           ."      <li>3. Administraci&oacute;n de extensiones, colas, oficinas</li>\n" 
           ."      <li>4. Verificaci&oacute;n</li>\n" 
           ."    </ul>\n" ;
  $cwlang["overview"]["configuration"] =   "Configuraci&oacute;n del Sistema";
  $cwlang["overview"]["configurationDesc"] =   "Desde esta secci&oacute;n es posible configurar todos los parametros de su PBX. Sea cuidadoso, de otra forma su sistema puede quedar inutilizable";
   
  //*************************************
  //translation for the Extension Section
  //*************************************
  $cwlang["exten"]["title"] =   "Extensiones"; 
  $cwlang["exten"]["newExten"] =   "Nueva Extensi&oacute;n"; 
  $cwlang["exten"]["information"] =   "Informaci&oacute;nes"; 
   
  //edit 
  $cwlang["exten"]["return"] =   "Regresar sin grabar"; 
  $cwlang["exten"]["personalinfo"] =   "informaci&oacute;n Personal"; 
  $cwlang["exten"]["name"] =   "Nombre"; 
  $cwlang["exten"]["surname"] =   "Apellido"; 
  $cwlang["exten"]["email"] =   "Email"; 
  $cwlang["exten"]["authdata"] =   "informaci&oacute;n de Cuenta"; 
  $cwlang["exten"]["exten"] =   "Extensi&oacute;n";
  $cwlang["exten"]["language"] =   "Idioma";
  $cwlang["exten"]["password"] =   "Clave";
  $cwlang["exten"]["alias"] =   "Alias"; 
  $cwlang["exten"]["advancedOption"] =   "Opci&oacute;nes Avanzadas"; 
  $cwlang["exten"]["advancedOptionDesc"] =   "Activar para ver las opciones avanzadas"; 
  $cwlang["exten"]["advancedOptionYes"] =   "Si, mostrar el panel de opciones avanzadas"; 
  $cwlang["exten"]["protocol"] =   "Protocolo"; 
  $cwlang["exten"]["host"] =   "Host"; 
  $cwlang["exten"]["dynip"] =   "IP Dinamica [por defecto]"; 
  $cwlang["exten"]["hostname"] =   "Hostname"; 
  $cwlang["exten"]["ipmask"] =   "Mascara IP"; 
  $cwlang["exten"]["defaultip"] =   "IP por defecto"; 
  $cwlang["exten"]["defaultipDesc"] =   "Ingrese la direcci&oacute;n IP a usar cuando las demas fallen"; 
  $cwlang["exten"]["report"] =   "Reporte"; 
  $cwlang["exten"]["default"] =   "Valor por defecto"; 
  $cwlang["exten"]["ommit"] =   "Omitir"; 
  $cwlang["exten"]["Facturaci&oacute;n"] =   "Facturaci&oacute;n"; 
  $cwlang["exten"]["documentation"] =   "Documentaci&oacute;n"; 
  $cwlang["exten"]["canReinvite"] =   "Puede Reinvitar?"; 
  $cwlang["exten"]["no"] =   "No"; 
  $cwlang["exten"]["yes"] =   "Si"; 
  $cwlang["exten"]["canReinviteDesc"] =   "Esta casilla permite puentear Asterisk y realizar una conexion directa entre clientes"; 
  $cwlang["exten"]["dtmfMode"] =   "Modo DTMF"; 
  $cwlang["exten"]["dtmfModeDesc"] =   "Escoja la modalidad de tonos DTML"; 
  $cwlang["exten"]["lang"] =   "Idioma"; 
  $cwlang["exten"]["langDesc"] =   "Define el idioma del cliente. En blanco para valor por defecto"; 
  $cwlang["exten"]["nat"] =   "NAT"; 
  $cwlang["exten"]["yesNAT"] =   "Si, el cliente est&aacute; detras de NAT"; 
  $cwlang["exten"]["deniedIP"] =   "IP Denegada"; 
  $cwlang["exten"]["deniedIPDesc"] =   "<strong>Sintaxis</strong>: Ip/Mascara[,Ip/Mascara[...]]"; 
  $cwlang["exten"]["allowedIP"] =   "IP Permitida"; 
  $cwlang["exten"]["allowedIPDesc"] =   "<strong>Sintaxis</strong>: Ip/Mascara[,Ip/Mascara[...]]"; 
  $cwlang["exten"]["qualify"] =   "Calificar"; 
  $cwlang["exten"]["qualifyDesc"] =   "Esta casilla permite a Asterisk verificar el registro dle cliente"; 
  $cwlang["exten"]["codecs"] =   "Codecs"; 
  $cwlang["exten"]["codecsAdd"] =   "Agregar codec -->"; 
  
  $cwlang["exten"]["otherExten"] =   "Otras Extensiones"; 
  $cwlang["exten"]["otherExtenDesc"] =   "Ud puede vigilar otras extensiones haciendo click en ellas:"; 

  //*************************************
  //translation for the QUEUE Section
  //*************************************
  $cwlang["queue"]["title"] =   "Cola"; 
  $cwlang["queue"]["newQueue"] =   "Nueva Cola"; 
  $cwlang["queue"]["modifyQueue"] =   "Modificar Cola";  //it will append the queue name 
  $cwlang["queue"]["titleSidebar"] =   "Colas"; 
  $cwlang["queue"]["textSidebar"] =   "Es posible crear una cola de extensiones, de modo que los telefonos timbren juntos en una llamada entrante"; 
  $cwlang["queue"]["alertDelGood"] =   "La cola ha sido borrada"; 
  $cwlang["queue"]["alertDelBad"] =   "La cola no ha sido borrada"; 
  $cwlang["queue"]["alertModGood"] =   "La cola ha sido modificada"; 
  $cwlang["queue"]["alertModBad"] =   "La cola no ha sido modificada"; 
  $cwlang["queue"]["titleForm"] =   "Cola"; 
  $cwlang["queue"]["textForm"] =   "Defina las opciones de cola y escoja las extensiones que pertenecen a esta cola"; 
  $cwlang["queue"]["name"] =   "Nombre"; 
  $cwlang["queue"]["nameExample"] =   "Ejemplo: Administraci&oacute;n, Soporte,..."; 
  $cwlang["queue"]["strategy"] =   "Estrategia"; 
  $cwlang["queue"]["strategyExample"] =   "Valores: leatrecent, ringall, etc.."; 
  $cwlang["queue"]["melody"] =   "M&uacute;sica"; 
  $cwlang["queue"]["melodyExample"] =   "Valores: default, etc..."; 
  $cwlang["queue"]["frequency"] =   "Frecuencia"; 
  $cwlang["queue"]["frequencyExample"] =   "90, 100"; 
  $cwlang["queue"]["holdtime"] =   "Tiempo Espera"; 
  $cwlang["queue"]["holdtimeExample"] =   "si, no"; 
  $cwlang["queue"]["joinEmpty"] =   "Unir si Vac&iacute;a"; 
  $cwlang["queue"]["joinEmptyExample"] =   "si, no"; 
  $cwlang["queue"]["extensionInfo"] =   "Escoja las extensiones que pertenecen a esta cola"; 
  $cwlang["queue"]["sidebarEditTitle"] =   "Agregar una cola"; 
  $cwlang["queue"]["sidebarEditText"] =   "<p>Es posible crear una cola de extensiones, de modo que los telefonos timbren juntos en una llamada entrante.</p>"; 


  //*************************************
  //translation for the OFFICE Section
  //*************************************
  $cwlang["dept"]["title"] =   "Oficinas"; 
  $cwlang["dept"]["newDept"] =   "Nueva Oficina"; 
  $cwlang["dept"]["sidebarTitle"] =   "Informaci&oacute;n"; 
  $cwlang["dept"]["sidebarText"] =   "Todas las oficinas disponibles a las cuales esta conectado su sistema"; 
  $cwlang["dept"]["alertDelGood"] =   "La oficina ha sido borrada exitosamente"; 
  $cwlang["dept"]["alertDelBad"] =   "La oficina no ha sido borrada"; 
  $cwlang["dept"]["alertModGood"] =   "La oficina ha sido modificada exitosamente"; 
  $cwlang["dept"]["alertModBad"] =   "La oficina no ha sido modificada"; 
  $cwlang["dept"]["modDeptTitle"] =   "Modificar Oficina"; 
  $cwlang["dept"]["newDeptTitle"] =   "Nueva Oficina"; 
  $cwlang["dept"]["return"] =   "Regresar sin grabar"; 
  $cwlang["dept"]["personalInfos"] =   "Informacion Personal"; 
  $cwlang["dept"]["personalInfosDesc"] =   "Ingrese toda la informaci&oacute;n necesaria"; 
  $cwlang["dept"]["name"] =   "Nombre"; 
  $cwlang["dept"]["hostname"] =   "Hostname"; 
  $cwlang["dept"]["hostnameHelp"] =   "Hostname o direcci&oacute;n IP, ej:. 122.12.13.14"; 
  $cwlang["dept"]["mask"] =   "Mascara"; 
  $cwlang["dept"]["maskHelp"] =   "Mascara de red, Ej:. 255.255.255.0"; 
  $cwlang["dept"]["username"] =   "Usuario"; 
  $cwlang["dept"]["usernameHelp"] =   "Nombre de usuario para ingresar al sistema remoto"; 
  $cwlang["dept"]["rsaKeyDesc"] =   "Digite o pegue aqui su llave p&uacute;blica RSA"; 
  $cwlang["dept"]["rsaKey"] =   "Llave RSA"; 
  $cwlang["dept"]["phoneNumberTitle"] =   "N&uacute;meros Telef&oacute;nicos"; 
  $cwlang["dept"]["phoneNumberDesc"] =   "N&uacute;meros Telef&oacute;nicos de Oficina"; 
  $cwlang["dept"]["phoneNumber"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["dept"]["phoneNumberAdded"] =   "N&uacute;mero Telef&oacute;nico agregados"; 
  $cwlang["dept"]["shortcut"] =   "Tecla de marcaci&oacute;n r&aacute;pida"; 
  $cwlang["dept"]["shortcutHelp"] =   "Agregue una tecla de marcaci&oacute;n r&aacute;pida, Ej: 3"; 
  $cwlang["dept"]["advancedOptionTitle"] =   "Opciones Avanzadas"; 
  $cwlang["dept"]["advancedOptionDesc"] =   "Seleccione esta casilla para entrar al panel de opciones avanzadas"; 
  $cwlang["dept"]["advancedOptionShow"] =   "Si, ingresa al panel de opciones avanzadas"; 
  $cwlang["dept"]["defaultIp"] =   "IP por defecto"; 
  $cwlang["dept"]["defaultIpHelp"] =   " Ingrese una direcci&oacute;n IP "; 
  $cwlang["dept"]["report"] =   "Reportes"; 
  $cwlang["dept"]["default"] =   "Valor por Defecto"; 
  $cwlang["dept"]["omit"] =   "Omitir"; 
  $cwlang["dept"]["Facturaci&oacute;n"] =   "Facturaci&oacute;n"; 
  $cwlang["dept"]["documentation"] =   "Documentaci&oacute;n"; 
  $cwlang["dept"]["canReinvite"] =   "Puede Reinivitar"; 
  $cwlang["dept"]["noDefault"] =   "No [por defecto]"; 
  $cwlang["dept"]["yes"] =   "Si"; 
  $cwlang["dept"]["canReinviteHelp"] =   "Puentea Asterisk si se coloca en SI"; 
  $cwlang["dept"]["dtmfMode"] =   "Modo DTMF"; 
  $cwlang["dept"]["dtmfModeHelp"] =   "C&oacute;mo enviar los tonos DTMF"; 
  $cwlang["dept"]["language"] =   "Idioma"; 
  $cwlang["dept"]["languageHelp"] =   "Defina el idioma para este cliente o dejelo en blanco para usar el valor por defecto"; 
  $cwlang["dept"]["mailbox"] =   "Buz&oacute;n"; 
  $cwlang["dept"]["mailboxDesc"] =   "Buz&oacute;n de mensajes"; 
  $cwlang["dept"]["nat"] =   "NAT"; 
  $cwlang["dept"]["denyIp"] =   "Direcciones IP prohibidas"; 
  $cwlang["dept"]["denyIpHelp"] =   "<strong>Sintaxis</strong>: IP/Mascara[,IP/Mascara[...]]"; 
  $cwlang["dept"]["allowIp"] =   "Direcciones IP permitidas"; 
  $cwlang["dept"]["allowIpHelp"] =   "<strong>Sintaxis</strong>: IP/Mascara[,IP/Mascara[...]]"; 
  $cwlang["dept"]["qualify"] =   "Qualify"; 
  $cwlang["dept"]["qualifyHelp"] =   "Monitorear el estado del cliente"; 
  $cwlang["dept"]["codecs"] =   "Codecs"; 
  $cwlang["dept"]["codecsAdd"] =   "Agregar codec -->"; 
  $cwlang["dept"]["sidebarEditTitle"] =   "Info"; 
  $cwlang["dept"]["sidebarEditText"] =   "<p>Una oficina consta de:</p><ol><li>Informaci&oacute;n General</li><li>Informaci&oacute;n de Cuena</li><li>N&uacute;meros Telef&oacute;nicos</li></ol><h2>C&oacute;mo agregar un nuevo n&uacute;mero telef&oacute;nico</h2><p>Escriba el n&uacute;mero telef&oacute;nico de la oficina en la casilla de texto y presione <b>+</b>.<br />            Seleccione un n&uacute;mero y entonces presione <b>X</b> para eliminarlo. <br /> Para editar un n&uacute;mero haga doble click en el y presione <b>edit</b>.<br /></p>"; 
  
  //*************************************
  //translation for the PROVIDER Section
  //*************************************
  $cwlang["provider"]["title"] =   "Proveedor"; 
  $cwlang["provider"]["newProvider"] =   "Nuevo Proveedor"; 
  $cwlang["provider"]["alertDelGood"] =   "Este recurso ha sido eliminado exitosamente"; 
  $cwlang["provider"]["alertDelBad"] =   "Este recurso no ha sido eliminado"; 
  $cwlang["provider"]["sidebarTitle"] =   "Informaci&oacute;n"; 
  $cwlang["provider"]["sidebarText"] =   "<p>Los recursos son proveedores utilizados para hacer llamadas.</p>".
                                          "          <p>Hay dos tipos de proveedores:".
                                          "            <ol>".
                                          "              <li>Proveedores VoIP</li>".
                                          "              <li>Proveedores RTPC</li>".
                                          "            </ol>".
                                          "          </p>"; 
  $cwlang["provider"]["alertDelGood"] =   "Este recurso ha sido editado exitosamente"; 
  $cwlang["provider"]["alertDelBad"] =   "Este recurso no ha sido editado"; 
  $cwlang["provider"]["modTitle"] =   "Editar Proveedor "; 
  $cwlang["provider"]["newTitle"] =   "Nuevo Proveedor"; 
  $cwlang["provider"]["return"] =   "Regresar sin grabar"; 
  $cwlang["provider"]["type"] =   "Tipo de proveedor"; 
  $cwlang["provider"]["typeDesc"] =   "Seleecione el tipo"; 
  $cwlang["provider"]["isdn"] =   "Proveedor RTPC"; 
  $cwlang["provider"]["sip"] =   "Proveedor VoIP"; 
  $cwlang["provider"]["sipTitle"] =   "Proveedor VoIP"; 
  $cwlang["provider"]["sipDesc"] =   "Info General"; 
  $cwlang["provider"]["sipName"] =   "Nombre"; 
  $cwlang["provider"]["sipNameHelp"] =   "Ingrese un identificador para este proveedor, Ej: FreeWorldDialup."; 
  $cwlang["provider"]["sipCode"] =   "Operador<br/>codigo"; 
  $cwlang["provider"]["sipCodeHelp"] =   "Selecci&oacute;n directa, Ej: <strong>99</strong> o <strong>3</strong>"; 
  $cwlang["provider"]["authTitle"] =   "Info Cuenta"; 
  $cwlang["provider"]["username"] =   "Usuario"; 
  $cwlang["provider"]["password"] =   "Clave"; 
  $cwlang["provider"]["ipAddress"] =   "Direcci&oacute;n IP"; 
  $cwlang["provider"]["port"] =   "Puerto"; 
  $cwlang["provider"]["mask"] =   "Mascara"; 
  $cwlang["provider"]["nat"] =   "NAT"; 
  $cwlang["provider"]["Yes"] =   "Si"; 
  $cwlang["provider"]["No"] =   "No"; 
  $cwlang["provider"]["isdnTitle"] =   "Proveedor RTPC"; 
  $cwlang["provider"]["isdnDesc"] =   "Informaci&oacute;n General"; 
  $cwlang["provider"]["isdnName"] =   "Nombre"; 
  $cwlang["provider"]["isdnNameHelp"] =   "Ingrese el nombre del proveedor, Ej: Telecom, Movistar, etc..."; 
  $cwlang["provider"]["isdnCode"] =   "Operador<br/>codigo"; 
  $cwlang["provider"]["isdnCodeHelp"] =   "Selecci&oacute;n directa, Ej: 1033"; 
  $cwlang["provider"]["editSidebarTitle"] =   "Agregue un recurso"; 
  $cwlang["provider"]["editSidebarDesc"] =   "<p>Para agregar un <strong>recurso</strong> ud debe seleccionar".
                          "          el tipo de proveedor.</p>".
                          "          <p>Un <strong>proveedor RDSI</strong> es Red Telefonica P&uacute;blica o RTPX ".
                          "          operador, ej: Telecom, ETB, Telef&oacute;nica.</p>".
                          "          <p>Un <strong>proveedor SIP</strong> es un Operador de VoIP.</p>"; 
  
  
  //*************************************
  //translation for the PHONE NUMBER Section
  //*************************************
  $cwlang["numb"]["title"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["numb"]["alertDelGood"] =   "El n&uacute;mero telef&oacute;nico ha sido borrado"; 
  $cwlang["numb"]["alertDelBad"] =   "El n&uacute;mero telef&oacute;nico no ha sido borrado"; 
  $cwlang["numb"]["newPhoneNumber"] =   "Nuevo n&uacute;mero telef&oacute;nico"; 
  $cwlang["numb"]["sidebarTitle"] =   "Informaci&oacute;n"; 
  $cwlang["numb"]["sidebarDesc"] =   "<p>A la izquierda puede encontrar la oficina a la que se puede comunicar directamente v&iacute;a via IAX</p>"; 
  $cwlang["numb"]["alertModGood"] =   "El n&uacute;mero telef&oacute;nico ha sido modificado"; 
  $cwlang["numb"]["alertModBad"] =   "El n&uacute;mero telef&oacute;nico no ha sido modificado"; 
  $cwlang["numb"]["return"] =   "Regresar sin grabar"; 
  $cwlang["numb"]["numbersTitle"] =   "N&uacute;meros Telef&oacute;nicos"; 
  $cwlang["numb"]["numbersHelp"] =   "Liste el n&uacute;mero telef&oacute;nico de la clase"; 
  $cwlang["numb"]["name"] =   "Nombre de Clase de N&uacute;mero"; 
  $cwlang["numb"]["nameHelp"] =   "Ej: Gratuito, Celular, etc..."; 
  $cwlang["numb"]["addNumber"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["numb"]["listNumber"] =   "N&uacute;mero Telef&oacute;nico agregado"; 
  $cwlang["numb"]["emergency"] =   "N&uacute;mero de Emergencia"; 
  $cwlang["numb"]["emergencyHelp"] =   "Escoja SI para darle la m&aacute;xima prioridad a este tipo de n&uacute;meros"; 
  $cwlang["numb"]["yes"] =   "Si"; 
  $cwlang["numb"]["no"] =   "No"; 
  $cwlang["numb"]["editSidebarTitle"] =   "Informaciones"; 
  $cwlang["numb"]["editSidebarDesc"] =   "<p>Un n&uacute;mero telef&oacute;nico puede ser especificado por una simple lista de d&iacute;gitos o por una expresi&oacute;n regular.</p>".
                                  "          <p>Estos son algunos s&iacute;mbolos de expresiones regulares:</p>".
                                  "          <ol>".
                                  "            <li>_ :inicio de una expresi&oacute;n regular</li>".
                                  "            <li>N :indica un n&uacute;mero entre 2 y 9</li>".
                                  "            <li>X :cualquier d&iacute;gito</li>".
                                  "            <li>[xxx] :d&iacute;gitos opcionales</li>".
                                  "          </ol>"; 
  

  //*************************************
  //translation for the GROUP Section
  //*************************************
  $cwlang["group"]["title"] =   "Grupos"; 
  $cwlang["group"]["alertDelGood"] =   "El grupo ha sido borrado"; 
  $cwlang["group"]["alertDelBad"] =   "El grupo no ha sido borrado"; 
  $cwlang["group"]["newGroup"] =   "Nuevo Grupo"; 
  $cwlang["group"]["sidebarTitle"] =   "Informaci&oacute;n"; 
  $cwlang["group"]["sidebarDesc"] =   "<p>Es necesario agrupar las entidades creadas (extensiones, oficinas, proveedores, colas)". 
                                      "<br />De esta manera usted podr&aacute; manejar m&aacute;s facilmente los permisos de las extensiones ".
                                      "</p>"; 
  $cwlang["group"]["extension"] =   "Extensiones"; 
  $cwlang["group"]["department"] =   "Oficinas"; 
  $cwlang["group"]["provider"] =   "Proveedores"; 
  $cwlang["group"]["phonenumber"] =   "N&uacute;mero"; 

  $cwlang["group"]["alertDelGood"] =   "El grupo ha sido modificado"; 
  $cwlang["group"]["alertDelBad"] =   "El grupo no ha sido modificado"; 
  $cwlang["group"]["modGroup"] =   "Modificar grupo"; 
  $cwlang["group"]["newGroup"] =   "Nuevo Grupo"; 
  $cwlang["group"]["return"] =   "Regresar sin grabar"; 
  $cwlang["group"]["type"] =   "Tipo de Grupo"; 
  $cwlang["group"]["typeDesc"] =   "Es obligatorio especificar el tipo de grupo antes de continuar"; 
  $cwlang["group"]["extensionGroup"] =   "Grupos de Extensiones"; 
  $cwlang["group"]["checkExtension"] =   "Escoja las extensiones que pertenecen a este grupo"; 
  $cwlang["group"]["name"] =   "Nombre"; 
  $cwlang["group"]["extensionNameHelp"] =   "Ej: Helpdesk, Administraci&oacute;n, etc..."; 
  $cwlang["group"]["checkExtension2"] =   "Para escojer las extensiones haga click sobre la casilla deseada"; 
  $cwlang["group"]["deptGroup"] =   "Grupos de Oficinas"; 
  $cwlang["group"]["checkDept"] =   "Escoja las oficinas que pertenecen a este grupo"; 
  $cwlang["group"]["deptNameHelp"] =   "Ej: Asia, Europe, Nacional, etc..."; 
  $cwlang["group"]["checkDept2"] =   "Para escojer las oficinas haga click sobre la casilla deseada"; 
  $cwlang["group"]["providerGroup"] =   "Grupos de Proveedores"; 
  $cwlang["group"]["checkProvider"] =   "Escoja los provedores que pertenecen a este grupo"; 
  $cwlang["group"]["providerNameHelp"] =   "Ej: Gratis, Pagado, etc..."; 
  $cwlang["group"]["checkProvider2"] =   "Para escojer los proveedores haga click sobre la casilla deseada"; 
  $cwlang["group"]["phoneNumberGroup"] =   "Grupo de N&uacute;meros Telef&oacute;nicos"; 
  $cwlang["group"]["checkPhoneNumber"] =   "Escoja los n&uacute;meros telef&oacute;nicos que pertenecen a este grupo"; 
  $cwlang["group"]["phoneNumberNameHelp"] =   "Ej: Gratuito, Internacional, etc..."; 
  $cwlang["group"]["checkPhoneNumber2"] =   "Para escojer el n&uacute;mero telef&oacute;nico haga click sobre la casilla deseada"; 
  $cwlang["group"]["editSidebar"] =   "Informaciones"; 
  $cwlang["group"]["editSidebarDesc"] =   ""; 
  $cwlang["group"]["chooseGroup"] =   "Escoja al menos un grupo"; 
  
  $cwlang["group"]["application"] = "Application";
  $cwlang["group"]["applicationGroup"] =   "Application groups"; 
  $cwlang["group"]["checkApplication"] =   "Choose the applications that belongs to this group"; 
  $cwlang["group"]["applicationNameHelp"] =   "I.e. Commercial, Internal, etc..."; 
  $cwlang["group"]["checkApplication2"] =   "To choose the applications, click on the desired checkbox"; 
  
  //*************************************
  //translation for the RIGHTS Section
  //*************************************
  $cwlang["right"]["title"] =   "Derechos"; 
  $cwlang["right"]["newRight"] =   "Nuevo derecho"; 
  $cwlang["right"]["sidebar"] =   "Informaciones"; 
  $cwlang["right"]["sidebarDesc"] =   "<p>Los derechos pueden dar los permisos de llamada a todas las entidades que residen en VoiceOne ".
                                      "</p>"; 
  $cwlang["right"]["alertDelGood"] =   "El derecho ha sido borrado"; 
  $cwlang["right"]["alertDelBad"] =   "El derecho no ha sido borrado"; 
  $cwlang["right"]["alertModGood"] =   "El derecho ha sido modificado"; 
  $cwlang["right"]["alertModBad"] =   "El derecho no ha sido modificado"; 
  $cwlang["right"]["modRight"] =   "Modificar derecho "; 
  $cwlang["right"]["return"] =   "Regresar sin grabar"; 
  $cwlang["right"]["groupList"] =   "Lista de Grupos y Aplicaciones"; 
  $cwlang["right"]["groupListDesc"] =   "Escoja el grupo y la aplicaci&oacute;n a la que se activa este derecho"; 
  $cwlang["right"]["name"] =   "Nombre"; 
  $cwlang["right"]["nameHelp"] =   "Ej: Llamadas entrantes, Colegas, etc..."; 
  $cwlang["right"]["checkGroup"] =   "Escoja los grupos que pieden ser llamados con estos derechos"; 
  $cwlang["right"]["checkApps"] =   "Escoja las aplicaciones que pueden ser habilitadas con estos derechos"; 
  $cwlang["right"]["action"] =   "Acciones"; 
  $cwlang["right"]["actionDesc"] =   "Escoja la acci&oacute;n a realizar cuando una llamada llegue a este contexto"; 
  $cwlang["right"]["editSidebar"] =   "Agregar derecho"; 
  $cwlang["right"]["editSidebarDesc"] =   "<p>Unas extensiones con un <strong>right</strong> espec&iacute;fico ".
                                    "pueden llamar a todas las extensiones, n&uacute;meros telef&oacute;nicos y proveedores que se seleccionen aqui.</p> ";
  $cwlang["right"]["chooseRight"] =   "El derecho especifica a que recurso puede llamar. Escoja por lo menos un derecho."; 
  
  //*************************************
  //translation for the IVR Section
  //*************************************
  $cwlang["ivr"]["title"] =   "IVR"; 
  $cwlang["ivr"]["apply"] =   "Aplicar"; 
  $cwlang["ivr"]["nodeDeleted"] =   "Nodo eliminado"; 
  $cwlang["ivr"]["nodeNotDeleted"] =   "Nodo no eliminado"; 
  $cwlang["ivr"]["created"] =   "IVR creado exitosamente"; 
  $cwlang["ivr"]["creating"] =   "Generaci&oacute;n de IVR en progreso..."; 
  $cwlang["ivr"]["chooseAction"] =   "Escoja una acci&oacute;n a realizar"; 
  $cwlang["ivr"]["newNode"] =   "Agregar un nuevo nodo"; 
  $cwlang["ivr"]["modNode"] =   "Editar este nodo"; 
  $cwlang["ivr"]["delNode"] =   "Remover este nodo"; 
  $cwlang["ivr"]["alertDelGood"] =   "El IVR ha sido eliminado"; 
  $cwlang["ivr"]["alertDelBad"] =   "El IVR no ha sido eliminado"; 
  $cwlang["ivr"]["alertNewGood"] =   "IVR creado exitosamente"; 
  $cwlang["ivr"]["alertNewBad"] =   "El IVR no ha sido creado"; 
  $cwlang["ivr"]["alertModGood"] =   "El nodo se ha modificado exitosamente"; 
  $cwlang["ivr"]["alertModBad"] =   "El nodo no ha sido modificado"; 
  $cwlang["ivr"]["chooseIvr"] =   "Escoja el IVR"; 
  $cwlang["ivr"]["titleDesc"] =   "Escoja un nodo a modificar del arbol a la derecha"; 
  $cwlang["ivr"]["newIvr"] =   "Crear un IVR nuevo"; 
  $cwlang["ivr"]["name"] =   "Nombre"; 
  $cwlang["ivr"]["newIvrButton"] =   "Crear IVR"; 
  $cwlang["ivr"]["replace"] =   "Reemplazar"; 
  $cwlang["ivr"]["currentPosition"] =   "En la posici&oacute;n actual"; 
  $cwlang["ivr"]["nodeDesc"] =   "Selecci&oacute;n de propiedades del nodo"; 
  $cwlang["ivr"]["name"] =   "Nombre"; 
  $cwlang["ivr"]["key"] =   "Llave"; 
  $cwlang["ivr"]["keyHelp"] =   "ingrese uno o m&aacute;s d&iacute;gitos, ej: 1, 99"; 
  $cwlang["ivr"]["audio"] =   "Audio"; 
  $cwlang["ivr"]["listen"] =   "Escuchar el archivo agregado"; 
  $cwlang["ivr"]["position"] =   "Posici&oacute;n"; 
  $cwlang["ivr"]["action"] =   "Acci&oacute;n"; 
  $cwlang["ivr"]["actionDesc"] =   "Escoja la acci&oacute;n que el IVR debe realizar en este punto"; 
  $cwlang["ivr"]["call"] =   "Llamar"; 
  $cwlang["ivr"]["enqueue"] =   "Enviar a cola"; 
  $cwlang["ivr"]["macro"] =   "Macro"; 
  $cwlang["ivr"]["goto"] =   "Ir A"; 
  $cwlang["ivr"]["timeout"] =   "Timeout"; 
  $cwlang["ivr"]["timeoutDesc"] =   "Escoja la acci&oacute;n que debe realizarse cuando se active el timeout."; 
  $cwlang["ivr"]["repeat"] =   "Repetir"; 
  $cwlang["ivr"]["repeatHelp"] =   "Si se escoge esta opci&oacute;n, el men&uacute; se repetir&aacute; "; 
  $cwlang["ivr"]["invalid"] =   "Elecci&oacute;n inv&aacute;lida"; 
  $cwlang["ivr"]["invalidHelp"] =   "Escoja la acci&oacute;n que debe realizarse cuando se escoja una opci&oacute;n inv&aacute;lida"; 


  //*************************************
  //translation for the TOOL Section
  //*************************************
  $cwlang["tool"]["alertGood"] =   "El archivo ha sido grabado exitosamente"; 
  $cwlang["tool"]["alertBad"] =   "El archivo no ha sido grabado"; 
  $cwlang["tool"]["title"] =   "Editor de Archivos de Configuraci&oacute;n"; 
  $cwlang["tool"]["sidebarTitle"] =   "Alto Riesgo!"; 
  $cwlang["tool"]["sidebarDesc"] =   "<p>".
          "Es muy peligroso modificar estos archivos. ".
          "Un mal uso puede dejar su sistema inutilizable. ".
          "</p>"; 

  //*************************************
  //translation for the LAN Section
  //*************************************
  $cwlang["lan"]["alertGood"] =   "Las opciones se han grabado exitosamente"; 
  $cwlang["lan"]["alertBad"] =   "Las opciones no han sido grabadas"; 
  $cwlang["lan"]["title"] =   "Configuraci&oacute;n Red LAN"; 
  $cwlang["lan"]["titleDesc"] =   "Defina los valores apropiados en la forma abajo."; 
  $cwlang["lan"]["warning"] =   "Advertencia: Ud debe diligenciar todos los campos de la forma! Verifique el script set_lan.sh antes de presionar el boton grabar."; 
  $cwlang["lan"]["sidebarTitle"] =   "Configuraci&oacute;n Red LAN"; 
  $cwlang["lan"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>"; 

  //*************************************
  //translation for the IAX Section
  //*************************************
  $cwlang["iax"]["alertGood"] =   "Las opciones se han grabado exitosamente"; 
  $cwlang["iax"]["alertBad"] =   "Las opciones no han sido grabadas"; 
  $cwlang["iax"]["title"] =   "Opciones IAX"; 
  $cwlang["iax"]["titleDesc"] =   "Defina los valores apropiados en la forma abajo. La selecci&oacute;n marcada corresponde a la opci&oacute;n comentada."; 
  $cwlang["iax"]["sidebarTitle"] =   "Qu&eacute; es IAX"; 
  $cwlang["iax"]["sidebarDesc"] =   "<p>IAX o Inter-Asterisk eXchange es el protocolo utilizado por Asterisk, un software de PBX de C&oacute;digo Abierto desarrollado inicialmente por Digium. Es utilizado para interconectar servidores Asterisk por VoIP, as&iacute; como para permitir la conexi&oacute;n de clientes que usen este protocolo.</p>".
          "<p>IAX2 es un protocolo bastante robusto y lleno de funcionalidades, mientras que al mismo tiempo es mas simple que la mayor&iacute;a de protocolos de VoIP. Es independiente de los codecs y el n&uacute;mero de flujos, lo que significa que puede utilizarse como transporte cirtualmente para cualquier tipo de dato. (Esta capacidad ser&aacute; util en la medida que los videotel&eacute;fonos e hacen mas comunes.)</p>";

  //*************************************
  //translation for the SIP Section
  //*************************************
  $cwlang["sip"]["alertGood"] =   "Las opciones se han grabado exitosamente"; 
  $cwlang["sip"]["alertBad"] =   "Las opciones no han sido grabadas"; 
  $cwlang["sip"]["title"] =   "Opciones SIP"; 
  $cwlang["sip"]["titleDesc"] =   "Defina los valores apropiados en la forma abajo. La selecci&oacute;n marcada corresponde a la opci&oacute;n comentada."; 
  $cwlang["sip"]["sidebarTitle"] =   "Qu&eacute; es SIP"; 
  $cwlang["sip"]["sidebarDesc"] =   "<p>SIP o Protocolo de Inicio de Sesi&oacute;n, es un protocolo de VoIP que permite operaciones telef&oacute;nicas tales como: marcar un n&uacute;mero, hacer que un tel&eacute;fono timbre, dar tono de ocupado y mas. Es el protocolo de VoIP mas difundido en la actualidad.</p>";

  //*************************************
  //translation for the ISDN Section
  //*************************************
  $cwlang["isdn"]["alertDelGood"] =   "La tarjeta ha sido removida"; 
  $cwlang["isdn"]["alertDelBad"] =   "La tarjeta no ha sido removida"; 
  $cwlang["isdn"]["alertAddGood"] =   "La tarjeta ha sido instalada"; 
  $cwlang["isdn"]["alertAddBad"] =   "La tarjeta no ha sido instalada"; 
  $cwlang["isdn"]["alertSaveGood"] =   "La configuraci&oacute;n del puerto se ha realizado correctamente"; 
  $cwlang["isdn"]["alertSaveBad"] =   "No se han grabado los cambios debido a errores"; 
  $cwlang["isdn"]["card"] =   "Tarjeta"; 
  $cwlang["isdn"]["port"] =   "Puerto"; 
  $cwlang["isdn"]["title"] =   "Tarjeta RDSI"; 
  $cwlang["isdn"]["save"] =   "Aplicar"; 
  $cwlang["isdn"]["newCard"] =   "Agregar una tarjeta"; 
  $cwlang["isdn"]["newCardDesc"] =   "Escoja una tarjeta a activar"; 
  $cwlang["isdn"]["install"] =   "Instalar"; 
  $cwlang["isdn"]["installalert"] = "WARNING: this operation will turn off pbx service! Continue?";
  $cwlang["isdn"]["delalert"] = "WARNING: this operation will turn off pbx service! Are you sure to remove the card?";
  $cwlang["isdn"]["sidebarTitle"] =   "Tarjeta instalada"; 
  $cwlang["isdn"]["sidebarDesc"] =   "<p>".
          "La Red de Digital de Servicios Integrados (RDSI o ISDN) es un tipo de sistema telef&oacute;nico diseñado para permitir la transmisi&oacute;n digital tanto de voz como de datos sobre cables ordinarios de cobre, resultando en mejor calidad y velocidades de transmisi&oacute;n mas altas que aquellas disponibles en los sistemas an&aacute;logos. Mas comunmente, RDSI es un conjunto de protocolos para establecer y desconectar conexiones que provee funcionalidades avanzadas de llamada al usuario.".
          "</p>";
  //menu
  $cwlang["isdn"]["isdnCard"] =   "Tarjeta RDSI"; 
  $cwlang["isdn"]["portGroup"] =   "Grupo de puertos"; 
  $cwlang["isdn"]["number"] =   "N&uacute;meros"; 
  $cwlang["isdn"]["isdnOption"] =   "Opciones RDSI"; 
  $cwlang["isdn"]["groupOption"] =   "Opciones de Grupo"; 
  //isdn group
  $cwlang["isdngrp"]["alertDelGood"] =   "El grupo ha sido borrado"; 
  $cwlang["isdngrp"]["alertDelBad"] =   "El grupo no ha sido borrado"; 
  $cwlang["isdngrp"]["title"] =   "Grupo de puertos"; 
  $cwlang["isdngrp"]["newGroup"] =   "Nuevo grupo"; 
  $cwlang["isdngrp"]["sidebarTitle"] =   "Grupo de puertos RDSI"; 
  $cwlang["isdngrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["isdngrp"]["alertModGood"] =   "El grupo ha sido modificado"; 
  $cwlang["isdngrp"]["alertModBad"] =   "El grupo no ha sido modificado"; 
  $cwlang["isdngrp"]["return"] =   "Regresar sin grabar"; 
  $cwlang["isdngrp"]["titleDesc"] =   "Informaci&oacute;n general del grupo de puertos"; 
  $cwlang["isdngrp"]["groupName"] =   "Nombre de Grupo"; 
  $cwlang["isdngrp"]["enableOutcomingCall"] =   "Activar llamadas salientes"; 
  $cwlang["isdngrp"]["enableOutcomingCallHelp"] =   "Especificar si el grupo puede realizar llamadas salientes. Ud puede digitar: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> para desactivar las llamadas salientes</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> para activar las llamadas salientes y especificar la prioridad (1 la mas alta, 100 la mas baja)</li> ".
                              "</ul>"; 
  $cwlang["isdngrp"]["listeningNumber"] =   "Escuchando n&uacute;meros telef&oacute;nicos"; 
  $cwlang["isdngrp"]["listeningNumberHelp"] =   "Escriba los n&uacute;meros telef&oacute;nicos que este grupo puede manejar"; 
  $cwlang["isdngrp"]["phoneNumber"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["isdngrp"]["phoneNumberAdded"] =   "Added phone number"; 
  $cwlang["isdngrp"]["ports"] =   "Ports"; 
  $cwlang["isdngrp"]["portsDesc"] =   "Choose the ports that belongs to this group"; 
  $cwlang["isdngrp"]["availablePorts"] =   "Puertos disponibles"; 
  $cwlang["isdngrp"]["groupPorts"] =   "Puertos agregados"; 
  $cwlang["isdngrp"]["option"] =   "Opciones"; 
  $cwlang["isdngrp"]["show"] =   "Mostrar"; 
  $cwlang["isdngrp"]["hide"] =   "Ocultar"; 
  $cwlang["isdngrp"]["optionDesc"] =   "Ud puede ver los valores por defecto. Puede modificar los valores de opciones y personalizar el comportamiento del grupo."; 
  //isdn option
  $cwlang["isdnOpt"]["alertModGood"] =   "Las opciones han sido grabadas"; 
  $cwlang["isdnOpt"]["alertModBad"] =   "Las opciones no han sido grabadas"; 
  $cwlang["isdnOpt"]["title"] =   "Opciones RDSI"; 
  $cwlang["isdnOpt"]["titleDesc"] =   "Ajuste los valores apropiados en la forma abajo"; 
  $cwlang["isdnOpt"]["sidebarTitle"] =   "Opciones"; 
  $cwlang["isdnOpt"]["sidebarDesc"] =   ""; 
  $cwlang["isdnOpt"]["isdnTitle"] =   "Opciones RDSI"; 
  $cwlang["isdnOpt"]["isdnTitleDesc"] =   "Ajuste los valores apropiados en la forma abajo"; 
  $cwlang["isdnOpt"]["sidebarIsdnTitle"] =   "Opciones mISDN"; 
  $cwlang["isdnOpt"]["sidebarIsdnDesc"] =   ""; 
  //isdn number
  $cwlang["isdnNumb"]["alertDelGood"] =   "El n&uacute;mero ha sido borrado"; 
  $cwlang["isdnNumb"]["alertDelBad"] =   "El n&uacute;mero no ha sido borrado"; 
  $cwlang["isdnNumb"]["alertModGood"] =   "La configuraci&oacute;n se ha grabado exitosamente"; 
  $cwlang["isdnNumb"]["alertModBad"] =   "La configuraci&oacute;n no ha sido grabada"; 
  $cwlang["isdnNumb"]["group"] =   "Grupo"; 
  $cwlang["isdnNumb"]["title"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["isdnNumb"]["save"] =   "Apicar"; 
  $cwlang["isdnNumb"]["sidebarTitle"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["isdnNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the USER Section
  //*************************************
  $cwlang["user"]["alertDelGood"] =   "El usuario ha sido borrado"; 
  $cwlang["user"]["alertDelBad"] =   "El usuario no ha sido borrado"; 
  $cwlang["user"]["title"] =   "Usuarios"; 
  $cwlang["user"]["newUser"] =   "Nuevo Usuario"; 
  $cwlang["user"]["sidebarTitle"] =   "Los usuarios"; 
  $cwlang["user"]["sidebarDesc"] =   "<p>".
       "     Desde esta p&aacute;gina se puede administrar el acceso a VoiceOne. Desde aqui podemos  ".
       "     crear, modificar y/o eliminar usuarios.  ".
       "   </p> ".
       "   <p> ".
       "     Hay tres clases de usuarios: ".
       "     <ul> ".
       "       <li><img src=\"$relBasePath/public/img/user_standard.gif\" alt=\"Usuario Est&aacute;ndar\" align=\"left\"/> El <strong>Usuario Est&aacute;ndar</strong>, puede acceser al panel de usuario unicamente ". 
       "       (Personal VoiceOne)</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_configurator.gif\" alt=\"Configurador User\" align=\"left\"/>El <strong>Configurador</strong>, puede accesar algunas secciones ". 
       "       del configurador de VoiceOne</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_superuser.gif\" alt=\"Super Usuario\" align=\"left\"/>El <strong>Super Usuario</strong>, tiene todos los permisos ".
       "       dentro del configurador de VoiceOne</li> ".
       "     </ul> ".
       "   </p> ".
       "   <p> ".
       "     Cada extensi&oacute;n tiene una cuenta de usuario estandar en VoiceOne. ". 
       "     Es posible sin embargo crear usuarios de VoiceOne que no tengan una extensi&oacute;n. ". 
       "     En ambos casos, el superusuario puede cambiar el tipo de usuario". 
       "     (standard, configurador, superuser).  ".
       "   </p>"; 

  $cwlang["user"]["alertModGood"] =   "El usuario ha sido modificado"; 
  $cwlang["user"]["alertModBad"] =   "El usuario no ha sido modificado"; 
  $cwlang["user"]["modUser"] =   "Modificar usuario"; 
  $cwlang["user"]["return"] =   "Regresar sin grabar"; 
  $cwlang["user"]["desc"] =   "Ingrese los datos de acceso. Si el usuario est&aacute; conectado a una extensi&oacute;n no es posible cambiar la informaci&oacute;n de acceso."; 
  $cwlang["user"]["username"] =   "Usuario"; 
  $cwlang["user"]["password"] =   "Clave"; 
  $cwlang["user"]["typeTitle"] =   "Tipo"; 
  $cwlang["user"]["typeDesc"] =   "Escoja el tipo de usuario que desea crear/modificar"; 
  $cwlang["user"]["type"] =   "Tipo"; 
  $cwlang["user"]["standard"] =   "Usuario Estandar"; 
  $cwlang["user"]["configurator"] =   "Configurador"; 
  $cwlang["user"]["superuser"] =   "SuperUsuario"; 
          
  //*************************************
  //translation for the I/O Section
  //*************************************
  $cwlang["io"]["shutingDown"] =   "Apagando..."; 
  $cwlang["io"]["rebooting"] =   "Reiniciando..."; 
  $cwlang["io"]["title"] =   "Reiniciar/Apagar"; 
  $cwlang["io"]["reboot"] =   "Reiniciar"; 
  $cwlang["io"]["shutDown"] =   "Apagar"; 
  $cwlang["io"]["sidebarTitle"] =   "Advertencia"; 
  $cwlang["io"]["sidebarDesc"] =   "<p>la PBX ser&aacute; reinciada/apagada</p>"; 
          
  //*************************************
  //translation for the SETUP Section
  //*************************************
  $cwlang["setup"]["installPermission"] =   "Antes de proceder, otorge permisos de ejecuci&oacute;n a"; 
  $cwlang["setup"]["title"] =   "Instalaci&oacute;n de VoiceOne"; 
  $cwlang["setup"]["subTitle"] =   "La instalaci&oacute;n "; 
  $cwlang["setup"]["firstStep"] =   "Configuraci&oacute;n del Sistema (1/2)"; 
  $cwlang["setup"]["keyGeneration"] =   "Generar llaves RSA?"; 
  $cwlang["setup"]["finished"] =   "Listo! Por favor remueva el archivo setup.php"; 
  $cwlang["setup"]["secondStep"] =   "Creaci&oacute;n de Cuenta (2/2)"; 
  $cwlang["setup"]["username"] =   "Usuario"; 
  $cwlang["setup"]["password"] =   "Clave"; 

  //****************************
  //translation for the plugin Section
  //****************************
  //Section - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["titleMain"] =   "Informaci&oacute;n de Plugins";
  // use heredoc syntax to make life easier
  $cwlang["plugins"]["blockintroMain"] = <<<EOD
  <h1>Est&aacute;n disponibles las siguientes opciones para el sistema de plugins<h1>
  <h2>Administrar Plugins existentes:</h2>
  <ul>
    <li>Activar/ Desactivar un plugin</li>
    <li>Eliminar un Plugin</li>
    <li>Exportar un Plugin via Descarga</li>
    <li>Importar un Plugin via Carga</li>
    <li>Obtener informaci&oacute;n sobre un plugin</li>
  </ul>
  <h2>Crear nuevos plugins:</h2>
  <ul>
    <li>Crear plugin desde cero</li>
    <li>Crear plugin a partir de uno existente</li>
  </ul>
EOD;
  
  $cwlang["plugins"]["titleManage"] =  "Administrar Plugins";
  $cwlang["plugins"]["blockintroManage"] =  "Estos son los plugins disponibles. Ud puede activar, desactivar, exportar o eliminar cada uno de ellos.";
  $cwlang["plugins"]["titleCreate"] =  "Crear Plugin";
  // Sidebar - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["sidebarTitleMain"] =  "Informaci&oacute;n";
  $cwlang["plugins"]["sidebarTextMain"] =  <<<EOD
  <p>Los plugins permiten extender la funcionalidad de Voiceone.<p>
  <p>Un plugin es un grupo de objetos VoiceOne tales como aplicaciones, macros, colas y similares.</p>
  <p>Algunos objetos requieren de otros para funcionar. Por ejemplo, el 'grabador de audio' (audiorecorder) requiere del macro 'audiorecorder'.</p>
  <p>El sistema de plugins permite importar, exportar y crear plugins.<p>
  <h5>REPOSITORIO</h5>
  <p><img src="$relBasePath/public/img/package_add.gif" /> <a href="http://www.voiceone.it/download/plugin/" target="_blank" >Buscar en nuestro repositorio p&uacute;blico</a> los plugins listos para usar.</p>
EOD;
  $cwlang["plugins"]["sidebarTitleManage"] =  "Informaci&oacute;n";
  $cwlang["plugins"]["sidebarTextManage"] =  <<<EOD
  <h2>Est&aacute;n disponibles las siguientes opciones:<h2>
  <ul>
    <li>Activar/ Desactivar un plugin</li>
    <li>Eliminar un Plugin</li>
    <li>Exportar un Plugin via Descarga</li>
    <li>Importar un Plugin via Carga</li>
    <li>Obtener informaci&oacute;n sobre un plugin</li>
  </ul>
  <h1>Nota:</h1>
  <p>No olvide ajustar las Marcaciones R&aacute;pidas (Speeddials) cuando importe aplicaciones</p>
EOD;
  $cwlang["plugins"]["sidebarTitleCreate"] =  "Informaci&oacute;n";
  $cwlang["plugins"]["sidebarTextCreate"] =  "Coloque informaci&oacute;n com&uacute;n del plugin en la primera p&aacute;gina. Seleccione todos los objetos que deben formar parte del nuevo plugin en la segunda p&aacute;gina.";
  
  // Tableheadings for section Manage
  $cwlang["plugins"]["headingAction"] =   "Acci&oacute;n";
  $cwlang["plugins"]["headingName"] =   "Nombre";
  $cwlang["plugins"]["headingVersion"] =   "Versi&oacute;n";
  $cwlang["plugins"]["headingAuthor"] =   "Autor";
  $cwlang["plugins"]["headingDescription"] =   "Descripci&oacute;n";
  $cwlang["plugins"]["headingState"] =   "Estado";
  // Messages
  $cwlang["plugins"]["pluginUploaded"] =   "Plugin cargado exitosamente"; 
  $cwlang["plugins"]["pluginNotUploaded"] =   "Plugin no cargado"; 
  $cwlang["plugins"]["pluginDeleted"] =   "Plugin eliminado exitosamente"; 
  $cwlang["plugins"]["pluginNotDeleted"] =   "Plugin no eliminado"; 
  
  // these section is not used 
  $cwlang["plugins"]["pluginInstalled"] =   "Plugin instalado exitosamente";
  $cwlang["plugins"]["pluginNotInstalled"] =   "Plugin no instalado";
  $cwlang["plugins"]["pluginUpgraded"] =   "Plugin actualizado";
  $cwlang["plugins"]["pluginNotUpgraded"] =   "Plugin no actualizado";
  
  $cwlang["plugins"]["pluginActivated"] =   "Plugin activado exitosamente";
  $cwlang["plugins"]["pluginNotActivated"] =   "Plugin no activado";
  $cwlang["plugins"]["pluginDeactivated"] =   "Plugin desactivado exitosamente";
  $cwlang["plugins"]["pluginNotDeactivated"] =   "Plugin no desactivado";
  
  $cwlang["plugins"]["selectOptionfromLists"] =   "Por favor seleccione una opci&oacute;n de una de las listas";
  // Menu sidebar
  $cwlang["plugins"]["importPlugin"] =   "Importar un plugin";
  $cwlang["plugins"]["exportPlugin"] =   "Exportar un plugin";
  // Options
  $cwlang["plugins"]["pluginBaseEmpty"] =   "-Iniciar con Espacio de Trabajo vaci&oacute;-";
  
  
  //*************************************
  //translation for the Application - Audiorecorder Section
  //*************************************
  $cwlang["audiorecorder"]["selectAudiofile"] = "Seleccione un archivo de audio";
  $cwlang["audiorecorder"]["recordAudiofile"] = "o grabe AHORA un nuevo archivo de audio";
  $cwlang["audiorecorder"]["promptFilename"] = "Ingrese el nombre de archivo:";
  $cwlang["audiorecorder"]["cannotDeleteAudiofile"] = "No se puede eliminar el archivo de audio";
  $cwlang["audiorecorder"]["audiofileUsedInIVR"] = "Archivo de audio est&aacute; siendo usado en un men&uacute; IVR";
  $cwlang["audiorecorder"]["genericError"] = "Ocurri&oacute; un error mientras se usaba la aplicaci&oacute;n de grabaci&oacute;n de audio"; 

  //*************************************
  //translation for the Zatapa Section
  //*************************************
  $cwlang["zapata"]["alertDelGood"] =   "La tarjeta ha sido removida"; 
  $cwlang["zapata"]["alertDelBad"] =   "La tarjeta no ha sido removida"; 
  $cwlang["zapata"]["alertAddGood"] =   "La tarjeta ha sido instalada"; 
  $cwlang["zapata"]["alertAddBad"] =   "La tarjeta no ha sido instalada"; 
  $cwlang["zapata"]["alertSaveGood"] =   "La configuraci&oacute;n del puerto se ha realizado correctamente"; 
  $cwlang["zapata"]["alertSaveBad"] =   "La grabaci&oacute;n no se ha realizado debido a errores"; 
  $cwlang["zapata"]["card"] =   "Tarjeta"; 
  $cwlang["zapata"]["port"] =   "Puerto"; 
  $cwlang["zapata"]["title"] =   "Tarjeta Interfaz Zapata"; 
  $cwlang["zapata"]["save"] =   "Grabar"; 
  $cwlang["zapata"]["newCard"] =   "Agregar una Tarjeta"; 
  $cwlang["zapata"]["newCardDesc"] =   "Escoja una tarjeta a activar"; 
  $cwlang["zapata"]["install"] =   "Instalar Tarjeta"; 
  $cwlang["zapata"]["installalert"] = "WARNING: this operation will turn off PBX service! Continue?";
  $cwlang["zapata"]["delalert"] = "WARNING: this operation will turn off PBX service! Are you sure to remove the card?";
  $cwlang["zapata"]["sidebarTitle"] =   "Tarjeta Zapata Instalada"; 
  $cwlang["zapata"]["sidebarDesc"] =   "<p>".
          "<B>Configuraci&oacute;n Zaptel:</b><br>span=numspan,timming,LBO,framing,codificaci&oacute;n<br>" .
          "b>timing</b><br>'0' significa reloj interno<br>'1' obtenido de este span<br> '2' obtenido de este span si aquel con reloj=1 est&aacute; abajo<br>\n" .
          "<b>LBO</b><br>0:0 db(CSU)/0-133 pies (DSX-1)<br>\n" .
          "1:133-226 pies (DSX-1)<br>\n" .
          "2:266-399 pies (DSX-1)<br>\n" .
          "3:399-533 pies (DSX-1)<br>\n" .
          "4:533-655 pies (DSX-1)<br>\n" .
          "5:-7.5db (CSU)<br>\n" .
          "6:-15db (CSU)<br>\n" .
          "7:-22.5db (CSU)<br>\n" .
          "<b>TIPO LINEA: FXO/FXS</b><br>\n" .
          "fxsls:FXS(Loop Start)<br>\n" .
          "fxsgs:FXS(Ground Start)<br>\n" .
          "fxsks:FXS(Kewl Start)<br>\n" .
          "fxols:FXO(Loop Start)<br>\n" .
          "fxoga:FXO(Ground Start)<br>\n" .
          "fxoks:FXO(Kewl Start)<br>\n" .
          "<b>#Nota</b>: Una alarma amarilla indicar&aacute; que los canales del PRI no est&aacute;n abiertos.(ejemplo: cuando zaptel est&aacute; cargado pero asterisk no est&aacute; ejecutandose. El PRI remoto no ver&aacute; ningun canal abierto y no enviar&aacute; llamadas a estos canales..)       \n" .
          "</p>";
  //menu
  $cwlang["zapata"]["zapataCard"] =   "Tarjeta Zapata"; 
  $cwlang["zapata"]["portGroup"] =   "Grupo de Puertos"; 
  $cwlang["zapata"]["number"] =   "Numeros"; 
  $cwlang["zapata"]["zapataOption"] =   "Opciones de Grupo"; 

  //zapata group
  $cwlang["zapatagrp"]["alertDelGood"] =   "El grupo ha sido borrado"; 
  $cwlang["zapatagrp"]["alertDelBad"] =   "El grupo no ha sido borrado"; 
  $cwlang["zapatagrp"]["title"] =   "Grupo de Puertos"; 
  $cwlang["zapatagrp"]["newGroup"] =   "Nuevo grupo"; 
  $cwlang["zapatagrp"]["sidebarTitle"] =   "Grupo de puertos Zapata"; 
  $cwlang["zapatagrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["zapatagrp"]["alertModGood"] =   "El grupo ha sido modificado"; 
  $cwlang["zapatagrp"]["alertModBad"] =   "El grupo no ha sido modificado"; 
  $cwlang["zapatagrp"]["return"] =   "Regresar sin grabar"; 
  $cwlang["zapatagrp"]["titleDesc"] =   "Informaci&oacute;n general de grupo de puertos"; 
  $cwlang["zapatagrp"]["groupName"] =   "Nombre Grupo"; 
  $cwlang["zapatagrp"]["enableOutcomingCall"] =   "Activar llamadas salientes"; 
  $cwlang["zapatagrp"]["enableOutcomingCallHelp"] =   "Especificar si el grupo puede realizar llamadas salientes. Ud puede digitar: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> para desactivar las llamadas salientes</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> para activar las llamadas salientes y especificar la prioridad (1 la mas alta, 100 la mas baja)</li> ".
                              "</ul>"; 
  $cwlang["zapatagrp"]["listeningNumber"] =   "Escuchando n&uacute;meros telef&oacute;nicos"; 
  $cwlang["zapatagrp"]["listeningNumberHelp"] =   "Escriba los n&uacute;meros telef&oacute;nicos que puede manejar este grupo"; 
  $cwlang["zapatagrp"]["phoneNumber"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["zapatagrp"]["phoneNumberAdded"] =   "N&uacute;mero Telef&oacute;nico agregado";
  $cwlang["zapatagrp"]["ports"] =   "Puertos"; 
  $cwlang["zapatagrp"]["portsDesc"] =   "Escoja los puertos que pertenezcan a este grupo"; 
  $cwlang["zapatagrp"]["availablePorts"] =   "Puertos disponibles"; 
  $cwlang["zapatagrp"]["groupPorts"] =   "Puertos agregados"; 
  $cwlang["zapatagrp"]["option"] =   "Opciones"; 
  $cwlang["zapatagrp"]["show"] =   "Mostrar"; 
  $cwlang["zapatagrp"]["hide"] =   "Ocultar"; 
  $cwlang["zapatagrp"]["optionDesc"] =   "Ud puede ver los valores por defecto. Puede modificar los valores de opciones y personalizar el comportamiento del grupo."; 
  //zapata option
  $cwlang["zapataOpt"]["alertModGood"] =   "Las opciones han sido grabadas"; 
  $cwlang["zapataOpt"]["alertModBad"] =   "Las opciones no han sido grabadas"; 
  $cwlang["zapataOpt"]["title"] =   "Opciones Zapata"; 
  $cwlang["zapataOpt"]["titleDesc"] =   "Defina los valores correctos en la forma abajo."; 
  $cwlang["zapataOpt"]["sidebarTitle"] =   "Opciones"; 
  $cwlang["zapataOpt"]["sidebarDesc"] =   ""; 
  $cwlang["zapataOpt"]["zapataTitle"] =   "Opciones Zapata"; 
  $cwlang["zapataOpt"]["zapataTitleDesc"] =   "Defina los valores correctos en la forma abajo."; 
  $cwlang["zapataOpt"]["sidebarIsdnTitle"] =   "Opciones Zapata"; 
  $cwlang["zapataOpt"]["sidebarIsdnDesc"] =   ""; 
  //zapata number
  $cwlang["zapataNumb"]["alertDelGood"] =   "El n&uacute;mero ha sido borrado"; 
  $cwlang["zapataNumb"]["alertDelBad"] =   "El n&uacute;mero no ha sido borrado"; 
  $cwlang["zapataNumb"]["alertModGood"] =   "La configuraci&oacute;n se ha grabado exitosamente"; 
  $cwlang["zapataNumb"]["alertModBad"] =   "La configuraci&oacute;n no ha sido grabada"; 
  $cwlang["zapataNumb"]["group"] =   "Grupo"; 
  $cwlang["zapataNumb"]["title"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["zapataNumb"]["save"] =   "Aplicar"; 
  $cwlang["zapataNumb"]["sidebarTitle"] =   "N&uacute;mero Telef&oacute;nico"; 
  $cwlang["zapataNumb"]["sidebarDesc"] =   ""; 

  
?>