<?
/**
 * VoiceOne Language File russian
 *
 * @package voiceone
 * @subpackage  language
 */
 
  global $cwlang, $relBasePath;
  
  //****************************
  // GENERIC translation   
  //****************************
  $cwlang["generic"]["working"]="Добавление в процессе...";
  $cwlang["generic"]["deleting"]="Удаление в процессе...";
  $cwlang["generic"]["loading"]="Загрузка в процессе...";
  

  //****************************
  //translation for the template
  //****************************
  $cwlang["template"]["loginTitle"]="Авторизация";
  $cwlang["template"]["loginInfo"]="Информация";
  $cwlang["template"]["loginDescription"]="Для входа в панель управления VoiceOne, введите имя пользователя и пароль";
  $cwlang["template"]["loginRememberMe"]="Запомнить";
  $cwlang["template"]["loginTerms"]="Порядок использования";
  $cwlang["template"]["persWelcome"]="Добро пожаловать";
  $cwlang["template"]["persLogOff"]="Выйти";
  $cwlang["template"]["confReturnToPersonal"]="Вернуться в личный раздел VoiceOne";
  
  //****************************
  //translation for the Menu
  //****************************
  $cwlang["menu"]["overview"] =     "Обзор";
  $cwlang["menu"]["extension"] =    "Добавочные номера";
  $cwlang["menu"]["queue"] =        "Группы";
  $cwlang["menu"]["office"] =       "Офисы";
  $cwlang["menu"]["provider"] =     "Провайдеры";
  $cwlang["menu"]["number"] =       "Номера";
  $cwlang["menu"]["group"] =        "Группы";
  $cwlang["menu"]["ivr"] =          "Интерактивный Ответ";
  $cwlang["menu"]["io"] =           "Сервис";
  $cwlang["menu"]["user"] =         "Пользователи";
  $cwlang["menu"]["isdn"] =         "ISDN";
  $cwlang["menu"]["sip"] =          "SIP";
  $cwlang["menu"]["iax"] =          "IAX";
  $cwlang["menu"]["lan"] =          "LAN";
  $cwlang["menu"]["editor"] =       "Редактор";
  $cwlang["menu"]["zapata"] =       "Zapata";

  $cwlang["menu"]["phonebook"] =    "Телефонная Книга";
  $cwlang["menu"]["phone"] =        "Телефон";
  $cwlang["menu"]["history"] =      "Детализация звонков";
  $cwlang["menu"]["voicemail"] =    "Голосовая Почта";
  $cwlang["menu"]["transfer"] =     "Переключение";
  $cwlang["menu"]["configurator"] = "Конфигурация";
  $cwlang["menu"]["customization"] ="Настройки";
  $cwlang["menu"]["account"] =      "Учетная Запись";

  //****************************************************************************
  //***********************       VOICEONE PERSONAL         ********************
  //****************************************************************************

  //****************************
  //translation for the PhoneBook Section
  //****************************
  $cwlang["phonebook"]["title"] =   "Пользователи";
  $cwlang["phonebook"]["name"] =   "Имя";
  $cwlang["phonebook"]["status"] =   "Состояние";
  $cwlang["phonebook"]["personal"] =   "Телефонная книга";
  $cwlang["phonebook"]["description"] =   "Список зарегистрированных пользователей и их состояние";
  $cwlang["phonebook"]["information"] =   "Справка";
  $cwlang["phonebook"]["sidebarText"] =   "Слева приведен список всех зарегистрированных пользоватей. "
                                         ."Для каждого из них отображается текущее состояние. Возможные варианты: "
                                         ."<ul><li><img src=\"admin/public/img/online.gif\" /> <strong>Online</strong>: Пользователь подключен</li>"
                                         ."<li><img src=\"admin/public/img/offline.gif\" /> <strong>Offline</strong>: Пользователь отключен</li>"
                                         ."<li><img src=\"admin/public/img/unknown.gif\" /> <strong>Unknown</strong>: Состояние пользователя неизвестно</li></ul>";
  
  //****************************
  //translation for the history call  Section
  //****************************
  $cwlang["calls"]["title"] =   "Детализация звонков";
  $cwlang["calls"]["title2"] =   "Раздел в процессе создания";
  $cwlang["calls"]["workinprogress"] =   "Раздел <strong>недоступен</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";
   
  //****************************
  //translation for the VoiceMail Section
  //****************************
  $cwlang["voicemail"]["title"] =   "Голосовая почта";
  $cwlang["voicemail"]["title2"] =   "Раздел в процессе создания";
  $cwlang["voicemail"]["workinprogress"] =   "Раздел <strong>недоступен</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";
   
  //****************************
  //translation for the Call Transfers Section
  //****************************
  $cwlang["transfer"]["title"] =   "Переключение вызовов";
  $cwlang["transfer"]["title2"] =   "Раздел в процессе создания";
  $cwlang["transfer"]["workinprogress"] =   "Раздел <strong>недоступен</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";
   
  //****************************
  //translation for the Account Section
  //****************************
  $cwlang["account"]["title"] =   "Учетная запись";
  $cwlang["account"]["title2"] =   "Раздел в процессе создания";
  $cwlang["account"]["workinprogress"] =   "Раздел <strong>недоступен</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";
   
  //****************************
  //translation for the Account Section
  //****************************
  $cwlang["account"]["title"] =   "Учетная запись";
  $cwlang["account"]["title2"] =   "Раздел в процессе создания";
  $cwlang["account"]["workinprogress"] =   "Раздел <strong>недоступен</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";
   
  //****************************
  //translation for the CustomizationSection
  //****************************
  $cwlang["customization"]["title"] =   "Настройки";
  $cwlang["customization"]["title2"] =   "Раздел в процессе создания";
  $cwlang["customization"]["workinprogress"] =   "Раздел <strong>недоступен</strong>. If you're interested, you can collaborate with us for the development of these pages. Visit the <a href=\"http://www.voiceone.it\" target=\"_blank\">VoiceOne</a> website for more information";






  //****************************************************************************
  //***********************       VOICEONE CONFIGURATOR     ********************
  //****************************************************************************

  //*************************************
  //translation for the Overview Section
  //*************************************
  $cwlang["overview"]["title"] =   "Конфигурация VoiceOne - Обзор"; 
  $cwlang["overview"]["publickey"] =   "Публичный ключ"; 
  $cwlang["overview"]["firststep"] =   "Первые шаги"; 
  $cwlang["overview"]["firststepDesc"] =    
            "    Для начала работы необходимо настроить следующее:\n"
           ."    \n" 
           ."    <ul>\n" 
           ."      <li>1. Локальную сеть (LAN) (внимение: сохранение настроек приведет к перезагрузке компьютера)</li>\n" 
           ."      <li>2. Сконфигурировать карту ISDN</li>\n" 
           ."      <li>3. Создать добавочные линии, очереди, офисы</li>\n" 
           ."      <li>4. Right check</li>\n" 
           ."    </ul>\n" ;
  $cwlang["overview"]["configuration"] =   "Настройка системы";
  $cwlang["overview"]["configurationDesc"] =   "В данном разделе возможно изменить все параметры системы. Будьте внимательны и проверяйте все дважды чтобы не получить неожиданный результат.";
   
  //*************************************
  //translation for the Extension Section
  //*************************************
  $cwlang["exten"]["title"] =   "Добавочные номера"; 
  $cwlang["exten"]["newExten"] =   "Новый добавочный номер"; 
  $cwlang["exten"]["information"] =   "Список"; 
   
  //edit 
  $cwlang["exten"]["return"] =   "Вернуться без сохранения"; 
  $cwlang["exten"]["personalinfo"] =   "Личная информация"; 
  $cwlang["exten"]["name"] =   "Имя"; 
  $cwlang["exten"]["surname"] =   "Фамилия"; 
  $cwlang["exten"]["email"] =   "Email"; 
  $cwlang["exten"]["authdata"] =   "Учетная запись"; 
  $cwlang["exten"]["exten"] =   "Добавочный номер"; 
  $cwlang["exten"]["language"] =   "Язык";
  $cwlang["exten"]["password"] =   "Пароль";
  $cwlang["exten"]["alias"] =   "Имя"; 
  $cwlang["exten"]["advancedOption"] =   "Дополнительные параметры"; 
  $cwlang["exten"]["advancedOptionDesc"] =   "Установите флажок для отображения параметров"; 
  $cwlang["exten"]["advancedOptionYes"] =   "Да, отобразить панель дополнительных параметров"; 
  $cwlang["exten"]["protocol"] =   "Протокол"; 
  $cwlang["exten"]["host"] =   "Хост"; 
  $cwlang["exten"]["dynip"] =   "Динамический ip [по умолчанию]"; 
  $cwlang["exten"]["hostname"] =   "Название хоста"; 
  $cwlang["exten"]["ipmask"] =   "IP masc"; 
  $cwlang["exten"]["defaultip"] =   "IP по умолчанию"; 
  $cwlang["exten"]["defaultipDesc"] =   "Укажите адрес IP, который необходимо испольовать при отсутствии другого"; 
  $cwlang["exten"]["report"] =   "Отчет"; 
  $cwlang["exten"]["default"] =   "По умолчанию"; 
  $cwlang["exten"]["ommit"] =   "Пропускать"; 
  $cwlang["exten"]["billing"] =   "Тарификация"; 
  $cwlang["exten"]["documentation"] =   "Документация"; 
  $cwlang["exten"]["canReinvite"] =   "Может перепреглашать?"; 
  $cwlang["exten"]["no"] =   "Нет"; 
  $cwlang["exten"]["yes"] =   "Да"; 
  $cwlang["exten"]["canReinviteDesc"] =   "Установка флажка позволит устанавливать прямые соединения между клиентами, в обход Asterisk."; 
  $cwlang["exten"]["dtmfMode"] =   "Режим DTMF"; 
  $cwlang["exten"]["dtmfModeDesc"] =   "Выберите модулирование сигналов DTML"; 
  $cwlang["exten"]["lang"] =   "Язык"; 
  $cwlang["exten"]["langDesc"] =   "Укажите язык клиента. Пустое - язык по умолчанию."; 
  $cwlang["exten"]["nat"] =   "NAT"; 
  $cwlang["exten"]["yesNAT"] =   "Да, клиент за NAT"; 
  $cwlang["exten"]["deniedIP"] =   "Блокируемые IP"; 
  $cwlang["exten"]["deniedIPDesc"] =   "<strong>Синтаксис</strong>: Ip/Mask[,Ip/Mask[...]]"; 
  $cwlang["exten"]["allowedIP"] =   "Разрешенные IP"; 
  $cwlang["exten"]["allowedIPDesc"] =   "<strong>Синтаксис</strong>: Ip/Mask[,Ip/Mask[...]]"; 
  $cwlang["exten"]["qualify"] =   "Проверять"; 
  $cwlang["exten"]["qualifyDesc"] =   "Установка флажка позволяет Asterisk проверять регистрацию клиента"; 
  $cwlang["exten"]["codecs"] =   "Кодеки"; 
  $cwlang["exten"]["codecsAdd"] =   "Добавить кодек -->"; 
  
  $cwlang["exten"]["otherExten"] =   "Прочие добавочные номера"; 
  $cwlang["exten"]["otherExtenDesc"] =   "Для просмотра добавочного номера щелкните по нему:"; 

  //*************************************
  //translation for the QUEUE Section
  //*************************************
  $cwlang["queue"]["title"] =   "Группы"; 
  $cwlang["queue"]["newQueue"] =   "Добавить группу"; 
  $cwlang["queue"]["modifyQueue"] =   "Изменить группу ";  //it will append the queue name 
  $cwlang["queue"]["titleSidebar"] =   "Группы вызова"; 
  $cwlang["queue"]["textSidebar"] =   "Раздел предназначен для создания списков добавочных номеров, которые будут звонить при входящем вызове."; 
  $cwlang["queue"]["alertDelGood"] =   "Группа удалена"; 
  $cwlang["queue"]["alertDelBad"] =   "Группа не была удалена"; 
  $cwlang["queue"]["alertModGood"] =   "Группа изменена"; 
  $cwlang["queue"]["alertModBad"] =   "Группа не была изменена"; 
  $cwlang["queue"]["titleForm"] =   "Группа"; 
  $cwlang["queue"]["textForm"] =   "Укажите параметры группы и выберите добавочные номера, входящие в нее"; 
  $cwlang["queue"]["name"] =   "Название"; 
  $cwlang["queue"]["nameExample"] =   "Например, администраторы, тех. поддержка, ..."; 
  $cwlang["queue"]["strategy"] =   "Правило"; 
  $cwlang["queue"]["strategyExample"] =   "Возможные значения: ringall, none, etc.."; 
  $cwlang["queue"]["melody"] =   "Мелодия"; 
  $cwlang["queue"]["melodyExample"] =   "default, etc..."; 
  $cwlang["queue"]["frequency"] =   "Частота"; 
  $cwlang["queue"]["frequencyExample"] =   "90, 100"; 
  $cwlang["queue"]["holdtime"] =   "Время удержания"; 
  $cwlang["queue"]["holdtimeExample"] =   "yes, no"; 
  $cwlang["queue"]["joinEmpty"] =   "Вступать в пустую"; 
  $cwlang["queue"]["joinEmptyExample"] =   "yes, no"; 
  $cwlang["queue"]["extensionInfo"] =   "Укажите добавочные номера, относящиеся к группе"; 
  $cwlang["queue"]["sidebarEditTitle"] =   "Добавить группу"; 
  $cwlang["queue"]["sidebarEditText"] =   "<p>Раздел предназначен для создания списков добавочных номеров, которые будут звонить при входящем вызове.</p>"; 


  //*************************************
  //translation for the OFFICE Section
  //*************************************
  $cwlang["dept"]["title"] =   "Офисы"; 
  $cwlang["dept"]["newDept"] =   "Добавить офис"; 
  $cwlang["dept"]["sidebarTitle"] =   "Справка"; 
  $cwlang["dept"]["sidebarText"] =   "Все офисы, в которых подключен VoiceOne."; 
  $cwlang["dept"]["alertDelGood"] =   "Офис удален"; 
  $cwlang["dept"]["alertDelBad"] =   "Офис не был удален"; 
  $cwlang["dept"]["alertModGood"] =   "Офис был изменен"; 
  $cwlang["dept"]["alertModBad"] =   "Oфис не был изменен"; 
  $cwlang["dept"]["modDeptTitle"] =   "Изменить офис"; 
  $cwlang["dept"]["newDeptTitle"] =   "Добавить офис"; 
  $cwlang["dept"]["return"] =   "Вернуться без сохранения"; 
  $cwlang["dept"]["personalInfos"] =   "Личная информация"; 
  $cwlang["dept"]["personalInfosDesc"] =   "Укажите всю необходимую информация"; 
  $cwlang["dept"]["name"] =   "Название"; 
  $cwlang["dept"]["hostname"] =   "Hostname"; 
  $cwlang["dept"]["hostnameHelp"] =   "Hostname или адрес IP, скажем, 122.12.13.14"; 
  $cwlang["dept"]["mask"] =   "Mask"; 
  $cwlang["dept"]["maskHelp"] =   "Маска сети, скажем, 255.255.255.0"; 
  $cwlang["dept"]["username"] =   "Имя пользователя"; 
  $cwlang["dept"]["usernameHelp"] =   "Имя пользователя для авторизации на удаленном Voiceone"; 
  $cwlang["dept"]["rsaKeyDesc"] =   "Вставьте здесь ключ RSA"; 
  $cwlang["dept"]["rsaKey"] =   "Ключ RSA"; 
  $cwlang["dept"]["phoneNumberTitle"] =   "Номера телефонов"; 
  $cwlang["dept"]["phoneNumberDesc"] =   "Номера телефонов офиса"; 
  $cwlang["dept"]["phoneNumber"] =   "Номер телефона"; 
  $cwlang["dept"]["phoneNumberAdded"] =   "Добавленные номера"; 
  $cwlang["dept"]["shortcut"] =   "Speed dial key"; 
  $cwlang["dept"]["shortcutHelp"] =   "Укажите клавишу быстрого набора, скажем, 3"; 
  $cwlang["dept"]["advancedOptionTitle"] =   "Дополнительные параметры"; 
  $cwlang["dept"]["advancedOptionDesc"] =   "Установите флажок для отображения параметров"; 
  $cwlang["dept"]["advancedOptionShow"] =   "Да, отобразить панель дополнительных параметров"; 
  $cwlang["dept"]["defaultIp"] =   "IP по умолчанию"; 
  $cwlang["dept"]["defaultIpHelp"] =   " Укажите адрес IP "; 
  $cwlang["dept"]["report"] =   "Отчеты"; 
  $cwlang["dept"]["default"] =   "По умолчанию"; 
  $cwlang["dept"]["omit"] =   "Пропустить"; 
  $cwlang["dept"]["billing"] =   "Тарификация"; 
  $cwlang["dept"]["documentation"] =   "Документ"; 
  $cwlang["dept"]["canReinvite"] =   "Может перепреглашать"; 
  $cwlang["dept"]["noDefault"] =   "Нет [по умолчанию]"; 
  $cwlang["dept"]["yes"] =   "Да"; 
  $cwlang["dept"]["canReinviteHelp"] =   "Установка флажка позволит устанавливать прямые соединения между клиентами, в обход Asterisk."; 
  $cwlang["dept"]["dtmfMode"] =   "Режим DTMF"; 
  $cwlang["dept"]["dtmfModeHelp"] =   "Как отсылать сигналы DTMF"; 
  $cwlang["dept"]["language"] =   "Язык"; 
  $cwlang["dept"]["languageHelp"] =   "Укажите язык клиента. Пустое - язык по умолчанию."; 
  $cwlang["dept"]["mailbox"] =   "Почтовый Ящик"; 
  $cwlang["dept"]["mailboxDesc"] =   "TO DO..."; 
  $cwlang["dept"]["nat"] =   "NAT"; 
  $cwlang["dept"]["denyIp"] =   "Блокируемые IP"; 
  $cwlang["dept"]["denyIpHelp"] =   "<strong>Синтаксис</strong>: IP/Mask[,IP/Mask[...]]"; 
  $cwlang["dept"]["allowIp"] =   "Разрешенные IP"; 
  $cwlang["dept"]["allowIpHelp"] =   "<strong>Синтаксис</strong>: IP/Mask[,IP/Mask[...]]"; 
  $cwlang["dept"]["qualify"] =   "Проверять"; 
  $cwlang["dept"]["qualifyHelp"] =   "Установка флажка позволяет Asterisk проверять регистрацию клиента"; 
  $cwlang["dept"]["codecs"] =   "Кодеки"; 
  $cwlang["dept"]["codecsAdd"] =   "Добавить кодеки -->"; 
  $cwlang["dept"]["sidebarEditTitle"] =   "Справка"; 
  $cwlang["dept"]["sidebarEditText"] =   "<p>Офис включает в себя:</p><ol><li>Общую информацию</li><li>Учетные записи</li><li>Телефонные номера</li></ol><h2>Как добавить новый номер</h2><p>Укажите телефон офиса и нажмите <b>+</b>.<br />            Выберите номер и нажмите <b>X</b> для удаления. <br /> Для редактирования номера щелкните по нмеу дважды или выберите и нажмите <b>изменить</b>.<br /></p>"; 
  
  //*************************************
  //translation for the PROVIDER Section
  //*************************************
  $cwlang["provider"]["title"] =   "Провайдеры"; 
  $cwlang["provider"]["newProvider"] =   "Добавить провайдера"; 
  $cwlang["provider"]["alertDelGood"] =   "Провайдер удален"; 
  $cwlang["provider"]["alertDelBad"] =   "Провайдер не был удален"; 
  $cwlang["provider"]["sidebarTitle"] =   "Справка"; 
  $cwlang["provider"]["sidebarText"] =   "<p>Провайдеры - это компании,  предоставляющие телефонные услуги .</p>".
                                          "          <p>Существуют 2 типа провайдеров:".
                                          "            <ol>".
                                          "              <li>VoIP провайдеры</li>".
                                          "              <li>Телефонные компании</li>".
                                          "            </ol>".
                                          "          </p>"; 
  $cwlang["provider"]["alertDelGood"] =   "Провайдер отредактирован"; 
  $cwlang["provider"]["alertDelBad"] =   "Провайдер не был отредактирован"; 
  $cwlang["provider"]["modTitle"] =   "Редактировать провайдера "; 
  $cwlang["provider"]["newTitle"] =   "Добавить провайдера"; 
  $cwlang["provider"]["return"] =   "Вернуться без сохранения"; 
  $cwlang["provider"]["type"] =   "Тип провайдера"; 
  $cwlang["provider"]["typeDesc"] =   "Укажите тип"; 
  $cwlang["provider"]["isdn"] =   "Телефонная компания"; 
  $cwlang["provider"]["sip"] =   "VoIP provider"; 
  $cwlang["provider"]["sipTitle"] =   "VoIP провайдер"; 
  $cwlang["provider"]["sipDesc"] =   "Общая информация"; 
  $cwlang["provider"]["sipName"] =   "Название"; 
  $cwlang["provider"]["sipNameHelp"] =   "Укажите название провайдера."; 
  $cwlang["provider"]["sipCode"] =   "Оператор<br/>code"; 
  $cwlang["provider"]["sipCodeHelp"] =   "Непосредственный выбор, скажем, <strong>99</strong> или <strong>3</strong>"; 
  $cwlang["provider"]["authTitle"] =   "Данные учетной записи"; 
  $cwlang["provider"]["username"] =   "Имя пользователя"; 
  $cwlang["provider"]["password"] =   "Пароль"; 
  $cwlang["provider"]["ipAddress"] =   "Адрес IP"; 
  $cwlang["provider"]["port"] =   "Порт"; 
  $cwlang["provider"]["mask"] =   "Маска"; 
  $cwlang["provider"]["nat"] =   "NAT"; 
  $cwlang["provider"]["Yes"] =   "Да"; 
  $cwlang["provider"]["No"] =   "Нет"; 
  $cwlang["provider"]["isdnTitle"] =   "Телефонная компания"; 
  $cwlang["provider"]["isdnDesc"] =   "Общая информация"; 
  $cwlang["provider"]["isdnName"] =   "Название"; 
  $cwlang["provider"]["isdnNameHelp"] =   "Укажите название провайдера"; 
  $cwlang["provider"]["isdnCode"] =   "Оператор<br/>code"; 
  $cwlang["provider"]["isdnCodeHelp"] =   "Непосредственный выбор, скажем, 1033"; 
  $cwlang["provider"]["editSidebarTitle"] =   "Добавить провайдера"; 
  $cwlang["provider"]["editSidebarDesc"] =   "<p>Для добавления <strong>провайдера</strong> необходимо указать".
                          "          его тип.</p>".
                          "          <p><strong>Телефонная компания</strong> - это классический вариант ".
                          "          скажем, ХарьковТелеком.</p>".
                          "          <p><strong>VOiP провайдер</strong> - это провайдер интернет-телефонии.</p>"; 
  
  
  //*************************************
  //translation for the PHONE NUMBER Section
  //*************************************
  $cwlang["numb"]["title"] =   "Номер телефона"; 
  $cwlang["numb"]["alertDelGood"] =   "Номер телефона удален"; 
  $cwlang["numb"]["alertDelBad"] =   "Номер телефона не был удален"; 
  $cwlang["numb"]["newPhoneNumber"] =   "Добавить номер телефона"; 
  $cwlang["numb"]["sidebarTitle"] =   "Справка"; 
  $cwlang["numb"]["sidebarDesc"] =   "<p>Слева укажите номер телефона, с которым Фыеукшыл может общаться непосредственно, по протоколу IAX</p>"; 
  $cwlang["numb"]["alertModGood"] =   "Номер телефона изменен"; 
  $cwlang["numb"]["alertModBad"] =   "Не был изменен"; 
  $cwlang["numb"]["return"] =   "Вернуться без сохранения"; 
  $cwlang["numb"]["numbersTitle"] =   "Номера телефонов"; 
  $cwlang["numb"]["numbersHelp"] =   "Список телефонов и классов, к которым они относятся"; 
  $cwlang["numb"]["name"] =   "Название класса номеров"; 
  $cwlang["numb"]["nameHelp"] =   "Скажем, бесплатные, сотовые и т.п..."; 
  $cwlang["numb"]["addNumber"] =   "Номер телефона"; 
  $cwlang["numb"]["listNumber"] =   "Добавленные номера"; 
  $cwlang["numb"]["emergency"] =   "Номер экстренного вызова"; 
  $cwlang["numb"]["emergencyHelp"] =   "Выберите Да для того, чтобы указать наивысший приоритет для номера."; 
  $cwlang["numb"]["yes"] =   "Да"; 
  $cwlang["numb"]["no"] =   "Нет"; 
  $cwlang["numb"]["editSidebarTitle"] =   "Справка"; 
  $cwlang["numb"]["editSidebarDesc"] =   "<p>Номер телефона может представлять из себя простую последовательность цифр или регулярное выражение.</p>".
                                  "          <p>Символы, допустимые в регулярном выражении:</p>".
                                  "          <ol>".
                                  "            <li>_ :начало регулярного выражения</li>".
                                  "            <li>N :цифра от 2 до 9</li>".
                                  "            <li>X :любая цифра</li>".
                                  "            <li>[xxx] :возможная цифра</li>".
                                  "          </ol>"; 
  

  //*************************************
  //translation for the GROUP Section
  //*************************************
  $cwlang["group"]["title"] =   "Группы"; 
  $cwlang["group"]["alertDelGood"] =   "Группа удалена"; 
  $cwlang["group"]["alertDelBad"] =   "Группа не была удалена"; 
  $cwlang["group"]["newGroup"] =   "Создать группу"; 
  $cwlang["group"]["sidebarTitle"] =   "Справка"; 
  $cwlang["group"]["sidebarDesc"] =   "<p>Группировка добавочных номеров, офисов, провайдеров и номеров возможна в данном разделе.". 
                                      "<br />Создание групп целесообразно в целях удобства назначения прав.".
                                      "</p>"; 
  $cwlang["group"]["extension"] =   "Добавочные номера"; 
  $cwlang["group"]["department"] =   "Офисы"; 
  $cwlang["group"]["provider"] =   "Провайдеры"; 
  $cwlang["group"]["phonenumber"] =   "Номера"; 

  $cwlang["group"]["alertDelGood"] =   "Группа изменена"; 
  $cwlang["group"]["alertDelBad"] =   "Группа не была изменена"; 
  $cwlang["group"]["modGroup"] =   "Изменить группу"; 
  $cwlang["group"]["newGroup"] =   "Создать группу"; 
  $cwlang["group"]["return"] =   "Вернуться без сохранения"; 
  $cwlang["group"]["type"] =   "Тип группы"; 
  $cwlang["group"]["typeDesc"] =   "Сначала укажите группируемые объекты"; 
  $cwlang["group"]["extensionGroup"] =   "Группы добавочных номеров"; 
  $cwlang["group"]["checkExtension"] =   "Выберите добавочные номера, которые будут относиться к данной группе."; 
  $cwlang["group"]["name"] =   "Название"; 
  $cwlang["group"]["extensionNameHelp"] =   "Скажем, Служба поддержки, Менеджмент..."; 
  $cwlang["group"]["checkExtension2"] =   "Для выбора добавочного номера, установите флажок перед ним"; 
  $cwlang["group"]["deptGroup"] =   "Группы офисов"; 
  $cwlang["group"]["checkDept"] =   "Выберите офисы, которые будут относиться к данной группе."; 
  $cwlang["group"]["deptNameHelp"] =   "Скажем, Европа, Азия, ..."; 
  $cwlang["group"]["checkDept2"] =   "Для выбора офиса, установите флажок перед ним"; 
  $cwlang["group"]["providerGroup"] =   "Группы провайдеров"; 
  $cwlang["group"]["checkProvider"] =   "Выберите провайдеров, которые будут относиться к данной группе."; 
  $cwlang["group"]["providerNameHelp"] =   "Скажем, Международные, Местные, ..."; 
  $cwlang["group"]["checkProvider2"] =   "Для выбора провайдера, установите флажок перед ним"; 
  $cwlang["group"]["phoneNumberGroup"] =   "Группы номеров телефонов"; 
  $cwlang["group"]["checkPhoneNumber"] =   "Выберите номера, которые будут относиться к данной группе."; 
  $cwlang["group"]["phoneNumberNameHelp"] =   "Скажем, бесплатные, международные, ..."; 
  $cwlang["group"]["checkPhoneNumber2"] =   "Для выбора номера, установите флажок перед ним"; 
  $cwlang["group"]["editSidebar"] =   "Справка"; 
  $cwlang["group"]["editSidebarDesc"] =   ""; 
  $cwlang["group"]["chooseGroup"] =   "Выберите хотя бы одну принадлежащую группу"; 
  
  $cwlang["group"]["application"] = "Application";
  $cwlang["group"]["applicationGroup"] =   "Application groups"; 
  $cwlang["group"]["checkApplication"] =   "Choose the applications that belongs to this group"; 
  $cwlang["group"]["applicationNameHelp"] =   "I.e. Commercial, Internal, etc..."; 
  $cwlang["group"]["checkApplication2"] =   "To choose the applications, click on the desired checkbox"; 
  
  //*************************************
  //translation for the RIGHTS Section
  //*************************************
  $cwlang["right"]["title"] =   "Права"; 
  $cwlang["right"]["newRight"] =   "Добавить право"; 
  $cwlang["right"]["sidebar"] =   "Справка"; 
  $cwlang["right"]["sidebarDesc"] =   "<p>Права определяют доступ ко всем ".
                                      "функциям VoiceOne ".
                                      "</p>"; 
  $cwlang["right"]["alertDelGood"] =   "Право удалено"; 
  $cwlang["right"]["alertDelBad"] =   "Право не было удалено"; 
  $cwlang["right"]["alertModGood"] =   "Право изменено"; 
  $cwlang["right"]["alertModBad"] =   "Право не было изменено"; 
  $cwlang["right"]["modRight"] =   "Изменить право "; 
  $cwlang["right"]["return"] =   "Вернуться без сохранения"; 
  $cwlang["right"]["groupList"] =   "Список групп и приложений"; 
  $cwlang["right"]["groupListDesc"] =   "Выберите группы и приложения, которые доступны для этого права"; 
  $cwlang["right"]["name"] =   "Название"; 
  $cwlang["right"]["nameHelp"] =   "Скажем, входящие вызовы, коллеги, ..."; 
  $cwlang["right"]["checkGroup"] =   "Выберите группы, которые можно вызывать с этим правом"; 
  $cwlang["right"]["checkApps"] =   "Выберите приложения, которые могут быть активированы с этим правом"; 
  $cwlang["right"]["action"] =   "Действия"; 
  $cwlang["right"]["actionDesc"] =   "Укажите действие для вызова, приходящего в данном контексте"; 
  $cwlang["right"]["editSidebar"] =   "Добавить право"; 
  $cwlang["right"]["editSidebarDesc"] =   "<p>Добавочные номера со специальными <strong>правами</strong> ".
                                    "могут вызывать номера, линии, провайдеров, указанных здесь.</p> ";
  $cwlang["right"]["chooseRight"] =   "Право определяет какие ресурсы вы можете вызывать. Укажите не менее одного."; 
  
  //*************************************
  //translation for the IVR Section
  //*************************************
  $cwlang["ivr"]["title"] =   "ИСРС"; 
  $cwlang["ivr"]["apply"] =   "Применить"; 
  $cwlang["ivr"]["nodeDeleted"] =   "Ветвь удалена"; 
  $cwlang["ivr"]["nodeNotDeleted"] =   "Ветвь не удалена"; 
  $cwlang["ivr"]["created"] =   "ИСРС создана"; 
  $cwlang["ivr"]["creating"] =   "Создание ИСРС в процессе..."; 
  $cwlang["ivr"]["chooseAction"] =   "Выберите действие"; 
  $cwlang["ivr"]["newNode"] =   "Создать новую ветвь"; 
  $cwlang["ivr"]["modNode"] =   "Редактировать ветвь"; 
  $cwlang["ivr"]["delNode"] =   "Удалить ветвь"; 
  $cwlang["ivr"]["alertDelGood"] =   "ИСРС удалена"; 
  $cwlang["ivr"]["alertDelBad"] =   "ИСРС не была удалена"; 
  $cwlang["ivr"]["alertNewGood"] =   "ИСРС создана"; 
  $cwlang["ivr"]["alertNewBad"] =   "ИСРС не была создана"; 
  $cwlang["ivr"]["alertModGood"] =   "Ветвь изменена"; 
  $cwlang["ivr"]["alertModBad"] =   "Ветвь не была изменена"; 
  $cwlang["ivr"]["chooseIvr"] =   "Выберите ИСРС"; 
  $cwlang["ivr"]["titleDesc"] =   "Выберите ветвь, которую необходимо изменить, в дереве справа."; 
  $cwlang["ivr"]["newIvr"] =   "Создать ИСРС"; 
  $cwlang["ivr"]["name"] =   "Название"; 
  $cwlang["ivr"]["newIvrButton"] =   "Создать ИСРС"; 
  $cwlang["ivr"]["replace"] =   "Заменить"; 
  $cwlang["ivr"]["currentPosition"] =   "Текущую позицию"; 
  $cwlang["ivr"]["nodeDesc"] =   "Параметры выбранной ветви"; 
  $cwlang["ivr"]["name"] =   "Название"; 
  $cwlang["ivr"]["key"] =   "Ключ"; 
  $cwlang["ivr"]["keyHelp"] =   "введите одну или больше цифр, скажем, 1, 99"; 
  $cwlang["ivr"]["audio"] =   "Аудио-сообщение"; 
  $cwlang["ivr"]["listen"] =   "Прослушать добавленный файл"; 
  $cwlang["ivr"]["position"] =   "Расположение"; 
  $cwlang["ivr"]["action"] =   "Действие"; 
  $cwlang["ivr"]["actionDesc"] =   "Выберите действие, которое необходимо выполнить на данном шаге"; 
  $cwlang["ivr"]["call"] =   "Звонок"; 
  $cwlang["ivr"]["enqueue"] =   "Очередь"; 
  $cwlang["ivr"]["macro"] =   "Макрос"; 
  $cwlang["ivr"]["goto"] =   "Переход"; 
  $cwlang["ivr"]["timeout"] =   "Таймаут"; 
  $cwlang["ivr"]["timeoutDesc"] =   "Выберите действие, которое необходимо выполнить по истечении таймаута."; 
  $cwlang["ivr"]["repeat"] =   "Повторить"; 
  $cwlang["ivr"]["repeatHelp"] =   "Если флажок установлен, сообщение будет повторено снова "; 
  $cwlang["ivr"]["invalid"] =   "Неверный выбор"; 
  $cwlang["ivr"]["invalidHelp"] =   "Выберите действие, которое необходимо "; 


  //*************************************
  //translation for the TOOL Section
  //*************************************
  $cwlang["tool"]["alertGood"] =   "Файл сохранен"; 
  $cwlang["tool"]["alertBad"] =   "Файл не был сохранен"; 
  $cwlang["tool"]["title"] =   "Редактор конфигурационных файлов"; 
  $cwlang["tool"]["sidebarTitle"] =   "Внимание!"; 
  $cwlang["tool"]["sidebarDesc"] =   "<p>".
          "Вносите изменения в данные файлы, перепроверив дважды. ".
          "Неверные настройки могут привести к неработоспособности Asterisk. ".
          "</p>"; 

  //*************************************
  //translation for the LAN Section
  //*************************************
  $cwlang["lan"]["alertGood"] =   "Настройки сохранены"; 
  $cwlang["lan"]["alertBad"] =   "Настройки не были сохранены"; 
  $cwlang["lan"]["title"] =   "Настройки сети (LAN)"; 
  $cwlang["lan"]["titleDesc"] =   "Введите верные значение в поле внизу."; 
  $cwlang["lan"]["warning"] =   "Внимание: все поля формы должны быть заполнены! Проверьте скрипт set_lan.sh перед нажатием кнопки сохранения."; 
  $cwlang["lan"]["sidebarTitle"] =   "Настройки сети (LAN)"; 
  $cwlang["lan"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>"; 

  //*************************************
  //translation for the IAX Section
  //*************************************
  $cwlang["iax"]["alertGood"] =   "Настройки сохранены"; 
  $cwlang["iax"]["alertBad"] =   "Настройки не были сохранены"; 
  $cwlang["iax"]["title"] =   "Параметры IAX"; 
  $cwlang["iax"]["titleDesc"] =   "Введите значения в поле внизу. Выбранный параметр соответствует комментарию."; 
  $cwlang["iax"]["sidebarTitle"] =   "Что такое IAX"; 
  $cwlang["iax"]["sidebarDesc"] =   "<p>IAX2 - это Inter-Asterisk eXchange, протокол, созданный Didium для голосовых соединений между серверами Asterisk, а также клиетским приложением, поддерживающим IAX2 и сервером Asterisk. Ближайшая его аналогия - протокол SIP.</p>".
          "<p>IAX is the Inter-Asterisk eXchange protocol used by Asterisk, an open source PBX server from Digium. It is used to enable VoIP connections between Asterisk servers, and between servers and clients that also use the IAX protocol.</p>".
          "<p>IAX2 отличается высокой производительностью и широким набором функций. Он безразличен к используемым кодекам и числу потоков, что делает его пригодным для передачи данных буквально любого типа. (Данная особенность пригодится при широком распространении видеозвонков.)</p>";

  //*************************************
  //translation for the SIP Section
  //*************************************
  $cwlang["sip"]["alertGood"] =   "Настройки сохранены"; 
  $cwlang["sip"]["alertBad"] =   "Настройки не были сохранены"; 
  $cwlang["sip"]["title"] =   "Настройки SIP"; 
  $cwlang["sip"]["titleDesc"] =   "Введите значения в поле внизу. Выбранный параметр соответствует комментарию."; 
  $cwlang["sip"]["sidebarTitle"] =   "Что есть SIP"; 
  $cwlang["sip"]["sidebarDesc"] =   "<p>Целью создания протокола SIP было предоставление набора сервисов, не уступающего традиционной проводной связи (PSTN). Соответственно, доступны привычные сервисы: набор номера, звонок, сигнал ожидания и т.д.</p>";

  //*************************************
  //translation for the ISDN Section
  //*************************************
  $cwlang["isdn"]["alertDelGood"] =   "Карта была удалена"; 
  $cwlang["isdn"]["alertDelBad"] =   "Карта не была удалена"; 
  $cwlang["isdn"]["alertAddGood"] =   "Карта установлена"; 
  $cwlang["isdn"]["alertAddBad"] =   "Карта не была установлена"; 
  $cwlang["isdn"]["alertSaveGood"] =   "Настройка порта успешно завершена"; 
  $cwlang["isdn"]["alertSaveBad"] =   "Сохранение невозможно ввиду ошибок"; 
  $cwlang["isdn"]["card"] =   "Карта"; 
  $cwlang["isdn"]["port"] =   "Порт"; 
  $cwlang["isdn"]["title"] =   "Карта ISDN"; 
  $cwlang["isdn"]["save"] =   "Применить"; 
  $cwlang["isdn"]["newCard"] =   "Добавить карту"; 
  $cwlang["isdn"]["newCardDesc"] =   "Выберите карту для активации"; 
  $cwlang["isdn"]["install"] =   "Установить"; 
  $cwlang["isdn"]["installalert"] = "WARNING: this operation will turn off pbx service! Continue?";
  $cwlang["isdn"]["delalert"] = "WARNING: this operation will turn off pbx service! Are you sure to remove the card?";
  $cwlang["isdn"]["sidebarTitle"] =   "Установленная карта"; 
  $cwlang["isdn"]["sidebarDesc"] =   "<p>".
          "Integrated Services Digital Network (ISDN) is a type of circuit switched telephone network system, designed to allow digital transmission of voice and data over ordinary telephone copper wires, resulting in better quality and higher speeds than available with analog systems. More broadly, ISDN is a set of protocols for establishing and breaking circuit switched connections, and for advanced call features for the user. The English term is a \"backronym\", thought better for English-language advertisements than the original, \"Integriertes Sprach- und Datennetz\" (German for \"integrated voice and data net\").".
          "</p>";
  //menu
  $cwlang["isdn"]["isdnCard"] =   "Карта ISDN"; 
  $cwlang["isdn"]["portGroup"] =   "Группа портов"; 
  $cwlang["isdn"]["number"] =   "Номера"; 
  $cwlang["isdn"]["isdnOption"] =   "Параметры ISDN"; 
  $cwlang["isdn"]["groupOption"] =   "Параметры группы"; 
  //isdn group
  $cwlang["isdngrp"]["alertDelGood"] =   "Группа удалена"; 
  $cwlang["isdngrp"]["alertDelBad"] =   "Группа не была удалена"; 
  $cwlang["isdngrp"]["title"] =   "Группа портов"; 
  $cwlang["isdngrp"]["newGroup"] =   "Добавить группу"; 
  $cwlang["isdngrp"]["sidebarTitle"] =   "Группа портов ISDN"; 
  $cwlang["isdngrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["isdngrp"]["alertModGood"] =   "Группа изменена"; 
  $cwlang["isdngrp"]["alertModBad"] =   "Группа не была изменена"; 
  $cwlang["isdngrp"]["return"] =   "Назад без сохранения"; 
  $cwlang["isdngrp"]["titleDesc"] =   "Группа портов - общая информация"; 
  $cwlang["isdngrp"]["groupName"] =   "Название группы"; 
  $cwlang["isdngrp"]["enableOutcomingCall"] =   "Разрешить исходящие вызовы"; 
  $cwlang["isdngrp"]["enableOutcomingCallHelp"] =   "Укажите, возможно ли осуществлять исходящие вызовы через группу. Возможно указать: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> для запрета исходящих вызовов</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> для разрешения исходящих вызовов и задания приоритета (где 1 - наивысший, а 100 - самый низкий)</li> ".
                              "</ul>"; 
  $cwlang["isdngrp"]["listeningNumber"] =   "Обслуживаемые номера"; 
  $cwlang["isdngrp"]["listeningNumberHelp"] =   "Укажите номера, которые обслуживает данная группа"; 
  $cwlang["isdngrp"]["phoneNumber"] =   "Номер телефона"; 
  $cwlang["isdngrp"]["phoneNumberAdded"] =   "Номер телефона добавлен"; 
  $cwlang["isdngrp"]["ports"] =   "Порты"; 
  $cwlang["isdngrp"]["portsDesc"] =   "Укажите порты, принадлежащие данной группе"; 
  $cwlang["isdngrp"]["availablePorts"] =   "Доступные порты"; 
  $cwlang["isdngrp"]["groupPorts"] =   "Порты добавлены"; 
  $cwlang["isdngrp"]["option"] =   "Параметры"; 
  $cwlang["isdngrp"]["show"] =   "Показать"; 
  $cwlang["isdngrp"]["hide"] =   "Скрыть"; 
  $cwlang["isdngrp"]["optionDesc"] =   "Вы можете просмотреть значения по умолчанию, изменить параметры и поведение группы."; 
  //isdn option
  $cwlang["isdnOpt"]["alertModGood"] =   "Параметры сохранены"; 
  $cwlang["isdnOpt"]["alertModBad"] =   "Параметры не были сохранены"; 
  $cwlang["isdnOpt"]["title"] =   "ISDN"; 
  $cwlang["isdnOpt"]["titleDesc"] =   "Введите значения в поле внизу."; 
  $cwlang["isdnOpt"]["sidebarTitle"] =   "Параметры"; 
  $cwlang["isdnOpt"]["sidebarDesc"] =   ""; 
  $cwlang["isdnOpt"]["isdnTitle"] =   "Параметры ISDN"; 
  $cwlang["isdnOpt"]["isdnTitleDesc"] =   "Введите значения в поле внизу."; 
  $cwlang["isdnOpt"]["sidebarIsdnTitle"] =   "Параметры mISDN"; 
  $cwlang["isdnOpt"]["sidebarIsdnDesc"] =   ""; 
  //isdn number
  $cwlang["isdnNumb"]["alertDelGood"] =   "Номер удален"; 
  $cwlang["isdnNumb"]["alertDelBad"] =   "Номер не был удален"; 
  $cwlang["isdnNumb"]["alertModGood"] =   "Конфигурация сохранена"; 
  $cwlang["isdnNumb"]["alertModBad"] =   "Конфигурация не была сохранена"; 
  $cwlang["isdnNumb"]["group"] =   "Группа"; 
  $cwlang["isdnNumb"]["title"] =   "Номер телефона"; 
  $cwlang["isdnNumb"]["save"] =   "Применить"; 
  $cwlang["isdnNumb"]["sidebarTitle"] =   "Номер телефона"; 
  $cwlang["isdnNumb"]["sidebarDesc"] =   ""; 

  //*************************************
  //translation for the USER Section
  //*************************************
  $cwlang["user"]["alertDelGood"] =   "Пользователь был удален"; 
  $cwlang["user"]["alertDelBad"] =   "Пользователь не был удален"; 
  $cwlang["user"]["title"] =   "Пользователи"; 
  $cwlang["user"]["newUser"] =   "Добавить пользователя"; 
  $cwlang["user"]["sidebarTitle"] =   "The users"; 
  $cwlang["user"]["sidebarDesc"] =   "<p>".
       "     В этом разделе вы можете разграничивать доступ к VoiceOne. Возможно  ".
       "     создавать, редактировать и удалять пользователей.  ".
       "   </p> ".
       "   <p> ".
       "     Существуют 3 типа ползователей: ".
       "     <ul> ".
       "       <li><img src=\"$relBasePath/public/img/user_standard.gif\" alt=\"Обычный пользователь\" align=\"left\"/> <strong>Обычный пользователь</strong> имеет доступ только к собственной панели управления ". 
       "       (Personal VoiceOne)</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_configurator.gif\" alt=\"Менеджер\" align=\"left\"/> <strong>Менеджер</strong> имеет доступ к некоторым ". 
       "       разделам конфигурации VoiceOne</li> ".
       "       <li><img src=\"$relBasePath/public/img/user_superuser.gif\" alt=\"Администратор\" align=\"left\"/> <strong>Администратор</strong> может выполнять любые действия".
       "       по конфигурированию VoiceOne</li> ".
       "     </ul> ".
       "   </p> ".
       "   <p> ".
       "     Каждый добавочный номер является пользователем в VoiceOne. ". 
       "     Однако, возможно создать пользователя и без привязки к добавочному номеру. ". 
       "     В обоих случаях администратор может изменить тип пользователя ". 
       "     (обычный, менеджер, администратор).  ".
       "   </p>"; 

  $cwlang["user"]["alertModGood"] =   "Пользователь изменен"; 
  $cwlang["user"]["alertModBad"] =   "Пользователь не был изменен"; 
  $cwlang["user"]["modUser"] =   "Изменить пользователя"; 
  $cwlang["user"]["return"] =   "Назад без сохранения"; 
  $cwlang["user"]["desc"] =   "Введите данные для доступа. Если пользователь подключен к добавочному номеру, то редактирование невозможно."; 
  $cwlang["user"]["username"] =   "Имя польозвателя"; 
  $cwlang["user"]["password"] =   "Пароль"; 
  $cwlang["user"]["typeTitle"] =   "Тип"; 
  $cwlang["user"]["typeDesc"] =   "Выберите тип создаваемого \ редактируемого пользователя."; 
  $cwlang["user"]["type"] =   "Тип"; 
  $cwlang["user"]["standard"] =   "Обычный пользователь"; 
  $cwlang["user"]["configurator"] =   "Менеджер"; 
  $cwlang["user"]["superuser"] =   "Администратор"; 
          
  //*************************************
  //translation for the I/O Section
  //*************************************
  $cwlang["io"]["shutingDown"] =   "Выключение..."; 
  $cwlang["io"]["rebooting"] =   "Перезагрузка..."; 
  $cwlang["io"]["title"] =   "Перезагрузить \ Выключить"; 
  $cwlang["io"]["reboot"] =   "Перезагрузить"; 
  $cwlang["io"]["shutDown"] =   "Выключить"; 
  $cwlang["io"]["sidebarTitle"] =   "Внимание"; 
  $cwlang["io"]["sidebarDesc"] =   "<p>Система будет перезагружена или выключена</p>"; 
          
  //*************************************
  //translation for the SETUP Section
  //*************************************
  $cwlang["setup"]["installPermission"] =   "Для продолжения назначьте права на выполнение для"; 
  $cwlang["setup"]["title"] =   "Установка VoiceOne"; 
  $cwlang["setup"]["subTitle"] =   "Установка "; 
  $cwlang["setup"]["firstStep"] =   "Установка системы (1/2)"; 
  $cwlang["setup"]["keyGeneration"] =   "Сгенерировать ключи RSA?"; 
  $cwlang["setup"]["finished"] =   "Завершено! Удалите setup.php"; 
  $cwlang["setup"]["secondStep"] =   "Создание учетной записи (2/2)"; 
  $cwlang["setup"]["username"] =   "Имя пользователя"; 
  $cwlang["setup"]["password"] =   "Пароль"; 

  //****************************
  //translation for the plugin Section
  //****************************
  //Section - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["titleMain"] =   "Информация о расширениях";
  // use heredoc syntax to make life easier
  $cwlang["plugins"]["blockintroMain"] = <<<EOD
  <h1>Следующие варианты доступны с использованием системы расширений</h1>
  <h2>Управление существующими расширениями:</h2>
  <ul>
    <li>Активировать \ Деактивировать расширение</li>
    <li>Удалить расширение</li>
    <li>Экспортировать расширение</li>
    <li>Импортироваь расширение</li>
    <li>Показать информаци о расширении</li>
  </ul>
  <h2>Создать расширение:</h2>
  <ul>
    <li>С чистого листа</li>
    <li>Используя существующее как образец</li>
  </ul>
EOD;
  
  $cwlang["plugins"]["titleManage"] =  "Управление расширениями";
  $cwlang["plugins"]["blockintroManage"] =  "Здесь представлены доступные расширения. Любое из них можно установить\удалить, а также активировать\деактивировать";
  $cwlang["plugins"]["titleCreate"] =  "Создать расширение";
  // Sidebar - Title and Blockinfo for: Main, Manage, Create
  $cwlang["plugins"]["sidebarTitleMain"] =  "Справка";
  $cwlang["plugins"]["sidebarTextMain"] =  <<<EOD
  <p>Plugins allow to extend the functionallity of Voiceone.<p>
  <p>A Plugin is a group of Voiceone objects like applications, macros, queues and the like.</p>
  <p>Some objects require other objects to function. For example the audiorecorder application requires the macro audiorecorder.</p>
  <p>The plugin system allows to import, export and create plugins.<p>
  <h5>REPOSITORY</h5>
  <p><img src="$relBasePath/public/img/package_add.gif" /> <a href="http://www.voiceone.it/download/plugin/" target="_blank" >Search in our public repository</a> the already made plugins.</p>
EOD;
  $cwlang["plugins"]["sidebarTitleManage"] =  "Справка";
  $cwlang["plugins"]["sidebarTextManage"] =  <<<EOD
  <h2>The following Options are available:<h2>
  <ul>
    <li>Activate/ Deactivate a plugin</li>
    <li>Delete a Plugin</li>
    <li>Export a Plugin via Download</li>
    <li>Import a Plugin via Upload</li>
    <li>Get information about a plugin</li>
    <li>Get information about the content of a plugin</li>
  </ul>
  <h1>Note:</h1>
  <p>Do not forget to adjust Speeddials when importing applications and the like</p>
EOD;
  $cwlang["plugins"]["sidebarTitleCreate"] =  "Справка";
  $cwlang["plugins"]["sidebarTextCreate"] =  "Укажите общую информацио о расширении на первой странице. Выберите все объекты, относящиеся к расширению, на второй.";
  
  // Tableheadings for section Manage
  $cwlang["plugins"]["headingAction"] =   "Действие";
  $cwlang["plugins"]["headingName"] =   "Название";
  $cwlang["plugins"]["headingVersion"] =   "Версия";
  $cwlang["plugins"]["headingAuthor"] =   "Автор";
  $cwlang["plugins"]["headingDescription"] =   "Описание";
  $cwlang["plugins"]["headingState"] =   "Статус";
  // Messages
  $cwlang["plugins"]["pluginUploaded"] =   "Расширение загружено"; 
  $cwlang["plugins"]["pluginNotUploaded"] =   "Расширение не было загружено"; 
  $cwlang["plugins"]["pluginDeleted"] =   "Расширение удалено"; 
  $cwlang["plugins"]["pluginNotDeleted"] =   "Расширение не было удалено"; 
  
  // these section is not used 
  $cwlang["plugins"]["pluginInstalled"] =   "Расширение установлено";
  $cwlang["plugins"]["pluginNotInstalled"] =   "Расширение не было установлено";
  $cwlang["plugins"]["pluginUpgraded"] =   "Расширение обновлено";
  $cwlang["plugins"]["pluginNotUpgraded"] =   "Расширение не было обновлено";
  
  $cwlang["plugins"]["pluginActivated"] =   "Расширение активировано";
  $cwlang["plugins"]["pluginNotActivated"] =   "Расширение не активировано";
  $cwlang["plugins"]["pluginDeactivated"] =   "Расширение деактивировано";
  $cwlang["plugins"]["pluginNotDeactivated"] =   "Расширение не деактивировано";
  
  $cwlang["plugins"]["selectOptionfromLists"] =   "Выберите действие из списка";
  // Menu sidebar
  $cwlang["plugins"]["importPlugin"] =   "Импортировать расширение";
  $cwlang["plugins"]["exportPlugin"] =   "Экспортировать расширение";
  // Options
  $cwlang["plugins"]["pluginBaseEmpty"] =   "-Начать с пустым рабочим пространством-";
  
  
  //*************************************
  //translation for the Application - Audiorecorder Section
  //*************************************
  $cwlang["audiorecorder"]["selectAudiofile"] = "Выберите файл звукозаписи";
  $cwlang["audiorecorder"]["recordAudiofile"] = "или нажмите ЗАПИСЬ";
  $cwlang["audiorecorder"]["promptFilename"] = "Имя файла:";
  $cwlang["audiorecorder"]["cannotDeleteAudiofile"] = "Невозможно удалить файл";
  $cwlang["audiorecorder"]["audiofileUsedInIVR"] = "Звукозапись используется в меню ИСРС";
  $cwlang["audiorecorder"]["genericError"] = "Ошибка при использованиии устройства звукозаписи"; 

  //*************************************
  //translation for the Zatapa Section
  //*************************************
  $cwlang["zapata"]["alertDelGood"] =   "Карта удалена"; 
  $cwlang["zapata"]["alertDelBad"] =   "Карта не была"; 
  $cwlang["zapata"]["alertAddGood"] =   "Карта установлена"; 
  $cwlang["zapata"]["alertAddBad"] =   "Карта не была установлена"; 
  $cwlang["zapata"]["alertSaveGood"] =   "Конфигурирование портов завершено"; 
  $cwlang["zapata"]["alertSaveBad"] =   "Конфигурирование не завершено по причине ошибок"; 
  $cwlang["zapata"]["card"] =   "Карта"; 
  $cwlang["zapata"]["port"] =   "Порт"; 
  $cwlang["zapata"]["title"] =   "Интерфейсная карта Zapata"; 
  $cwlang["zapata"]["save"] =   "Обновить"; 
  $cwlang["zapata"]["newCard"] =   "Добавить карту"; 
  $cwlang["zapata"]["newCardDesc"] =   "Выберите карту для активации"; 
  $cwlang["zapata"]["install"] =   "Установить карту"; 
  $cwlang["zapata"]["installalert"] = "WARNING: this operation will turn off PBX service! Continue?";
  $cwlang["zapata"]["delalert"] = "WARNING: this operation will turn off PBX service! Are you sure to remove the card?";
  $cwlang["zapata"]["sidebarTitle"] =   "Установленная карта Zapata"; 
  $cwlang["zapata"]["sidebarDesc"] =   "<p>".
          "<B>Настройка Zaptel:</b><br>span=spannum,timing,LBO,framing,coding<br>" .
          "b>timing</b><br>'0' means internal clocking<br>'1' means recovered from this span<br> '2' means recovered from this span if the span with clock=1 is down<br>\n" .
          "<b>LBO</b><br>0:0 db(CSU)/0-133 feet (DSX-1)<br>\n" .
          "1:133-226 feet (DSX-1)<br>\n" .
          "2:266-399 feet (DSX-1)<br>\n" .
          "3:399-533 feet (DSX-1)<br>\n" .
          "4:533-655 feet (DSX-1)<br>\n" .
          "5:-7.5db (CSU)<br>\n" .
          "6:-15db (CSU)<br>\n" .
          "7:-22.5db (CSU)<br>\n" .
          "<b>LINE TYPE: FXO/FXS</b><br>\n" .
          "fxsls:FXS(Loop Start)<br>\n" .
          "fxsgs:FXS(Ground Start)<br>\n" .
          "fxsks:FXS(Kewl Start)<br>\n" .
          "fxols:FXO(Loop Start)<br>\n" .
          "fxoga:FXO(Ground Start)<br>\n" .
          "fxoks:FXO(Kewl Start)<br>\n" .
          "<b>#Note</b>: A yellow alarm will be set on this pri when no channel is open.(eg. when zaptel is loaded, but asterisk is not yet running, the remote pri will know no channel is open and might send it to anther pri, without having to try this one first.)       \n" .
          "</p>";
  //menu
  $cwlang["zapata"]["zapataCard"] =   "Карта Zapata"; 
  $cwlang["zapata"]["portGroup"] =   "Группа портов"; 
  $cwlang["zapata"]["number"] =   "Номера"; 
  $cwlang["zapata"]["zapataOption"] =   "Параметры группы"; 

  //zapata group
  $cwlang["zapatagrp"]["alertDelGood"] =   "Группа удалена"; 
  $cwlang["zapatagrp"]["alertDelBad"] =   "Группа не была удалена"; 
  $cwlang["zapatagrp"]["title"] =   "Группа портов"; 
  $cwlang["zapatagrp"]["newGroup"] =   "Создать группу"; 
  $cwlang["zapatagrp"]["sidebarTitle"] =   "Группа портов Zapata"; 
  $cwlang["zapatagrp"]["sidebarDesc"] =   "<p>".
          "".
          "".
          "</p>";
  $cwlang["zapatagrp"]["alertModGood"] =   "Группа изменена"; 
  $cwlang["zapatagrp"]["alertModBad"] =   "Группа не была изменена"; 
  $cwlang["zapatagrp"]["return"] =   "Назад без сохранения"; 
  $cwlang["zapatagrp"]["titleDesc"] =   "Общая информация"; 
  $cwlang["zapatagrp"]["groupName"] =   "Название"; 
  $cwlang["zapatagrp"]["enableOutcomingCall"] =   "Разрешить исходящие вызовы"; 
  $cwlang["zapatagrp"]["enableOutcomingCallHelp"] =   "Укажите, возможно ли осуществлять исходящие вызовы через группу. Возможно указать: ". 
                              "<ul> ".
                              "  <li><strong>0</strong> для запрета исходящих вызовов</li> ".
                              "  <li><strong>1</strong>..<strong>100</strong> для разрешения исходящих вызовов и задания приоритета (где 1 - наивысший, а 100 - самый низкий)</li> ".
                              "</ul>"; 
  $cwlang["zapatagrp"]["listeningNumber"] =   "Используемые телефонные номера"; 
  $cwlang["zapatagrp"]["listeningNumberHelp"] =   "Укажите номера, доступные группе"; 
  $cwlang["zapatagrp"]["phoneNumber"] =   "Телефонный номер"; 
  $cwlang["zapatagrp"]["phoneNumberAdded"] =   "Выбранные телефонные номера"; 
  $cwlang["zapatagrp"]["ports"] =   "Порты"; 
  $cwlang["zapatagrp"]["portsDesc"] =   "Укажите порты, принадлежащие группе"; 
  $cwlang["zapatagrp"]["availablePorts"] =   "Доступные порты"; 
  $cwlang["zapatagrp"]["groupPorts"] =   "Порты добавлены"; 
  $cwlang["zapatagrp"]["option"] =   "Параметры"; 
  $cwlang["zapatagrp"]["show"] =   "Показать"; 
  $cwlang["zapatagrp"]["hide"] =   "Скрыть"; 
  $cwlang["zapatagrp"]["optionDesc"] =   "Вы можете просмотреть значения по умолчанию, изменить параметры и поведение группы."; 
  //zapata option
  $cwlang["zapataOpt"]["alertModGood"] =   "Параметры сохранены"; 
  $cwlang["zapataOpt"]["alertModBad"] =   "Параметры не были сохранены"; 
  $cwlang["zapataOpt"]["title"] =   "Параметры Zapata"; 
  $cwlang["zapataOpt"]["titleDesc"] =   "Введите значения в поле внизу."; 
  $cwlang["zapataOpt"]["sidebarTitle"] =   "Параметры"; 
  $cwlang["zapataOpt"]["sidebarDesc"] =   ""; 
  $cwlang["zapataOpt"]["zapataTitle"] =   "Параметры Zapata"; 
  $cwlang["zapataOpt"]["zapataTitleDesc"] =   "Введите значения в поле внизу."; 
  $cwlang["zapataOpt"]["sidebarIsdnTitle"] =   "Параметры Zapata"; 
  $cwlang["zapataOpt"]["sidebarIsdnDesc"] =   ""; 
  //zapata number
  $cwlang["zapataNumb"]["alertDelGood"] =   "Номер удален"; 
  $cwlang["zapataNumb"]["alertDelBad"] =   "Номер не был удален"; 
  $cwlang["zapataNumb"]["alertModGood"] =   "Конфигурация сохранена"; 
  $cwlang["zapataNumb"]["alertModBad"] =   "Конфигурация не была сохранена"; 
  $cwlang["zapataNumb"]["group"] =   "Группа"; 
  $cwlang["zapataNumb"]["title"] =   "Телефонный номер"; 
  $cwlang["zapataNumb"]["save"] =   "Применить"; 
  $cwlang["zapataNumb"]["sidebarTitle"] =   "Телефонный номер"; 
  $cwlang["zapataNumb"]["sidebarDesc"] =   ""; 

  
?>