<?
/**
 * VoiceOne Settings/Queues
 *
 * Frontend to provide access to the queue system in voiceone.
 * @package voiceone
 * @subpackage  settings_queues
 */
  include ("../../../admin/config/cfg.php");
  global $cwlang;
    
  //=================== GET ====================
  $alert=getAlert();
  if(($_GET["cmd"]=="logoff")&&($_GET["id"]!="")) {
    $ret=$asterisk->logoffAgent($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["queue"]["agentLogoffGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["queue"]["agentLogoffBad"]."</div>";
    goToMainPage($alert,"./");
  }  
    
  //================ PAGE LOGIC ================ 
  $ret=$asterisk->getAgent(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if(is_array($ret)) {
    //Extract logged agents
    $availAgents=$asterisk->getRegisteredAgent();
    if ($err=$asterisk->getError()) die("Error: $err");
    //Build html list
    foreach($ret as $v) {
      $id=$v["id"];
      $clientArr=getClient($v["client"]);
      $client=$clientArr[0];
      $ext=$client["extension"];
      $callerid=$client["name"]." ".$client["surname"];
      if((is_array($availAgents))&&(in_array($ext,$availAgents))){
        $icon="<img src=\"$relBasePath/public/img/agent_on.gif\" />";
        $logoff="<a href=\"$PHP_SELF?cmd=logoff&id=$id\" onclick=\"if(confirm('".$cwlang["queue"]["agentConfirmLogoff"]." $ext?')) return true; else return false;\"><small>(".$cwlang["queue"]["logoffTitle"].")</small></a>";
      }else{
        $icon="<img src=\"$relBasePath/public/img/agent_off.gif\" />";
        $logoff="";
      }
      //$html.="<td>$icon  <a href=\"edit/?id=$id\">$callerid &lt;$ext&gt;</a>  <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('".$cwlang["exten"]["confirmDel"]." $ext?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
      $html.="<td>$icon $callerid &lt;$ext&gt; $logoff</td>\n";
      if ((++$count)%2==0) $html.="</tr><tr>\n";
    }
  }  
  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["queue"]["agentTitle"]?></h1> 
    <h3>&nbsp;</h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();
  
  //================ SIDEBAR ================
  ob_start(); 
  ?>
    <div class="Sidebar">
      <?$sel="agents";include("../sidebar.php");?>
      <h1><?=$cwlang["queue"]["agentSidebarTitle"]?></h1>
      <p><?=$cwlang["queue"]["agentSidebarDesc"]?></p>
    </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================
  $smarty->assign("section", "agents");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>